#ifndef MYSQLD_ERRORMSG_INCLUDED
#define MYSQLD_ERRORMSG_INCLUDED

#define ER_NO_MSG "NO"
#define ER_YES_MSG "YES"
#define ER_CANT_CREATE_FILE_MSG "Can\'t create file \'%-.200s\' (errno: %d - %s)"
#define ER_CANT_CREATE_TABLE_MSG "Can\'t create table \'%-.200s\' (errno: %d - %s)"
#define ER_CANT_CREATE_DB_MSG "Can\'t create database \'%-.192s\' (errno: %d - %s)"
#define ER_DB_CREATE_EXISTS_MSG "Can\'t create database \'%-.192s\'; database exists"
#define ER_DB_DROP_EXISTS_MSG "Can\'t drop database \'%-.192s\'; database doesn\'t exist"
#define ER_DB_DROP_RMDIR_MSG "Error dropping database (can\'t rmdir \'%-.192s\', errno: %d - %s)"
#define ER_CANT_FIND_SYSTEM_REC_MSG "Can\'t read record in system table"
#define ER_CANT_GET_STAT_MSG "Can\'t get status of \'%-.200s\' (errno: %d - %s)"
#define ER_CANT_LOCK_MSG "Can\'t lock file (errno: %d - %s)"
#define ER_CANT_OPEN_FILE_MSG "Can\'t open file: \'%-.200s\' (errno: %d - %s)"
#define ER_FILE_NOT_FOUND_MSG "Can\'t find file: \'%-.200s\' (errno: %d - %s)"
#define ER_CANT_READ_DIR_MSG "Can\'t read dir of \'%-.192s\' (errno: %d - %s)"
#define ER_CHECKREAD_MSG "Record has changed since last read in table \'%-.192s\'"
#define ER_DUP_KEY_MSG "Can\'t write; duplicate key in table \'%-.192s\'"
#define ER_ERROR_ON_READ_MSG "Error reading file \'%-.200s\' (errno: %d - %s)"
#define ER_ERROR_ON_RENAME_MSG "Error on rename of \'%-.210s\' to \'%-.210s\' (errno: %d - %s)"
#define ER_ERROR_ON_WRITE_MSG "Error writing file \'%-.200s\' (errno: %d - %s)"
#define ER_FILE_USED_MSG "\'%-.192s\' is locked against change"
#define ER_GET_ERRNO_MSG "Got error %d - \'%-.192s\' from storage engine"
#define ER_ILLEGAL_HA_MSG "Table storage engine for \'%-.192s\' doesn\'t have this option"
#define ER_KEY_NOT_FOUND_MSG "Can\'t find record in \'%-.192s\'"
#define ER_NOT_FORM_FILE_MSG "Incorrect information in file: \'%-.200s\'"
#define ER_NOT_KEYFILE_MSG "Incorrect key file for table \'%-.200s\'; try to repair it"
#define ER_OLD_KEYFILE_MSG "Old key file for table \'%-.192s\'; repair it!"
#define ER_OPEN_AS_READONLY_MSG "Table \'%-.192s\' is read only"
#define ER_OUTOFMEMORY_MSG "Out of memory; restart server and try again (needed %d bytes)"
#define ER_OUT_OF_SORTMEMORY_MSG "Out of sort memory, consider increasing server sort buffer size"
#define ER_CON_COUNT_ERROR_MSG "Too many connections"
#define ER_OUT_OF_RESOURCES_MSG "Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use \'ulimit\' to allow mysqld to use more memory or you can add more swap space"
#define ER_BAD_HOST_ERROR_MSG "Can\'t get hostname for your address"
#define ER_HANDSHAKE_ERROR_MSG "Bad handshake"
#define ER_DBACCESS_DENIED_ERROR_MSG "Access denied for user \'%-.48s\'@\'%-.64s\' to database \'%-.192s\'"
#define ER_ACCESS_DENIED_ERROR_MSG "Access denied for user \'%-.48s\'@\'%-.64s\' (using password: %s)"
#define ER_NO_DB_ERROR_MSG "No database selected"
#define ER_UNKNOWN_COM_ERROR_MSG "Unknown command"
#define ER_BAD_NULL_ERROR_MSG "Column \'%-.192s\' cannot be null"
#define ER_BAD_DB_ERROR_MSG "Unknown database \'%-.192s\'"
#define ER_TABLE_EXISTS_ERROR_MSG "Table \'%-.192s\' already exists"
#define ER_BAD_TABLE_ERROR_MSG "Unknown table \'%-.129s\'"
#define ER_NON_UNIQ_ERROR_MSG "Column \'%-.192s\' in %-.192s is ambiguous"
#define ER_SERVER_SHUTDOWN_MSG "Server shutdown in progress"
#define ER_BAD_FIELD_ERROR_MSG "Unknown column \'%-.192s\' in \'%-.192s\'"
#define ER_WRONG_FIELD_WITH_GROUP_MSG "\'%-.192s\' isn\'t in GROUP BY"
#define ER_WRONG_GROUP_FIELD_MSG "Can\'t group on \'%-.192s\'"
#define ER_WRONG_SUM_SELECT_MSG "Statement has sum functions and columns in same statement"
#define ER_WRONG_VALUE_COUNT_MSG "Column count doesn\'t match value count"
#define ER_TOO_LONG_IDENT_MSG "Identifier name \'%-.100s\' is too long"
#define ER_DUP_FIELDNAME_MSG "Duplicate column name \'%-.192s\'"
#define ER_DUP_KEYNAME_MSG "Duplicate key name \'%-.192s\'"
#define ER_DUP_ENTRY_MSG "Duplicate entry \'%-.192s\' for key %d"
#define ER_WRONG_FIELD_SPEC_MSG "Incorrect column specifier for column \'%-.192s\'"
#define ER_PARSE_ERROR_MSG "%s near \'%-.80s\' at line %d"
#define ER_EMPTY_QUERY_MSG "Query was empty"
#define ER_NONUNIQ_TABLE_MSG "Not unique table/alias: \'%-.192s\'"
#define ER_INVALID_DEFAULT_MSG "Invalid default value for \'%-.192s\'"
#define ER_MULTIPLE_PRI_KEY_MSG "Multiple primary key defined"
#define ER_TOO_MANY_KEYS_MSG "Too many keys specified; max %d keys allowed"
#define ER_TOO_MANY_KEY_PARTS_MSG "Too many key parts specified; max %d parts allowed"
#define ER_TOO_LONG_KEY_MSG "Specified key was too long; max key length is %d bytes"
#define ER_KEY_COLUMN_DOES_NOT_EXITS_MSG "Key column \'%-.192s\' doesn\'t exist in table"
#define ER_BLOB_USED_AS_KEY_MSG "BLOB column \'%-.192s\' can\'t be used in key specification with the used table type"
#define ER_TOO_BIG_FIELDLENGTH_MSG "Column length too big for column \'%-.192s\' (max = %lu); use BLOB or TEXT instead"
#define ER_WRONG_AUTO_KEY_MSG "Incorrect table definition; there can be only one auto column and it must be defined as a key"
#define ER_READY_MSG "%s: ready for connections.\nVersion: \'%s\'  socket: \'%s\'  port: %d"
#define ER_SHUTDOWN_COMPLETE_MSG "%s: Shutdown complete\n"
#define ER_FORCING_CLOSE_MSG "%s: Forcing close of thread %ld  user: \'%-.48s\'\n"
#define ER_IPSOCK_ERROR_MSG "Can\'t create IP socket"
#define ER_NO_SUCH_INDEX_MSG "Table \'%-.192s\' has no index like the one used in CREATE INDEX; recreate the table"
#define ER_WRONG_FIELD_TERMINATORS_MSG "Field separator argument is not what is expected; check the manual"
#define ER_BLOBS_AND_NO_TERMINATED_MSG "You can\'t use fixed rowlength with BLOBs; please use \'fields terminated by\'"
#define ER_TEXTFILE_NOT_READABLE_MSG "The file \'%-.128s\' must be in the database directory or be readable by all"
#define ER_FILE_EXISTS_ERROR_MSG "File \'%-.200s\' already exists"
#define ER_LOAD_INFO_MSG "Records: %ld  Deleted: %ld  Skipped: %ld  Warnings: %ld"
#define ER_ALTER_INFO_MSG "Records: %ld  Duplicates: %ld"
#define ER_WRONG_SUB_KEY_MSG "Incorrect prefix key; the used key part isn\'t a string, the used length is longer than the key part, or the storage engine doesn\'t support unique prefix keys"
#define ER_CANT_REMOVE_ALL_FIELDS_MSG "You can\'t delete all columns with ALTER TABLE; use DROP TABLE instead"
#define ER_CANT_DROP_FIELD_OR_KEY_MSG "Can\'t DROP \'%-.192s\'; check that column/key exists"
#define ER_INSERT_INFO_MSG "Records: %ld  Duplicates: %ld  Warnings: %ld"
#define ER_UPDATE_TABLE_USED_MSG "You can\'t specify target table \'%-.192s\' for update in FROM clause"
#define ER_NO_SUCH_THREAD_MSG "Unknown thread id: %lu"
#define ER_KILL_DENIED_ERROR_MSG "You are not owner of thread %lu"
#define ER_NO_TABLES_USED_MSG "No tables used"
#define ER_TOO_BIG_SET_MSG "Too many strings for column %-.192s and SET"
#define ER_NO_UNIQUE_LOGFILE_MSG "Can\'t generate a unique log-filename %-.200s.(1-999)\n"
#define ER_TABLE_NOT_LOCKED_FOR_WRITE_MSG "Table \'%-.192s\' was locked with a READ lock and can\'t be updated"
#define ER_TABLE_NOT_LOCKED_MSG "Table \'%-.192s\' was not locked with LOCK TABLES"
#define ER_BLOB_CANT_HAVE_DEFAULT_MSG "BLOB, TEXT, GEOMETRY or JSON column \'%-.192s\' can\'t have a default value"
#define ER_WRONG_DB_NAME_MSG "Incorrect database name \'%-.100s\'"
#define ER_WRONG_TABLE_NAME_MSG "Incorrect table name \'%-.100s\'"
#define ER_TOO_BIG_SELECT_MSG "The SELECT would examine more than MAX_JOIN_SIZE rows; check your WHERE and use SET SQL_BIG_SELECTS=1 or SET MAX_JOIN_SIZE=# if the SELECT is okay"
#define ER_UNKNOWN_ERROR_MSG "Unknown error"
#define ER_UNKNOWN_PROCEDURE_MSG "Unknown procedure \'%-.192s\'"
#define ER_WRONG_PARAMCOUNT_TO_PROCEDURE_MSG "Incorrect parameter count to procedure \'%-.192s\'"
#define ER_WRONG_PARAMETERS_TO_PROCEDURE_MSG "Incorrect parameters to procedure \'%-.192s\'"
#define ER_UNKNOWN_TABLE_MSG "Unknown table \'%-.192s\' in %-.32s"
#define ER_FIELD_SPECIFIED_TWICE_MSG "Column \'%-.192s\' specified twice"
#define ER_INVALID_GROUP_FUNC_USE_MSG "Invalid use of group function"
#define ER_UNSUPPORTED_EXTENSION_MSG "Table \'%-.192s\' uses an extension that doesn\'t exist in this MySQL version"
#define ER_TABLE_MUST_HAVE_COLUMNS_MSG "A table must have at least 1 column"
#define ER_RECORD_FILE_FULL_MSG "The table \'%-.192s\' is full"
#define ER_UNKNOWN_CHARACTER_SET_MSG "Unknown character set: \'%-.64s\'"
#define ER_TOO_MANY_TABLES_MSG "Too many tables; MySQL can only use %d tables in a join"
#define ER_TOO_MANY_FIELDS_MSG "Too many columns"
#define ER_TOO_BIG_ROWSIZE_MSG "Row size too large. The maximum row size for the used table type, not counting BLOBs, is %ld. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs"
#define ER_STACK_OVERRUN_MSG "Thread stack overrun:  Used: %ld of a %ld stack.  Use \'mysqld --thread_stack=#\' to specify a bigger stack if needed"
#define ER_WRONG_OUTER_JOIN_UNUSED_MSG "Cross dependency found in OUTER JOIN; examine your ON conditions"
#define ER_NULL_COLUMN_IN_INDEX_MSG "Table handler doesn\'t support NULL in given index. Please change column \'%-.192s\' to be NOT NULL or use another handler"
#define ER_CANT_FIND_UDF_MSG "Can\'t load function \'%-.192s\'"
#define ER_CANT_INITIALIZE_UDF_MSG "Can\'t initialize function \'%-.192s\'; %-.192s"
#define ER_UDF_NO_PATHS_MSG "No paths allowed for shared library"
#define ER_UDF_EXISTS_MSG "Function \'%-.192s\' already exists"
#define ER_CANT_OPEN_LIBRARY_MSG "Can\'t open shared library \'%-.192s\' (errno: %d %-.128s)"
#define ER_CANT_FIND_DL_ENTRY_MSG "Can\'t find symbol \'%-.128s\' in library"
#define ER_FUNCTION_NOT_DEFINED_MSG "Function \'%-.192s\' is not defined"
#define ER_HOST_IS_BLOCKED_MSG "Host \'%-.255s\' is blocked because of many connection errors; unblock with \'mysqladmin flush-hosts\'"
#define ER_HOST_NOT_PRIVILEGED_MSG "Host \'%-.255s\' is not allowed to connect to this MySQL server"
#define ER_PASSWORD_ANONYMOUS_USER_MSG "You are using MySQL as an anonymous user and anonymous users are not allowed to change passwords"
#define ER_PASSWORD_NOT_ALLOWED_MSG "You must have privileges to update tables in the mysql database to be able to change passwords for others"
#define ER_PASSWORD_NO_MATCH_MSG "Can\'t find any matching row in the user table"
#define ER_UPDATE_INFO_MSG "Rows matched: %ld  Changed: %ld  Warnings: %ld"
#define ER_CANT_CREATE_THREAD_MSG "Can\'t create a new thread (errno %d); if you are not out of available memory, you can consult the manual for a possible OS-dependent bug"
#define ER_WRONG_VALUE_COUNT_ON_ROW_MSG "Column count doesn\'t match value count at row %ld"
#define ER_CANT_REOPEN_TABLE_MSG "Can\'t reopen table: \'%-.192s\'"
#define ER_INVALID_USE_OF_NULL_MSG "Invalid use of NULL value"
#define ER_REGEXP_ERROR_MSG "Got error \'%-.64s\' from regexp"
#define ER_MIX_OF_GROUP_FUNC_AND_FIELDS_MSG "Mixing of GROUP columns (MIN(),MAX(),COUNT(),...) with no GROUP columns is illegal if there is no GROUP BY clause"
#define ER_NONEXISTING_GRANT_MSG "There is no such grant defined for user \'%-.48s\' on host \'%-.255s\'"
#define ER_TABLEACCESS_DENIED_ERROR_MSG "%-.128s command denied to user \'%-.48s\'@\'%-.64s\' for table \'%-.64s\'"
#define ER_COLUMNACCESS_DENIED_ERROR_MSG "%-.16s command denied to user \'%-.48s\'@\'%-.64s\' for column \'%-.192s\' in table \'%-.192s\'"
#define ER_ILLEGAL_GRANT_FOR_TABLE_MSG "Illegal GRANT/REVOKE command; please consult the manual to see which privileges can be used"
#define ER_GRANT_WRONG_HOST_OR_USER_MSG "The host or user argument to GRANT is too long"
#define ER_NO_SUCH_TABLE_MSG "Table \'%-.192s.%-.192s\' doesn\'t exist"
#define ER_NONEXISTING_TABLE_GRANT_MSG "There is no such grant defined for user \'%-.48s\' on host \'%-.255s\' on table \'%-.192s\'"
#define ER_NOT_ALLOWED_COMMAND_MSG "The used command is not allowed with this MySQL version"
#define ER_SYNTAX_ERROR_MSG "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use"
#define ER_ABORTING_CONNECTION_MSG "Aborted connection %ld to db: \'%-.192s\' user: \'%-.48s\' (%-.64s)"
#define ER_NET_PACKET_TOO_LARGE_MSG "Got a packet bigger than \'max_allowed_packet\' bytes"
#define ER_NET_READ_ERROR_FROM_PIPE_MSG "Got a read error from the connection pipe"
#define ER_NET_FCNTL_ERROR_MSG "Got an error from fcntl()"
#define ER_NET_PACKETS_OUT_OF_ORDER_MSG "Got packets out of order"
#define ER_NET_UNCOMPRESS_ERROR_MSG "Couldn\'t uncompress communication packet"
#define ER_NET_READ_ERROR_MSG "Got an error reading communication packets"
#define ER_NET_READ_INTERRUPTED_MSG "Got timeout reading communication packets"
#define ER_NET_ERROR_ON_WRITE_MSG "Got an error writing communication packets"
#define ER_NET_WRITE_INTERRUPTED_MSG "Got timeout writing communication packets"
#define ER_TOO_LONG_STRING_MSG "Result string is longer than \'max_allowed_packet\' bytes"
#define ER_TABLE_CANT_HANDLE_BLOB_MSG "The used table type doesn\'t support BLOB/TEXT columns"
#define ER_TABLE_CANT_HANDLE_AUTO_INCREMENT_MSG "The used table type doesn\'t support AUTO_INCREMENT columns"
#define ER_WRONG_COLUMN_NAME_MSG "Incorrect column name \'%-.100s\'"
#define ER_WRONG_KEY_COLUMN_MSG "The used storage engine can\'t index column \'%-.192s\'"
#define ER_WRONG_MRG_TABLE_MSG "Unable to open underlying table which is differently defined or of non-MyISAM type or doesn\'t exist"
#define ER_DUP_UNIQUE_MSG "Can\'t write, because of unique constraint, to table \'%-.192s\'"
#define ER_BLOB_KEY_WITHOUT_LENGTH_MSG "BLOB/TEXT column \'%-.192s\' used in key specification without a key length"
#define ER_PRIMARY_CANT_HAVE_NULL_MSG "All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead"
#define ER_TOO_MANY_ROWS_MSG "Result consisted of more than one row"
#define ER_REQUIRES_PRIMARY_KEY_MSG "This table type requires a primary key"
#define ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE_MSG "You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column. %s"
#define ER_KEY_DOES_NOT_EXITS_MSG "Key \'%-.192s\' doesn\'t exist in table \'%-.192s\'"
#define ER_CHECK_NO_SUCH_TABLE_MSG "Can\'t open table"
#define ER_CHECK_NOT_IMPLEMENTED_MSG "The storage engine for the table doesn\'t support %s"
#define ER_CANT_DO_THIS_DURING_AN_TRANSACTION_MSG "You are not allowed to execute this command in a transaction"
#define ER_ERROR_DURING_COMMIT_MSG "Got error %d - \'%-.192s\' during COMMIT"
#define ER_ERROR_DURING_ROLLBACK_MSG "Got error %d - \'%-.192s\' during ROLLBACK"
#define ER_ERROR_DURING_FLUSH_LOGS_MSG "Got error %d during FLUSH_LOGS"
#define ER_NEW_ABORTING_CONNECTION_MSG "Aborted connection %u to db: \'%-.192s\' user: \'%-.48s\' host: \'%-.255s\' (%-.64s)"
#define ER_MASTER_MSG "Error from master: \'%-.64s\'"
#define ER_MASTER_NET_READ_MSG "Net error reading from master"
#define ER_MASTER_NET_WRITE_MSG "Net error writing to master"
#define ER_FT_MATCHING_KEY_NOT_FOUND_MSG "Can\'t find FULLTEXT index matching the column list"
#define ER_LOCK_OR_ACTIVE_TRANSACTION_MSG "Can\'t execute the given command because you have active locked tables or an active transaction"
#define ER_UNKNOWN_SYSTEM_VARIABLE_MSG "Unknown system variable \'%-.64s\'"
#define ER_CRASHED_ON_USAGE_MSG "Table \'%-.192s\' is marked as crashed and should be repaired"
#define ER_CRASHED_ON_REPAIR_MSG "Table \'%-.192s\' is marked as crashed and last (automatic?) repair failed"
#define ER_WARNING_NOT_COMPLETE_ROLLBACK_MSG "Some non-transactional changed tables couldn\'t be rolled back"
#define ER_TRANS_CACHE_FULL_MSG "Multi-statement transaction required more than \'max_binlog_cache_size\' bytes of storage; increase this mysqld variable and try again"
#define ER_SLAVE_NOT_RUNNING_MSG "This operation requires a running slave; configure slave and do START SLAVE"
#define ER_BAD_SLAVE_MSG "The server is not configured as slave; fix in config file or with CHANGE MASTER TO"
#define ER_MASTER_INFO_MSG "Could not initialize master info structure; more error messages can be found in the MySQL error log"
#define ER_SLAVE_THREAD_MSG "Could not create slave thread; check system resources"
#define ER_TOO_MANY_USER_CONNECTIONS_MSG "User %-.64s already has more than \'max_user_connections\' active connections"
#define ER_SET_CONSTANTS_ONLY_MSG "You may only use constant expressions with SET"
#define ER_LOCK_WAIT_TIMEOUT_MSG "Lock wait timeout exceeded; try restarting transaction"
#define ER_LOCK_TABLE_FULL_MSG "The total number of locks exceeds the lock table size"
#define ER_READ_ONLY_TRANSACTION_MSG "Update locks cannot be acquired during a READ UNCOMMITTED transaction"
#define ER_WRONG_ARGUMENTS_MSG "Incorrect arguments to %s"
#define ER_NO_PERMISSION_TO_CREATE_USER_MSG "\'%-.48s\'@\'%-.64s\' is not allowed to create new users"
#define ER_LOCK_DEADLOCK_MSG "Deadlock found when trying to get lock; try restarting transaction"
#define ER_TABLE_CANT_HANDLE_FT_MSG "The used table type doesn\'t support FULLTEXT indexes"
#define ER_CANNOT_ADD_FOREIGN_MSG "Cannot add foreign key constraint"
#define ER_NO_REFERENCED_ROW_MSG "Cannot add or update a child row: a foreign key constraint fails"
#define ER_ROW_IS_REFERENCED_MSG "Cannot delete or update a parent row: a foreign key constraint fails"
#define ER_CONNECT_TO_MASTER_MSG "Error connecting to master: %-.128s"
#define ER_ERROR_WHEN_EXECUTING_COMMAND_MSG "Error when executing command %s: %-.128s"
#define ER_WRONG_USAGE_MSG "Incorrect usage of %s and %s"
#define ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT_MSG "The used SELECT statements have a different number of columns"
#define ER_CANT_UPDATE_WITH_READLOCK_MSG "Can\'t execute the query because you have a conflicting read lock"
#define ER_MIXING_NOT_ALLOWED_MSG "Mixing of transactional and non-transactional tables is disabled"
#define ER_DUP_ARGUMENT_MSG "Option \'%s\' used twice in statement"
#define ER_USER_LIMIT_REACHED_MSG "User \'%-.64s\' has exceeded the \'%s\' resource (current value: %ld)"
#define ER_SPECIFIC_ACCESS_DENIED_ERROR_MSG "Access denied; you need (at least one of) the %-.128s privilege(s) for this operation"
#define ER_LOCAL_VARIABLE_MSG "Variable \'%-.64s\' is a SESSION variable and can\'t be used with SET GLOBAL"
#define ER_GLOBAL_VARIABLE_MSG "Variable \'%-.64s\' is a GLOBAL variable and should be set with SET GLOBAL"
#define ER_NO_DEFAULT_MSG "Variable \'%-.64s\' doesn\'t have a default value"
#define ER_WRONG_VALUE_FOR_VAR_MSG "Variable \'%-.64s\' can\'t be set to the value of \'%-.200s\'"
#define ER_WRONG_TYPE_FOR_VAR_MSG "Incorrect argument type to variable \'%-.64s\'"
#define ER_VAR_CANT_BE_READ_MSG "Variable \'%-.64s\' can only be set, not read"
#define ER_CANT_USE_OPTION_HERE_MSG "Incorrect usage/placement of \'%s\'"
#define ER_NOT_SUPPORTED_YET_MSG "This version of MySQL doesn\'t yet support \'%s\'"
#define ER_MASTER_FATAL_ERROR_READING_BINLOG_MSG "Got fatal error %d from master when reading data from binary log: \'%-.512s\'"
#define ER_SLAVE_IGNORED_TABLE_MSG "Slave SQL thread ignored the query because of replicate-*-table rules"
#define ER_INCORRECT_GLOBAL_LOCAL_VAR_MSG "Variable \'%-.192s\' is a %s variable"
#define ER_WRONG_FK_DEF_MSG "Incorrect foreign key definition for \'%-.192s\': %s"
#define ER_KEY_REF_DO_NOT_MATCH_TABLE_REF_MSG "Key reference and table reference don\'t match"
#define ER_OPERAND_COLUMNS_MSG "Operand should contain %d column(s)"
#define ER_SUBQUERY_NO_1_ROW_MSG "Subquery returns more than 1 row"
#define ER_UNKNOWN_STMT_HANDLER_MSG "Unknown prepared statement handler (%.*s) given to %s"
#define ER_CORRUPT_HELP_DB_MSG "Help database is corrupt or does not exist"
#define ER_AUTO_CONVERT_MSG "Converting column \'%s\' from %s to %s"
#define ER_ILLEGAL_REFERENCE_MSG "Reference \'%-.64s\' not supported (%s)"
#define ER_DERIVED_MUST_HAVE_ALIAS_MSG "Every derived table must have its own alias"
#define ER_SELECT_REDUCED_MSG "Select %u was reduced during optimization"
#define ER_TABLENAME_NOT_ALLOWED_HERE_MSG "Table \'%-.192s\' from one of the SELECTs cannot be used in %-.32s"
#define ER_NOT_SUPPORTED_AUTH_MODE_MSG "Client does not support authentication protocol requested by server; consider upgrading MySQL client"
#define ER_SPATIAL_CANT_HAVE_NULL_MSG "All parts of a SPATIAL index must be NOT NULL"
#define ER_COLLATION_CHARSET_MISMATCH_MSG "COLLATION \'%s\' is not valid for CHARACTER SET \'%s\'"
#define ER_TOO_BIG_FOR_UNCOMPRESS_MSG "Uncompressed data size too large; the maximum size is %d (probably, length of uncompressed data was corrupted)"
#define ER_ZLIB_Z_MEM_ERROR_MSG "ZLIB: Not enough memory"
#define ER_ZLIB_Z_BUF_ERROR_MSG "ZLIB: Not enough room in the output buffer (probably, length of uncompressed data was corrupted)"
#define ER_ZLIB_Z_DATA_ERROR_MSG "ZLIB: Input data corrupted"
#define ER_CUT_VALUE_GROUP_CONCAT_MSG "Row %u was cut by GROUP_CONCAT()"
#define ER_WARN_TOO_FEW_RECORDS_MSG "Row %ld doesn\'t contain data for all columns"
#define ER_WARN_TOO_MANY_RECORDS_MSG "Row %ld was truncated; it contained more data than there were input columns"
#define ER_WARN_NULL_TO_NOTNULL_MSG "Column set to default value; NULL supplied to NOT NULL column \'%s\' at row %ld"
#define ER_WARN_DATA_OUT_OF_RANGE_MSG "Out of range value for column \'%s\' at row %ld"
#define WARN_DATA_TRUNCATED_MSG "Data truncated for column \'%s\' at row %ld"
#define ER_WARN_USING_OTHER_HANDLER_MSG "Using storage engine %s for table \'%s\'"
#define ER_CANT_AGGREGATE_2COLLATIONS_MSG "Illegal mix of collations (%s,%s) and (%s,%s) for operation \'%s\'"
#define ER_REVOKE_GRANTS_MSG "Can\'t revoke all privileges for one or more of the requested users"
#define ER_CANT_AGGREGATE_3COLLATIONS_MSG "Illegal mix of collations (%s,%s), (%s,%s), (%s,%s) for operation \'%s\'"
#define ER_CANT_AGGREGATE_NCOLLATIONS_MSG "Illegal mix of collations for operation \'%s\'"
#define ER_VARIABLE_IS_NOT_STRUCT_MSG "Variable \'%-.64s\' is not a variable component (can\'t be used as XXXX.variable_name)"
#define ER_UNKNOWN_COLLATION_MSG "Unknown collation: \'%-.64s\'"
#define ER_SLAVE_IGNORED_SSL_PARAMS_MSG "SSL parameters in CHANGE MASTER are ignored because this MySQL slave was compiled without SSL support; they can be used later if MySQL slave with SSL is started"
#define ER_WARN_FIELD_RESOLVED_MSG "Field or reference \'%-.192s%s%-.192s%s%-.192s\' of SELECT #%d was resolved in SELECT #%d"
#define ER_BAD_SLAVE_UNTIL_COND_MSG "Incorrect parameter or combination of parameters for START SLAVE UNTIL"
#define ER_MISSING_SKIP_SLAVE_MSG "It is recommended to use --skip-replica-start when doing step-by-step replication with START SLAVE UNTIL; otherwise, you will get problems if you get an unexpected slave\'s mysqld restart"
#define ER_UNTIL_COND_IGNORED_MSG "SQL thread is not to be started so UNTIL options are ignored"
#define ER_WRONG_NAME_FOR_INDEX_MSG "Incorrect index name \'%-.100s\'"
#define ER_WRONG_NAME_FOR_CATALOG_MSG "Incorrect catalog name \'%-.100s\'"
#define ER_BAD_FT_COLUMN_MSG "Column \'%-.192s\' cannot be part of FULLTEXT index"
#define ER_UNKNOWN_KEY_CACHE_MSG "Unknown key cache \'%-.100s\'"
#define ER_WARN_HOSTNAME_WONT_WORK_MSG "MySQL is started in --skip-name-resolve mode; you must restart it without this switch for this grant to work"
#define ER_UNKNOWN_STORAGE_ENGINE_MSG "Unknown storage engine \'%s\'"
#define ER_WARN_DEPRECATED_SYNTAX_MSG "\'%s\' is deprecated and will be removed in a future release. Please use %s instead"
#define ER_NON_UPDATABLE_TABLE_MSG "The target table %-.100s of the %s is not updatable"
#define ER_FEATURE_DISABLED_MSG "The \'%s\' feature is disabled; you need MySQL built with \'%s\' to have it working"
#define ER_OPTION_PREVENTS_STATEMENT_MSG "The MySQL server is running with the %s option so it cannot execute this statement"
#define ER_DUPLICATED_VALUE_IN_TYPE_MSG "Column \'%-.100s\' has duplicated value \'%-.64s\' in %s"
#define ER_TRUNCATED_WRONG_VALUE_MSG "Truncated incorrect %-.64s value: \'%-.128s\'"
#define ER_INVALID_ON_UPDATE_MSG "Invalid ON UPDATE clause for \'%-.192s\' column"
#define ER_UNSUPPORTED_PS_MSG "This command is not supported in the prepared statement protocol yet"
#define ER_GET_ERRMSG_MSG "Got error %d \'%-.100s\' from %s"
#define ER_GET_TEMPORARY_ERRMSG_MSG "Got temporary error %d \'%-.100s\' from %s"
#define ER_UNKNOWN_TIME_ZONE_MSG "Unknown or incorrect time zone: \'%-.64s\'"
#define ER_WARN_INVALID_TIMESTAMP_MSG "Invalid TIMESTAMP value in column \'%s\' at row %ld"
#define ER_INVALID_CHARACTER_STRING_MSG "Invalid %s character string: \'%.64s\'"
#define ER_WARN_ALLOWED_PACKET_OVERFLOWED_MSG "Result of %s() was larger than max_allowed_packet (%ld) - truncated"
#define ER_CONFLICTING_DECLARATIONS_MSG "Conflicting declarations: \'%s%s\' and \'%s%s\'"
#define ER_SP_NO_RECURSIVE_CREATE_MSG "Can\'t create a %s from within another stored routine"
#define ER_SP_ALREADY_EXISTS_MSG "%s %s already exists"
#define ER_SP_DOES_NOT_EXIST_MSG "%s %s does not exist"
#define ER_SP_DROP_FAILED_MSG "Failed to DROP %s %s"
#define ER_SP_STORE_FAILED_MSG "Failed to CREATE %s %s"
#define ER_SP_LILABEL_MISMATCH_MSG "%s with no matching label: %s"
#define ER_SP_LABEL_REDEFINE_MSG "Redefining label %s"
#define ER_SP_LABEL_MISMATCH_MSG "End-label %s without match"
#define ER_SP_UNINIT_VAR_MSG "Referring to uninitialized variable %s"
#define ER_SP_BADSELECT_MSG "PROCEDURE %s can\'t return a result set in the given context"
#define ER_SP_BADRETURN_MSG "RETURN is only allowed in a FUNCTION"
#define ER_SP_BADSTATEMENT_MSG "%s is not allowed in stored procedures"
#define ER_UPDATE_LOG_DEPRECATED_IGNORED_MSG "The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been ignored."
#define ER_UPDATE_LOG_DEPRECATED_TRANSLATED_MSG "The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been translated to SET SQL_LOG_BIN."
#define ER_QUERY_INTERRUPTED_MSG "Query execution was interrupted"
#define ER_SP_WRONG_NO_OF_ARGS_MSG "Incorrect number of arguments for %s %s; expected %u, got %u"
#define ER_SP_COND_MISMATCH_MSG "Undefined CONDITION: %s"
#define ER_SP_NORETURN_MSG "No RETURN found in FUNCTION %s"
#define ER_SP_NORETURNEND_MSG "FUNCTION %s ended without RETURN"
#define ER_SP_BAD_CURSOR_QUERY_MSG "Cursor statement must be a SELECT"
#define ER_SP_BAD_CURSOR_SELECT_MSG "Cursor SELECT must not have INTO"
#define ER_SP_CURSOR_MISMATCH_MSG "Undefined CURSOR: %s"
#define ER_SP_CURSOR_ALREADY_OPEN_MSG "Cursor is already open"
#define ER_SP_CURSOR_NOT_OPEN_MSG "Cursor is not open"
#define ER_SP_UNDECLARED_VAR_MSG "Undeclared variable: %s"
#define ER_SP_WRONG_NO_OF_FETCH_ARGS_MSG "Incorrect number of FETCH variables"
#define ER_SP_FETCH_NO_DATA_MSG "No data - zero rows fetched, selected, or processed"
#define ER_SP_DUP_PARAM_MSG "Duplicate parameter: %s"
#define ER_SP_DUP_VAR_MSG "Duplicate variable: %s"
#define ER_SP_DUP_COND_MSG "Duplicate condition: %s"
#define ER_SP_DUP_CURS_MSG "Duplicate cursor: %s"
#define ER_SP_CANT_ALTER_MSG "Failed to ALTER %s %s"
#define ER_SP_SUBSELECT_NYI_MSG "Subquery value not supported"
#define ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG_MSG "%s is not allowed in stored function or trigger"
#define ER_SP_VARCOND_AFTER_CURSHNDLR_MSG "Variable or condition declaration after cursor or handler declaration"
#define ER_SP_CURSOR_AFTER_HANDLER_MSG "Cursor declaration after handler declaration"
#define ER_SP_CASE_NOT_FOUND_MSG "Case not found for CASE statement"
#define ER_FPARSER_TOO_BIG_FILE_MSG "Configuration file \'%-.192s\' is too big"
#define ER_FPARSER_BAD_HEADER_MSG "Malformed file type header in file \'%-.192s\'"
#define ER_FPARSER_EOF_IN_COMMENT_MSG "Unexpected end of file while parsing comment \'%-.200s\'"
#define ER_FPARSER_ERROR_IN_PARAMETER_MSG "Error while parsing parameter \'%-.192s\' (line: \'%-.192s\')"
#define ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER_MSG "Unexpected end of file while skipping unknown parameter \'%-.192s\'"
#define ER_VIEW_NO_EXPLAIN_MSG "EXPLAIN/SHOW can not be issued; lacking privileges for underlying table"
#define ER_WRONG_OBJECT_MSG "\'%-.192s.%-.192s\' is not %s"
#define ER_NONUPDATEABLE_COLUMN_MSG "Column \'%-.192s\' is not updatable"
#define ER_VIEW_SELECT_CLAUSE_MSG "View\'s SELECT contains a \'%s\' clause"
#define ER_VIEW_SELECT_VARIABLE_MSG "View\'s SELECT contains a variable or parameter"
#define ER_VIEW_SELECT_TMPTABLE_MSG "View\'s SELECT refers to a temporary table \'%-.192s\'"
#define ER_VIEW_WRONG_LIST_MSG "In definition of view, derived table or common table expression, SELECT list and column names list have different column counts"
#define ER_WARN_VIEW_MERGE_MSG "View merge algorithm can\'t be used here for now (assumed undefined algorithm)"
#define ER_WARN_VIEW_WITHOUT_KEY_MSG "View being updated does not have complete key of underlying table in it"
#define ER_VIEW_INVALID_MSG "View \'%-.192s.%-.192s\' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them"
#define ER_SP_NO_DROP_SP_MSG "Can\'t drop or alter a %s from within another stored routine"
#define ER_TRG_ALREADY_EXISTS_MSG "Trigger already exists"
#define ER_TRG_DOES_NOT_EXIST_MSG "Trigger does not exist"
#define ER_TRG_ON_VIEW_OR_TEMP_TABLE_MSG "Trigger\'s \'%-.192s\' is view or temporary table"
#define ER_TRG_CANT_CHANGE_ROW_MSG "Updating of %s row is not allowed in %strigger"
#define ER_TRG_NO_SUCH_ROW_IN_TRG_MSG "There is no %s row in %s trigger"
#define ER_NO_DEFAULT_FOR_FIELD_MSG "Field \'%-.192s\' doesn\'t have a default value"
#define ER_DIVISION_BY_ZERO_MSG "Division by 0"
#define ER_TRUNCATED_WRONG_VALUE_FOR_FIELD_MSG "Incorrect %-.32s value: \'%-.128s\' for column \'%.192s\' at row %ld"
#define ER_ILLEGAL_VALUE_FOR_TYPE_MSG "Illegal %s \'%-.192s\' value found during parsing"
#define ER_VIEW_NONUPD_CHECK_MSG "CHECK OPTION on non-updatable view \'%-.192s.%-.192s\'"
#define ER_VIEW_CHECK_FAILED_MSG "CHECK OPTION failed \'%-.192s.%-.192s\'"
#define ER_PROCACCESS_DENIED_ERROR_MSG "%-.16s command denied to user \'%-.48s\'@\'%-.64s\' for routine \'%-.192s\'"
#define ER_RELAY_LOG_FAIL_MSG "Failed purging old relay logs: %s"
#define ER_UNKNOWN_TARGET_BINLOG_MSG "Target log not found in binlog index"
#define ER_IO_ERR_LOG_INDEX_READ_MSG "I/O error reading log index file"
#define ER_BINLOG_PURGE_PROHIBITED_MSG "Server configuration does not permit binlog purge"
#define ER_FSEEK_FAIL_MSG "Failed on fseek()"
#define ER_BINLOG_PURGE_FATAL_ERR_MSG "Fatal error during log purge"
#define ER_LOG_IN_USE_MSG "A purgeable log is in use, will not purge"
#define ER_LOG_PURGE_UNKNOWN_ERR_MSG "Unknown error during log purge"
#define ER_RELAY_LOG_INIT_MSG "Failed initializing relay log position: %s"
#define ER_NO_BINARY_LOGGING_MSG "You are not using binary logging"
#define ER_RESERVED_SYNTAX_MSG "The \'%-.64s\' syntax is reserved for purposes internal to the MySQL server"
#define ER_PS_MANY_PARAM_MSG "Prepared statement contains too many placeholders"
#define ER_KEY_PART_0_MSG "Key part \'%-.192s\' length cannot be 0"
#define ER_VIEW_CHECKSUM_MSG "View text checksum failed"
#define ER_VIEW_MULTIUPDATE_MSG "Can not modify more than one base table through a join view \'%-.192s.%-.192s\'"
#define ER_VIEW_NO_INSERT_FIELD_LIST_MSG "Can not insert into join view \'%-.192s.%-.192s\' without fields list"
#define ER_VIEW_DELETE_MERGE_VIEW_MSG "Can not delete from join view \'%-.192s.%-.192s\'"
#define ER_CANNOT_USER_MSG "Operation %s failed for %.256s"
#define ER_XAER_NOTA_MSG "XAER_NOTA: Unknown XID"
#define ER_XAER_INVAL_MSG "XAER_INVAL: Invalid arguments (or unsupported command)"
#define ER_XAER_RMFAIL_MSG "XAER_RMFAIL: The command cannot be executed when global transaction is in the  %.64s state"
#define ER_XAER_OUTSIDE_MSG "XAER_OUTSIDE: Some work is done outside global transaction"
#define ER_XAER_RMERR_MSG "XAER_RMERR: Fatal error occurred in the transaction branch - check your data for consistency"
#define ER_XA_RBROLLBACK_MSG "XA_RBROLLBACK: Transaction branch was rolled back"
#define ER_NONEXISTING_PROC_GRANT_MSG "There is no such grant defined for user \'%-.48s\' on host \'%-.255s\' on routine \'%-.192s\'"
#define ER_PROC_AUTO_GRANT_FAIL_MSG "Failed to grant EXECUTE and ALTER ROUTINE privileges"
#define ER_PROC_AUTO_REVOKE_FAIL_MSG "Failed to revoke all privileges to dropped routine"
#define ER_DATA_TOO_LONG_MSG "Data too long for column \'%s\' at row %ld"
#define ER_SP_BAD_SQLSTATE_MSG "Bad SQLSTATE: \'%s\'"
#define ER_STARTUP_MSG "%s: ready for connections. Version: \'%s\'  socket: \'%s\'  port: %d  %s"
#define ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR_MSG "Can\'t load value from file with fixed size rows to variable"
#define ER_CANT_CREATE_USER_WITH_GRANT_MSG "You are not allowed to create a user with GRANT"
#define ER_WRONG_VALUE_FOR_TYPE_MSG "Incorrect %-.32s value: \'%-.128s\' for function %-.32s"
#define ER_TABLE_DEF_CHANGED_MSG "Table definition has changed, please retry transaction"
#define ER_SP_DUP_HANDLER_MSG "Duplicate handler declared in the same block"
#define ER_SP_NOT_VAR_ARG_MSG "OUT or INOUT argument %d for routine %s is not a variable or NEW pseudo-variable in BEFORE trigger"
#define ER_SP_NO_RETSET_MSG "Not allowed to return a result set from a %s"
#define ER_CANT_CREATE_GEOMETRY_OBJECT_MSG "Cannot get geometry object from data you send to the GEOMETRY field"
#define ER_BINLOG_UNSAFE_ROUTINE_MSG "This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"
#define ER_BINLOG_CREATE_ROUTINE_NEED_SUPER_MSG "You do not have the SUPER privilege and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"
#define ER_STMT_HAS_NO_OPEN_CURSOR_MSG "The statement (%lu) has no open cursor."
#define ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG_MSG "Explicit or implicit commit is not allowed in stored function or trigger."
#define ER_NO_DEFAULT_FOR_VIEW_FIELD_MSG "Field of view \'%-.192s.%-.192s\' underlying table doesn\'t have a default value"
#define ER_SP_NO_RECURSION_MSG "Recursive stored functions and triggers are not allowed."
#define ER_TOO_BIG_SCALE_MSG "Too big scale %d specified for column \'%-.192s\'. Maximum is %lu."
#define ER_TOO_BIG_PRECISION_MSG "Too-big precision %d specified for \'%-.192s\'. Maximum is %lu."
#define ER_M_BIGGER_THAN_D_MSG "For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column \'%-.192s\')."
#define ER_WRONG_LOCK_OF_SYSTEM_TABLE_MSG "You can\'t combine write-locking of system tables with other tables or lock types"
#define ER_CONNECT_TO_FOREIGN_DATA_SOURCE_MSG "Unable to connect to foreign data source: %.64s"
#define ER_QUERY_ON_FOREIGN_DATA_SOURCE_MSG "There was a problem processing the query on the foreign data source. Data source error: %-.64s"
#define ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST_MSG "The foreign data source you are trying to reference does not exist. Data source error:  %-.64s"
#define ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE_MSG "Can\'t create federated table. The data source connection string \'%-.64s\' is not in the correct format"
#define ER_FOREIGN_DATA_STRING_INVALID_MSG "The data source connection string \'%-.64s\' is not in the correct format"
#define ER_TRG_IN_WRONG_SCHEMA_MSG "Trigger in wrong schema"
#define ER_STACK_OVERRUN_NEED_MORE_MSG "Thread stack overrun:  %ld bytes used of a %ld byte stack, and %ld bytes needed.  Use \'mysqld --thread_stack=#\' to specify a bigger stack."
#define ER_TOO_LONG_BODY_MSG "Routine body for \'%-.100s\' is too long"
#define ER_WARN_CANT_DROP_DEFAULT_KEYCACHE_MSG "Cannot drop default keycache"
#define ER_TOO_BIG_DISPLAYWIDTH_MSG "Display width out of range for column \'%-.192s\' (max = %lu)"
#define ER_XAER_DUPID_MSG "XAER_DUPID: The XID already exists"
#define ER_DATETIME_FUNCTION_OVERFLOW_MSG "Datetime function: %-.32s field overflow"
#define ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG_MSG "Can\'t update table \'%-.192s\' in stored function/trigger because it is already used by statement which invoked this stored function/trigger."
#define ER_VIEW_PREVENT_UPDATE_MSG "The definition of table \'%-.192s\' prevents operation %.192s on table \'%-.192s\'."
#define ER_PS_NO_RECURSION_MSG "The prepared statement contains a stored routine call that refers to that same statement. It\'s not allowed to execute a prepared statement in such a recursive manner"
#define ER_SP_CANT_SET_AUTOCOMMIT_MSG "Not allowed to set autocommit from a stored function or trigger"
#define ER_VIEW_FRM_NO_USER_MSG "View \'%-.192s\'.\'%-.192s\' has no definer information (old table format). Current user is used as definer. Please recreate the view!"
#define ER_VIEW_OTHER_USER_MSG "You need the SUPER privilege for creation view with \'%-.192s\'@\'%-.192s\' definer"
#define ER_NO_SUCH_USER_MSG "The user specified as a definer (\'%-.64s\'@\'%-.64s\') does not exist"
#define ER_FORBID_SCHEMA_CHANGE_MSG "Changing schema from \'%-.192s\' to \'%-.192s\' is not allowed."
#define ER_ROW_IS_REFERENCED_2_MSG "Cannot delete or update a parent row: a foreign key constraint fails (%.192s)"
#define ER_NO_REFERENCED_ROW_2_MSG "Cannot add or update a child row: a foreign key constraint fails (%.192s)"
#define ER_SP_BAD_VAR_SHADOW_MSG "Variable \'%-.64s\' must be quoted with `...`, or renamed"
#define ER_TRG_NO_DEFINER_MSG "No definer attribute for trigger \'%-.192s\'.\'%-.192s\'. It\'s disallowed to create trigger without definer."
#define ER_OLD_FILE_FORMAT_MSG "\'%-.192s\' has an old format, you should re-create the \'%s\' object(s)"
#define ER_SP_RECURSION_LIMIT_MSG "Recursive limit %d (as set by the max_sp_recursion_depth variable) was exceeded for routine %.192s"
#define ER_SP_WRONG_NAME_MSG "Incorrect routine name \'%-.192s\'"
#define ER_TABLE_NEEDS_UPGRADE_MSG "Table upgrade required. Please do \"REPAIR TABLE `%-.64s`\" or dump/reload to fix it!"
#define ER_SP_NO_AGGREGATE_MSG "AGGREGATE is not supported for stored functions"
#define ER_MAX_PREPARED_STMT_COUNT_REACHED_MSG "Can\'t create more than max_prepared_stmt_count statements (current value: %lu)"
#define ER_VIEW_RECURSIVE_MSG "`%-.192s`.`%-.192s` contains view recursion"
#define ER_NON_GROUPING_FIELD_USED_MSG "Non-grouping field \'%-.192s\' is used in %-.64s clause"
#define ER_TABLE_CANT_HANDLE_SPKEYS_MSG "The used table type doesn\'t support SPATIAL indexes"
#define ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA_MSG "Triggers can not be created on system tables"
#define ER_REMOVED_SPACES_MSG "Leading spaces are removed from name \'%s\'"
#define ER_AUTOINC_READ_FAILED_MSG "Failed to read auto-increment value from storage engine"
#define ER_USERNAME_MSG "user name"
#define ER_HOSTNAME_MSG "host name"
#define ER_WRONG_STRING_LENGTH_MSG "String \'%-.70s\' is too long for %s (should be no longer than %d)"
#define ER_NON_INSERTABLE_TABLE_MSG "The target table %-.100s of the %s is not insertable-into"
#define ER_ADMIN_WRONG_MRG_TABLE_MSG "Table \'%-.64s\' is differently defined or of non-MyISAM type or doesn\'t exist"
#define ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT_MSG "Too high level of nesting for select"
#define ER_NAME_BECOMES_EMPTY_MSG "Name \'%-.64s\' has become \'\'"
#define ER_AMBIGUOUS_FIELD_TERM_MSG "First character of the FIELDS TERMINATED string is ambiguous; please use non-optional and non-empty FIELDS ENCLOSED BY"
#define ER_FOREIGN_SERVER_EXISTS_MSG "The foreign server, %s, you are trying to create already exists."
#define ER_FOREIGN_SERVER_DOESNT_EXIST_MSG "The foreign server name you are trying to reference does not exist. Data source error:  %-.64s"
#define ER_ILLEGAL_HA_CREATE_OPTION_MSG "Table storage engine \'%-.64s\' does not support the create option \'%.64s\'"
#define ER_PARTITION_REQUIRES_VALUES_ERROR_MSG "Syntax error: %-.64s PARTITIONING requires definition of VALUES %-.64s for each partition"
#define ER_PARTITION_WRONG_VALUES_ERROR_MSG "Only %-.64s PARTITIONING can use VALUES %-.64s in partition definition"
#define ER_PARTITION_MAXVALUE_ERROR_MSG "MAXVALUE can only be used in last partition definition"
#define ER_PARTITION_WRONG_NO_PART_ERROR_MSG "Wrong number of partitions defined, mismatch with previous setting"
#define ER_PARTITION_WRONG_NO_SUBPART_ERROR_MSG "Wrong number of subpartitions defined, mismatch with previous setting"
#define ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR_MSG "Constant, random or timezone-dependent expressions in (sub)partitioning function are not allowed"
#define ER_FIELD_NOT_FOUND_PART_ERROR_MSG "Field in list of fields for partition function not found in table"
#define ER_INCONSISTENT_PARTITION_INFO_ERROR_MSG "The partition info in the frm file is not consistent with what can be written into the frm file"
#define ER_PARTITION_FUNC_NOT_ALLOWED_ERROR_MSG "The %-.192s function returns the wrong type"
#define ER_PARTITIONS_MUST_BE_DEFINED_ERROR_MSG "For %-.64s partitions each partition must be defined"
#define ER_RANGE_NOT_INCREASING_ERROR_MSG "VALUES LESS THAN value must be strictly increasing for each partition"
#define ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR_MSG "VALUES value must be of same type as partition function"
#define ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR_MSG "Multiple definition of same constant in list partitioning"
#define ER_PARTITION_ENTRY_ERROR_MSG "Partitioning can not be used stand-alone in query"
#define ER_MIX_HANDLER_ERROR_MSG "The mix of handlers in the partitions is not allowed in this version of MySQL"
#define ER_PARTITION_NOT_DEFINED_ERROR_MSG "For the partitioned engine it is necessary to define all %-.64s"
#define ER_TOO_MANY_PARTITIONS_ERROR_MSG "Too many partitions (including subpartitions) were defined"
#define ER_SUBPARTITION_ERROR_MSG "It is only possible to mix RANGE/LIST partitioning with HASH/KEY partitioning for subpartitioning"
#define ER_CANT_CREATE_HANDLER_FILE_MSG "Failed to create specific handler file"
#define ER_BLOB_FIELD_IN_PART_FUNC_ERROR_MSG "A BLOB field is not allowed in partition function"
#define ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF_MSG "A %-.192s must include all columns in the table\'s partitioning function (prefixed columns are not considered)."
#define ER_NO_PARTS_ERROR_MSG "Number of %-.64s = 0 is not an allowed value"
#define ER_PARTITION_MGMT_ON_NONPARTITIONED_MSG "Partition management on a not partitioned table is not possible"
#define ER_FOREIGN_KEY_ON_PARTITIONED_MSG "Foreign keys are not yet supported in conjunction with partitioning"
#define ER_DROP_PARTITION_NON_EXISTENT_MSG "Error in list of partitions to %-.64s"
#define ER_DROP_LAST_PARTITION_MSG "Cannot remove all partitions, use DROP TABLE instead"
#define ER_COALESCE_ONLY_ON_HASH_PARTITION_MSG "COALESCE PARTITION can only be used on HASH/KEY partitions"
#define ER_REORG_HASH_ONLY_ON_SAME_NO_MSG "REORGANIZE PARTITION can only be used to reorganize partitions not to change their numbers"
#define ER_REORG_NO_PARAM_ERROR_MSG "REORGANIZE PARTITION without parameters can only be used on auto-partitioned tables using HASH PARTITIONs"
#define ER_ONLY_ON_RANGE_LIST_PARTITION_MSG "%-.64s PARTITION can only be used on RANGE/LIST partitions"
#define ER_ADD_PARTITION_SUBPART_ERROR_MSG "Trying to Add partition(s) with wrong number of subpartitions"
#define ER_ADD_PARTITION_NO_NEW_PARTITION_MSG "At least one partition must be added"
#define ER_COALESCE_PARTITION_NO_PARTITION_MSG "At least one partition must be coalesced"
#define ER_REORG_PARTITION_NOT_EXIST_MSG "More partitions to reorganize than there are partitions"
#define ER_SAME_NAME_PARTITION_MSG "Duplicate partition name %-.192s"
#define ER_NO_BINLOG_ERROR_MSG "It is not allowed to shut off binlog on this command"
#define ER_CONSECUTIVE_REORG_PARTITIONS_MSG "When reorganizing a set of partitions they must be in consecutive order"
#define ER_REORG_OUTSIDE_RANGE_MSG "Reorganize of range partitions cannot change total ranges except for last partition where it can extend the range"
#define ER_PARTITION_FUNCTION_FAILURE_MSG "Partition function not supported in this version for this handler"
#define ER_LIMITED_PART_RANGE_MSG "The %-.64s handler only supports 32 bit integers in VALUES"
#define ER_PLUGIN_IS_NOT_LOADED_MSG "Plugin \'%-.192s\' is not loaded"
#define ER_WRONG_VALUE_MSG "Incorrect %-.32s value: \'%-.128s\'"
#define ER_NO_PARTITION_FOR_GIVEN_VALUE_MSG "Table has no partition for value %-.64s"
#define ER_FILEGROUP_OPTION_ONLY_ONCE_MSG "It is not allowed to specify %s more than once"
#define ER_CREATE_FILEGROUP_FAILED_MSG "Failed to create %s"
#define ER_DROP_FILEGROUP_FAILED_MSG "Failed to drop %s"
#define ER_TABLESPACE_AUTO_EXTEND_ERROR_MSG "The handler doesn\'t support autoextend of tablespaces"
#define ER_WRONG_SIZE_NUMBER_MSG "A size parameter was incorrectly specified, either number or on the form 10M"
#define ER_SIZE_OVERFLOW_ERROR_MSG "The size number was correct but we don\'t allow the digit part to be more than 2 billion"
#define ER_ALTER_FILEGROUP_FAILED_MSG "Failed to alter: %s"
#define ER_BINLOG_ROW_LOGGING_FAILED_MSG "Writing one row to the row-based binary log failed"
#define ER_EVENT_ALREADY_EXISTS_MSG "Event \'%-.192s\' already exists"
#define ER_EVENT_DOES_NOT_EXIST_MSG "Unknown event \'%-.192s\'"
#define ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG_MSG "INTERVAL is either not positive or too big"
#define ER_EVENT_ENDS_BEFORE_STARTS_MSG "ENDS is either invalid or before STARTS"
#define ER_EVENT_EXEC_TIME_IN_THE_PAST_MSG "Event execution time is in the past. Event has been disabled"
#define ER_EVENT_SAME_NAME_MSG "Same old and new event name"
#define ER_DROP_INDEX_FK_MSG "Cannot drop index \'%-.192s\': needed in a foreign key constraint"
#define ER_WARN_DEPRECATED_SYNTAX_WITH_VER_MSG "The syntax \'%s\' is deprecated and will be removed in MySQL %s. Please use %s instead"
#define ER_CANT_LOCK_LOG_TABLE_MSG "You can\'t use locks with log tables."
#define ER_FOREIGN_DUPLICATE_KEY_OLD_UNUSED_MSG "Upholding foreign key constraints for table \'%.192s\', entry \'%-.192s\', key %d would lead to a duplicate entry"
#define ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_MSG "The column count of mysql.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please perform the MySQL upgrade procedure."
#define ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT_MSG "Cannot change the binary logging format inside a stored function or trigger"
#define ER_PARTITION_NO_TEMPORARY_MSG "Cannot create temporary table with partitions"
#define ER_PARTITION_CONST_DOMAIN_ERROR_MSG "Partition constant is out of partition function domain"
#define ER_PARTITION_FUNCTION_IS_NOT_ALLOWED_MSG "This partition function is not allowed"
#define ER_NULL_IN_VALUES_LESS_THAN_MSG "Not allowed to use NULL value in VALUES LESS THAN"
#define ER_WRONG_PARTITION_NAME_MSG "Incorrect partition name"
#define ER_CANT_CHANGE_TX_CHARACTERISTICS_MSG "Transaction characteristics can\'t be changed while a transaction is in progress"
#define ER_DUP_ENTRY_AUTOINCREMENT_CASE_MSG "ALTER TABLE causes auto_increment resequencing, resulting in duplicate entry \'%-.192s\' for key \'%-.192s\'"
#define ER_EVENT_SET_VAR_ERROR_MSG "Error during starting/stopping of the scheduler. Error code %u"
#define ER_PARTITION_MERGE_ERROR_MSG "Engine cannot be used in partitioned tables"
#define ER_BASE64_DECODE_ERROR_MSG "Decoding of base64 string failed"
#define ER_EVENT_RECURSION_FORBIDDEN_MSG "Recursion of EVENT DDL statements is forbidden when body is present"
#define ER_ONLY_INTEGERS_ALLOWED_MSG "Only integers allowed as number here"
#define ER_UNSUPORTED_LOG_ENGINE_MSG "This storage engine cannot be used for log tables"
#define ER_BAD_LOG_STATEMENT_MSG "You cannot \'%s\' a log table if logging is enabled"
#define ER_CANT_RENAME_LOG_TABLE_MSG "Cannot rename \'%s\'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to \'%s\'"
#define ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT_MSG "Incorrect parameter count in the call to native function \'%-.192s\'"
#define ER_WRONG_PARAMETERS_TO_NATIVE_FCT_MSG "Incorrect parameters in the call to native function \'%-.192s\'"
#define ER_WRONG_PARAMETERS_TO_STORED_FCT_MSG "Incorrect parameters in the call to stored function %-.192s"
#define ER_NATIVE_FCT_NAME_COLLISION_MSG "This function \'%-.192s\' has the same name as a native function"
#define ER_DUP_ENTRY_WITH_KEY_NAME_MSG "Duplicate entry \'%-.64s\' for key \'%-.385s\'"
#define ER_BINLOG_PURGE_EMFILE_MSG "Too many files opened, please execute the command again"
#define ER_EVENT_CANNOT_CREATE_IN_THE_PAST_MSG "Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."
#define ER_EVENT_CANNOT_ALTER_IN_THE_PAST_MSG "Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was not changed. Specify a time in the future."
#define ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT_MSG "Table has no partition for some existing values"
#define ER_BINLOG_UNSAFE_STATEMENT_MSG "Unsafe statement written to the binary log using statement format since BINLOG_FORMAT = STATEMENT. %s"
#define ER_BINLOG_FATAL_ERROR_MSG "Fatal error: %s"
#define ER_BINLOG_LOGGING_IMPOSSIBLE_MSG "Binary logging not possible. Message: %s"
#define ER_VIEW_NO_CREATION_CTX_MSG "View `%-.64s`.`%-.64s` has no creation context"
#define ER_VIEW_INVALID_CREATION_CTX_MSG "Creation context of view `%-.64s`.`%-.64s\' is invalid"
#define ER_TRG_CORRUPTED_FILE_MSG "Corrupted TRG file for table `%-.64s`.`%-.64s`"
#define ER_TRG_NO_CREATION_CTX_MSG "Triggers for table `%-.64s`.`%-.64s` have no creation context"
#define ER_TRG_INVALID_CREATION_CTX_MSG "Trigger creation context of table `%-.64s`.`%-.64s` is invalid"
#define ER_EVENT_INVALID_CREATION_CTX_MSG "Creation context of event `%-.64s`.`%-.64s` is invalid"
#define ER_TRG_CANT_OPEN_TABLE_MSG "Cannot open table for trigger `%-.64s`.`%-.64s`"
#define ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT_MSG "The BINLOG statement of type `%s` was not preceded by a format description BINLOG statement."
#define ER_SLAVE_CORRUPT_EVENT_MSG "Corrupted replication event was detected"
#define ER_LOG_PURGE_NO_FILE_MSG "Being purged log %s was not found"
#define ER_XA_RBTIMEOUT_MSG "XA_RBTIMEOUT: Transaction branch was rolled back: took too long"
#define ER_XA_RBDEADLOCK_MSG "XA_RBDEADLOCK: Transaction branch was rolled back: deadlock was detected"
#define ER_NEED_REPREPARE_MSG "Prepared statement needs to be re-prepared"
#define WARN_NO_MASTER_INFO_MSG "The master info structure does not exist"
#define WARN_OPTION_IGNORED_MSG "<%-.64s> option ignored"
#define ER_PLUGIN_DELETE_BUILTIN_MSG "Built-in plugins cannot be deleted"
#define WARN_PLUGIN_BUSY_MSG "Plugin is busy and will be uninstalled on shutdown"
#define ER_VARIABLE_IS_READONLY_MSG "%s variable \'%s\' is read-only. Use SET %s to assign the value"
#define ER_WARN_ENGINE_TRANSACTION_ROLLBACK_MSG "Storage engine %s does not support rollback for this statement. Transaction rolled back and must be restarted"
#define ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MSG "The requested value for the heartbeat period is either negative or exceeds the maximum allowed (%s seconds)."
#define ER_NDB_REPLICATION_SCHEMA_ERROR_MSG "Bad schema for mysql.ndb_replication table. Message: %-.64s"
#define ER_CONFLICT_FN_PARSE_ERROR_MSG "Error in parsing conflict function. Message: %-.64s"
#define ER_EXCEPTIONS_WRITE_ERROR_MSG "Write to exceptions table failed. Message: %-.128s"
#define ER_TOO_LONG_TABLE_COMMENT_MSG "Comment for table \'%-.64s\' is too long (max = %lu)"
#define ER_TOO_LONG_FIELD_COMMENT_MSG "Comment for field \'%-.64s\' is too long (max = %lu)"
#define ER_FUNC_INEXISTENT_NAME_COLLISION_MSG "FUNCTION %s does not exist. Check the \'Function Name Parsing and Resolution\' section in the Reference Manual"
#define ER_DATABASE_NAME_MSG "Database"
#define ER_TABLE_NAME_MSG "Table"
#define ER_PARTITION_NAME_MSG "Partition"
#define ER_SUBPARTITION_NAME_MSG "Subpartition"
#define ER_TEMPORARY_NAME_MSG "Temporary"
#define ER_RENAMED_NAME_MSG "Renamed"
#define ER_TOO_MANY_CONCURRENT_TRXS_MSG "Too many active concurrent transactions"
#define WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED_MSG "Non-ASCII separator arguments are not fully supported"
#define ER_DEBUG_SYNC_TIMEOUT_MSG "debug sync point wait timed out"
#define ER_DEBUG_SYNC_HIT_LIMIT_MSG "debug sync point hit limit reached"
#define ER_DUP_SIGNAL_SET_MSG "Duplicate condition information item \'%s\'"
#define ER_SIGNAL_WARN_MSG "Unhandled user-defined warning condition"
#define ER_SIGNAL_NOT_FOUND_MSG "Unhandled user-defined not found condition"
#define ER_SIGNAL_EXCEPTION_MSG "Unhandled user-defined exception condition"
#define ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER_MSG "RESIGNAL when handler not active"
#define ER_SIGNAL_BAD_CONDITION_TYPE_MSG "SIGNAL/RESIGNAL can only use a CONDITION defined with SQLSTATE"
#define WARN_COND_ITEM_TRUNCATED_MSG "Data truncated for condition item \'%s\'"
#define ER_COND_ITEM_TOO_LONG_MSG "Data too long for condition item \'%s\'"
#define ER_UNKNOWN_LOCALE_MSG "Unknown locale: \'%-.64s\'"
#define ER_SLAVE_IGNORE_SERVER_IDS_MSG "The requested server id %d clashes with the slave startup option --replicate-same-server-id"
#define ER_SAME_NAME_PARTITION_FIELD_MSG "Duplicate partition field name \'%-.192s\'"
#define ER_PARTITION_COLUMN_LIST_ERROR_MSG "Inconsistency in usage of column lists for partitioning"
#define ER_WRONG_TYPE_COLUMN_VALUE_ERROR_MSG "Partition column values of incorrect type"
#define ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR_MSG "Too many fields in \'%-.192s\'"
#define ER_MAXVALUE_IN_VALUES_IN_MSG "Cannot use MAXVALUE as value in VALUES IN"
#define ER_TOO_MANY_VALUES_ERROR_MSG "Cannot have more than one value for this type of %-.64s partitioning"
#define ER_ROW_SINGLE_PARTITION_FIELD_ERROR_MSG "Row expressions in VALUES IN only allowed for multi-field column partitioning"
#define ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD_MSG "Field \'%-.192s\' is of a not allowed type for this type of partitioning"
#define ER_PARTITION_FIELDS_TOO_LONG_MSG "The total length of the partitioning fields is too large"
#define ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since both row-incapable engines and statement-incapable engines are involved."
#define ER_BINLOG_ROW_MODE_AND_STMT_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since BINLOG_FORMAT = ROW and at least one table uses a storage engine limited to statement-based logging."
#define ER_BINLOG_UNSAFE_AND_STMT_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since statement is unsafe, storage engine is limited to statement-based logging, and BINLOG_FORMAT = MIXED. %s"
#define ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since statement is in row format and at least one table uses a storage engine limited to statement-based logging."
#define ER_BINLOG_STMT_MODE_AND_ROW_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since BINLOG_FORMAT = STATEMENT and at least one table uses a storage engine limited to row-based logging.%s"
#define ER_BINLOG_ROW_INJECTION_AND_STMT_MODE_MSG "Cannot execute statement: impossible to write to binary log since statement is in row format and BINLOG_FORMAT = STATEMENT."
#define ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE_MSG "Cannot execute statement: impossible to write to binary log since more than one engine is involved and at least one engine is self-logging."
#define ER_BINLOG_UNSAFE_LIMIT_MSG "The statement is unsafe because it uses a LIMIT clause. This is unsafe because the set of rows included cannot be predicted."
#define ER_BINLOG_UNSAFE_SYSTEM_TABLE_MSG "The statement is unsafe because it uses the general log, slow query log, or performance_schema table(s). This is unsafe because system tables may differ on slaves."
#define ER_BINLOG_UNSAFE_AUTOINC_COLUMNS_MSG "Statement is unsafe because it invokes a trigger or a stored function that inserts into an AUTO_INCREMENT column. Inserted values cannot be logged correctly."
#define ER_BINLOG_UNSAFE_UDF_MSG "Statement is unsafe because it uses a UDF which may not return the same value on the slave."
#define ER_BINLOG_UNSAFE_SYSTEM_VARIABLE_MSG "Statement is unsafe because it uses a system variable that may have a different value on the slave."
#define ER_BINLOG_UNSAFE_SYSTEM_FUNCTION_MSG "Statement is unsafe because it uses a system function that may return a different value on the slave."
#define ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS_MSG "Statement is unsafe because it accesses a non-transactional table after accessing a transactional table within the same transaction."
#define ER_MESSAGE_AND_STATEMENT_MSG "%s Statement: %s"
#define ER_SLAVE_CANT_CREATE_CONVERSION_MSG "Can\'t create conversion table for table \'%-.192s.%-.192s\'"
#define ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT_MSG "Cannot modify @@session.binlog_format inside a transaction"
#define ER_PATH_LENGTH_MSG "The path specified for %.64s is too long."
#define ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT_MSG "\'%s\' is deprecated and will be removed in a future release."
#define ER_WRONG_NATIVE_TABLE_STRUCTURE_MSG "Native table \'%-.64s\'.\'%-.64s\' has the wrong structure"
#define ER_WRONG_PERFSCHEMA_USAGE_MSG "Invalid performance_schema usage."
#define ER_WARN_I_S_SKIPPED_TABLE_MSG "Table \'%s\'.\'%s\' was skipped since its definition is being modified by concurrent DDL statement"
#define ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT_MSG "Cannot modify @@session.binlog_direct_non_transactional_updates inside a transaction"
#define ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT_MSG "Cannot change the binlog direct flag inside a stored function or trigger"
#define ER_SPATIAL_MUST_HAVE_GEOM_COL_MSG "A SPATIAL index may only contain a geometrical type column"
#define ER_TOO_LONG_INDEX_COMMENT_MSG "Comment for index \'%-.64s\' is too long (max = %lu)"
#define ER_LOCK_ABORTED_MSG "Wait on a lock was aborted due to a pending exclusive lock"
#define ER_DATA_OUT_OF_RANGE_MSG "%s value is out of range in \'%s\'"
#define ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE_MSG "Mixing self-logging and non-self-logging engines in a statement is unsafe."
#define ER_BINLOG_UNSAFE_MIXED_STATEMENT_MSG "Statement accesses nontransactional table as well as transactional or temporary table, and writes to any of them."
#define ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN_MSG "Cannot modify @@session.sql_log_bin inside a transaction"
#define ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN_MSG "Cannot change the sql_log_bin inside a stored function or trigger"
#define ER_FAILED_READ_FROM_PAR_FILE_MSG "Failed to read from the .par file"
#define ER_VALUES_IS_NOT_INT_TYPE_ERROR_MSG "VALUES value for partition \'%-.64s\' must have type INT"
#define ER_ACCESS_DENIED_NO_PASSWORD_ERROR_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'"
#define ER_SET_PASSWORD_AUTH_PLUGIN_MSG "SET PASSWORD has no significance for users authenticating via plugins"
#define ER_TRUNCATE_ILLEGAL_FK_MSG "Cannot truncate a table referenced in a foreign key constraint (%.192s)"
#define ER_PLUGIN_IS_PERMANENT_MSG "Plugin \'%s\' is force_plus_permanent and can not be unloaded"
#define ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN_MSG "The requested value for the heartbeat period is less than 1 millisecond. The value is reset to 0, meaning that heartbeating will effectively be disabled."
#define ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX_MSG "The requested value for the heartbeat period exceeds the value of `replica_net_timeout\' seconds. A sensible value for the period should be less than the timeout."
#define ER_STMT_CACHE_FULL_MSG "Multi-row statements required more than \'max_binlog_stmt_cache_size\' bytes of storage; increase this mysqld variable and try again"
#define ER_MULTI_UPDATE_KEY_CONFLICT_MSG "Primary key/partition key update is not allowed since the table is updated both as \'%-.192s\' and \'%-.192s\'."
#define ER_TABLE_NEEDS_REBUILD_MSG "Table rebuild required. Please do \"ALTER TABLE `%-.64s` FORCE\" or dump/reload to fix it!"
#define WARN_OPTION_BELOW_LIMIT_MSG "The value of \'%s\' should be no less than the value of \'%s\'"
#define ER_INDEX_COLUMN_TOO_LONG_MSG "Index column size too large. The maximum column size is %lu bytes."
#define ER_ERROR_IN_TRIGGER_BODY_MSG "Trigger \'%-.64s\' has an error in its body: \'%-.256s\'"
#define ER_ERROR_IN_UNKNOWN_TRIGGER_BODY_MSG "Unknown trigger has an error in its body: \'%-.256s\'"
#define ER_INDEX_CORRUPT_MSG "Index %s is corrupted"
#define ER_UNDO_RECORD_TOO_BIG_MSG "Undo log record is too big."
#define ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT_MSG "INSERT IGNORE... SELECT is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are ignored. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE_MSG "INSERT... SELECT... ON DUPLICATE KEY UPDATE is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are updated. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_REPLACE_SELECT_MSG "REPLACE... SELECT is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are replaced. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT_MSG "CREATE... IGNORE SELECT is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are ignored. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT_MSG "CREATE... REPLACE SELECT is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are replaced. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_UPDATE_IGNORE_MSG "UPDATE IGNORE is unsafe because the order in which rows are updated determines which (if any) rows are ignored. This order cannot be predicted and may differ on master and the slave."
#define ER_PLUGIN_NO_UNINSTALL_MSG "Plugin \'%s\' is marked as not dynamically uninstallable. You have to stop the server to uninstall it."
#define ER_PLUGIN_NO_INSTALL_MSG "Plugin \'%s\' is marked as not dynamically installable. You have to stop the server to install it."
#define ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT_MSG "Statements writing to a table with an auto-increment column after selecting from another table are unsafe because the order in which rows are retrieved determines what (if any) rows will be written. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC_MSG "CREATE TABLE... SELECT...  on a table with an auto-increment column is unsafe because the order in which rows are retrieved by the SELECT determines which (if any) rows are inserted. This order cannot be predicted and may differ on master and the slave."
#define ER_BINLOG_UNSAFE_INSERT_TWO_KEYS_MSG "INSERT... ON DUPLICATE KEY UPDATE  on a table with more than one UNIQUE KEY is unsafe"
#define ER_TABLE_IN_FK_CHECK_MSG "Table is being used in foreign key check."
#define ER_UNSUPPORTED_ENGINE_MSG "Storage engine \'%s\' does not support system tables. [%s.%s]"
#define ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST_MSG "INSERT into autoincrement field which is not the first part in the composed primary key is unsafe."
#define ER_CANNOT_LOAD_FROM_TABLE_V2_MSG "Cannot load from %s.%s. The table is probably corrupted"
#define ER_MASTER_DELAY_VALUE_OUT_OF_RANGE_MSG "The requested value %s for the master delay exceeds the maximum %u"
#define ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT_MSG "Only Format_description_log_event and row events are allowed in BINLOG statements (but %s was provided)"
#define ER_PARTITION_EXCHANGE_DIFFERENT_OPTION_MSG "Non matching attribute \'%-.64s\' between partition and table"
#define ER_PARTITION_EXCHANGE_PART_TABLE_MSG "Table to exchange with partition is partitioned: \'%-.64s\'"
#define ER_PARTITION_EXCHANGE_TEMP_TABLE_MSG "Table to exchange with partition is temporary: \'%-.64s\'"
#define ER_PARTITION_INSTEAD_OF_SUBPARTITION_MSG "Subpartitioned table, use subpartition instead of partition"
#define ER_UNKNOWN_PARTITION_MSG "Unknown partition \'%-.64s\' in table \'%-.64s\'"
#define ER_TABLES_DIFFERENT_METADATA_MSG "Tables have different definitions"
#define ER_ROW_DOES_NOT_MATCH_PARTITION_MSG "Found a row that does not match the partition"
#define ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX_MSG "Option binlog_cache_size (%lu) is greater than max_binlog_cache_size (%lu); setting binlog_cache_size equal to max_binlog_cache_size."
#define ER_WARN_INDEX_NOT_APPLICABLE_MSG "Cannot use %-.64s access on index \'%-.64s\' due to type or collation conversion on field \'%-.64s\'"
#define ER_PARTITION_EXCHANGE_FOREIGN_KEY_MSG "Table to exchange with partition has foreign key references: \'%-.64s\'"
#define ER_RPL_INFO_DATA_TOO_LONG_MSG "Data for column \'%s\' too long"
#define ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX_MSG "Option binlog_stmt_cache_size (%lu) is greater than max_binlog_stmt_cache_size (%lu); setting binlog_stmt_cache_size equal to max_binlog_stmt_cache_size."
#define ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT_MSG "Can\'t update table \'%-.192s\' while \'%-.192s\' is being created."
#define ER_PARTITION_CLAUSE_ON_NONPARTITIONED_MSG "PARTITION () clause on non partitioned table"
#define ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET_MSG "Found a row not matching the given partition set"
#define ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE_MSG "Failure while changing the type of replication repository: %s."
#define ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE_MSG "The creation of some temporary tables could not be rolled back."
#define ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE_MSG "Some temporary tables were dropped, but these operations could not be rolled back."
#define ER_MTS_FEATURE_IS_NOT_SUPPORTED_MSG "%s is not supported in multi-threaded slave mode. %s"
#define ER_MTS_UPDATED_DBS_GREATER_MAX_MSG "The number of modified databases exceeds the maximum %d; the database names will not be included in the replication event metadata."
#define ER_MTS_CANT_PARALLEL_MSG "Cannot execute the current event group in the parallel mode. Encountered event %s, relay-log name %s, position %s which prevents execution of this event group in parallel mode. Reason: %s."
#define ER_MTS_INCONSISTENT_DATA_MSG "%s"
#define ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING_MSG "FULLTEXT index is not supported for partitioned tables."
#define ER_DA_INVALID_CONDITION_NUMBER_MSG "Invalid condition number"
#define ER_INSECURE_PLAIN_TEXT_MSG "Sending passwords in plain text without SSL/TLS is extremely insecure."
#define ER_INSECURE_CHANGE_MASTER_MSG "Storing MySQL user name or password information in the master info repository is not secure and is therefore not recommended. Please consider using the USER and PASSWORD connection options for START SLAVE; see the \'START SLAVE Syntax\' in the MySQL Manual for more information."
#define ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO_MSG "Foreign key constraint for table \'%.192s\', record \'%-.192s\' would lead to a duplicate entry in table \'%.192s\', key \'%.192s\'"
#define ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO_MSG "Foreign key constraint for table \'%.192s\', record \'%-.192s\' would lead to a duplicate entry in a child table"
#define ER_SQLTHREAD_WITH_SECURE_SLAVE_MSG "Setting authentication options is not possible when only the Slave SQL Thread is being started."
#define ER_TABLE_HAS_NO_FT_MSG "The table does not have FULLTEXT index to support this query"
#define ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER_MSG "The system variable %.200s cannot be set in stored functions or triggers."
#define ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION_MSG "The system variable %.200s cannot be set when there is an ongoing transaction."
#define ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION_MSG "The statement \'SET %.200s\' cannot invoke a stored function."
#define ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL_MSG "The system variable @@SESSION.GTID_NEXT cannot be \'AUTOMATIC\' when @@SESSION.GTID_NEXT_LIST is non-NULL."
#define ER_MALFORMED_GTID_SET_SPECIFICATION_MSG "Malformed GTID set specification \'%.200s\'."
#define ER_MALFORMED_GTID_SET_ENCODING_MSG "Malformed GTID set encoding."
#define ER_MALFORMED_GTID_SPECIFICATION_MSG "Malformed GTID specification \'%.200s\'."
#define ER_GNO_EXHAUSTED_MSG "Impossible to generate GTID: the integer component reached the maximum value. Restart the server with a new server_uuid."
#define ER_BAD_SLAVE_AUTO_POSITION_MSG "Parameters MASTER_LOG_FILE, MASTER_LOG_POS, RELAY_LOG_FILE and RELAY_LOG_POS cannot be set when MASTER_AUTO_POSITION is active."
#define ER_AUTO_POSITION_REQUIRES_GTID_MODE_NOT_OFF_MSG "CHANGE MASTER TO MASTER_AUTO_POSITION = 1 cannot be executed because @@GLOBAL.GTID_MODE = OFF."
#define ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET_MSG "Cannot execute statements with implicit commit inside a transaction when @@SESSION.GTID_NEXT == \'UUID:NUMBER\'."
#define ER_GTID_MODE_ON_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON_MSG "GTID_MODE = ON requires ENFORCE_GTID_CONSISTENCY = ON."
#define ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF_MSG "@@SESSION.GTID_NEXT cannot be set to UUID:NUMBER when @@GLOBAL.GTID_MODE = OFF."
#define ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON_MSG "@@SESSION.GTID_NEXT cannot be set to ANONYMOUS when @@GLOBAL.GTID_MODE = ON."
#define ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF_MSG "@@SESSION.GTID_NEXT_LIST cannot be set to a non-NULL value when @@GLOBAL.GTID_MODE = OFF."
#define ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE_MSG "Statement violates GTID consistency: Updates to non-transactional tables can only be done in either autocommitted statements or single-statement transactions, and never in the same statement as updates to transactional tables."
#define ER_GTID_UNSAFE_CREATE_SELECT_MSG "Statement violates GTID consistency: CREATE TABLE ... SELECT."
#define ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME_MSG "The value of @@GLOBAL.GTID_MODE can only be changed one step at a time: OFF <-> OFF_PERMISSIVE <-> ON_PERMISSIVE <-> ON. Also note that this value must be stepped up or down simultaneously on all servers. See the Manual for instructions."
#define ER_MASTER_HAS_PURGED_REQUIRED_GTIDS_MSG "Cannot replicate because the master purged required binary logs. Replicate the missing transactions from elsewhere, or provision a new slave from backup. Consider increasing the master\'s binary log expiration period. %s"
#define ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID_MSG "@@SESSION.GTID_NEXT cannot be changed by a client that owns a GTID. The client owns %s. Ownership is released on COMMIT or ROLLBACK."
#define ER_UNKNOWN_EXPLAIN_FORMAT_MSG "Unknown EXPLAIN format name: \'%s\'"
#define ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION_MSG "Cannot execute statement in a READ ONLY transaction."
#define ER_TOO_LONG_TABLE_PARTITION_COMMENT_MSG "Comment for table partition \'%-.64s\' is too long (max = %lu)"
#define ER_SLAVE_CONFIGURATION_MSG "Slave is not configured or failed to initialize properly. You must at least set --server-id to enable either a master or a slave. Additional error messages can be found in the MySQL error log."
#define ER_INNODB_FT_LIMIT_MSG "InnoDB presently supports one FULLTEXT index creation at a time"
#define ER_INNODB_NO_FT_TEMP_TABLE_MSG "Cannot create FULLTEXT index on temporary InnoDB table"
#define ER_INNODB_FT_WRONG_DOCID_COLUMN_MSG "Column \'%-.192s\' is of wrong type for an InnoDB FULLTEXT index"
#define ER_INNODB_FT_WRONG_DOCID_INDEX_MSG "Index \'%-.192s\' is of wrong type for an InnoDB FULLTEXT index"
#define ER_INNODB_ONLINE_LOG_TOO_BIG_MSG "Creating index \'%-.192s\' required more than \'innodb_online_alter_log_max_size\' bytes of modification log. Please try again."
#define ER_UNKNOWN_ALTER_ALGORITHM_MSG "Unknown ALGORITHM \'%s\'"
#define ER_UNKNOWN_ALTER_LOCK_MSG "Unknown LOCK type \'%s\'"
#define ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS_MSG "CHANGE MASTER cannot be executed when the slave was stopped with an error or killed in MTS mode. Consider using RESET SLAVE or START SLAVE UNTIL."
#define ER_MTS_RECOVERY_FAILURE_MSG "Cannot recover after SLAVE errored out in parallel execution mode. Additional error messages can be found in the MySQL error log."
#define ER_MTS_RESET_WORKERS_MSG "Cannot clean up worker info tables. Additional error messages can be found in the MySQL error log."
#define ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2_MSG "Column count of %s.%s is wrong. Expected %d, found %d. The table is probably corrupted"
#define ER_SLAVE_SILENT_RETRY_TRANSACTION_MSG "Slave must silently retry current transaction"
#define ER_DISCARD_FK_CHECKS_RUNNING_MSG "There is a foreign key check running on table \'%-.192s\'. Cannot discard the table."
#define ER_TABLE_SCHEMA_MISMATCH_MSG "Schema mismatch (%s)"
#define ER_TABLE_IN_SYSTEM_TABLESPACE_MSG "Table \'%-.192s\' in system tablespace"
#define ER_IO_READ_ERROR_MSG "IO Read error: (%lu, %s) %s"
#define ER_IO_WRITE_ERROR_MSG "IO Write error: (%lu, %s) %s"
#define ER_TABLESPACE_MISSING_MSG "Tablespace is missing for table %s."
#define ER_TABLESPACE_EXISTS_MSG "Tablespace \'%-.192s\' exists."
#define ER_TABLESPACE_DISCARDED_MSG "Tablespace has been discarded for table \'%-.192s\'"
#define ER_INTERNAL_ERROR_MSG "Internal error: %s"
#define ER_INNODB_IMPORT_ERROR_MSG "ALTER TABLE %-.192s IMPORT TABLESPACE failed with error %lu : \'%s\'"
#define ER_INNODB_INDEX_CORRUPT_MSG "Index corrupt: %s"
#define ER_INVALID_YEAR_COLUMN_LENGTH_MSG "Invalid display width. Use YEAR instead."
#define ER_NOT_VALID_PASSWORD_MSG "Your password does not satisfy the current policy requirements"
#define ER_MUST_CHANGE_PASSWORD_MSG "You must reset your password using ALTER USER statement before executing this statement."
#define ER_FK_NO_INDEX_CHILD_MSG "Failed to add the foreign key constraint. Missing index for constraint \'%s\' in the foreign table \'%s\'"
#define ER_FK_NO_INDEX_PARENT_MSG "Failed to add the foreign key constraint. Missing index for constraint \'%s\' in the referenced table \'%s\'"
#define ER_FK_FAIL_ADD_SYSTEM_MSG "Failed to add the foreign key constraint \'%s\' to system tables"
#define ER_FK_CANNOT_OPEN_PARENT_MSG "Failed to open the referenced table \'%s\'"
#define ER_FK_INCORRECT_OPTION_MSG "Failed to add the foreign key constraint on table \'%s\'. Incorrect options in FOREIGN KEY constraint \'%s\'"
#define ER_FK_DUP_NAME_MSG "Duplicate foreign key constraint name \'%s\'"
#define ER_PASSWORD_FORMAT_MSG "The password hash doesn\'t have the expected format."
#define ER_FK_COLUMN_CANNOT_DROP_MSG "Cannot drop column \'%-.192s\': needed in a foreign key constraint \'%-.192s\'"
#define ER_FK_COLUMN_CANNOT_DROP_CHILD_MSG "Cannot drop column \'%-.192s\': needed in a foreign key constraint \'%-.192s\' of table \'%-.192s\'"
#define ER_FK_COLUMN_NOT_NULL_MSG "Column \'%-.192s\' cannot be NOT NULL: needed in a foreign key constraint \'%-.192s\' SET NULL"
#define ER_DUP_INDEX_MSG "Duplicate index \'%-.64s\' defined on the table \'%-.64s.%-.64s\'. This is deprecated and will be disallowed in a future release."
#define ER_FK_COLUMN_CANNOT_CHANGE_MSG "Cannot change column \'%-.192s\': used in a foreign key constraint \'%-.192s\'"
#define ER_FK_COLUMN_CANNOT_CHANGE_CHILD_MSG "Cannot change column \'%-.192s\': used in a foreign key constraint \'%-.192s\' of table \'%-.192s\'"
#define ER_MALFORMED_PACKET_MSG "Malformed communication packet."
#define ER_READ_ONLY_MODE_MSG "Running in read-only mode"
#define ER_GTID_NEXT_TYPE_UNDEFINED_GTID_MSG "When @@SESSION.GTID_NEXT is set to a GTID, you must explicitly set it to a different value after a COMMIT or ROLLBACK. Please check GTID_NEXT variable manual page for detailed explanation. Current @@SESSION.GTID_NEXT is \'%s\'."
#define ER_VARIABLE_NOT_SETTABLE_IN_SP_MSG "The system variable %.200s cannot be set in stored procedures."
#define ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY_MSG "@@GLOBAL.GTID_PURGED can only be set when @@GLOBAL.GTID_EXECUTED is empty."
#define ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY_MSG "@@GLOBAL.GTID_PURGED can only be set when there are no ongoing transactions (not even in other clients)."
#define ER_GTID_PURGED_WAS_CHANGED_MSG "@@GLOBAL.GTID_PURGED was changed from \'%s\' to \'%s\'."
#define ER_GTID_EXECUTED_WAS_CHANGED_MSG "@@GLOBAL.GTID_EXECUTED was changed from \'%s\' to \'%s\'."
#define ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES_MSG "Cannot execute statement: impossible to write to binary log since BINLOG_FORMAT = STATEMENT, and both replicated and non replicated tables are written to."
#define ER_ALTER_OPERATION_NOT_SUPPORTED_MSG "%s is not supported for this operation. Try %s."
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_MSG "%s is not supported. Reason: %s. Try %s."
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY_MSG "COPY algorithm requires a lock"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION_MSG "Partition specific operations do not yet support LOCK/ALGORITHM"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME_MSG "Columns participating in a foreign key are renamed"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE_MSG "Cannot change column type INPLACE"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK_MSG "Adding foreign keys needs foreign_key_checks=OFF"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK_MSG "Dropping a primary key is not allowed without also adding a new primary key"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC_MSG "Adding an auto-increment column requires a lock"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS_MSG "Cannot replace hidden FTS_DOC_ID with a user-visible one"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS_MSG "Cannot drop or rename FTS_DOC_ID"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS_MSG "Fulltext index creation requires a lock"
#define ER_DUP_UNKNOWN_IN_INDEX_MSG "Duplicate entry for key \'%-.192s\'"
#define ER_IDENT_CAUSES_TOO_LONG_PATH_MSG "Long database name and identifier for object resulted in path length exceeding %d characters. Path: \'%s\'."
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL_MSG "cannot silently convert NULL values, as required in this SQL_MODE"
#define ER_MUST_CHANGE_PASSWORD_LOGIN_MSG "Your password has expired. To log in you must change it using a client that supports expired passwords."
#define ER_ROW_IN_WRONG_PARTITION_MSG "Found a row in wrong partition %s"
#define ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX_MSG "Cannot schedule event %s, relay-log name %s, position %s to Worker thread because its size %lu exceeds %lu of replica_pending_jobs_size_max."
#define ER_BINLOG_LOGICAL_CORRUPTION_MSG "The binary log file \'%s\' is logically corrupted: %s"
#define ER_WARN_PURGE_LOG_IN_USE_MSG "file %s was not purged because it was being read by %d thread(s), purged only %d out of %d files."
#define ER_WARN_PURGE_LOG_IS_ACTIVE_MSG "file %s was not purged because it is the active log file."
#define ER_AUTO_INCREMENT_CONFLICT_MSG "Auto-increment value in UPDATE conflicts with internally generated values"
#define WARN_ON_BLOCKHOLE_IN_RBR_MSG "Row events are not logged for %s statements that modify BLACKHOLE tables in row format. Table(s): \'%-.192s\'"
#define ER_SLAVE_MI_INIT_REPOSITORY_MSG "Slave failed to initialize master info structure from the repository"
#define ER_SLAVE_RLI_INIT_REPOSITORY_MSG "Slave failed to initialize relay log info structure from the repository"
#define ER_ACCESS_DENIED_CHANGE_USER_ERROR_MSG "Access denied trying to change to user \'%-.48s\'@\'%-.64s\' (using password: %s). Disconnecting."
#define ER_INNODB_READ_ONLY_MSG "InnoDB is in read only mode."
#define ER_STOP_SLAVE_SQL_THREAD_TIMEOUT_MSG "STOP SLAVE command execution is incomplete: Slave SQL thread got the stop signal, thread is busy, SQL thread will stop once the current task is complete."
#define ER_STOP_SLAVE_IO_THREAD_TIMEOUT_MSG "STOP SLAVE command execution is incomplete: Slave IO thread got the stop signal, thread is busy, IO thread will stop once the current task is complete."
#define ER_TABLE_CORRUPT_MSG "Operation cannot be performed. The table \'%-.64s.%-.64s\' is missing, corrupt or contains bad data."
#define ER_TEMP_FILE_WRITE_FAILURE_MSG "Temporary file write failure."
#define ER_INNODB_FT_AUX_NOT_HEX_ID_MSG "Upgrade index name failed, please use create index(alter table) algorithm copy to rebuild index."
#define ER_OLD_TEMPORALS_UPGRADED_MSG "TIME/TIMESTAMP/DATETIME columns of old format have been upgraded to the new format."
#define ER_INNODB_FORCED_RECOVERY_MSG "Operation not allowed when innodb_force_recovery > 0."
#define ER_AES_INVALID_IV_MSG "The initialization vector supplied to %s is too short. Must be at least %d bytes long"
#define ER_PLUGIN_CANNOT_BE_UNINSTALLED_MSG "Plugin \'%s\' cannot be uninstalled now. %s"
#define ER_GTID_UNSAFE_BINLOG_SPLITTABLE_STATEMENT_AND_ASSIGNED_GTID_MSG "Cannot execute statement because it needs to be written to the binary log as multiple statements, and this is not allowed when @@SESSION.GTID_NEXT == \'UUID:NUMBER\'."
#define ER_SLAVE_HAS_MORE_GTIDS_THAN_MASTER_MSG "Slave has more GTIDs than the master has, using the master\'s SERVER_UUID. This may indicate that the end of the binary log was truncated or that the last binary log file was lost, e.g., after a power or disk failure when sync_binlog != 1. The master may or may not have rolled back transactions that were already replicated to the slave. Suggest to replicate any transactions that master has rolled back from slave to master, and/or commit empty transactions on master to account for transactions that have been committed on master but are not included in GTID_EXECUTED."
#define ER_MISSING_KEY_MSG "The table \'%s.%s\' does not have the necessary key(s) defined on it. Please check the table definition and create index(s) accordingly."
#define WARN_NAMED_PIPE_ACCESS_EVERYONE_MSG "Setting named_pipe_full_access_group=\'%s\' is insecure. Consider using a Windows group with fewer members."
#define ER_FILE_CORRUPT_MSG "File %s is corrupted"
#define ER_ERROR_ON_MASTER_MSG "Query partially completed on the master (error on master: %d) and was aborted. There is a chance that your master is inconsistent at this point. If you are sure that your master is ok, run this query manually on the slave and then restart the slave with SET GLOBAL SQL_REPLICA_SKIP_COUNTER=1; START SLAVE;. Query:\'%s\'"
#define ER_STORAGE_ENGINE_NOT_LOADED_MSG "Storage engine for table \'%s\'.\'%s\' is not loaded."
#define ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER_MSG "GET STACKED DIAGNOSTICS when handler not active"
#define ER_WARN_LEGACY_SYNTAX_CONVERTED_MSG "%s is no longer supported. The statement was converted to %s."
#define ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN_MSG "Statement is unsafe because it uses a fulltext parser plugin which may not return the same value on the slave."
#define ER_CANNOT_DISCARD_TEMPORARY_TABLE_MSG "Cannot DISCARD/IMPORT tablespace associated with temporary table"
#define ER_FK_DEPTH_EXCEEDED_MSG "Foreign key cascade delete/update exceeds max depth of %d."
#define ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2_MSG "The column count of %s.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please perform the MySQL upgrade procedure."
#define ER_WARN_TRIGGER_DOESNT_HAVE_CREATED_MSG "Trigger %s.%s.%s does not have CREATED attribute."
#define ER_REFERENCED_TRG_DOES_NOT_EXIST_MSG "Referenced trigger \'%s\' for the given action time and event type does not exist."
#define ER_EXPLAIN_NOT_SUPPORTED_MSG "EXPLAIN FOR CONNECTION command is supported only for SELECT/UPDATE/INSERT/DELETE/REPLACE"
#define ER_INVALID_FIELD_SIZE_MSG "Invalid size for column \'%-.192s\'."
#define ER_MISSING_HA_CREATE_OPTION_MSG "Table storage engine \'%-.64s\' found required create option missing"
#define ER_ENGINE_OUT_OF_MEMORY_MSG "Out of memory in storage engine \'%-.64s\'."
#define ER_PASSWORD_EXPIRE_ANONYMOUS_USER_MSG "The password for anonymous user cannot be expired."
#define ER_SLAVE_SQL_THREAD_MUST_STOP_MSG "This operation cannot be performed with a running slave sql thread; run STOP SLAVE SQL_THREAD first"
#define ER_NO_FT_MATERIALIZED_SUBQUERY_MSG "Cannot create FULLTEXT index on materialized subquery"
#define ER_INNODB_UNDO_LOG_FULL_MSG "Undo Log error: %s"
#define ER_INVALID_ARGUMENT_FOR_LOGARITHM_MSG "Invalid argument for logarithm"
#define ER_SLAVE_CHANNEL_IO_THREAD_MUST_STOP_MSG "This operation cannot be performed with a running slave io thread; run STOP SLAVE IO_THREAD FOR CHANNEL \'%s\' first."
#define ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO_MSG "This operation may not be safe when the slave has temporary tables. The tables will be kept open until the server restarts or until the tables are deleted by any replicated DROP statement. Suggest to wait until replica_open_temp_tables = 0."
#define ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS_MSG "CHANGE MASTER TO with a MASTER_LOG_FILE clause but no MASTER_LOG_POS clause may not be safe. The old position value may not be valid for the new binary log file."
#define ER_QUERY_TIMEOUT_MSG "Query execution was interrupted, maximum statement execution time exceeded"
#define ER_NON_RO_SELECT_DISABLE_TIMER_MSG "Select is not a read only statement, disabling timer"
#define ER_DUP_LIST_ENTRY_MSG "Duplicate entry \'%-.192s\'."
#define ER_AGGREGATE_ORDER_FOR_UNION_MSG "Expression #%u of ORDER BY contains aggregate function and applies to a UNION"
#define ER_AGGREGATE_ORDER_NON_AGG_QUERY_MSG "Expression #%u of ORDER BY contains aggregate function and applies to the result of a non-aggregated query"
#define ER_SLAVE_WORKER_STOPPED_PREVIOUS_THD_ERROR_MSG "Slave worker has stopped after at least one previous worker encountered an error when replica-preserve-commit-order was enabled. To preserve commit order, the last transaction executed by this thread has not been committed. When restarting the slave after fixing any failed threads, you should fix this worker as well."
#define ER_DONT_SUPPORT_REPLICA_PRESERVE_COMMIT_ORDER_MSG "replica_preserve_commit_order is not supported %s."
#define ER_SERVER_OFFLINE_MODE_MSG "The server is currently in offline mode"
#define ER_GIS_DIFFERENT_SRIDS_MSG "Binary geometry function %s given two geometries of different srids: %u and %u, which should have been identical."
#define ER_GIS_UNSUPPORTED_ARGUMENT_MSG "Calling geometry function %s with unsupported types of arguments."
#define ER_GIS_UNKNOWN_ERROR_MSG "Unknown GIS error occurred in function %s."
#define ER_GIS_UNKNOWN_EXCEPTION_MSG "Unknown exception caught in GIS function %s."
#define ER_GIS_INVALID_DATA_MSG "Invalid GIS data provided to function %s."
#define ER_BOOST_GEOMETRY_EMPTY_INPUT_EXCEPTION_MSG "The geometry has no data in function %s."
#define ER_BOOST_GEOMETRY_CENTROID_EXCEPTION_MSG "Unable to calculate centroid because geometry is empty in function %s."
#define ER_BOOST_GEOMETRY_OVERLAY_INVALID_INPUT_EXCEPTION_MSG "Geometry overlay calculation error: geometry data is invalid in function %s."
#define ER_BOOST_GEOMETRY_TURN_INFO_EXCEPTION_MSG "Geometry turn info calculation error: geometry data is invalid in function %s."
#define ER_BOOST_GEOMETRY_SELF_INTERSECTION_POINT_EXCEPTION_MSG "Analysis procedures of intersection points interrupted unexpectedly in function %s."
#define ER_BOOST_GEOMETRY_UNKNOWN_EXCEPTION_MSG "Unknown exception thrown in function %s."
#define ER_STD_BAD_ALLOC_ERROR_MSG "Memory allocation error: %-.256s in function %s."
#define ER_STD_DOMAIN_ERROR_MSG "Domain error: %-.256s in function %s."
#define ER_STD_LENGTH_ERROR_MSG "Length error: %-.256s in function %s."
#define ER_STD_INVALID_ARGUMENT_MSG "Invalid argument error: %-.256s in function %s."
#define ER_STD_OUT_OF_RANGE_ERROR_MSG "Out of range error: %-.256s in function %s."
#define ER_STD_OVERFLOW_ERROR_MSG "Overflow error: %-.256s in function %s."
#define ER_STD_RANGE_ERROR_MSG "Range error: %-.256s in function %s."
#define ER_STD_UNDERFLOW_ERROR_MSG "Underflow error: %-.256s in function %s."
#define ER_STD_LOGIC_ERROR_MSG "Logic error: %-.256s in function %s."
#define ER_STD_RUNTIME_ERROR_MSG "Runtime error: %-.256s in function %s."
#define ER_STD_UNKNOWN_EXCEPTION_MSG "Unknown exception: %-.384s in function %s."
#define ER_GIS_DATA_WRONG_ENDIANESS_MSG "Geometry byte string must be little endian."
#define ER_CHANGE_MASTER_PASSWORD_LENGTH_MSG "The password provided for the replication user exceeds the maximum length of 32 characters"
#define ER_USER_LOCK_WRONG_NAME_MSG "Incorrect user-level lock name \'%-.192s\'."
#define ER_USER_LOCK_DEADLOCK_MSG "Deadlock found when trying to get user-level lock; try rolling back transaction/releasing locks and restarting lock acquisition."
#define ER_REPLACE_INACCESSIBLE_ROWS_MSG "REPLACE cannot be executed as it requires deleting rows that are not in the view"
#define ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_GIS_MSG "Do not support online operation on table with GIS index"
#define ER_ILLEGAL_USER_VAR_MSG "User variable name \'%-.100s\' is illegal"
#define ER_GTID_MODE_OFF_MSG "Cannot %s when GTID_MODE = OFF."
#define ER_INCORRECT_TYPE_MSG "Incorrect type for argument %s in function %s."
#define ER_FIELD_IN_ORDER_NOT_SELECT_MSG "Expression #%u of ORDER BY clause is not in SELECT list, references column \'%-.192s\' which is not in SELECT list; this is incompatible with %s"
#define ER_AGGREGATE_IN_ORDER_NOT_SELECT_MSG "Expression #%u of ORDER BY clause is not in SELECT list, contains aggregate function; this is incompatible with %s"
#define ER_INVALID_RPL_WILD_TABLE_FILTER_PATTERN_MSG "Supplied filter list contains a value which is not in the required format \'db_pattern.table_pattern\'"
#define ER_NET_OK_PACKET_TOO_LARGE_MSG "OK packet too large"
#define ER_INVALID_JSON_DATA_MSG "Invalid JSON data provided to function %s: %s"
#define ER_INVALID_GEOJSON_MISSING_MEMBER_MSG "Invalid GeoJSON data provided to function %s: Missing required member \'%s\'"
#define ER_INVALID_GEOJSON_WRONG_TYPE_MSG "Invalid GeoJSON data provided to function %s: Member \'%s\' must be of type \'%s\'"
#define ER_INVALID_GEOJSON_UNSPECIFIED_MSG "Invalid GeoJSON data provided to function %s"
#define ER_DIMENSION_UNSUPPORTED_MSG "Unsupported number of coordinate dimensions in function %s: Found %u, expected %u"
#define ER_SLAVE_CHANNEL_DOES_NOT_EXIST_MSG "Slave channel \'%s\' does not exist."
#define ER_SLAVE_CHANNEL_NAME_INVALID_OR_TOO_LONG_MSG "Couldn\'t create channel: Channel name is either invalid or too long."
#define ER_SLAVE_NEW_CHANNEL_WRONG_REPOSITORY_MSG "To have multiple channels, repository cannot be of type FILE; Please check the repository configuration and convert them to TABLE."
#define ER_SLAVE_MULTIPLE_CHANNELS_CMD_MSG "Multiple channels exist on the slave. Please provide channel name as an argument."
#define ER_SLAVE_MAX_CHANNELS_EXCEEDED_MSG "Maximum number of replication channels allowed exceeded."
#define ER_SLAVE_CHANNEL_MUST_STOP_MSG "This operation cannot be performed with running replication threads; run STOP SLAVE FOR CHANNEL \'%s\' first"
#define ER_SLAVE_CHANNEL_NOT_RUNNING_MSG "This operation requires running replication threads; configure slave and run START SLAVE FOR CHANNEL \'%s\'"
#define ER_SLAVE_CHANNEL_WAS_RUNNING_MSG "Replication thread(s) for channel \'%s\' are already runnning."
#define ER_SLAVE_CHANNEL_WAS_NOT_RUNNING_MSG "Replication thread(s) for channel \'%s\' are already stopped."
#define ER_SLAVE_CHANNEL_SQL_THREAD_MUST_STOP_MSG "This operation cannot be performed with a running slave sql thread; run STOP SLAVE SQL_THREAD FOR CHANNEL \'%s\' first."
#define ER_SLAVE_CHANNEL_SQL_SKIP_COUNTER_MSG "When sql_replica_skip_counter > 0, it is not allowed to start more than one SQL thread by using \'START SLAVE [SQL_THREAD]\'. Value of sql_replica_skip_counter can only be used by one SQL thread at a time. Please use \'START SLAVE [SQL_THREAD] FOR CHANNEL\' to start the SQL thread which will use the value of sql_replica_skip_counter."
#define ER_WRONG_FIELD_WITH_GROUP_V2_MSG "Expression #%u of %s is not in GROUP BY clause and contains nonaggregated column \'%-.192s\' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by"
#define ER_MIX_OF_GROUP_FUNC_AND_FIELDS_V2_MSG "In aggregated query without GROUP BY, expression #%u of %s contains nonaggregated column \'%-.192s\'; this is incompatible with sql_mode=only_full_group_by"
#define ER_WARN_DEPRECATED_SYSVAR_UPDATE_MSG "Updating \'%s\' is deprecated. It will be made read-only in a future release."
#define ER_WARN_DEPRECATED_SQLMODE_MSG "Changing sql mode \'%s\' is deprecated. It will be removed in a future release."
#define ER_CANNOT_LOG_PARTIAL_DROP_DATABASE_WITH_GTID_MSG "DROP DATABASE failed; some tables may have been dropped but the database directory remains. The GTID has not been added to GTID_EXECUTED and the statement was not written to the binary log. Fix this as follows: (1) remove all files from the database directory %-.192s; (2) SET GTID_NEXT=\'%-.192s\'; (3) DROP DATABASE `%-.192s`."
#define ER_GROUP_REPLICATION_CONFIGURATION_MSG "The server is not configured properly to be an active member of the group. Please see more details on error log."
#define ER_GROUP_REPLICATION_RUNNING_MSG "The START GROUP_REPLICATION command failed since the group is already running."
#define ER_GROUP_REPLICATION_APPLIER_INIT_ERROR_MSG "The START GROUP_REPLICATION command failed as the applier module failed to start."
#define ER_GROUP_REPLICATION_STOP_APPLIER_THREAD_TIMEOUT_MSG "The STOP GROUP_REPLICATION command execution is incomplete: The applier thread got the stop signal while it was busy. The applier thread will stop once the current task is complete."
#define ER_GROUP_REPLICATION_COMMUNICATION_LAYER_SESSION_ERROR_MSG "The START GROUP_REPLICATION command failed as there was an error when initializing the group communication layer."
#define ER_GROUP_REPLICATION_COMMUNICATION_LAYER_JOIN_ERROR_MSG "The START GROUP_REPLICATION command failed as there was an error when joining the communication group."
#define ER_BEFORE_DML_VALIDATION_ERROR_MSG "The table does not comply with the requirements by an external plugin."
#define ER_PREVENTS_VARIABLE_WITHOUT_RBR_MSG "Cannot change the value of variable %s without binary log format as ROW."
#define ER_RUN_HOOK_ERROR_MSG "Error on observer while running replication hook \'%s\'."
#define ER_TRANSACTION_ROLLBACK_DURING_COMMIT_MSG "Plugin instructed the server to rollback the current transaction."
#define ER_GENERATED_COLUMN_FUNCTION_IS_NOT_ALLOWED_MSG "Expression of generated column \'%s\' contains a disallowed function."
#define ER_UNSUPPORTED_ALTER_INPLACE_ON_VIRTUAL_COLUMN_MSG "INPLACE ADD or DROP of virtual columns cannot be combined with other ALTER TABLE actions"
#define ER_WRONG_FK_OPTION_FOR_GENERATED_COLUMN_MSG "Cannot define foreign key with %s clause on a generated column."
#define ER_NON_DEFAULT_VALUE_FOR_GENERATED_COLUMN_MSG "The value specified for generated column \'%s\' in table \'%s\' is not allowed."
#define ER_UNSUPPORTED_ACTION_ON_GENERATED_COLUMN_MSG "\'%s\' is not supported for generated columns."
#define ER_GENERATED_COLUMN_NON_PRIOR_MSG "Generated column can refer only to generated columns defined prior to it."
#define ER_DEPENDENT_BY_GENERATED_COLUMN_MSG "Column \'%s\' has a generated column dependency."
#define ER_GENERATED_COLUMN_REF_AUTO_INC_MSG "Generated column \'%s\' cannot refer to auto-increment column."
#define ER_FEATURE_NOT_AVAILABLE_MSG "The \'%-.64s\' feature is not available; you need to remove \'%-.64s\' or use MySQL built with \'%-.64s\'"
#define ER_CANT_SET_GTID_MODE_MSG "SET @@GLOBAL.GTID_MODE = %-.64s is not allowed because %-.384s."
#define ER_CANT_USE_AUTO_POSITION_WITH_GTID_MODE_OFF_MSG "The replication receiver thread%-.192s cannot start in AUTO_POSITION mode: this server uses @@GLOBAL.GTID_MODE = OFF."
#define ER_CANT_ENFORCE_GTID_CONSISTENCY_WITH_ONGOING_GTID_VIOLATING_TX_MSG "Cannot set ENFORCE_GTID_CONSISTENCY = ON because there are ongoing transactions that violate GTID consistency."
#define ER_ENFORCE_GTID_CONSISTENCY_WARN_WITH_ONGOING_GTID_VIOLATING_TX_MSG "There are ongoing transactions that violate GTID consistency."
#define ER_ACCOUNT_HAS_BEEN_LOCKED_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'. Account is locked."
#define ER_WRONG_TABLESPACE_NAME_MSG "Incorrect tablespace name `%-.192s`"
#define ER_TABLESPACE_IS_NOT_EMPTY_MSG "Tablespace `%-.192s` is not empty."
#define ER_WRONG_FILE_NAME_MSG "Incorrect File Name \'%s\'."
#define ER_BOOST_GEOMETRY_INCONSISTENT_TURNS_EXCEPTION_MSG "Inconsistent intersection points."
#define ER_WARN_OPTIMIZER_HINT_SYNTAX_ERROR_MSG "Optimizer hint syntax error"
#define ER_WARN_BAD_MAX_EXECUTION_TIME_MSG "Unsupported MAX_EXECUTION_TIME"
#define ER_WARN_UNSUPPORTED_MAX_EXECUTION_TIME_MSG "MAX_EXECUTION_TIME hint is supported by top-level standalone SELECT statements only"
#define ER_WARN_CONFLICTING_HINT_MSG "Hint %s is ignored as conflicting/duplicated"
#define ER_WARN_UNKNOWN_QB_NAME_MSG "Query block name %s is not found for %s hint"
#define ER_UNRESOLVED_HINT_NAME_MSG "Unresolved name %s for %s hint"
#define ER_WARN_ON_MODIFYING_GTID_EXECUTED_TABLE_MSG "Please do not modify the %s table. This is a mysql internal system table to store GTIDs for committed transactions. Modifying it can lead to an inconsistent GTID state."
#define ER_PLUGGABLE_PROTOCOL_COMMAND_NOT_SUPPORTED_MSG "Command not supported by pluggable protocols"
#define ER_LOCKING_SERVICE_WRONG_NAME_MSG "Incorrect locking service lock name \'%-.192s\'."
#define ER_LOCKING_SERVICE_DEADLOCK_MSG "Deadlock found when trying to get locking service lock; try releasing locks and restarting lock acquisition."
#define ER_LOCKING_SERVICE_TIMEOUT_MSG "Service lock wait timeout exceeded."
#define ER_GIS_MAX_POINTS_IN_GEOMETRY_OVERFLOWED_MSG "Parameter %s exceeds the maximum number of points in a geometry (%lu) in function %s."
#define ER_SQL_MODE_MERGED_MSG "\'NO_ZERO_DATE\', \'NO_ZERO_IN_DATE\' and \'ERROR_FOR_DIVISION_BY_ZERO\' sql modes should be used with strict mode. They will be merged with strict mode in a future release."
#define ER_VTOKEN_PLUGIN_TOKEN_MISMATCH_MSG "Version token mismatch for %.*s. Correct value %.*s"
#define ER_VTOKEN_PLUGIN_TOKEN_NOT_FOUND_MSG "Version token %.*s not found."
#define ER_CANT_SET_VARIABLE_WHEN_OWNING_GTID_MSG "Variable %-.192s cannot be changed by a client that owns a GTID. The client owns %s. Ownership is released on COMMIT or ROLLBACK."
#define ER_SLAVE_CHANNEL_OPERATION_NOT_ALLOWED_MSG "%-.192s cannot be performed on channel \'%-.192s\'."
#define ER_INVALID_JSON_TEXT_MSG "Invalid JSON text: \"%s\" at position %u in value for column \'%-.200s\'."
#define ER_INVALID_JSON_TEXT_IN_PARAM_MSG "Invalid JSON text in argument %u to function %s: \"%s\" at position %u.%-.0s"
#define ER_INVALID_JSON_BINARY_DATA_MSG "The JSON binary value contains invalid data."
#define ER_INVALID_JSON_PATH_MSG "Invalid JSON path expression. The error is around character position %u.%-.200s"
#define ER_INVALID_JSON_CHARSET_MSG "Cannot create a JSON value from a string with CHARACTER SET \'%s\'."
#define ER_INVALID_JSON_CHARSET_IN_FUNCTION_MSG "Invalid JSON character data provided to function %s: \'%s\'; utf8 is required."
#define ER_INVALID_TYPE_FOR_JSON_MSG "Invalid data type for JSON data in argument %u to function %s; a JSON string or JSON type is required."
#define ER_INVALID_CAST_TO_JSON_MSG "Cannot CAST value to JSON."
#define ER_INVALID_JSON_PATH_CHARSET_MSG "A path expression must be encoded in the utf8 character set. The path expression \'%-.200s\' is encoded in character set \'%-.200s\'."
#define ER_INVALID_JSON_PATH_WILDCARD_MSG "In this situation, path expressions may not contain the * and ** tokens or an array range."
#define ER_JSON_VALUE_TOO_BIG_MSG "The JSON value is too big to be stored in a JSON column."
#define ER_JSON_KEY_TOO_BIG_MSG "The JSON object contains a key name that is too long."
#define ER_JSON_USED_AS_KEY_MSG "JSON column \'%-.192s\' supports indexing only via generated columns on a specified JSON path."
#define ER_JSON_VACUOUS_PATH_MSG "The path expression \'$\' is not allowed in this context."
#define ER_JSON_BAD_ONE_OR_ALL_ARG_MSG "The oneOrAll argument to %s may take these values: \'one\' or \'all\'."
#define ER_NUMERIC_JSON_VALUE_OUT_OF_RANGE_MSG "Out of range JSON value for CAST to %s%-.0s from column %s at row %ld"
#define ER_INVALID_JSON_VALUE_FOR_CAST_MSG "Invalid JSON value for CAST to %s%-.0s from column %s at row %ld"
#define ER_JSON_DOCUMENT_TOO_DEEP_MSG "The JSON document exceeds the maximum depth."
#define ER_JSON_DOCUMENT_NULL_KEY_MSG "JSON documents may not contain NULL member names."
#define ER_SECURE_TRANSPORT_REQUIRED_MSG "Connections using insecure transport are prohibited while --require_secure_transport=ON."
#define ER_NO_SECURE_TRANSPORTS_CONFIGURED_MSG "No secure transports (SSL or Shared Memory) are configured, unable to set --require_secure_transport=ON."
#define ER_DISABLED_STORAGE_ENGINE_MSG "Storage engine %s is disabled (Table creation is disallowed)."
#define ER_USER_DOES_NOT_EXIST_MSG "Authorization ID %s does not exist."
#define ER_USER_ALREADY_EXISTS_MSG "Authorization ID %s already exists."
#define ER_AUDIT_API_ABORT_MSG "Aborted by Audit API (\'%-.48s\';%d)."
#define ER_INVALID_JSON_PATH_ARRAY_CELL_MSG "A path expression is not a path to a cell in an array."
#define ER_BUFPOOL_RESIZE_INPROGRESS_MSG "Another buffer pool resize is already in progress."
#define ER_FEATURE_DISABLED_SEE_DOC_MSG "The \'%s\' feature is disabled; see the documentation for \'%s\'"
#define ER_SERVER_ISNT_AVAILABLE_MSG "Server isn\'t available"
#define ER_SESSION_WAS_KILLED_MSG "Session was killed"
#define ER_CAPACITY_EXCEEDED_MSG "Memory capacity of %llu bytes for \'%s\' exceeded. %s"
#define ER_CAPACITY_EXCEEDED_IN_RANGE_OPTIMIZER_MSG "Range optimization was not done for this query."
#define ER_CANT_WAIT_FOR_EXECUTED_GTID_SET_WHILE_OWNING_A_GTID_MSG "The client holds ownership of the GTID %s. Therefore, WAIT_FOR_EXECUTED_GTID_SET cannot wait for this GTID."
#define ER_CANNOT_ADD_FOREIGN_BASE_COL_VIRTUAL_MSG "Cannot add foreign key on the base column of indexed virtual column."
#define ER_CANNOT_CREATE_VIRTUAL_INDEX_CONSTRAINT_MSG "Cannot create index on virtual column whose base column has foreign constraint."
#define ER_ERROR_ON_MODIFYING_GTID_EXECUTED_TABLE_MSG "Please do not modify the %s table with an XA transaction. This is an internal system table used to store GTIDs for committed transactions. Although modifying it can lead to an inconsistent GTID state, if necessary you can modify it with a non-XA transaction."
#define ER_LOCK_REFUSED_BY_ENGINE_MSG "Lock acquisition refused by storage engine."
#define ER_UNSUPPORTED_ALTER_ONLINE_ON_VIRTUAL_COLUMN_MSG "ADD COLUMN col...VIRTUAL, ADD INDEX(col)"
#define ER_MASTER_KEY_ROTATION_NOT_SUPPORTED_BY_SE_MSG "Master key rotation is not supported by storage engine."
#define ER_MASTER_KEY_ROTATION_BINLOG_FAILED_MSG "Write to binlog failed. However, master key rotation has been completed successfully."
#define ER_MASTER_KEY_ROTATION_SE_UNAVAILABLE_MSG "Storage engine is not available."
#define ER_TABLESPACE_CANNOT_ENCRYPT_MSG "This tablespace can\'t be encrypted."
#define ER_INVALID_ENCRYPTION_OPTION_MSG "Invalid encryption option."
#define ER_CANNOT_FIND_KEY_IN_KEYRING_MSG "Can\'t find master key from keyring, please check in the server log if a keyring is loaded and initialized successfully."
#define ER_CAPACITY_EXCEEDED_IN_PARSER_MSG "Parser bailed out for this query."
#define ER_UNSUPPORTED_ALTER_ENCRYPTION_INPLACE_MSG "Cannot alter encryption attribute by inplace algorithm."
#define ER_KEYRING_UDF_KEYRING_SERVICE_ERROR_MSG "Function \'%s\' failed because underlying keyring service returned an error. Please check if a keyring is installed and that provided arguments are valid for the keyring you are using."
#define ER_USER_COLUMN_OLD_LENGTH_MSG "It seems that your db schema is old. The %s column is 77 characters long and should be 93 characters long. Please perform the MySQL upgrade procedure."
#define ER_CANT_RESET_MASTER_MSG "RESET MASTER is not allowed because %-.384s."
#define ER_GROUP_REPLICATION_MAX_GROUP_SIZE_MSG "The START GROUP_REPLICATION command failed since the group already has 9 members."
#define ER_CANNOT_ADD_FOREIGN_BASE_COL_STORED_MSG "Cannot add foreign key on the base column of stored column. "
#define ER_TABLE_REFERENCED_MSG "Cannot complete the operation because table is referenced by another connection."
#define ER_XA_RETRY_MSG "The resource manager is not able to commit the transaction branch at this time. Please retry later."
#define ER_KEYRING_AWS_UDF_AWS_KMS_ERROR_MSG "Function %s failed due to: %s."
#define ER_BINLOG_UNSAFE_XA_MSG "Statement is unsafe because it is being used inside a XA transaction. Concurrent XA transactions may deadlock on slaves when replicated using statements."
#define ER_UDF_ERROR_MSG "%s UDF failed; %s"
#define ER_KEYRING_MIGRATION_FAILURE_MSG "Can not perform keyring migration : %s"
#define ER_KEYRING_ACCESS_DENIED_ERROR_MSG "Access denied; you need %-.128s privileges for this operation"
#define ER_KEYRING_MIGRATION_STATUS_MSG "Keyring migration %s."
#define ER_AUDIT_LOG_UDF_READ_INVALID_MAX_ARRAY_LENGTH_ARG_VALUE_MSG "Invalid \"max_array_length\" argument value."
#define OBSOLETE_WARN_DEPRECATED_MAXDB_SQL_MODE_FOR_TIMESTAMP_MSG "With the MAXDB SQL mode enabled, TIMESTAMP is identical with DATETIME. The MAXDB SQL mode is deprecated and will be removed in a future release. Please disable the MAXDB SQL mode and use DATETIME instead."
#define ER_WRITE_SET_EXCEEDS_LIMIT_MSG "The size of writeset data for the current transaction exceeds a limit imposed by an external component. If using Group Replication check \'group_replication_transaction_size_limit\'."
#define ER_UNSUPPORT_COMPRESSED_TEMPORARY_TABLE_MSG "CREATE TEMPORARY TABLE is not allowed with ROW_FORMAT=COMPRESSED or KEY_BLOCK_SIZE."
#define ER_ACL_OPERATION_FAILED_MSG "The ACL operation failed due to the following error from SE: errcode %d - %.256s"
#define ER_UNSUPPORTED_INDEX_ALGORITHM_MSG "This storage engine does not support the %s index algorithm, storage engine default was used instead."
#define ER_NO_SUCH_DB_MSG "Database \'%-.192s\' doesn\'t exist"
#define ER_TOO_BIG_ENUM_MSG "Too many enumeration values for column %.192s."
#define ER_TOO_LONG_SET_ENUM_VALUE_MSG "Too long enumeration/set value for column %.192s."
#define ER_INVALID_DD_OBJECT_MSG "%s dictionary object is invalid. (%.192s)"
#define ER_UPDATING_DD_TABLE_MSG "Failed to update %.192s dictionary object."
#define ER_INVALID_DD_OBJECT_ID_MSG "Dictionary object id (%lu) does not exist."
#define ER_INVALID_DD_OBJECT_NAME_MSG "Dictionary object name \'%s\' is invalid. (%.192s)"
#define ER_TABLESPACE_MISSING_WITH_NAME_MSG "Tablespace %-.192s doesn\'t exist."
#define ER_TOO_LONG_ROUTINE_COMMENT_MSG "Comment for routine \'%-.64s\' is too long (max = %lu)"
#define ER_SP_LOAD_FAILED_MSG "Failed to load routine \'%-.64s\'."
#define ER_INVALID_BITWISE_OPERANDS_SIZE_MSG "Binary operands of bitwise operators must be of equal length"
#define ER_INVALID_BITWISE_AGGREGATE_OPERANDS_SIZE_MSG "Aggregate bitwise functions cannot accept arguments longer than 511 bytes; consider using the SUBSTRING() function"
#define ER_WARN_UNSUPPORTED_HINT_MSG "Hints aren\'t supported in %s"
#define ER_UNEXPECTED_GEOMETRY_TYPE_MSG "%.64s value is a geometry of unexpected type %.64s in %.64s."
#define ER_SRS_PARSE_ERROR_MSG "Can\'t parse the spatial reference system definition of SRID %u."
#define ER_SRS_PROJ_PARAMETER_MISSING_MSG "The spatial reference system definition for SRID %u does not specify the mandatory %s (EPSG %u) projection parameter."
#define ER_WARN_SRS_NOT_FOUND_MSG "There\'s no spatial reference system with SRID %u."
#define ER_SRS_NOT_CARTESIAN_MSG "Function %s is only defined for Cartesian spatial reference systems, but one of its arguments is in SRID %u, which is not Cartesian."
#define ER_SRS_NOT_CARTESIAN_UNDEFINED_MSG "Function %s is only defined for Cartesian spatial reference systems, but one of its arguments is in SRID %u, which has not been defined."
#define ER_PK_INDEX_CANT_BE_INVISIBLE_MSG "A primary key index cannot be invisible"
#define ER_UNKNOWN_AUTHID_MSG "Unknown authorization ID `%.64s`@`%.64s`"
#define ER_FAILED_ROLE_GRANT_MSG "Failed to grant %.90s` to %.90s"
#define ER_OPEN_ROLE_TABLES_MSG "Failed to open the security system tables"
#define ER_FAILED_DEFAULT_ROLES_MSG "Failed to set default roles"
#define ER_COMPONENTS_NO_SCHEME_MSG "Cannot find schema in specified URN: \'%.192s\'."
#define ER_COMPONENTS_NO_SCHEME_SERVICE_MSG "Cannot acquire scheme load service implementation for schema \'%.192s\' in specified URN: \'%.192s\'."
#define ER_COMPONENTS_CANT_LOAD_MSG "Cannot load component from specified URN: \'%.192s\'."
#define ER_ROLE_NOT_GRANTED_MSG "`%.64s`@`%.64s` is not granted to `%.64s`@`%.64s`"
#define ER_FAILED_REVOKE_ROLE_MSG "Could not revoke role from `%.64s`@`%.64s`"
#define ER_RENAME_ROLE_MSG "Renaming of a role identifier is forbidden"
#define ER_COMPONENTS_CANT_ACQUIRE_SERVICE_IMPLEMENTATION_MSG "Cannot acquire specified service implementation: \'%.192s\'."
#define ER_COMPONENTS_CANT_SATISFY_DEPENDENCY_MSG "Cannot satisfy dependency for service \'%.192s\' required by component \'%.192s\'."
#define ER_COMPONENTS_LOAD_CANT_REGISTER_SERVICE_IMPLEMENTATION_MSG "Cannot register service implementation \'%.192s\' provided by component \'%.192s\'."
#define ER_COMPONENTS_LOAD_CANT_INITIALIZE_MSG "Initialization method provided by component \'%.192s\' failed."
#define ER_COMPONENTS_UNLOAD_NOT_LOADED_MSG "Component specified by URN \'%.192s\' to unload has not been loaded before."
#define ER_COMPONENTS_UNLOAD_CANT_DEINITIALIZE_MSG "De-initialization method provided by component \'%.192s\' failed."
#define ER_COMPONENTS_CANT_RELEASE_SERVICE_MSG "Release of previously acquired service implementation failed."
#define ER_COMPONENTS_UNLOAD_CANT_UNREGISTER_SERVICE_MSG "Unregistration of service implementation \'%.192s\' provided by component \'%.192s\' failed during unloading of the component."
#define ER_COMPONENTS_CANT_UNLOAD_MSG "Cannot unload component from specified URN: \'%.192s\'."
#define ER_WARN_UNLOAD_THE_NOT_PERSISTED_MSG "The Persistent Dynamic Loader was used to unload a component \'%.192s\', but it was not used to load that component before."
#define ER_COMPONENT_TABLE_INCORRECT_MSG "The mysql.component table is missing or has an incorrect definition."
#define ER_COMPONENT_MANIPULATE_ROW_FAILED_MSG "Failed to manipulate component \'%.192s\' persistence data. Error code %d from storage engine."
#define ER_COMPONENTS_UNLOAD_DUPLICATE_IN_GROUP_MSG "The component with specified URN: \'%.192s\' was specified in group more than once."
#define ER_CANT_SET_GTID_PURGED_DUE_SETS_CONSTRAINTS_MSG "@@GLOBAL.GTID_PURGED cannot be changed: %s"
#define ER_CANNOT_LOCK_USER_MANAGEMENT_CACHES_MSG "Can not lock user management caches for processing."
#define ER_SRS_NOT_FOUND_MSG "There\'s no spatial reference system with SRID %u."
#define ER_VARIABLE_NOT_PERSISTED_MSG "Variables cannot be persisted. Please retry."
#define ER_IS_QUERY_INVALID_CLAUSE_MSG "Information schema queries do not support the \'%s\' clause."
#define ER_UNABLE_TO_STORE_STATISTICS_MSG "Unable to store dynamic %s statistics into data dictionary."
#define ER_NO_SYSTEM_SCHEMA_ACCESS_MSG "Access to system schema \'%.64s\' is rejected."
#define ER_NO_SYSTEM_TABLESPACE_ACCESS_MSG "Access to system tablespace \'%.64s\' is rejected."
#define ER_NO_SYSTEM_TABLE_ACCESS_MSG "Access to %.64s \'%.64s.%.64s\' is rejected."
#define ER_NO_SYSTEM_TABLE_ACCESS_FOR_DICTIONARY_TABLE_MSG "data dictionary table"
#define ER_NO_SYSTEM_TABLE_ACCESS_FOR_SYSTEM_TABLE_MSG "system table"
#define ER_NO_SYSTEM_TABLE_ACCESS_FOR_TABLE_MSG "table"
#define ER_INVALID_OPTION_KEY_MSG "Invalid option key \'%.192s\' in function %.192s."
#define ER_INVALID_OPTION_VALUE_MSG "Invalid value \'%.192s\' for option \'%.192s\' in function \'%.192s\'."
#define ER_INVALID_OPTION_KEY_VALUE_PAIR_MSG "The string \'%.192s\' is not a valid key %c value pair in function %.192s."
#define ER_INVALID_OPTION_START_CHARACTER_MSG "The options argument in function %.192s starts with the invalid character \'%c\'."
#define ER_INVALID_OPTION_END_CHARACTER_MSG "The options argument in function %.192s ends with the invalid character \'%c\'."
#define ER_INVALID_OPTION_CHARACTERS_MSG "The options argument in function %.192s contains the invalid character sequence \'%.192s\'."
#define ER_DUPLICATE_OPTION_KEY_MSG "Duplicate option key \'%.192s\' in funtion \'%.192s\'."
#define ER_WARN_SRS_NOT_FOUND_AXIS_ORDER_MSG "There\'s no spatial reference system with SRID %u. The axis order is unknown."
#define ER_NO_ACCESS_TO_NATIVE_FCT_MSG "Access to native function \'%.64s\' is rejected."
#define ER_RESET_MASTER_TO_VALUE_OUT_OF_RANGE_MSG "The requested value \'%llu\' for the next binary log index is out of range. Please use a value between \'1\' and \'%lu\'."
#define ER_UNRESOLVED_TABLE_LOCK_MSG "Unresolved table name %s in locking clause."
#define ER_DUPLICATE_TABLE_LOCK_MSG "Table %s appears in multiple locking clauses."
#define ER_BINLOG_UNSAFE_SKIP_LOCKED_MSG "Statement is unsafe because it uses SKIP LOCKED. The set of inserted values is non-deterministic."
#define ER_BINLOG_UNSAFE_NOWAIT_MSG "Statement is unsafe because it uses NOWAIT. Whether the command will succeed or fail is not deterministic."
#define ER_LOCK_NOWAIT_MSG "Statement aborted because lock(s) could not be acquired immediately and NOWAIT is set."
#define ER_CTE_RECURSIVE_REQUIRES_UNION_MSG "Recursive Common Table Expression \'%s\' should contain a UNION"
#define ER_CTE_RECURSIVE_REQUIRES_NONRECURSIVE_FIRST_MSG "Recursive Common Table Expression \'%s\' should have one or more non-recursive query blocks followed by one or more recursive ones"
#define ER_CTE_RECURSIVE_FORBIDS_AGGREGATION_MSG "Recursive Common Table Expression \'%s\' can contain neither aggregation nor window functions in recursive query block"
#define ER_CTE_RECURSIVE_FORBIDDEN_JOIN_ORDER_MSG "In recursive query block of Recursive Common Table Expression \'%s\', the recursive table must neither be in the right argument of a LEFT JOIN, nor be forced to be non-first with join order hints"
#define ER_CTE_RECURSIVE_REQUIRES_SINGLE_REFERENCE_MSG "In recursive query block of Recursive Common Table Expression \'%s\', the recursive table must be referenced only once, and not in any subquery"
#define ER_SWITCH_TMP_ENGINE_MSG "\'%s\' requires @@internal_tmp_disk_storage_engine=InnoDB"
#define ER_WINDOW_NO_SUCH_WINDOW_MSG "Window name \'%s\' is not defined."
#define ER_WINDOW_CIRCULARITY_IN_WINDOW_GRAPH_MSG "There is a circularity in the window dependency graph."
#define ER_WINDOW_NO_CHILD_PARTITIONING_MSG "A window which depends on another cannot define partitioning."
#define ER_WINDOW_NO_INHERIT_FRAME_MSG "Window \'%s\' has a frame definition, so cannot be referenced by another window."
#define ER_WINDOW_NO_REDEFINE_ORDER_BY_MSG "Window \'%s\' cannot inherit \'%s\' since both contain an ORDER BY clause."
#define ER_WINDOW_FRAME_START_ILLEGAL_MSG "Window \'%s\': frame start cannot be UNBOUNDED FOLLOWING."
#define ER_WINDOW_FRAME_END_ILLEGAL_MSG "Window \'%s\': frame end cannot be UNBOUNDED PRECEDING."
#define ER_WINDOW_FRAME_ILLEGAL_MSG "Window \'%s\': frame start or end is negative, NULL or of non-integral type"
#define ER_WINDOW_RANGE_FRAME_ORDER_TYPE_MSG "Window \'%s\' with RANGE N PRECEDING/FOLLOWING frame requires exactly one ORDER BY expression, of numeric or temporal type"
#define ER_WINDOW_RANGE_FRAME_TEMPORAL_TYPE_MSG "Window \'%s\' with RANGE frame has ORDER BY expression of datetime type. Only INTERVAL bound value allowed."
#define ER_WINDOW_RANGE_FRAME_NUMERIC_TYPE_MSG "Window \'%s\' with RANGE frame has ORDER BY expression of numeric type, INTERVAL bound value not allowed."
#define ER_WINDOW_RANGE_BOUND_NOT_CONSTANT_MSG "Window \'%s\' has a non-constant frame bound."
#define ER_WINDOW_DUPLICATE_NAME_MSG "Window \'%s\' is defined twice."
#define ER_WINDOW_ILLEGAL_ORDER_BY_MSG "Window \'%s\': ORDER BY or PARTITION BY uses legacy position indication which is not supported, use expression."
#define ER_WINDOW_INVALID_WINDOW_FUNC_USE_MSG "You cannot use the window function \'%s\' in this context.\'"
#define ER_WINDOW_INVALID_WINDOW_FUNC_ALIAS_USE_MSG "You cannot use the alias \'%s\' of an expression containing a window function in this context.\'"
#define ER_WINDOW_NESTED_WINDOW_FUNC_USE_IN_WINDOW_SPEC_MSG "You cannot nest a window function in the specification of window \'%s\'."
#define ER_WINDOW_ROWS_INTERVAL_USE_MSG "Window \'%s\': INTERVAL can only be used with RANGE frames."
#define ER_WINDOW_NO_GROUP_ORDER_UNUSED_MSG "ASC or DESC with GROUP BY isn\'t allowed with window functions; put ASC or DESC in ORDER BY"
#define ER_WINDOW_EXPLAIN_JSON_MSG "To get information about window functions use EXPLAIN FORMAT=JSON"
#define ER_WINDOW_FUNCTION_IGNORES_FRAME_MSG "Window function \'%s\' ignores the frame clause of window \'%s\' and aggregates over the whole partition"
#define ER_WL9236_NOW_UNUSED_MSG "Windowing requires @@internal_tmp_mem_storage_engine=TempTable."
#define ER_INVALID_NO_OF_ARGS_MSG "Too many arguments for function %s: %lu; maximum allowed is %s."
#define ER_FIELD_IN_GROUPING_NOT_GROUP_BY_MSG "Argument #%u of GROUPING function is not in GROUP BY"
#define ER_TOO_LONG_TABLESPACE_COMMENT_MSG "Comment for tablespace \'%-.64s\' is too long (max = %lu)"
#define ER_ENGINE_CANT_DROP_TABLE_MSG "Storage engine can\'t drop table \'%-.129s\'"
#define ER_ENGINE_CANT_DROP_MISSING_TABLE_MSG "Storage engine can\'t drop table \'%-.129s\' because it is missing. Use DROP TABLE IF EXISTS to remove it from data-dictionary."
#define ER_TABLESPACE_DUP_FILENAME_MSG "Duplicate file name for tablespace \'%-.64s\'"
#define ER_DB_DROP_RMDIR2_MSG "Problem while dropping database. Can\'t remove database directory (%s). Please remove it manually."
#define ER_IMP_NO_FILES_MATCHED_MSG "No SDI files matched the pattern \'%s\'"
#define ER_IMP_SCHEMA_DOES_NOT_EXIST_MSG "Schema \'%.256s\', referenced in SDI, does not exist."
#define ER_IMP_TABLE_ALREADY_EXISTS_MSG "Table \'%.256s.%.256s\', referenced in SDI, already exists."
#define ER_IMP_INCOMPATIBLE_MYSQLD_VERSION_MSG "Imported mysqld_version (%llu) is not compatible with current (%llu)"
#define ER_IMP_INCOMPATIBLE_DD_VERSION_MSG "Imported dd version (%u) is not compatible with current (%u)"
#define ER_IMP_INCOMPATIBLE_SDI_VERSION_MSG "Imported sdi version (%llu) is not compatible with current (%llu)"
#define ER_WARN_INVALID_HINT_MSG "Invalid number of arguments for hint %s"
#define ER_VAR_DOES_NOT_EXIST_MSG "Variable %s does not exist in persisted config file"
#define ER_LONGITUDE_OUT_OF_RANGE_MSG "Longitude %f is out of range in function %.192s. It must be within (%f, %f]."
#define ER_LATITUDE_OUT_OF_RANGE_MSG "Latitude %f is out of range in function %.192s. It must be within [%f, %f]."
#define ER_NOT_IMPLEMENTED_FOR_GEOGRAPHIC_SRS_MSG "%.192s(%.80s) has not been implemented for geographic spatial reference systems."
#define ER_ILLEGAL_PRIVILEGE_LEVEL_MSG "Illegal privilege level specified for %s"
#define ER_NO_SYSTEM_VIEW_ACCESS_MSG "Access to system view INFORMATION_SCHEMA.\'%.64s\' is rejected."
#define ER_COMPONENT_FILTER_FLABBERGASTED_MSG "The log-filter component \"%s\" got confused at \"%s\" ..."
#define ER_PART_EXPR_TOO_LONG_MSG "Partitioning expression is too long."
#define ER_UDF_DROP_DYNAMICALLY_REGISTERED_MSG "DROP FUNCTION can\'t drop a dynamically registered user defined function"
#define ER_UNABLE_TO_STORE_COLUMN_STATISTICS_MSG "Unable to store column statistics for column \'%.64s\' in table \'%.64s\'.\'%.64s\'"
#define ER_UNABLE_TO_UPDATE_COLUMN_STATISTICS_MSG "Unable to update column statistics for column \'%.64s\' in table \'%.64s\'.\'%.64s\'"
#define ER_UNABLE_TO_DROP_COLUMN_STATISTICS_MSG "Unable to remove column statistics for column \'%.64s\' in table \'%.64s\'.\'%.64s\'"
#define ER_UNABLE_TO_BUILD_HISTOGRAM_MSG "Unable to build histogram statistics for column \'%.64s\' in table \'%.64s\'.\'%.64s\'"
#define ER_MANDATORY_ROLE_MSG "The role %s is a mandatory role and can\'t be revoked or dropped. The restriction can be lifted by excluding the role identifier from the global variable mandatory_roles."
#define ER_MISSING_TABLESPACE_FILE_MSG "Tablespace \'%.192s\' does not have a file named \'%.192s\'"
#define ER_PERSIST_ONLY_ACCESS_DENIED_ERROR_MSG "Access denied; you need %-.128s privileges for this operation"
#define ER_CMD_NEED_SUPER_MSG "You need the SUPER privilege for command \'%-.192s\'"
#define ER_PATH_IN_DATADIR_MSG "Path is within the current data directory \'%-.192s\'"
#define ER_CLONE_DDL_IN_PROGRESS_MSG "Concurrent DDL is performed during clone operation. Please try again."
#define ER_CLONE_TOO_MANY_CONCURRENT_CLONES_MSG "Too many concurrent clone operations. Maximum allowed - %d."
#define ER_APPLIER_LOG_EVENT_VALIDATION_ERROR_MSG "The table in transaction %s does not comply with the requirements by an external plugin."
#define ER_CTE_MAX_RECURSION_DEPTH_MSG "Recursive query aborted after %u iterations. Try increasing @@cte_max_recursion_depth to a larger value."
#define ER_NOT_HINT_UPDATABLE_VARIABLE_MSG "Variable %s cannot be set using SET_VAR hint."
#define ER_CREDENTIALS_CONTRADICT_TO_HISTORY_MSG "Cannot use these credentials for \'%.*s@%.*s\' because they contradict the password history policy"
#define ER_WARNING_PASSWORD_HISTORY_CLAUSES_VOID_MSG "Non-zero password history clauses ignored for user \'%s\'@\'%s\' as its authentication plugin %s does not support password history"
#define ER_CLIENT_DOES_NOT_SUPPORT_MSG "The client doesn\'t support %s"
#define ER_I_S_SKIPPED_TABLESPACE_MSG "Tablespace \'%s\' was skipped since its definition is being modified by concurrent DDL statement"
#define ER_TABLESPACE_ENGINE_MISMATCH_MSG "Engine \'%.192s\' does not match stored engine \'%.192s\' for tablespace \'%.192s\'"
#define ER_WRONG_SRID_FOR_COLUMN_MSG "The SRID of the geometry does not match the SRID of the column \'%.64s\'. The SRID of the geometry is %lu, but the SRID of the column is %lu. Consider changing the SRID of the geometry or the SRID property of the column."
#define ER_CANNOT_ALTER_SRID_DUE_TO_INDEX_MSG "The SRID specification on the column \'%.64s\' cannot be changed because there is a spatial index on the column. Please remove the spatial index before altering the SRID specification."
#define ER_WARN_BINLOG_PARTIAL_UPDATES_DISABLED_MSG "When %.192s, the option binlog_row_value_options=%.192s will be ignored and updates will be written in full format to binary log."
#define ER_WARN_BINLOG_V1_ROW_EVENTS_DISABLED_MSG "When %.192s, the option log_bin_use_v1_row_events=1 will be ignored and row events will be written in new format to binary log."
#define ER_WARN_BINLOG_PARTIAL_UPDATES_SUGGESTS_PARTIAL_IMAGES_MSG "When %.192s, the option binlog_row_value_options=%.192s will be used only for the after-image. Full values will be written in the before-image, so the saving in disk space due to binlog_row_value_options is limited to less than 50%%."
#define ER_COULD_NOT_APPLY_JSON_DIFF_MSG "Could not apply JSON diff in table %.*s, column %s."
#define ER_CORRUPTED_JSON_DIFF_MSG "Corrupted JSON diff for table %.*s, column %s."
#define ER_RESOURCE_GROUP_EXISTS_MSG "Resource Group \'%-.192s\' exists"
#define ER_RESOURCE_GROUP_NOT_EXISTS_MSG "Resource Group \'%-.192s\' does not exist."
#define ER_INVALID_VCPU_ID_MSG "Invalid cpu id %u"
#define ER_INVALID_VCPU_RANGE_MSG "Invalid VCPU range %u-%u"
#define ER_INVALID_THREAD_PRIORITY_MSG "Invalid thread priority value %d for %s resource group %s. Allowed range is [%d, %d]."
#define ER_DISALLOWED_OPERATION_MSG "%s operation is disallowed on %s"
#define ER_RESOURCE_GROUP_BUSY_MSG "Resource group %s is busy."
#define ER_RESOURCE_GROUP_DISABLED_MSG "Resource group %s is disabled."
#define ER_FEATURE_UNSUPPORTED_MSG "Feature %s is unsupported (%s)."
#define ER_ATTRIBUTE_IGNORED_MSG "Attribute %s is ignored (%s)."
#define ER_INVALID_THREAD_ID_MSG "Invalid thread id (%llu)."
#define ER_RESOURCE_GROUP_BIND_FAILED_MSG "Unable to bind resource group %s with thread id (%llu).(%s)."
#define ER_INVALID_USE_OF_FORCE_OPTION_MSG "Option FORCE invalid as DISABLE option is not specified."
#define ER_GROUP_REPLICATION_COMMAND_FAILURE_MSG "The %s command encountered a failure. %s"
#define ER_SDI_OPERATION_FAILED_MSG "Failed to %s SDI \'%.192s.%.192s\' in tablespace \'%.192s\'."
#define ER_MISSING_JSON_TABLE_VALUE_MSG "Missing value for JSON_TABLE column \'%.192s\'"
#define ER_WRONG_JSON_TABLE_VALUE_MSG "Can\'t store an array or an object in the scalar JSON_TABLE column \'%.192s\'"
#define ER_TF_MUST_HAVE_ALIAS_MSG "Every table function must have an alias"
#define ER_TF_FORBIDDEN_JOIN_TYPE_MSG "INNER or LEFT JOIN must be used for LATERAL references made by \'%.192s\'"
#define ER_JT_VALUE_OUT_OF_RANGE_MSG "Value is out of range for JSON_TABLE\'s column \'%.192s\'"
#define ER_JT_MAX_NESTED_PATH_MSG "More than supported %u NESTED PATHs were found in JSON_TABLE \'%.192s\'"
#define ER_PASSWORD_EXPIRATION_NOT_SUPPORTED_BY_AUTH_METHOD_MSG "The selected authentication method %.*s does not support password expiration"
#define ER_INVALID_GEOJSON_CRS_NOT_TOP_LEVEL_MSG "Invalid GeoJSON data provided to function %s: Member \'crs\' must be specified in the top level object."
#define ER_BAD_NULL_ERROR_NOT_IGNORED_MSG "Column \'%-.192s\' cannot be null"
#define WARN_USELESS_SPATIAL_INDEX_MSG "The spatial index on column \'%.64s\' will not be used by the query optimizer since the column does not have an SRID attribute. Consider adding an SRID attribute to the column."
#define ER_DISK_FULL_NOWAIT_MSG "Create table/tablespace \'%-.192s\' failed, as disk is full"
#define ER_PARSE_ERROR_IN_DIGEST_FN_MSG "Could not parse argument to digest function: \"%s\"."
#define ER_UNDISCLOSED_PARSE_ERROR_IN_DIGEST_FN_MSG "Could not parse argument to digest function."
#define ER_SCHEMA_DIR_EXISTS_MSG "Schema directory \'%.192s\' already exists. This must be resolved manually (e.g. by moving the schema directory to another location)."
#define ER_SCHEMA_DIR_MISSING_MSG "Schema directory \'%.192s\' does not exist"
#define ER_SCHEMA_DIR_CREATE_FAILED_MSG "Failed to create schema directory \'%.192s\' (errno: %d - %s)"
#define ER_SCHEMA_DIR_UNKNOWN_MSG "Schema \'%.192s\' does not exist, but schema directory \'%.192s\' was found. This must be resolved manually (e.g. by moving the schema directory to another location)."
#define ER_ONLY_IMPLEMENTED_FOR_SRID_0_AND_4326_MSG "Function %.192s is only defined for SRID 0 and SRID 4326."
#define ER_BINLOG_EXPIRE_LOG_DAYS_AND_SECS_USED_TOGETHER_MSG "The option expire_logs_days and binlog_expire_logs_seconds cannot be used together. Please use binlog_expire_logs_seconds to set the expire time (expire_logs_days is deprecated)"
#define ER_REGEXP_BUFFER_OVERFLOW_MSG "The result string is larger than the result buffer."
#define ER_REGEXP_ILLEGAL_ARGUMENT_MSG "Illegal argument to a regular expression."
#define ER_REGEXP_INDEX_OUTOFBOUNDS_ERROR_MSG "Index out of bounds in regular expression search."
#define ER_REGEXP_INTERNAL_ERROR_MSG "Internal error in the regular expression library."
#define ER_REGEXP_RULE_SYNTAX_MSG "Syntax error in regular expression on line %u, character %u."
#define ER_REGEXP_BAD_ESCAPE_SEQUENCE_MSG "Unrecognized escape sequence in regular expression."
#define ER_REGEXP_UNIMPLEMENTED_MSG "The regular expression contains a feature that is not implemented in this library version."
#define ER_REGEXP_MISMATCHED_PAREN_MSG "Mismatched parenthesis in regular expression."
#define ER_REGEXP_BAD_INTERVAL_MSG "Incorrect description of a {min,max} interval."
#define ER_REGEXP_MAX_LT_MIN_MSG "The maximum is less than the minumum in a {min,max} interval."
#define ER_REGEXP_INVALID_BACK_REF_MSG "Invalid back-reference in regular expression."
#define ER_REGEXP_LOOK_BEHIND_LIMIT_MSG "The look-behind assertion exceeds the limit in regular expression."
#define ER_REGEXP_MISSING_CLOSE_BRACKET_MSG "The regular expression contains an unclosed bracket expression."
#define ER_REGEXP_INVALID_RANGE_MSG "The regular expression contains an [x-y] character range where x comes after y."
#define ER_REGEXP_STACK_OVERFLOW_MSG "Overflow in the regular expression backtrack stack."
#define ER_REGEXP_TIME_OUT_MSG "Timeout exceeded in regular expression match."
#define ER_REGEXP_PATTERN_TOO_BIG_MSG "The regular expression pattern exceeds limits on size or complexity."
#define ER_CANT_SET_ERROR_LOG_SERVICE_MSG "Value for %s got confusing at or around \"%s\". Syntax may be wrong, component may not be INSTALLed, or a component that does not support instances may be listed more than once."
#define ER_EMPTY_PIPELINE_FOR_ERROR_LOG_SERVICE_MSG "Setting an empty %s pipeline disables error logging!"
#define ER_COMPONENT_FILTER_DIAGNOSTICS_MSG "filter %s: %s"
#define ER_NOT_IMPLEMENTED_FOR_CARTESIAN_SRS_MSG "%.192s(%.80s) has not been implemented for Cartesian spatial reference systems."
#define ER_NOT_IMPLEMENTED_FOR_PROJECTED_SRS_MSG "%.192s(%.80s) has not been implemented for projected spatial reference systems."
#define ER_NONPOSITIVE_RADIUS_MSG "Invalid radius provided to function %s: Radius must be greater than zero."
#define ER_RESTART_SERVER_FAILED_MSG "Restart server failed (%s)."
#define ER_SRS_MISSING_MANDATORY_ATTRIBUTE_MSG "Missing mandatory attribute %s."
#define ER_SRS_MULTIPLE_ATTRIBUTE_DEFINITIONS_MSG "Multiple definitions of attribute %s."
#define ER_SRS_NAME_CANT_BE_EMPTY_OR_WHITESPACE_MSG "The spatial reference system name can\'t be an empty string or start or end with whitespace."
#define ER_SRS_ORGANIZATION_CANT_BE_EMPTY_OR_WHITESPACE_MSG "The organization name can\'t be an empty string or start or end with whitespace."
#define ER_SRS_ID_ALREADY_EXISTS_MSG "There is already a spatial reference system with SRID %u."
#define ER_WARN_SRS_ID_ALREADY_EXISTS_MSG "There is already a spatial reference system with SRID %u."
#define ER_CANT_MODIFY_SRID_0_MSG "SRID 0 is not modifiable."
#define ER_WARN_RESERVED_SRID_RANGE_MSG "The SRID range [%u, %u] has been reserved for system use. SRSs in this range may be added, modified or removed without warning during upgrade."
#define ER_CANT_MODIFY_SRS_USED_BY_COLUMN_MSG "Can\'t modify SRID %u. There is at least one column depending on it."
#define ER_SRS_INVALID_CHARACTER_IN_ATTRIBUTE_MSG "Invalid character in attribute %s."
#define ER_SRS_ATTRIBUTE_STRING_TOO_LONG_MSG "Attribute %s is too long. The maximum length is %u characters."
#define ER_DEPRECATED_UTF8_ALIAS_MSG "\'utf8\' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous."
#define ER_DEPRECATED_NATIONAL_MSG "NATIONAL/NCHAR/NVARCHAR implies the character set UTF8MB3, which will be replaced by UTF8MB4 in a future release. Please consider using CHAR(x) CHARACTER SET UTF8MB4 in order to be unambiguous."
#define ER_INVALID_DEFAULT_UTF8MB4_COLLATION_MSG "Invalid default collation %s: utf8mb4_0900_ai_ci or utf8mb4_general_ci expected"
#define ER_UNABLE_TO_COLLECT_LOG_STATUS_MSG "Unable to collect information for column \'%-.192s\': %-.192s."
#define ER_RESERVED_TABLESPACE_NAME_MSG "The table \'%-.192s\' may not be created in the reserved tablespace \'%-.192s\'."
#define ER_UNABLE_TO_SET_OPTION_MSG "This option cannot be set %s."
#define ER_SLAVE_POSSIBLY_DIVERGED_AFTER_DDL_MSG "A commit for an atomic DDL statement was unsuccessful on the master and the slave. The slave supports atomic DDL statements but the master does not, so the action taken by the slave and master might differ. Check that their states have not diverged before proceeding."
#define ER_SRS_NOT_GEOGRAPHIC_MSG "Function %s is only defined for geographic spatial reference systems, but one of its arguments is in SRID %u, which is not geographic."
#define ER_POLYGON_TOO_LARGE_MSG "Function %s encountered a polygon that was too large. Polygons must cover less than half the planet."
#define ER_SPATIAL_UNIQUE_INDEX_MSG "Spatial indexes can\'t be primary or unique indexes."
#define ER_INDEX_TYPE_NOT_SUPPORTED_FOR_SPATIAL_INDEX_MSG "The index type %.20s is not supported for spatial indexes."
#define ER_FK_CANNOT_DROP_PARENT_MSG "Cannot drop table \'%s\' referenced by a foreign key constraint \'%s\' on table \'%s\'."
#define ER_GEOMETRY_PARAM_LONGITUDE_OUT_OF_RANGE_MSG "A parameter of function %.192s contains a geometry with longitude %f, which is out of range. It must be within (%f, %f]."
#define ER_GEOMETRY_PARAM_LATITUDE_OUT_OF_RANGE_MSG "A parameter of function %.192s contains a geometry with latitude %f, which is out of range. It must be within [%f, %f]."
#define ER_FK_CANNOT_USE_VIRTUAL_COLUMN_MSG "Foreign key \'%s\' uses virtual column \'%s\' which is not supported."
#define ER_FK_NO_COLUMN_PARENT_MSG "Failed to add the foreign key constraint. Missing column \'%s\' for constraint \'%s\' in the referenced table \'%s\'"
#define ER_CANT_SET_ERROR_SUPPRESSION_LIST_MSG "%s: Could not add suppression rule for code \"%s\". Rule-set may be full, or code may not correspond to an error-log message."
#define ER_SRS_GEOGCS_INVALID_AXES_MSG "The spatial reference system definition for SRID %u specifies invalid geographic axes \'%.20s\' and \'%.20s\'. One axis must be NORTH or SOUTH and the other must be EAST or WEST."
#define ER_SRS_INVALID_SEMI_MAJOR_AXIS_MSG "The length of the semi-major axis must be a positive number."
#define ER_SRS_INVALID_INVERSE_FLATTENING_MSG "The inverse flattening must be larger than 1.0, or 0.0 if the ellipsoid is a sphere."
#define ER_SRS_INVALID_ANGULAR_UNIT_MSG "The angular unit conversion factor must be a positive number."
#define ER_SRS_INVALID_PRIME_MERIDIAN_MSG "The prime meridian must be within (-180, 180] degrees, specified in the SRS angular unit."
#define ER_TRANSFORM_SOURCE_SRS_NOT_SUPPORTED_MSG "Transformation from SRID %u is not supported."
#define ER_TRANSFORM_TARGET_SRS_NOT_SUPPORTED_MSG "Transformation to SRID %u is not supported."
#define ER_TRANSFORM_SOURCE_SRS_MISSING_TOWGS84_MSG "Transformation from SRID %u is not supported. The spatial reference system has no TOWGS84 clause."
#define ER_TRANSFORM_TARGET_SRS_MISSING_TOWGS84_MSG "Transformation to SRID %u is not supported. The spatial reference system has no TOWGS84 clause."
#define ER_TEMP_TABLE_PREVENTS_SWITCH_SESSION_BINLOG_FORMAT_MSG "Changing @@session.binlog_format is disallowed when the session has open temporary table(s). You could wait until these temporary table(s) are dropped and try again."
#define ER_TEMP_TABLE_PREVENTS_SWITCH_GLOBAL_BINLOG_FORMAT_MSG "Changing @@global.binlog_format or @@persist.binlog_format is disallowed when any replication channel has open temporary table(s). You could wait until Replica_open_temp_tables = 0 and try again"
#define ER_RUNNING_APPLIER_PREVENTS_SWITCH_GLOBAL_BINLOG_FORMAT_MSG "Changing @@global.binlog_format or @@persist.binlog_format is disallowed when any replication channel applier thread is running. You could execute STOP SLAVE SQL_THREAD and try again."
#define ER_CLIENT_GTID_UNSAFE_CREATE_DROP_TEMP_TABLE_IN_TRX_IN_SBR_MSG "Statement violates GTID consistency: CREATE TEMPORARY TABLE and DROP TEMPORARY TABLE are not allowed inside a transaction or inside a procedure in a transactional context when @@session.binlog_format=STATEMENT."
#define ER_TABLE_WITHOUT_PK_MSG "Unable to create or change a table without a primary key, when the system variable \'sql_require_primary_key\' is set. Add a primary key to the table or unset this variable to avoid this message. Note that tables without a primary key can cause performance problems in row-based replication, so please consult your DBA before changing this setting."
#define ER_WARN_DATA_TRUNCATED_FUNCTIONAL_INDEX_MSG "Data truncated for functional index \'%s\' at row %ld"
#define ER_WARN_DATA_OUT_OF_RANGE_FUNCTIONAL_INDEX_MSG "Value is out of range for functional index \'%s\' at row %ld"
#define ER_FUNCTIONAL_INDEX_ON_JSON_OR_GEOMETRY_FUNCTION_MSG "Cannot create a functional index on a function that returns a JSON or GEOMETRY value."
#define ER_FUNCTIONAL_INDEX_REF_AUTO_INCREMENT_MSG "Functional index \'%.64s\' cannot refer to an auto-increment column."
#define ER_CANNOT_DROP_COLUMN_FUNCTIONAL_INDEX_MSG "Cannot drop column \'%-.64s\' because it is used by a functional index. In order to drop the column, you must remove the functional index."
#define ER_FUNCTIONAL_INDEX_PRIMARY_KEY_MSG "The primary key cannot be a functional index"
#define ER_FUNCTIONAL_INDEX_ON_LOB_MSG "Cannot create a functional index on an expression that returns a BLOB or TEXT. Please consider using CAST."
#define ER_FUNCTIONAL_INDEX_FUNCTION_IS_NOT_ALLOWED_MSG "Expression of functional index \'%s\' contains a disallowed function."
#define ER_FULLTEXT_FUNCTIONAL_INDEX_MSG "Fulltext functional index is not supported."
#define ER_SPATIAL_FUNCTIONAL_INDEX_MSG "Spatial functional index is not supported."
#define ER_WRONG_KEY_COLUMN_FUNCTIONAL_INDEX_MSG "The used storage engine cannot index the expression \'%s\'."
#define ER_FUNCTIONAL_INDEX_ON_FIELD_MSG "Functional index on a column is not supported. Consider using a regular index instead."
#define ER_GENERATED_COLUMN_NAMED_FUNCTION_IS_NOT_ALLOWED_MSG "Expression of generated column \'%s\' contains a disallowed function: %s."
#define ER_GENERATED_COLUMN_ROW_VALUE_MSG "Expression of generated column \'%s\' cannot refer to a row value."
#define ER_GENERATED_COLUMN_VARIABLES_MSG "Expression of generated column \'%s\' cannot refer user or system variables."
#define ER_DEPENDENT_BY_DEFAULT_GENERATED_VALUE_MSG "Column \'%s\' of table \'%s\' has a default value expression dependency and cannot be dropped or renamed."
#define ER_DEFAULT_VAL_GENERATED_NON_PRIOR_MSG "Default value expression of column \'%s\' cannot refer to a column defined after it if that column is a generated column or has an expression as default value."
#define ER_DEFAULT_VAL_GENERATED_REF_AUTO_INC_MSG "Default value expression of column \'%s\' cannot refer to an auto-increment column."
#define ER_DEFAULT_VAL_GENERATED_FUNCTION_IS_NOT_ALLOWED_MSG "Default value expression of column \'%s\' contains a disallowed function."
#define ER_DEFAULT_VAL_GENERATED_NAMED_FUNCTION_IS_NOT_ALLOWED_MSG "Default value expression of column \'%s\' contains a disallowed function: %s."
#define ER_DEFAULT_VAL_GENERATED_ROW_VALUE_MSG "Default value expression of column \'%s\' cannot refer to a row value."
#define ER_DEFAULT_VAL_GENERATED_VARIABLES_MSG "Default value expression of column \'%s\' cannot refer user or system variables."
#define ER_DEFAULT_AS_VAL_GENERATED_MSG "DEFAULT function cannot be used with default value expressions"
#define ER_UNSUPPORTED_ACTION_ON_DEFAULT_VAL_GENERATED_MSG "\'%s\' is not supported for default value expressions."
#define ER_GTID_UNSAFE_ALTER_ADD_COL_WITH_DEFAULT_EXPRESSION_MSG "Statement violates GTID consistency: ALTER TABLE ... ADD COLUMN .. with expression as DEFAULT."
#define ER_FK_CANNOT_CHANGE_ENGINE_MSG "Cannot change table\'s storage engine because the table participates in a foreign key constraint."
#define ER_WARN_DEPRECATED_USER_SET_EXPR_MSG "Setting user variables within expressions is deprecated and will be removed in a future release. Consider alternatives: \'SET variable=expression, ...\', or \'SELECT expression(s) INTO variables(s)\'."
#define ER_WARN_DEPRECATED_UTF8MB3_COLLATION_MSG "\'%-.64s\' is a collation of the deprecated character set UTF8MB3. Please consider using UTF8MB4 with an appropriate collation instead."
#define ER_WARN_DEPRECATED_NESTED_COMMENT_SYNTAX_MSG "Nested comment syntax is deprecated and will be removed in a future release."
#define ER_FK_INCOMPATIBLE_COLUMNS_MSG "Referencing column \'%s\' and referenced column \'%s\' in foreign key constraint \'%s\' are incompatible."
#define ER_GR_HOLD_WAIT_TIMEOUT_MSG "Timeout exceeded for held statement while new Group Replication primary member is applying backlog."
#define ER_GR_HOLD_KILLED_MSG "Held statement aborted because Group Replication plugin got shut down or thread was killed while new primary member was applying backlog."
#define ER_GR_HOLD_MEMBER_STATUS_ERROR_MSG "Held statement was aborted due to member being in error state, while backlog is being applied during Group Replication primary election."
#define ER_RPL_ENCRYPTION_FAILED_TO_FETCH_KEY_MSG "Failed to fetch key from keyring, please check if keyring is loaded."
#define ER_RPL_ENCRYPTION_KEY_NOT_FOUND_MSG "Can\'t find key from keyring, please check in the server log if a keyring is loaded and initialized successfully."
#define ER_RPL_ENCRYPTION_KEYRING_INVALID_KEY_MSG "Fetched an invalid key from keyring."
#define ER_RPL_ENCRYPTION_HEADER_ERROR_MSG "Error reading a replication log encryption header: %s."
#define ER_RPL_ENCRYPTION_FAILED_TO_ROTATE_LOGS_MSG "Failed to rotate some logs after changing binlog encryption settings. Please fix the problem and rotate the logs manually."
#define ER_RPL_ENCRYPTION_KEY_EXISTS_UNEXPECTED_MSG "Key %s exists unexpected."
#define ER_RPL_ENCRYPTION_FAILED_TO_GENERATE_KEY_MSG "Failed to generate key, please check if keyring is loaded."
#define ER_RPL_ENCRYPTION_FAILED_TO_STORE_KEY_MSG "Failed to store key, please check if keyring is loaded."
#define ER_RPL_ENCRYPTION_FAILED_TO_REMOVE_KEY_MSG "Failed to remove key, please check if keyring is loaded."
#define ER_RPL_ENCRYPTION_UNABLE_TO_CHANGE_OPTION_MSG "Failed to change binlog_encryption value. %-.80s."
#define ER_RPL_ENCRYPTION_MASTER_KEY_RECOVERY_FAILED_MSG "Unable to recover binlog encryption master key, please check if keyring is loaded."
#define ER_SLOW_LOG_MODE_IGNORED_WHEN_NOT_LOGGING_TO_FILE_MSG "slow query log file format changed as requested, but setting will have no effect when not actually logging to a file."
#define ER_GRP_TRX_CONSISTENCY_NOT_ALLOWED_MSG "The option group_replication_consistency cannot be used on the current member state."
#define ER_GRP_TRX_CONSISTENCY_BEFORE_MSG "Error while waiting for group transactions commit on group_replication_consistency= \'BEFORE\'."
#define ER_GRP_TRX_CONSISTENCY_AFTER_ON_TRX_BEGIN_MSG "Error while waiting for transactions with group_replication_consistency= \'AFTER\' to commit."
#define ER_GRP_TRX_CONSISTENCY_BEGIN_NOT_ALLOWED_MSG "The Group Replication plugin is stopping, therefore new transactions are not allowed to start."
#define ER_FUNCTIONAL_INDEX_ROW_VALUE_IS_NOT_ALLOWED_MSG "Expression of functional index \'%s\' cannot refer to a row value."
#define ER_RPL_ENCRYPTION_FAILED_TO_ENCRYPT_MSG "Failed to encrypt content to write into binlog file: %s."
#define ER_PAGE_TRACKING_NOT_STARTED_MSG "Page Tracking is not started yet."
#define ER_PAGE_TRACKING_RANGE_NOT_TRACKED_MSG "Tracking was not enabled for the LSN range specified"
#define ER_PAGE_TRACKING_CANNOT_PURGE_MSG "Cannot purge data when concurrent clone is in progress. Try later."
#define ER_RPL_ENCRYPTION_CANNOT_ROTATE_BINLOG_MASTER_KEY_MSG "Cannot rotate binary log master key when \'binlog-encryption\' is off."
#define ER_BINLOG_MASTER_KEY_RECOVERY_OUT_OF_COMBINATION_MSG "Unable to recover binary log master key, the combination of new_master_key_seqno=%u, master_key_seqno=%u and old_master_key_seqno=%u are wrong."
#define ER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_OPERATE_KEY_MSG "Failed to operate binary log master key on keyring, please check if keyring is loaded. The statement had no effect: the old binary log master key is still in use, the keyring, binary and relay log files are unchanged, and the server could not start using a new binary log master key for encrypting new binary and relay log files."
#define ER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_ROTATE_LOGS_MSG "Failed to rotate one or more binary or relay log files. A new binary log master key was generated and will be used to encrypt new binary and relay log files. There may still exist binary or relay log files using the previous binary log master key."
#define ER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_REENCRYPT_LOG_MSG "%s. A new binary log master key was generated and will be used to encrypt new binary and relay log files. There may still exist binary or relay log files using the previous binary log master key."
#define ER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_CLEANUP_UNUSED_KEYS_MSG "Failed to remove unused binary log encryption keys from the keyring, please check if keyring is loaded. The unused binary log encryption keys may still exist in the keyring, and they will be removed upon server restart or next \'ALTER INSTANCE ROTATE BINLOG MASTER KEY\' execution."
#define ER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_CLEANUP_AUX_KEY_MSG "Failed to remove auxiliary binary log encryption key from keyring, please check if keyring is loaded. The cleanup of the binary log master key rotation process did not finish as expected and the cleanup will take place upon server restart or next \'ALTER INSTANCE ROTATE BINLOG MASTER KEY\' execution."
#define ER_NON_BOOLEAN_EXPR_FOR_CHECK_CONSTRAINT_MSG "An expression of non-boolean type specified to a check constraint \'%-.192s\'."
#define ER_COLUMN_CHECK_CONSTRAINT_REFERENCES_OTHER_COLUMN_MSG "Column check constraint \'%-.192s\' references other column."
#define ER_CHECK_CONSTRAINT_NAMED_FUNCTION_IS_NOT_ALLOWED_MSG "An expression of a check constraint \'%-.192s\' contains disallowed function: %s."
#define ER_CHECK_CONSTRAINT_FUNCTION_IS_NOT_ALLOWED_MSG "An expression of a check constraint \'%-.192s\' contains disallowed function."
#define ER_CHECK_CONSTRAINT_VARIABLES_MSG "An expression of a check constraint \'%-.192s\' cannot refer to a user or system variable."
#define ER_CHECK_CONSTRAINT_ROW_VALUE_MSG "Check constraint \'%-.192s\' cannot refer to a row value."
#define ER_CHECK_CONSTRAINT_REFERS_AUTO_INCREMENT_COLUMN_MSG "Check constraint \'%-.192s\' cannot refer to an auto-increment column."
#define ER_CHECK_CONSTRAINT_VIOLATED_MSG "Check constraint \'%-.192s\' is violated."
#define ER_CHECK_CONSTRAINT_REFERS_UNKNOWN_COLUMN_MSG "Check constraint \'%-.192s\' refers to non-existing column \'%-.192s\'."
#define ER_CHECK_CONSTRAINT_NOT_FOUND_MSG "Check constraint \'%-.192s\' is not found in the table."
#define ER_CHECK_CONSTRAINT_DUP_NAME_MSG "Duplicate check constraint name \'%-.192s\'."
#define ER_CHECK_CONSTRAINT_CLAUSE_USING_FK_REFER_ACTION_COLUMN_MSG "Column \'%-.192s\' cannot be used in a check constraint \'%-.192s\': needed in a foreign key constraint \'%-.192s\' referential action."
#define WARN_UNENCRYPTED_TABLE_IN_ENCRYPTED_DB_MSG "Creating an unencrypted table in a database with default encryption enabled."
#define ER_INVALID_ENCRYPTION_REQUEST_MSG "Request to create %s table while using an %s tablespace."
#define ER_CANNOT_SET_TABLE_ENCRYPTION_MSG "Table encryption differ from its database default encryption, and user doesn\'t have enough privilege."
#define ER_CANNOT_SET_DATABASE_ENCRYPTION_MSG "Database default encryption differ from \'default_table_encryption\' setting, and user doesn\'t have enough privilege."
#define ER_CANNOT_SET_TABLESPACE_ENCRYPTION_MSG "Tablespace encryption differ from \'default_table_encryption\' setting, and user doesn\'t have enough privilege."
#define ER_TABLESPACE_CANNOT_BE_ENCRYPTED_MSG "This tablespace can\'t be encrypted, because one of table\'s schema has default encryption OFF and user doesn\'t have enough privilege."
#define ER_TABLESPACE_CANNOT_BE_DECRYPTED_MSG "This tablespace can\'t be decrypted, because one of table\'s schema has default encryption ON and user doesn\'t have enough privilege."
#define ER_TABLESPACE_TYPE_UNKNOWN_MSG "Cannot determine the type of the tablespace named \'%s\'."
#define ER_TARGET_TABLESPACE_UNENCRYPTED_MSG "Source tablespace is encrypted but target tablespace is not."
#define ER_CANNOT_USE_ENCRYPTION_CLAUSE_MSG "ENCRYPTION clause is not valid for %s tablespace."
#define ER_INVALID_MULTIPLE_CLAUSES_MSG "Multiple %s clauses"
#define ER_UNSUPPORTED_USE_OF_GRANT_AS_MSG "GRANT ... AS is currently supported only for global privileges."
#define ER_UKNOWN_AUTH_ID_OR_ACCESS_DENIED_FOR_GRANT_AS_MSG "Either some of the authorization IDs in the AS clause are invalid or the current user lacks privileges to execute the statement."
#define ER_DEPENDENT_BY_FUNCTIONAL_INDEX_MSG "Column \'%s\' has a functional index dependency and cannot be dropped or renamed."
#define ER_PLUGIN_NOT_EARLY_MSG "Plugin \'%s\' is not to be used as an \"early\" plugin. Don\'t add it to --early-plugin-load, keyring migration etc."
#define ER_INNODB_REDO_LOG_ARCHIVE_START_SUBDIR_PATH_MSG "Redo log archiving start prohibits path name in \'subdir\' argument"
#define ER_INNODB_REDO_LOG_ARCHIVE_START_TIMEOUT_MSG "Redo log archiving start timed out"
#define ER_INNODB_REDO_LOG_ARCHIVE_DIRS_INVALID_MSG "Server variable \'innodb_redo_log_archive_dirs\' is NULL or empty"
#define ER_INNODB_REDO_LOG_ARCHIVE_LABEL_NOT_FOUND_MSG "Label \'%.192s\' not found in server variable \'innodb_redo_log_archive_dirs\'"
#define ER_INNODB_REDO_LOG_ARCHIVE_DIR_EMPTY_MSG "Directory is empty after label \'%.192s\' in server variable \'innodb_redo_log_archive_dirs\'"
#define ER_INNODB_REDO_LOG_ARCHIVE_NO_SUCH_DIR_MSG "Redo log archive directory \'%.192s\' does not exist or is not a directory"
#define ER_INNODB_REDO_LOG_ARCHIVE_DIR_CLASH_MSG "Redo log archive directory \'%.192s\' is in, under, or over server directory \'%.192s\' - \'%.192s\'"
#define ER_INNODB_REDO_LOG_ARCHIVE_DIR_PERMISSIONS_MSG "Redo log archive directory \'%.192s\' is accessible to all OS users"
#define ER_INNODB_REDO_LOG_ARCHIVE_FILE_CREATE_MSG "Cannot create redo log archive file \'%.512s\' (OS errno: %d - %.128s)"
#define ER_INNODB_REDO_LOG_ARCHIVE_ACTIVE_MSG "Redo log archiving has been started on \'%.512s\' - Call innodb_redo_log_archive_stop() first"
#define ER_INNODB_REDO_LOG_ARCHIVE_INACTIVE_MSG "Redo log archiving is not active"
#define ER_INNODB_REDO_LOG_ARCHIVE_FAILED_MSG "Redo log archiving failed: %.512s"
#define ER_INNODB_REDO_LOG_ARCHIVE_SESSION_MSG "Redo log archiving has not been started by this session"
#define ER_STD_REGEX_ERROR_MSG "Regex error: %-.256s in function %s."
#define ER_INVALID_JSON_TYPE_MSG "Invalid JSON type in argument %u to function %s; an %s is required."
#define ER_CANNOT_CONVERT_STRING_MSG "Cannot convert string \'%.64s\' from %s to %s"
#define ER_DEPENDENT_BY_PARTITION_FUNC_MSG "Column \'%s\' has a partitioning function dependency and cannot be dropped or renamed."
#define ER_WARN_DEPRECATED_FLOAT_AUTO_INCREMENT_MSG "AUTO_INCREMENT support for FLOAT/DOUBLE columns is deprecated and will be removed in a future release. Consider removing AUTO_INCREMENT from column \'%-.192s\'."
#define ER_RPL_CANT_STOP_SLAVE_WHILE_LOCKED_BACKUP_MSG "Cannot stop the slave SQL thread while the instance is locked for backup. Try running `UNLOCK INSTANCE` first."
#define ER_WARN_DEPRECATED_FLOAT_DIGITS_MSG "Specifying number of digits for floating point data types is deprecated and will be removed in a future release."
#define ER_WARN_DEPRECATED_FLOAT_UNSIGNED_MSG "UNSIGNED for decimal and floating point data types is deprecated and support for it will be removed in a future release."
#define ER_WARN_DEPRECATED_INTEGER_DISPLAY_WIDTH_MSG "Integer display width is deprecated and will be removed in a future release."
#define ER_WARN_DEPRECATED_ZEROFILL_MSG "The ZEROFILL attribute is deprecated and will be removed in a future release. Use the LPAD function to zero-pad numbers, or store the formatted numbers in a CHAR column."
#define ER_CLONE_DONOR_MSG "Clone Donor Error: %.512s."
#define ER_CLONE_PROTOCOL_MSG "Clone received unexpected response from Donor : %.512s."
#define ER_CLONE_DONOR_VERSION_MSG "Clone Donor MySQL version: %.64s is different from Recipient MySQL version %.64s."
#define ER_CLONE_OS_MSG "Clone Donor OS: %.64s is different from Recipient OS: %.64s."
#define ER_CLONE_PLATFORM_MSG "Clone Donor platform: %.64s is different from Recipient platform: %.64s."
#define ER_CLONE_CHARSET_MSG "Clone Donor collation: %.128s is unavailable in Recipient."
#define ER_CLONE_CONFIG_MSG "Clone Configuration %.128s: Donor value: %.128s is different from Recipient value: %.128s."
#define ER_CLONE_SYS_CONFIG_MSG "Clone system configuration: %.512s"
#define ER_CLONE_PLUGIN_MATCH_MSG "Clone Donor plugin %.128s is not active in Recipient."
#define ER_CLONE_LOOPBACK_MSG "Clone cannot use loop back connection while cloning into current data directory."
#define ER_CLONE_ENCRYPTION_MSG "Clone needs SSL connection for encrypted table."
#define ER_CLONE_DISK_SPACE_MSG "Clone estimated database size is %.64s. Available space %.64s is not enough."
#define ER_CLONE_IN_PROGRESS_MSG "Concurrent clone in progress. Please try after clone is complete."
#define ER_CLONE_DISALLOWED_MSG "The clone operation cannot be executed when %s."
#define ER_CANNOT_GRANT_ROLES_TO_ANONYMOUS_USER_MSG "Cannot grant roles to an anonymous user."
#define ER_SECONDARY_ENGINE_PLUGIN_MSG "%s"
#define ER_SECOND_PASSWORD_CANNOT_BE_EMPTY_MSG "Empty password can not be retained as second password for user \'%s\'@\'%s\'."
#define ER_DB_ACCESS_DENIED_MSG "Access denied for AuthId `%.64s`@`%.64s` to database \'%-.192s\'."
#define ER_DA_AUTH_ID_WITH_SYSTEM_USER_PRIV_IN_MANDATORY_ROLES_MSG "Cannot set mandatory_roles: AuthId `%.64s`@`%.64s` has \'%s\' privilege."
#define ER_DA_RPL_GTID_TABLE_CANNOT_OPEN_MSG "Gtid table is not ready to be used. Table \'%s.%s\' cannot be opened."
#define ER_GEOMETRY_IN_UNKNOWN_LENGTH_UNIT_MSG "The geometry passed to function %s is in SRID 0, which doesn\'t specify a length unit. Can\'t convert to \'%s\'."
#define ER_DA_PLUGIN_INSTALL_ERROR_MSG "Error installing plugin \'%s\': %s"
#define ER_NO_SESSION_TEMP_MSG "Storage engine could not allocate temporary tablespace for this session."
#define ER_DA_UNKNOWN_ERROR_NUMBER_MSG "Got unknown error: %d"
#define ER_COLUMN_CHANGE_SIZE_MSG "Could not change column \'%s\' of table \'%s\'. The resulting size of index \'%s\' would exceed the max key length of %d bytes."
#define ER_REGEXP_INVALID_CAPTURE_GROUP_NAME_MSG "A capture group has an invalid name."
#define ER_DA_SSL_LIBRARY_ERROR_MSG "Failed to set up SSL because of the following SSL library error: %s"
#define ER_SECONDARY_ENGINE_MSG "Secondary engine operation failed. %s."
#define ER_SECONDARY_ENGINE_DDL_MSG "DDLs on a table with a secondary engine defined are not allowed."
#define ER_INCORRECT_CURRENT_PASSWORD_MSG "Incorrect current password. Specify the correct password which has to be replaced."
#define ER_MISSING_CURRENT_PASSWORD_MSG "Current password needs to be specified in the REPLACE clause in order to change it."
#define ER_CURRENT_PASSWORD_NOT_REQUIRED_MSG "Do not specify the current password while changing it for other users."
#define ER_PASSWORD_CANNOT_BE_RETAINED_ON_PLUGIN_CHANGE_MSG "Current password can not be retained for user \'%s\'@\'%s\' because authentication plugin is being changed."
#define ER_CURRENT_PASSWORD_CANNOT_BE_RETAINED_MSG "Current password can not be retained for user \'%s\'@\'%s\' because new password is empty."
#define ER_PARTIAL_REVOKES_EXIST_MSG "At least one partial revoke exists on a database. The system variable \'@@partial_revokes\' must be set to ON."
#define ER_CANNOT_GRANT_SYSTEM_PRIV_TO_MANDATORY_ROLE_MSG "AuthId `%.64s`@`%.64s` is set as mandatory_roles. Cannot grant the \'%s\' privilege."
#define ER_XA_REPLICATION_FILTERS_MSG "The use of replication filters with XA transactions is not supported, and can lead to an undefined state in the replication slave."
#define ER_UNSUPPORTED_SQL_MODE_MSG "sql_mode=0x%08x is not supported."
#define ER_REGEXP_INVALID_FLAG_MSG "Invalid match mode flag in regular expression."
#define ER_PARTIAL_REVOKE_AND_DB_GRANT_BOTH_EXISTS_MSG "\'%s\' privilege for database \'%s\' exists both as partial revoke and mysql.db simultaneously. It could mean that the \'mysql\' schema is corrupted."
#define ER_UNIT_NOT_FOUND_MSG "There\'s no unit of measure named \'%s\'."
#define ER_INVALID_JSON_VALUE_FOR_FUNC_INDEX_MSG "Invalid JSON value for CAST for functional index \'%-.64s\'."
#define ER_JSON_VALUE_OUT_OF_RANGE_FOR_FUNC_INDEX_MSG "Out of range JSON value for CAST for functional index \'%-.64s\'."
#define ER_EXCEEDED_MV_KEYS_NUM_MSG "Exceeded max number of values per record for multi-valued index \'%-.64s\' by %u value(s)."
#define ER_EXCEEDED_MV_KEYS_SPACE_MSG "Exceeded max total length of values per record for multi-valued index \'%-.64s\' by %u bytes."
#define ER_FUNCTIONAL_INDEX_DATA_IS_TOO_LONG_MSG "Data too long for functional index \'%-.64s\'."
#define ER_WRONG_MVI_VALUE_MSG "Cannot store an array or an object in a scalar key part of the index \'%.192s\'."
#define ER_WARN_FUNC_INDEX_NOT_APPLICABLE_MSG "Cannot use functional index \'%-.64s\' due to type or collation conversion."
#define ER_GRP_RPL_UDF_ERROR_MSG "The function \'%s\' failed. %s"
#define ER_UPDATE_GTID_PURGED_WITH_GR_MSG "Cannot update GTID_PURGED with the Group Replication plugin running"
#define ER_GROUPING_ON_TIMESTAMP_IN_DST_MSG "Grouping on temporal is non-deterministic for timezones having DST. Please consider switching to UTC for this query."
#define ER_TABLE_NAME_CAUSES_TOO_LONG_PATH_MSG "Long database name and identifier for object resulted in a path length too long for table \'%s\'. Please check the path limit for your OS."
#define ER_AUDIT_LOG_INSUFFICIENT_PRIVILEGE_MSG "Request ignored for \'%.64s\'@\'%.64s\'. Role needed to perform operation: \'%.32s\'"
#define ER_DA_GRP_RPL_STARTED_AUTO_REJOIN_MSG "Started auto-rejoin procedure attempt %lu of %lu"
#define ER_SYSVAR_CHANGE_DURING_QUERY_MSG "A plugin was loaded or unloaded during a query, a system variable table was changed."
#define ER_GLOBSTAT_CHANGE_DURING_QUERY_MSG "A plugin was loaded or unloaded during a query, a global status variable was changed."
#define ER_GRP_RPL_MESSAGE_SERVICE_INIT_FAILURE_MSG "The START GROUP_REPLICATION command failed to start its message service."
#define ER_CHANGE_MASTER_WRONG_COMPRESSION_ALGORITHM_CLIENT_MSG "Invalid MASTER_COMPRESSION_ALGORITHMS \'%.192s\' for channel \'%.192s\'."
#define ER_CHANGE_MASTER_WRONG_COMPRESSION_LEVEL_CLIENT_MSG "Invalid MASTER_ZSTD_COMPRESSION_LEVEL %u for channel \'%.192s\'."
#define ER_WRONG_COMPRESSION_ALGORITHM_CLIENT_MSG "Invalid compression algorithm \'%.192s\'."
#define ER_WRONG_COMPRESSION_LEVEL_CLIENT_MSG "Invalid zstd compression level for algorithm \'%.192s\'."
#define ER_CHANGE_MASTER_WRONG_COMPRESSION_ALGORITHM_LIST_CLIENT_MSG "Specified compression algorithm list \'%.192s\' exceeds total count of 3 for channel \'%.192s\'."
#define ER_CLIENT_PRIVILEGE_CHECKS_USER_CANNOT_BE_ANONYMOUS_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' was set to ``@`%.255s`, but anonymous users are disallowed for PRIVILEGE_CHECKS_USER."
#define ER_CLIENT_PRIVILEGE_CHECKS_USER_DOES_NOT_EXIST_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' was set to `%.64s`@`%.255s`, but this is not an existing user."
#define ER_CLIENT_PRIVILEGE_CHECKS_USER_CORRUPT_MSG "Invalid, corrupted PRIVILEGE_CHECKS_USER was found in the replication configuration repository for channel \'%.192s\'. Use CHANGE MASTER TO PRIVILEGE_CHECKS_USER to correct the configuration."
#define ER_CLIENT_PRIVILEGE_CHECKS_USER_NEEDS_RPL_APPLIER_PRIV_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' was set to `%.64s`@`%.255s`, but this user does not have REPLICATION_APPLIER privilege."
#define ER_WARN_DA_PRIVILEGE_NOT_REGISTERED_MSG "Dynamic privilege \'%s\' is not registered with the server."
#define ER_CLIENT_KEYRING_UDF_KEY_INVALID_MSG "Function \'%s\' failed because key is invalid."
#define ER_CLIENT_KEYRING_UDF_KEY_TYPE_INVALID_MSG "Function \'%s\' failed because key type is invalid."
#define ER_CLIENT_KEYRING_UDF_KEY_TOO_LONG_MSG "Function \'%s\' failed because key length is too long."
#define ER_CLIENT_KEYRING_UDF_KEY_TYPE_TOO_LONG_MSG "Function \'%s\' failed because key type is too long."
#define ER_JSON_SCHEMA_VALIDATION_ERROR_WITH_DETAILED_REPORT_MSG "%s."
#define ER_DA_UDF_INVALID_CHARSET_SPECIFIED_MSG "Invalid character set \'%s\' was specified. It must be either character set name or collation name as supported by server."
#define ER_DA_UDF_INVALID_CHARSET_MSG "Invalid character set \'%s\' was specified. It must be a character set name as supported by server."
#define ER_DA_UDF_INVALID_COLLATION_MSG "Invalid collation \'%s\' was specified. It must be a collation name as supported by server."
#define ER_DA_UDF_INVALID_EXTENSION_ARGUMENT_TYPE_MSG "Invalid extension argument type \'%s\' was specified. Refer the MySQL manual for the valid UDF extension arguments type."
#define ER_MULTIPLE_CONSTRAINTS_WITH_SAME_NAME_MSG "Table has multiple constraints with the name \'%-.192s\'. Please use constraint specific \'%s\' clause."
#define ER_CONSTRAINT_NOT_FOUND_MSG "Constraint \'%-.192s\' does not exist."
#define ER_ALTER_CONSTRAINT_ENFORCEMENT_NOT_SUPPORTED_MSG "Altering constraint enforcement is not supported for the constraint \'%-.192s\'. Enforcement state alter is not supported for the PRIMARY, UNIQUE and FOREIGN KEY type constraints."
#define ER_TABLE_VALUE_CONSTRUCTOR_MUST_HAVE_COLUMNS_MSG "Each row of a VALUES clause must have at least one column, unless when used as source in an INSERT statement."
#define ER_TABLE_VALUE_CONSTRUCTOR_CANNOT_HAVE_DEFAULT_MSG "A VALUES clause cannot use DEFAULT values, unless used as a source in an INSERT statement."
#define ER_CLIENT_QUERY_FAILURE_INVALID_NON_ROW_FORMAT_MSG "The query does not comply with variable require_row_format restrictions."
#define ER_REQUIRE_ROW_FORMAT_INVALID_VALUE_MSG "The requested value %s is invalid for REQUIRE_ROW_FORMAT, must be either 0 or 1."
#define ER_FAILED_TO_DETERMINE_IF_ROLE_IS_MANDATORY_MSG "Failed to acquire lock on user management service, unable to determine if role `%s`@`%s` is mandatory"
#define ER_FAILED_TO_FETCH_MANDATORY_ROLE_LIST_MSG "Failed to acquire lock on user management service, unable to fetch mandatory role list"
#define ER_CLIENT_LOCAL_FILES_DISABLED_MSG "Loading local data is disabled; this must be enabled on both the client and server sides"
#define ER_IMP_INCOMPATIBLE_CFG_VERSION_MSG "Failed to import %s because the CFG file version (%u) is not compatible with the current version (%u)"
#define ER_DA_OOM_MSG "Out of memory"
#define ER_DA_UDF_INVALID_ARGUMENT_TO_SET_CHARSET_MSG "Character set can be set only for the UDF argument type STRING."
#define ER_DA_UDF_INVALID_RETURN_TYPE_TO_SET_CHARSET_MSG "Character set can be set only for the UDF RETURN type STRING."
#define ER_MULTIPLE_INTO_CLAUSES_MSG "Multiple INTO clauses in one query block."
#define ER_MISPLACED_INTO_MSG "Misplaced INTO clause, INTO is not allowed inside subqueries, and must be placed at end of UNION clauses."
#define ER_USER_ACCESS_DENIED_FOR_USER_ACCOUNT_BLOCKED_BY_PASSWORD_LOCK_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'. Account is blocked for %s day(s) (%s day(s) remaining) due to %u consecutive failed logins."
#define ER_WARN_DEPRECATED_YEAR_UNSIGNED_MSG "UNSIGNED for the YEAR data type is deprecated and support for it will be removed in a future release."
#define ER_CLONE_NETWORK_PACKET_MSG "Clone needs max_allowed_packet value to be %u or more. Current value is %u"
#define ER_SDI_OPERATION_FAILED_MISSING_RECORD_MSG "Failed to %s sdi for %s.%s in %s due to missing record."
#define ER_DEPENDENT_BY_CHECK_CONSTRAINT_MSG "Check constraint \'%-.192s\' uses column \'%-.192s\', hence column cannot be dropped or renamed."
#define ER_GRP_OPERATION_NOT_ALLOWED_GR_MUST_STOP_MSG "This operation cannot be performed while Group Replication is running; run STOP GROUP_REPLICATION first"
#define ER_WARN_DEPRECATED_JSON_TABLE_ON_ERROR_ON_EMPTY_MSG "Specifying an ON EMPTY clause after the ON ERROR clause in a JSON_TABLE column definition is deprecated syntax and will be removed in a future release. Specify ON EMPTY before ON ERROR instead."
#define ER_WARN_DEPRECATED_INNER_INTO_MSG "The INTO clause is deprecated inside query blocks of query expressions and will be removed in a future release. Please move the INTO clause to the end of statement instead."
#define ER_WARN_DEPRECATED_VALUES_FUNCTION_ALWAYS_NULL_MSG "The VALUES function is deprecated and will be removed in a future release. It always returns NULL in this context. If you meant to access a value from the VALUES clause of the INSERT statement, consider using an alias (INSERT INTO ... VALUES (...) AS alias) and reference alias.col instead of VALUES(col) in the ON DUPLICATE KEY UPDATE clause."
#define ER_WARN_DEPRECATED_SQL_CALC_FOUND_ROWS_MSG "SQL_CALC_FOUND_ROWS is deprecated and will be removed in a future release. Consider using two separate queries instead."
#define ER_WARN_DEPRECATED_FOUND_ROWS_MSG "FOUND_ROWS() is deprecated and will be removed in a future release. Consider using COUNT(*) instead."
#define ER_MISSING_JSON_VALUE_MSG "No value was found by \'%.192s\' on the specified path."
#define ER_MULTIPLE_JSON_VALUES_MSG "More than one value was found by \'%.192s\' on the specified path."
#define ER_HOSTNAME_TOO_LONG_MSG "Hostname cannot be longer than %d characters."
#define ER_WARN_CLIENT_DEPRECATED_PARTITION_PREFIX_KEY_MSG "Column \'%.64s.%.64s.%.64s\' having prefix key part \'%.64s(%u)\' is ignored by the partitioning function. Use of prefixed columns in the PARTITION BY KEY() clause is deprecated and will be removed in a future release."
#define ER_GROUP_REPLICATION_USER_EMPTY_MSG_MSG "The START GROUP_REPLICATION command failed since the username provided for recovery channel is empty."
#define ER_GROUP_REPLICATION_USER_MANDATORY_MSG_MSG "The START GROUP_REPLICATION command failed since the USER option was not provided with PASSWORD for recovery channel."
#define ER_GROUP_REPLICATION_PASSWORD_LENGTH_MSG "The START GROUP_REPLICATION command failed since the password provided for the recovery channel exceeds the maximum length of 32 characters."
#define ER_SUBQUERY_TRANSFORM_REJECTED_MSG "Statement requires a transform of a subquery to a non-SET operation (like IN2EXISTS, or subquery-to-LATERAL-derived-table). This is not allowed with optimizer switch \'subquery_to_derived\' on"
#define ER_DA_GRP_RPL_RECOVERY_ENDPOINT_FORMAT_MSG "Invalid input value for recovery socket endpoints \'%s\'. Please, provide a valid, comma separated, list of endpoints (IP:port)"
#define ER_DA_GRP_RPL_RECOVERY_ENDPOINT_INVALID_MSG "The server is not listening on endpoint \'%s\'. Only endpoints that the server is listening on are valid recovery endpoints."
#define ER_WRONG_VALUE_FOR_VAR_PLUS_ACTIONABLE_PART_MSG "Variable \'%-.64s\' cannot be set to the value of \'%-.200s\'. %-.200s"
#define ER_STATEMENT_NOT_ALLOWED_AFTER_START_TRANSACTION_MSG "Only BINLOG INSERT, COMMIT and ROLLBACK statements are allowed after CREATE TABLE with START TRANSACTION statement."
#define ER_FOREIGN_KEY_WITH_ATOMIC_CREATE_SELECT_MSG "Foreign key creation is not allowed with CREATE TABLE as SELECT and CREATE TABLE with START TRANSACTION statement."
#define ER_NOT_ALLOWED_WITH_START_TRANSACTION_MSG "START TRANSACTION clause cannot be used %.128s"
#define ER_INVALID_JSON_ATTRIBUTE_MSG "Invalid json attribute, error: \"%s\" at pos %u: \'%s\'"
#define ER_ENGINE_ATTRIBUTE_NOT_SUPPORTED_MSG "Storage engine \'%s\' does not support ENGINE_ATTRIBUTE."
#define ER_INVALID_USER_ATTRIBUTE_JSON_MSG "The user attribute must be a valid JSON object"
#define ER_INNODB_REDO_DISABLED_MSG "Cannot perform operation as InnoDB redo logging is disabled. Please retry after enabling redo log with ALTER INSTANCE"
#define ER_INNODB_REDO_ARCHIVING_ENABLED_MSG "Cannot perform operation as InnoDB is archiving redo log. Please retry after stopping redo archive by invoking innodb_redo_log_archive_stop()"
#define ER_MDL_OUT_OF_RESOURCES_MSG "Not enough resources to complete lock request."
#define ER_IMPLICIT_COMPARISON_FOR_JSON_MSG "Evaluating a JSON value in SQL boolean context does an implicit comparison against JSON integer 0; if this is not what you want, consider converting JSON to a SQL numeric type with JSON_VALUE RETURNING"
#define ER_FUNCTION_DOES_NOT_SUPPORT_CHARACTER_SET_MSG "The function %s does not support the character set \'%s\'."
#define ER_IMPOSSIBLE_STRING_CONVERSION_MSG "Conversion from collation %s into %s impossible for %s"
#define ER_SCHEMA_READ_ONLY_MSG "Schema \'%s\' is in read only mode."
#define ER_RPL_ASYNC_RECONNECT_GTID_MODE_OFF_MSG "Failed to enable Asynchronous Replication Connection Failover feature. The CHANGE MASTER TO SOURCE_CONNECTION_AUTO_FAILOVER = 1 can only be set when @@GLOBAL.GTID_MODE = ON."
#define ER_RPL_ASYNC_RECONNECT_AUTO_POSITION_OFF_MSG "Failed to enable Asynchronous Replication Connection Failover feature. The CHANGE MASTER TO SOURCE_CONNECTION_AUTO_FAILOVER = 1 can only be set when MASTER_AUTO_POSITION option of CHANGE MASTER TO is enabled."
#define ER_DISABLE_GTID_MODE_REQUIRES_ASYNC_RECONNECT_OFF_MSG "The @@GLOBAL.GTID_MODE = %-.64s cannot be executed because Asynchronous Replication Connection Failover is enabled i.e. CHANGE MASTER TO SOURCE_CONNECTION_AUTO_FAILOVER = 1."
#define ER_DISABLE_AUTO_POSITION_REQUIRES_ASYNC_RECONNECT_OFF_MSG "CHANGE MASTER TO MASTER_AUTO_POSITION = 0 cannot be executed because Asynchronous Replication Connection Failover is enabled i.e. CHANGE MASTER TO SOURCE_CONNECTION_AUTO_FAILOVER = 1."
#define ER_INVALID_PARAMETER_USE_MSG "Invalid use of parameters in \'%s\'"
#define ER_CHARACTER_SET_MISMATCH_MSG "Character set \'%s\' cannot be used in conjunction with \'%s\' in call to %s."
#define ER_WARN_VAR_VALUE_CHANGE_NOT_SUPPORTED_MSG "Changing %s not supported on this platform. Falling back to the default."
#define ER_INVALID_TIME_ZONE_INTERVAL_MSG "Invalid time zone interval: \'%s\'"
#define ER_INVALID_CAST_MSG "Cannot cast value to %s."
#define ER_HYPERGRAPH_NOT_SUPPORTED_YET_MSG "The hypergraph optimizer does not yet support \'%s\'"
#define ER_WARN_HYPERGRAPH_EXPERIMENTAL_MSG "The hypergraph optimizer is highly experimental and is meant for testing only. Do not enable it unless you are a MySQL developer."
#define ER_DA_NO_ERROR_LOG_PARSER_CONFIGURED_MSG "None of the log-sinks selected with --log-error-services=... provides a log-parser. The server will not be able to make the previous runs\' error-logs available in performance_schema.error_log."
#define ER_DA_ERROR_LOG_TABLE_DISABLED_MSG "None of the log-sinks selected in @@global.log_error_services supports writing to the performance schema. The server will not be able to make the current runs\' error events available in performance_schema.error_log. To change this, add a log-sink that supports the performance schema to @@global.log_error_services."
#define ER_DA_ERROR_LOG_MULTIPLE_FILTERS_MSG "@@global.log_error_services lists more than one log-filter service. This is discouraged as it will make it hard to understand which rule in which filter affected a log-event."
#define ER_DA_CANT_OPEN_ERROR_LOG_MSG "Could not open file \'%s\' for error logging%s%s"
#define ER_USER_REFERENCED_AS_DEFINER_MSG "User %.256s is referenced as a definer account in %s."
#define ER_CANNOT_USER_REFERENCED_AS_DEFINER_MSG "Operation %s failed for %.256s as it is referenced as a definer account in %s."
#define ER_REGEX_NUMBER_TOO_BIG_MSG "Decimal number in regular expression is too large."
#define ER_SPVAR_NONINTEGER_TYPE_MSG "The variable \"%s\" has a non-integer based type"
#define WARN_UNSUPPORTED_ACL_TABLES_READ_MSG "Reads with serializable isolation/SELECT FOR SHARE are not supported for ACL tables."
#define ER_BINLOG_UNSAFE_ACL_TABLE_READ_IN_DML_DDL_MSG "The statement is unsafe because it updates a table depending on ACL table read operation. As storage engine row locks are skipped for ACL table, it may not have same effect on master and slave."
#define ER_STOP_REPLICA_MONITOR_IO_THREAD_TIMEOUT_MSG "STOP REPLICA command execution is incomplete: Replica Monitor thread got the stop signal, thread is busy, Monitor thread will stop once the current task is complete."
#define ER_STARTING_REPLICA_MONITOR_IO_THREAD_MSG "The Replica Monitor thread failed to start."
#define ER_CANT_USE_ANONYMOUS_TO_GTID_WITH_GTID_MODE_NOT_ON_MSG "Replication cannot start%.192s with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID> as this server uses @@GLOBAL.GTID_MODE <> ON."
#define ER_CANT_COMBINE_ANONYMOUS_TO_GTID_AND_AUTOPOSITION_MSG "The options ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID> and MASTER_AUTO_POSITION = 1 cannot be used together."
#define ER_ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS_REQUIRES_GTID_MODE_ON_MSG "CHANGE MASTER TO ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID> cannot be executed because @@GLOBAL.GTID_MODE <> ON."
#define ER_SQL_REPLICA_SKIP_COUNTER_USED_WITH_GTID_MODE_ON_MSG "The value of sql_replica_skip_counter will only take effect for channels running with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS <> OFF."
#define ER_USING_ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS_AS_LOCAL_OR_UUID_MSG "Using ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS creates limitations on the replication topology - you cannot fail over between downstream and upstream servers. Only use this option if it is not possible to enable GTIDs on the source, for instance, because of lack of permissions. If possible, use the procedure for enabling GTID transactions online instead, as described in the documentation."
#define ER_CANT_SET_ANONYMOUS_TO_GTID_AND_WAIT_UNTIL_SQL_THD_AFTER_GTIDS_MSG "WAIT_UNTIL_SQL_THREAD_AFTER_GTIDS cannot be used on a channel configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID>"
#define ER_CANT_SET_SQL_AFTER_OR_BEFORE_GTIDS_WITH_ANONYMOUS_TO_GTID_MSG "The SQL_AFTER_GTIDS or SQL_BEFORE_GTIDS clauses for START REPLICA cannot be used when the replication channel is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID>."
#define ER_ANONYMOUS_TO_GTID_UUID_SAME_AS_GROUP_NAME_MSG "Replication \'%.192s\' is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = <UUID> where the UUID value is equal to the group_replication_group_name"
#define ER_CANT_USE_SAME_UUID_AS_GROUP_NAME_MSG "CHANGE MASTER TO ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = <UUID> cannot be executed because the UUID value is equal to the group_replication_group_name."
#define ER_GRP_RPL_RECOVERY_CHANNEL_STILL_RUNNING_MSG "The group_replication_recovery channel is still running, most likely it is waiting for a database/table lock, which is preventing the channel from stopping. Please check database/table locks, including the ones created by backup tools."
#define ER_INNODB_INVALID_AUTOEXTEND_SIZE_VALUE_MSG "AUTOEXTEND_SIZE should be a multiple of %uM"
#define ER_INNODB_INCOMPATIBLE_WITH_TABLESPACE_MSG "InnoDB: \"%s\" not allowed with general tablespaces"
#define ER_INNODB_AUTOEXTEND_SIZE_OUT_OF_RANGE_MSG "AUTOEXTEND_SIZE value should be between %uM and %uM"
#define ER_CANNOT_USE_AUTOEXTEND_SIZE_CLAUSE_MSG "AUTOEXTEND_SIZE clause is not valid for %s tablespace."
#define ER_ROLE_GRANTED_TO_ITSELF_MSG "User account %s is directly or indirectly granted to the role %s. The GRANT would create a loop"
#define ER_TABLE_MUST_HAVE_A_VISIBLE_COLUMN_MSG "A table must have at least one visible column."
#define ER_INNODB_COMPRESSION_FAILURE_MSG "Compression failed with the following error : %s"
#define ER_WARN_ASYNC_CONN_FAILOVER_NETWORK_NAMESPACE_MSG "The parameter network_namespace is reserved for future use. Please use the CHANGE REPLICATION SOURCE command to set channel network_namespace parameter."
#define ER_CLIENT_INTERACTION_TIMEOUT_MSG "The client was disconnected by the server because of inactivity. See wait_timeout and interactive_timeout for configuring this behavior."
#define ER_INVALID_CAST_TO_GEOMETRY_MSG "Invalid cast from %s to %s."
#define ER_INVALID_CAST_POLYGON_RING_DIRECTION_MSG "Invalid cast from %s to %s. A polygon ring is in the wrong direction."
#define ER_GIS_DIFFERENT_SRIDS_AGGREGATION_MSG "Arguments to function %s contains geometries with different SRIDs: %u and %u. All geometries must have the same SRID."
#define ER_RELOAD_KEYRING_FAILURE_MSG "Keyring reload failed. Please check error log for more details."
#define ER_SDI_GET_KEYS_INVALID_TABLESPACE_MSG "Tablespace \'%.192s\' is invalid for SDI operations."
#define ER_CHANGE_RPL_SRC_WRONG_COMPRESSION_ALGORITHM_SIZE_MSG "Value too long setting SOURCE_COMPRESSION_ALGORITHMS option to a %d chars long string for channel \'%.192s\'."
#define ER_WARN_DEPRECATED_TLS_VERSION_FOR_CHANNEL_CLI_MSG "A deprecated TLS version %s is enabled for channel %s. Please use TLSv1.2 or higher."
#define ER_CANT_USE_SAME_UUID_AS_VIEW_CHANGE_UUID_MSG "CHANGE REPLICATION SOURCE TO ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = <UUID> cannot be executed because the UUID value is equal to the group_replication_view_change_uuid."
#define ER_ANONYMOUS_TO_GTID_UUID_SAME_AS_VIEW_CHANGE_UUID_MSG "Replication \'%.192s\' is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = <UUID> where the UUID value is equal to the group_replication_view_change_uuid"
#define ER_GRP_RPL_VIEW_CHANGE_UUID_FAIL_GET_VARIABLE_MSG "Unable to retrieve group_replication_view_change_uuid variable during server checks on replication operations."
#define ER_WARN_ADUIT_LOG_MAX_SIZE_AND_PRUNE_SECONDS_MSG "Both audit_log_max_size and audit_log_prune_seconds are set to non-zero. audit_log_max_size takes precedence and audit_log_prune_seconds is ignored"
#define ER_WARN_ADUIT_LOG_MAX_SIZE_CLOSE_TO_ROTATE_ON_SIZE_MSG "audit_log_rotate_on_size is not granular enough for the value of audit_log_max_size supplied. Should be at least %d times smaller."
#define ER_KERBEROS_CREATE_USER_MSG "Create/Alter user has failed, Configured user realm as authentication string is empty, Please make sure to configure authentication string as user realm."
#define ER_INSTALL_PLUGIN_CONFLICT_CLIENT_MSG "Cannot install the %.192s plugin when the %.192s plugin is installed."
#define ER_DA_ERROR_LOG_COMPONENT_FLUSH_FAILED_MSG "%d error logging component(s) failed to flush. For file-based logs this can happen when the path or permissions of the log-file have changed. Failure to flush filed-based logs may affect log-rotation."
#define ER_WARN_SQL_AFTER_MTS_GAPS_GAP_NOT_CALCULATED_MSG "The until clause SQL_AFTER_MTS_GAPS is being used for channel \'%.192s\' when GTID_MODE = ON and SOURCE_AUTO_POSITION=1 meaning the server did not compute internally what gaps may exist in the relay log transaction execution. To close any execution gaps use either the SQL_BEFORE_GTIDS or SQL_AFTER_GTIDS until clause."
#define ER_INVALID_ASSIGNMENT_TARGET_MSG "Invalid target for assignment in INSERT or UPDATE statement \'%.192s\'."
#define ER_OPERATION_NOT_ALLOWED_ON_GR_SECONDARY_MSG "This operation cannot be performed on a Group Replication secondary member, it must be done on the group primary."
#define ER_GRP_RPL_FAILOVER_CHANNEL_STATUS_PROPAGATION_MSG "Unable to propagate the SOURCE_CONNECTION_AUTO_FAILOVER value for channel \'%s\' to group replication members. Please retry the operation."
#define ER_WARN_AUDIT_LOG_FORMAT_UNIX_TIMESTAMP_ONLY_WHEN_JSON_MSG "audit_log_format_unix_timestamp is applicable only when audit_log_format = JSON."
#define ER_INVALID_MFA_PLUGIN_SPECIFIED_MSG "Invalid plugin \"%s\" specified as %d factor during \"%s\"."
#define ER_IDENTIFIED_BY_UNSUPPORTED_MSG "IDENTIFIED BY clause during \"%s\" not supported for plugin \"%s\"."
#define ER_INVALID_PLUGIN_FOR_REGISTRATION_MSG "This operation is not supported for plugin \"%s\"."
#define ER_PLUGIN_REQUIRES_REGISTRATION_MSG "Authentication plugin requires registration. Please refer ALTER USER syntax or set --fido-register-factor command line option to do registration."
#define ER_MFA_METHOD_EXISTS_MSG "%d factor authentication method exists. Please do ALTER USER... DROP %d factor before doing this operation OR do ALTER USER... MODIFY %d factor... to modify existing %d factor authentication method."
#define ER_MFA_METHOD_NOT_EXISTS_MSG "%d factor authentication method doesn\'t exist. Please do ALTER USER... ADD %d factor... before doing this operation."
#define ER_AUTHENTICATION_POLICY_MISMATCH_MSG "%d factor authentication method does not match against authentication policy. Please refer @@authentication_policy system variable."
#define ER_PLUGIN_REGISTRATION_DONE_MSG "The registration for %d factor authentication method is already completed. You cannot perform registration multiple times."
#define ER_INVALID_USER_FOR_REGISTRATION_MSG "The registration operation is not allowed for user \'%s\'@\'%s\'. The operation can only be performed in user\'s own session."
#define ER_USER_REGISTRATION_FAILED_MSG "Authentication plugin\'s registration failed."
#define ER_MFA_METHODS_INVALID_ORDER_MSG "%d factor authentication method should be added before %d factor authentication method."
#define ER_MFA_METHODS_IDENTICAL_MSG "Authentication factor should be different."
#define ER_INVALID_MFA_OPERATIONS_FOR_PASSWORDLESS_USER_MSG "The operation \"%s\" cannot be performed for user \'%s\'@\'%s\' configured to connect without a password."
#define ER_CHANGE_REPLICATION_SOURCE_NO_OPTIONS_FOR_GTID_ONLY_MSG "GTID_ONLY cannot be enabled for replication channel \'%.192s\'. You need GTID_MODE = ON, SOURCE_AUTO_POSITION = 1 and REQUIRE_ROW_FORMAT = 1."
#define ER_CHANGE_REP_SOURCE_CANT_DISABLE_REQ_ROW_FORMAT_WITH_GTID_ONLY_MSG "REQUIRE_ROW_FORMAT cannot be disabled for replication channel \'%.192s\' when GTID_ONLY=1."
#define ER_CHANGE_REP_SOURCE_CANT_DISABLE_AUTO_POSITION_WITH_GTID_ONLY_MSG "SOURCE_AUTO_POSITION cannot be disabled for replication channel \'%.192s\' when GTID_ONLY=1."
#define ER_CHANGE_REP_SOURCE_CANT_DISABLE_GTID_ONLY_WITHOUT_POSITIONS_MSG "When disabling GTID_ONLY and SOURCE_AUTO_POSITION FOR CHANNEL \'%.192s\' you must provide SOURCE_LOG_FILE and SOURCE_LOG_POS as source positions are invalid."
#define ER_CHANGE_REP_SOURCE_CANT_DISABLE_AUTO_POS_WITHOUT_POSITIONS_MSG "When disabling SOURCE_AUTO_POSITION FOR CHANNEL \'%.192s\' you must provide SOURCE_LOG_FILE and SOURCE_LOG_POS as source positions are invalid."
#define ER_CHANGE_REP_SOURCE_GR_CHANNEL_WITH_GTID_MODE_NOT_ON_MSG "When configuring a group replication channel you must do it when GTID_MODE = ON."
#define ER_CANT_USE_GTID_ONLY_WITH_GTID_MODE_NOT_ON_MSG "Replication cannot start%.192s with GTID_ONLY = 1 as this server uses @@GLOBAL.GTID_MODE <> ON."
#define ER_WARN_C_DISABLE_GTID_ONLY_WITH_SOURCE_AUTO_POS_INVALID_POS_MSG "The replication positions relative to the source may be out-of-date on channel \'%.192s\', due to the use of GTID_ONLY=1. The out-of-date positions can still be used in some cases so, in order to update them, we suggest that you start the replication to receive and apply at least one transaction, which will set the positions to valid values."
#define ER_DA_SSL_FIPS_MODE_ERROR_MSG "SSL fips mode error: %s"
#define ER_VALUE_OUT_OF_RANGE_MSG "%s=%llu is outside the valid range [%llu,%llu]. %llu will be used."
#define ER_PARSER_TRACE_MSG "Parser saw: %s"
#define ER_BOOTSTRAP_CANT_THREAD_MSG "Can\'t create thread to handle bootstrap (errno: %d)"
#define ER_TRIGGER_INVALID_VALUE_MSG "Trigger for table \'%s\'.\'%s\': invalid %s value (%s)."
#define ER_OPT_WRONG_TREE_MSG "Wrong tree: %s"
#define ER_DD_FAILSAFE_MSG "Error: Invalid %s"
#define ER_DD_NO_WRITES_NO_REPOPULATION_MSG "Skip re-populating collations and character sets tables in %s%sread-only mode."
#define ER_DD_VERSION_FOUND_MSG "Using data dictionary with version \'%d\'."
#define ER_DD_VERSION_INSTALLED_MSG "Installed data dictionary with version %d"
#define ER_DD_VERSION_UNSUPPORTED_MSG "Data Dictionary version \'%d\' not supported."
#define ER_LOG_SYSLOG_CANNOT_OPEN_MSG "Cannot open %s; check privileges, or remove syseventlog from --log-error-services!"
#define ER_LOG_SLOW_CANNOT_OPEN_MSG " either restart the query logging by using \"SET GLOBAL SLOW_QUERY_LOG=ON\" or"
#define ER_LOG_GENERAL_CANNOT_OPEN_MSG " either restart the query logging by using \"SET GLOBAL GENERAL_LOG=ON\" or"
#define ER_LOG_CANNOT_WRITE_MSG "Failed to write to %s: %s"
#define ER_RPL_ZOMBIE_ENCOUNTERED_MSG "While initializing dump thread for slave with %s <%s>, found a zombie dump thread with the same %s. Master is killing the zombie dump thread(%u)."
#define ER_RPL_GTID_TABLE_CANNOT_OPEN_MSG "Gtid table is not ready to be used. Table \'%s.%s\' cannot be opened."
#define ER_SYSTEM_SCHEMA_NOT_FOUND_MSG "System schema directory does not exist."
#define ER_DD_INIT_UPGRADE_FAILED_MSG "Error in initializing dictionary, upgrade will do a cleanup and exit"
#define ER_VIEW_UNKNOWN_CHARSET_OR_COLLATION_MSG "View \'%s\'.\'%s\': unknown charset name and/or collation name (client: \'%s\'; connection: \'%s\')."
#define ER_DD_VIEW_CANT_ALLOC_CHARSET_MSG "Error in allocating memory for character set name for view %s.%s."
#define ER_DD_INIT_FAILED_MSG "Data Dictionary initialization failed."
#define ER_DD_UPDATING_PLUGIN_MD_FAILED_MSG "Failed to update plugin metadata in dictionary tables."
#define ER_DD_POPULATING_TABLES_FAILED_MSG "Failed to Populate DD tables."
#define ER_DD_VIEW_CANT_CREATE_MSG "Error in Creating View %s.%s"
#define ER_DD_METADATA_NOT_FOUND_MSG "Unable to start server. Cannot find the meta data for data dictionary table \'%s\'."
#define ER_DD_CACHE_NOT_EMPTY_AT_SHUTDOWN_MSG "Dictionary cache not empty at shutdown."
#define ER_DD_OBJECT_REMAINS_MSG "Dictionary objects used but not released."
#define ER_DD_OBJECT_REMAINS_IN_RELEASER_MSG "Dictionary objects left in default releaser."
#define ER_DD_OBJECT_RELEASER_REMAINS_MSG "Dictionary object auto releaser not deleted"
#define ER_DD_CANT_GET_OBJECT_KEY_MSG "Error: Unable to create primary object key"
#define ER_DD_CANT_CREATE_OBJECT_KEY_MSG "Error: Unable to create object key"
#define ER_CANT_CREATE_HANDLE_MGR_THREAD_MSG "Can\'t create handle_manager thread (errno= %d)"
#define ER_RPL_REPO_HAS_GAPS_MSG "It is not possible to change the type of the relay log\'s repository because there are workers\' repositories with gaps. Please, fix the gaps first before doing such change."
#define ER_INVALID_VALUE_FOR_ENFORCE_GTID_CONSISTENCY_MSG "option \'enforce-gtid-consistency\': value \'%s\' was not recognized. Setting enforce-gtid-consistency to OFF."
#define ER_CHANGED_ENFORCE_GTID_CONSISTENCY_MSG "Changed ENFORCE_GTID_CONSISTENCY from %s to %s."
#define ER_CHANGED_GTID_MODE_MSG "Changed GTID_MODE from %s to %s."
#define ER_DISABLED_STORAGE_ENGINE_AS_DEFAULT_MSG "%s is set to a disabled storage engine %s."
#define ER_DEBUG_SYNC_HIT_MSG "Debug sync points hit:                   %22s"
#define ER_DEBUG_SYNC_EXECUTED_MSG "Debug sync points executed:              %22s"
#define ER_DEBUG_SYNC_THREAD_MAX_MSG "Debug sync points max active per thread: %22s"
#define ER_DEBUG_SYNC_OOM_MSG "Debug Sync Facility disabled due to lack of memory."
#define ER_CANT_INIT_TC_LOG_MSG "Can\'t init tc log"
#define ER_EVENT_CANT_INIT_QUEUE_MSG "Event Scheduler: Can\'t initialize the execution queue"
#define ER_EVENT_PURGING_QUEUE_MSG "Event Scheduler: Purging the queue. %u events"
#define ER_EVENT_LAST_EXECUTION_MSG "Event Scheduler: Last execution of %s.%s. %s"
#define ER_EVENT_MESSAGE_STACK_MSG "%*s"
#define ER_EVENT_EXECUTION_FAILED_MSG "Event Scheduler: [%s].[%s.%s] event execution failed."
#define ER_CANT_INIT_SCHEDULER_THREAD_MSG "Event Scheduler: Cannot initialize the scheduler thread"
#define ER_SCHEDULER_STOPPED_MSG "Event Scheduler: Stopped"
#define ER_CANT_CREATE_SCHEDULER_THREAD_MSG "Event scheduler: Failed to start scheduler, Can not create thread for event scheduler (errno=%d)"
#define ER_SCHEDULER_WAITING_MSG "Event Scheduler: Waiting for the scheduler thread to reply"
#define ER_SCHEDULER_STARTED_MSG "Event Scheduler: scheduler thread started with id %u"
#define ER_SCHEDULER_STOPPING_FAILED_TO_GET_EVENT_MSG "Event Scheduler: Serious error during getting next event to execute. Stopping"
#define ER_SCHEDULER_STOPPING_FAILED_TO_CREATE_WORKER_MSG "Event_scheduler::execute_top: Can not create event worker thread (errno=%d). Stopping event scheduler"
#define ER_SCHEDULER_KILLING_MSG "Event Scheduler: Killing the scheduler thread, thread id %u"
#define ER_UNABLE_TO_RESOLVE_IP_MSG "IP address \'%s\' could not be resolved: %s"
#define ER_UNABLE_TO_RESOLVE_HOSTNAME_MSG "Host name \'%s\' could not be resolved: %s"
#define ER_HOSTNAME_RESEMBLES_IPV4_MSG "IP address \'%s\' has been resolved to the host name \'%s\', which resembles IPv4-address itself."
#define ER_HOSTNAME_DOESNT_RESOLVE_TO_MSG "Hostname \'%s\' does not resolve to \'%s\'."
#define ER_ADDRESSES_FOR_HOSTNAME_HEADER_MSG "Hostname \'%s\' has the following IP addresses:"
#define ER_ADDRESSES_FOR_HOSTNAME_LIST_ITEM_MSG " - %s"
#define ER_TRG_WITHOUT_DEFINER_MSG "Definer clause is missing in Trigger of Table %s. Rebuild Trigger to fix definer."
#define ER_TRG_NO_CLIENT_CHARSET_MSG "Client character set is missing for trigger of table %s. Using default character set."
#define ER_PARSING_VIEW_MSG "Error in parsing view %s.%s"
#define ER_COMPONENTS_INFRASTRUCTURE_BOOTSTRAP_MSG "Failed to bootstrap components infrastructure."
#define ER_COMPONENTS_INFRASTRUCTURE_SHUTDOWN_MSG "Failed to shutdown components infrastructure."
#define ER_COMPONENTS_PERSIST_LOADER_BOOTSTRAP_MSG "Failed to bootstrap persistent components loader."
#define ER_DEPART_WITH_GRACE_MSG "Giving %d client threads a chance to die gracefully"
#define ER_CA_SELF_SIGNED_MSG "CA certificate %s is self signed."
#define ER_SSL_LIBRARY_ERROR_MSG "Failed to set up SSL because of the following SSL library error: %s"
#define ER_NO_THD_NO_UUID_MSG "Failed to generate a server UUID because it is failed to allocate the THD."
#define ER_UUID_SALT_MSG "Salting uuid generator variables, current_pid: %lu, server_start_time: %lu, bytes_sent: %llu, "
#define ER_UUID_IS_MSG "Generated uuid: \'%s\', server_start_time: %lu, bytes_sent: %llu"
#define ER_UUID_INVALID_MSG "The server_uuid stored in auto.cnf file is not a valid UUID."
#define ER_UUID_SCRUB_MSG "Garbage characters found at the end of the server_uuid value in auto.cnf file. It should be of length \'%d\' (UUID_LENGTH). Clear it and restart the server. "
#define ER_CREATING_NEW_UUID_MSG "No existing UUID has been found, so we assume that this is the first time that this server has been started. Generating a new UUID: %s."
#define ER_CANT_CREATE_UUID_MSG "Initialization of the server\'s UUID failed because it could not be read from the auto.cnf file. If this is a new server, the initialization failed because it was not possible to generate a new UUID."
#define ER_UNKNOWN_UNSUPPORTED_STORAGE_ENGINE_MSG "Unknown/unsupported storage engine: %s"
#define ER_SECURE_AUTH_VALUE_UNSUPPORTED_MSG "Unsupported value 0 for secure-auth"
#define ER_INVALID_INSTRUMENT_MSG "Invalid instrument name or value for performance_schema_instrument \'%s\'"
#define ER_INNODB_MANDATORY_MSG "The use of InnoDB is mandatory since MySQL 5.7. The former options like \'--innodb=0/1/OFF/ON\' or \'--skip-innodb\' are ignored."
#define ER_VERBOSE_REQUIRES_HELP_MSG "--verbose is for use with --help; did you mean --log-error-verbosity?"
#define ER_POINTLESS_WITHOUT_SLOWLOG_MSG "options --log-slow-admin-statements, --log-queries-not-using-indexes and --log-slow-replica-statements have no effect if --slow-query-log is not set"
#define ER_WASTEFUL_NET_BUFFER_SIZE_MSG "net_buffer_length (%lu) is set to be larger than max_allowed_packet (%lu). Please rectify."
#define ER_DEPRECATED_TIMESTAMP_IMPLICIT_DEFAULTS_MSG "TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details)."
#define ER_FT_BOOL_SYNTAX_INVALID_MSG "Invalid ft-boolean-syntax string: %s"
#define ER_CREDENTIALLESS_AUTO_USER_BAD_MSG "\'NO_AUTO_CREATE_USER\' sql mode was not set."
#define ER_CONNECTION_HANDLING_OOM_MSG "Could not allocate memory for connection handling"
#define ER_THREAD_HANDLING_OOM_MSG "Could not allocate memory for thread handling"
#define ER_CANT_CREATE_TEST_FILE_MSG "Can\'t create test file %s"
#define ER_CANT_CREATE_PID_FILE_MSG "Can\'t start server: can\'t create PID file: %s"
#define ER_CANT_REMOVE_PID_FILE_MSG "Unable to delete pid file: %s"
#define ER_CANT_CREATE_SHUTDOWN_THREAD_MSG "Can\'t create thread to handle shutdown requests (errno= %d)"
#define ER_SEC_FILE_PRIV_CANT_ACCESS_DIR_MSG "Failed to access directory for --secure-file-priv. Please make sure that directory exists and is accessible by MySQL Server. Supplied value : %s"
#define ER_SEC_FILE_PRIV_IGNORED_MSG "Ignoring --secure-file-priv value as server is running with --initialize(-insecure)."
#define ER_SEC_FILE_PRIV_EMPTY_MSG "Insecure configuration for --secure-file-priv: Current value does not restrict location of generated files. Consider setting it to a valid, non-empty path."
#define ER_SEC_FILE_PRIV_NULL_MSG "--secure-file-priv is set to NULL. Operations related to importing and exporting data are disabled"
#define ER_SEC_FILE_PRIV_DIRECTORY_INSECURE_MSG "Insecure configuration for --secure-file-priv: %s is accessible through --secure-file-priv. Consider choosing a different directory."
#define ER_SEC_FILE_PRIV_CANT_STAT_MSG "Failed to get stat for directory pointed out by --secure-file-priv"
#define ER_SEC_FILE_PRIV_DIRECTORY_PERMISSIONS_MSG "Insecure configuration for --secure-file-priv: Location is accessible to all OS users. Consider choosing a different directory."
#define ER_SEC_FILE_PRIV_ARGUMENT_TOO_LONG_MSG "Value for --secure-file-priv is longer than maximum limit of %d"
#define ER_CANT_CREATE_NAMED_PIPES_THREAD_MSG "Can\'t create thread to handle named pipes (errno= %d)"
#define ER_CANT_CREATE_TCPIP_THREAD_MSG "Can\'t create thread to handle TCP/IP (errno= %d)"
#define ER_CANT_CREATE_SHM_THREAD_MSG "Can\'t create thread to handle shared memory (errno= %d)"
#define ER_CANT_CREATE_INTERRUPT_THREAD_MSG "Can\'t create interrupt-thread (error %d, errno: %d)"
#define ER_WRITABLE_CONFIG_REMOVED_MSG "World-writable config file \'%s\' has been removed."
#define ER_CORE_VALUES_MSG "setrlimit could not change the size of core files to \'infinity\';  We may not be able to generate a core file on signals"
#define ER_WRONG_DATETIME_SPEC_MSG "Wrong date/time format specifier: %s"
#define ER_RPL_BINLOG_FILTERS_OOM_MSG "Could not allocate replication and binlog filters: %s"
#define ER_KEYCACHE_OOM_MSG "Cannot allocate the keycache"
#define ER_CONFIRMING_THE_FUTURE_MSG "Current time has got past year 2038. Validating current time with %d iterations before initiating the normal server shutdown process."
#define ER_BACK_IN_TIME_MSG "Iteration %d: Obtained valid current time from system"
#define ER_FUTURE_DATE_MSG "Iteration %d: Current time obtained from system is greater than 2038"
#define ER_UNSUPPORTED_DATE_MSG "This MySQL server doesn\'t support dates later then 2038"
#define ER_STARTING_AS_MSG "%s (mysqld %s) starting as process %lu"
#define ER_SHUTTING_DOWN_SLAVE_THREADS_MSG "Shutting down slave threads"
#define ER_DISCONNECTING_REMAINING_CLIENTS_MSG "Forcefully disconnecting %d remaining clients"
#define ER_ABORTING_MSG "Aborting"
#define ER_BINLOG_END_MSG "Binlog end"
#define ER_CALL_ME_LOCALHOST_MSG "gethostname failed, using \'%s\' as hostname"
#define ER_USER_REQUIRES_ROOT_MSG "One can only use the --user switch if running as root"
#define ER_REALLY_RUN_AS_ROOT_MSG "Fatal error: Please read \"Security\" section of the manual to find out how to run mysqld as root!"
#define ER_USER_WHAT_USER_MSG "Fatal error: Can\'t change to run as user \'%s\' ;  Please check that the user exists!"
#define ER_TRANSPORTS_WHAT_TRANSPORTS_MSG "Server is started with --require-secure-transport=ON but no secure transports (SSL or Shared Memory) are configured."
#define ER_FAIL_SETGID_MSG "setgid: %s"
#define ER_FAIL_SETUID_MSG "setuid: %s"
#define ER_FAIL_SETREGID_MSG "setregid: %s"
#define ER_FAIL_SETREUID_MSG "setreuid: %s"
#define ER_FAIL_CHROOT_MSG "chroot: %s"
#define ER_WIN_LISTEN_BUT_HOW_MSG "TCP/IP, --shared-memory, or --named-pipe should be configured on NT OS"
#define ER_NOT_RIGHT_NOW_MSG "CTRL-C ignored during startup"
#define ER_FIXING_CLIENT_CHARSET_MSG "\'%s\' can not be used as client character set. \'%s\' will be used as default client character set."
#define ER_OOM_MSG "Out of memory"
#define ER_FAILED_TO_LOCK_MEM_MSG "Failed to lock memory. Errno: %d"
#define ER_MYINIT_FAILED_MSG "my_init() failed."
#define ER_BEG_INITFILE_MSG "Execution of init_file \'%s\' started."
#define ER_END_INITFILE_MSG "Execution of init_file \'%s\' ended."
#define ER_CHANGED_MAX_OPEN_FILES_MSG "Changed limits: max_open_files: %lu (requested %lu)"
#define ER_CANT_INCREASE_MAX_OPEN_FILES_MSG "Could not increase number of max_open_files to more than %lu (request: %lu)"
#define ER_CHANGED_MAX_CONNECTIONS_MSG "Changed limits: max_connections: %lu (requested %lu)"
#define ER_CHANGED_TABLE_OPEN_CACHE_MSG "Changed limits: table_open_cache: %lu (requested %lu)"
#define ER_THE_USER_ABIDES_MSG "Ignoring user change to \'%s\' because the user was set to \'%s\' earlier on the command line"
#define ER_RPL_CANT_ADD_DO_TABLE_MSG "Could not add do table rule \'%s\'!"
#define ER_RPL_CANT_ADD_IGNORE_TABLE_MSG "Could not add ignore table rule \'%s\'!"
#define ER_TRACK_VARIABLES_BOGUS_MSG "The variable session_track_system_variables either has duplicate values or invalid values."
#define ER_EXCESS_ARGUMENTS_MSG "Too many arguments (first extra is \'%s\')."
#define ER_VERBOSE_HINT_MSG "Use --verbose --help to get a list of available options!"
#define ER_CANT_READ_ERRMSGS_MSG "Unable to read errmsg.sys file"
#define ER_CANT_INIT_DBS_MSG "Can\'t init databases"
#define ER_LOG_OUTPUT_CONTRADICTORY_MSG "There were other values specified to log-output besides NONE. Disabling slow and general logs anyway."
#define ER_NO_CSV_NO_LOG_TABLES_MSG "CSV engine is not present, falling back to the log files"
#define ER_RPL_REWRITEDB_MISSING_ARROW_MSG "Bad syntax in replicate-rewrite-db - missing \'->\'!"
#define ER_RPL_REWRITEDB_EMPTY_FROM_MSG "Bad syntax in replicate-rewrite-db - empty FROM db!"
#define ER_RPL_REWRITEDB_EMPTY_TO_MSG "Bad syntax in replicate-rewrite-db - empty TO db!"
#define ER_LOG_FILES_GIVEN_LOG_OUTPUT_IS_TABLE_MSG "Although a path was specified for the %s, log tables are used. To enable logging to files use the --log-output=file option."
#define ER_LOG_FILE_INVALID_MSG "Invalid value for %s: %s"
#define ER_LOWER_CASE_TABLE_NAMES_CS_DD_ON_CI_FS_UNSUPPORTED_MSG "The server option \'lower_case_table_names\' is configured to use case sensitive table names but the data directory is on a case-insensitive file system which is an unsupported combination. Please consider either using a case sensitive file system for your data directory or switching to a case-insensitive table name mode."
#define ER_LOWER_CASE_TABLE_NAMES_USING_2_MSG "Setting lower_case_table_names=2 because file system for %s is case insensitive"
#define ER_LOWER_CASE_TABLE_NAMES_USING_0_MSG "lower_case_table_names was set to 2, even though your the file system \'%s\' is case sensitive.  Now setting lower_case_table_names to 0 to avoid future problems."
#define ER_NEED_LOG_BIN_MSG "You need to use --log-bin to make %s work."
#define ER_NEED_FILE_INSTEAD_OF_DIR_MSG "Path \'%s\' is a directory name, please specify a file name for %s option"
#define ER_LOG_BIN_BETTER_WITH_NAME_MSG "No argument was provided to --log-bin, and --log-bin-index was not used; so replication may break when this MySQL server acts as a master and has his hostname changed!! Please use \'--log-bin=%s\' to avoid this problem."
#define ER_BINLOG_NEEDS_SERVERID_MSG "You have enabled the binary log, but you haven\'t provided the mandatory server-id. Please refer to the proper server start-up parameters documentation"
#define ER_RPL_CANT_MAKE_PATHS_MSG "Unable to create replication path names: out of memory or path names too long (path name exceeds %d or file name exceeds %d)."
#define ER_CANT_INITIALIZE_GTID_MSG "Failed to initialize GTID structures."
#define ER_CANT_INITIALIZE_EARLY_PLUGINS_MSG "Failed to initialize early plugins."
#define ER_CANT_INITIALIZE_BUILTIN_PLUGINS_MSG "Failed to initialize builtin plugins."
#define ER_CANT_INITIALIZE_DYNAMIC_PLUGINS_MSG "Failed to initialize dynamic plugins."
#define ER_PERFSCHEMA_INIT_FAILED_MSG "Performance schema disabled (reason: init failed)."
#define ER_STACKSIZE_UNEXPECTED_MSG "Asked for %lu thread stack, but got %ld"
#define ER_CANT_STAT_DATADIR_MSG "Can\'t read data directory\'s stats (%d): %s. Assuming that it\'s not owned by the same user/group"
#define ER_CANT_CHOWN_DATADIR_MSG "Can\'t change data directory owner to %s"
#define ER_CANT_SET_UP_PERSISTED_VALUES_MSG "Setting persistent options failed."
#define ER_CANT_SAVE_GTIDS_MSG "Failed to save the set of Global Transaction Identifiers of the last binary log into the mysql.gtid_executed table while the server was shutting down. The next server restart will make another attempt to save Global Transaction Identifiers into the table."
#define ER_AUTH_CANT_SET_DEFAULT_PLUGIN_MSG "Can\'t start server: Invalid value for --default-authentication-plugin"
#define ER_CANT_JOIN_SHUTDOWN_THREAD_MSG "Could not join %sthread. error:%d"
#define ER_CANT_HASH_DO_AND_IGNORE_RULES_MSG "An error occurred while building do_table and ignore_table rules to hashes for global replication filter."
#define ER_CANT_OPEN_CA_MSG "Error opening CA certificate file"
#define ER_CANT_ACCESS_CAPATH_MSG "Error accessing directory pointed by --ssl-capath"
#define ER_SSL_TRYING_DATADIR_DEFAULTS_MSG "Found %s, %s and %s in data directory. Trying to enable SSL support using them."
#define ER_AUTO_OPTIONS_FAILED_MSG "Failed to create %s(file: \'%s\', errno %d)"
#define ER_CANT_INIT_TIMER_MSG "Failed to initialize timer component (errno %d)."
#define ER_SERVERID_TOO_LARGE_MSG "server-id configured is too large to represent with server-id-bits configured."
#define ER_DEFAULT_SE_UNAVAILABLE_MSG "Default%s storage engine (%s) is not available"
#define ER_CANT_OPEN_ERROR_LOG_MSG "Could not open file \'%s\' for error logging%s%s"
#define ER_INVALID_ERROR_LOG_NAME_MSG "Invalid log file name after expanding symlinks: \'%s\'"
#define ER_RPL_INFINITY_DENIED_MSG "using --replicate-same-server-id in conjunction with --log-replica-updates is impossible, it would lead to infinite loops in this server."
#define ER_RPL_INFINITY_IGNORED_MSG "using --replicate-same-server-id in conjunction with --log-replica-updates would lead to infinite loops in this server. However this will be ignored as the --log-bin option is not defined or your server is running with global transaction identiers enabled."
#define ER_TABLE_CHECK_INTACT_MSG "%s"
#define ER_DD_TABLESPACE_NOT_FOUND_MSG "Unable to start server. The data dictionary tablespace \'%s\' does not exist."
#define ER_DD_TRG_CONNECTION_COLLATION_MISSING_MSG "Connection collation is missing for trigger of table %s. Using default connection collation."
#define ER_DD_TRG_DB_COLLATION_MISSING_MSG "Database collation is missing for trigger of table %s. Using Default character set."
#define ER_DD_TRG_DEFINER_OOM_MSG "Error in Memory allocation for Definer %s for Trigger."
#define ER_DD_TRG_FILE_UNREADABLE_MSG "Error in reading %s.TRG file."
#define ER_TRG_CANT_PARSE_MSG "Error in parsing Triggers from %s.TRG file."
#define ER_DD_TRG_CANT_ADD_MSG "Error in creating DD entry for Trigger %s.%s"
#define ER_DD_CANT_RESOLVE_VIEW_MSG "Resolving dependency for the view \'%s.%s\' failed. View is no more valid to use"
#define ER_DD_VIEW_WITHOUT_DEFINER_MSG "%s.%s has no definer (as per an old view format). Current user is used as definer. Please recreate the view."
#define ER_PLUGIN_INIT_FAILED_MSG "Plugin \'%s\' init function returned error."
#define ER_RPL_TRX_DELEGATES_INIT_FAILED_MSG "Initialization of transaction delegates failed. Please report a bug."
#define ER_RPL_BINLOG_STORAGE_DELEGATES_INIT_FAILED_MSG "Initialization binlog storage delegates failed. Please report a bug."
#define ER_RPL_BINLOG_TRANSMIT_DELEGATES_INIT_FAILED_MSG "Initialization of binlog transmit delegates failed. Please report a bug."
#define ER_RPL_BINLOG_RELAY_DELEGATES_INIT_FAILED_MSG "Initialization binlog relay IO delegates failed. Please report a bug."
#define ER_RPL_PLUGIN_FUNCTION_FAILED_MSG "Run function \'...\' in plugin \'%s\' failed"
#define ER_SQL_HA_READ_FAILED_MSG "mysql_ha_read: Got error %d when reading table \'%s\'"
#define ER_SR_BOGUS_VALUE_MSG "Stored routine \'%s\'.\'%s\': invalid value in column %s."
#define ER_SR_INVALID_CONTEXT_MSG "Invalid creation context \'%s.%s\'."
#define ER_READING_TABLE_FAILED_MSG "Got error %d when reading table \'%s\'"
#define ER_DES_FILE_WRONG_KEY_MSG "load_des_file:  Found wrong key_number: %c"
#define ER_CANT_SET_PERSISTED_MSG "Failed to set persisted options."
#define ER_JSON_PARSE_ERROR_MSG "Persisted config file is corrupt. Please ensure mysqld-auto.cnf file is valid JSON."
#define ER_CONFIG_OPTION_WITHOUT_GROUP_MSG "Found option without preceding group in config file"
#define ER_VALGRIND_DO_QUICK_LEAK_CHECK_MSG "VALGRIND_DO_QUICK_LEAK_CHECK"
#define ER_VALGRIND_COUNT_LEAKS_MSG "VALGRIND_COUNT_LEAKS reports %lu leaked bytes for query \'%.*s\'"
#define ER_LOAD_DATA_INFILE_FAILED_IN_UNEXPECTED_WAY_MSG "LOAD DATA INFILE in the slave SQL Thread can only read from --replica-load-tmpdir. Please, report a bug."
#define ER_UNKNOWN_ERROR_NUMBER_MSG "Got unknown error: %d"
#define ER_UDF_CANT_ALLOC_FOR_STRUCTURES_MSG "Can\'t allocate memory for udf structures"
#define ER_UDF_CANT_ALLOC_FOR_FUNCTION_MSG "Can\'t alloc memory for udf function: \'%.64s\'"
#define ER_UDF_INVALID_ROW_IN_FUNCTION_TABLE_MSG "Invalid row in mysql.func table for function \'%.64s\'"
#define ER_UDF_CANT_OPEN_FUNCTION_TABLE_MSG "Could not open the mysql.func table. Please perform the MySQL upgrade procedure."
#define ER_XA_RECOVER_FOUND_TRX_IN_SE_MSG "Found %d prepared transaction(s) in %s"
#define ER_XA_RECOVER_FOUND_XA_TRX_MSG "Found %d prepared XA transactions"
#define ER_XA_IGNORING_XID_MSG "ignore xid %s"
#define ER_XA_COMMITTING_XID_MSG "commit xid %s"
#define ER_XA_ROLLING_BACK_XID_MSG "rollback xid %s"
#define ER_XA_STARTING_RECOVERY_MSG "Starting XA crash recovery..."
#define ER_XA_NO_MULTI_2PC_HEURISTIC_RECOVER_MSG "--tc-heuristic-recover rollback strategy is not safe on systems with more than one 2-phase-commit-capable storage engine. Aborting crash recovery."
#define ER_XA_RECOVER_EXPLANATION_MSG "Found %d prepared transactions! It means that mysqld was not shut down properly last time and critical recovery information (last binlog or %s file) was manually deleted after a crash. You have to start mysqld with --tc-heuristic-recover switch to commit or rollback pending transactions."
#define ER_XA_RECOVERY_DONE_MSG "XA crash recovery finished."
#define ER_TRX_GTID_COLLECT_REJECT_MSG "Failed to collect GTID to send in the response packet!"
#define ER_SQL_AUTHOR_DEFAULT_ROLES_FAIL_MSG "MYSQL.DEFAULT_ROLES couldn\'t be updated for authorization identifier %s"
#define ER_SQL_USER_TABLE_CREATE_WARNING_MSG "Following users were specified in CREATE USER IF NOT EXISTS but they already exist. Corresponding entry in binary log used default authentication plugin \'%s\' to rewrite authentication information (if any) for them: %s"
#define ER_SQL_USER_TABLE_ALTER_WARNING_MSG "Following users were specified in ALTER USER IF EXISTS but they do not exist. Corresponding entry in binary log used default authentication plugin \'%s\' to rewrite authentication information (if any) for them: %s"
#define ER_ROW_IN_WRONG_PARTITION_PLEASE_REPAIR_MSG "Table \'%-192s\' corrupted: row in wrong partition: %s -- Please REPAIR the table!"
#define ER_MYISAM_CRASHED_ERROR_IN_THREAD_MSG "Got an error from thread_id=%u, %s:%d"
#define ER_MYISAM_CRASHED_ERROR_IN_MSG "Got an error from unknown thread, %s:%d"
#define ER_TOO_MANY_STORAGE_ENGINES_MSG "Too many storage engines!"
#define ER_SE_TYPECODE_CONFLICT_MSG "Storage engine \'%s\' has conflicting typecode. Assigning value %d."
#define ER_TRX_WRITE_SET_OOM_MSG "Out of memory on transaction write set extraction"
#define ER_HANDLERTON_OOM_MSG "Unable to allocate memory for plugin \'%s\' handlerton."
#define ER_CONN_SHM_LISTENER_MSG "Shared memory setting up listener"
#define ER_CONN_SHM_CANT_CREATE_SERVICE_MSG "Can\'t create shared memory service: %s. : %s"
#define ER_CONN_SHM_CANT_CREATE_CONNECTION_MSG "Can\'t create shared memory connection: %s. : %s"
#define ER_CONN_PIP_CANT_CREATE_EVENT_MSG "Can\'t create event, last error=%u"
#define ER_CONN_PIP_CANT_CREATE_PIPE_MSG "Can\'t create new named pipe!: %s"
#define ER_CONN_PER_THREAD_NO_THREAD_MSG "Can\'t create thread to handle new connection(errno= %d)"
#define ER_CONN_TCP_NO_SOCKET_MSG "Failed to create a socket for %s \'%s\': errno: %d."
#define ER_CONN_TCP_CREATED_MSG "Server socket created on IP: \'%s\'."
#define ER_CONN_TCP_ADDRESS_MSG "Server hostname (bind-address): \'%s\'; port: %d"
#define ER_CONN_TCP_IPV6_AVAILABLE_MSG "IPv6 is available."
#define ER_CONN_TCP_IPV6_UNAVAILABLE_MSG "IPv6 is not available."
#define ER_CONN_TCP_ERROR_WITH_STRERROR_MSG "Can\'t create IP socket: %s"
#define ER_CONN_TCP_CANT_RESOLVE_HOSTNAME_MSG "Can\'t start server: cannot resolve hostname!"
#define ER_CONN_TCP_IS_THERE_ANOTHER_USING_PORT_MSG "Do you already have another mysqld server running on port: %d ?"
#define ER_CONN_UNIX_IS_THERE_ANOTHER_USING_SOCKET_MSG "Do you already have another mysqld server running on socket: %s ?"
#define ER_CONN_UNIX_PID_CLAIMED_SOCKET_FILE_MSG "Another process with pid %d is using unix socket file."
#define ER_CONN_TCP_CANT_RESET_V6ONLY_MSG "Failed to reset IPV6_V6ONLY flag (error: %d). The server will listen to IPv6 addresses only."
#define ER_CONN_TCP_BIND_RETRY_MSG "Retrying bind on TCP/IP port %u"
#define ER_CONN_TCP_BIND_FAIL_MSG "Can\'t start server: Bind on TCP/IP port: %s"
#define ER_CONN_TCP_IP_NOT_LOGGED_MSG "Fails to print out IP-address."
#define ER_CONN_TCP_RESOLVE_INFO_MSG "  - \'%s\' resolves to \'%s\';"
#define ER_CONN_TCP_START_FAIL_MSG "Can\'t start server: listen() on TCP/IP port: %s"
#define ER_CONN_TCP_LISTEN_FAIL_MSG "listen() on TCP/IP failed with error %d"
#define ER_CONN_UNIX_PATH_TOO_LONG_MSG "The socket file path is too long (> %u): %s"
#define ER_CONN_UNIX_LOCK_FILE_FAIL_MSG "Unable to setup unix socket lock file."
#define ER_CONN_UNIX_NO_FD_MSG "Can\'t start server: UNIX Socket : %s"
#define ER_CONN_UNIX_NO_BIND_NO_START_MSG "Can\'t start server : Bind on unix socket: %s"
#define ER_CONN_UNIX_LISTEN_FAILED_MSG "listen() on Unix socket failed with error %d"
#define ER_CONN_UNIX_LOCK_FILE_GIVING_UP_MSG "Unable to create unix socket lock file %s after retries."
#define ER_CONN_UNIX_LOCK_FILE_CANT_CREATE_MSG "Could not create unix socket lock file %s."
#define ER_CONN_UNIX_LOCK_FILE_CANT_OPEN_MSG "Could not open unix socket lock file %s."
#define ER_CONN_UNIX_LOCK_FILE_CANT_READ_MSG "Could not read unix socket lock file %s."
#define ER_CONN_UNIX_LOCK_FILE_EMPTY_MSG "Unix socket lock file is empty %s."
#define ER_CONN_UNIX_LOCK_FILE_PIDLESS_MSG "Invalid pid in unix socket lock file %s."
#define ER_CONN_UNIX_LOCK_FILE_CANT_WRITE_MSG "Could not write unix socket lock file %s errno %d."
#define ER_CONN_UNIX_LOCK_FILE_CANT_DELETE_MSG "Could not remove unix socket lock file %s errno %d."
#define ER_CONN_UNIX_LOCK_FILE_CANT_SYNC_MSG "Could not sync unix socket lock file %s errno %d."
#define ER_CONN_UNIX_LOCK_FILE_CANT_CLOSE_MSG "Could not close unix socket lock file %s errno %d."
#define ER_CONN_SOCKET_SELECT_FAILED_MSG "mysqld: Got error %d from select"
#define ER_CONN_SOCKET_ACCEPT_FAILED_MSG "Error in accept: %s"
#define ER_AUTH_RSA_CANT_FIND_MSG "RSA %s key file not found: %s. Some authentication plugins will not work."
#define ER_AUTH_RSA_CANT_PARSE_MSG "Failure to parse RSA %s key (file exists): %s: %s"
#define ER_AUTH_RSA_CANT_READ_MSG "Failure to read key file: %s"
#define ER_AUTH_RSA_FILES_NOT_FOUND_MSG "RSA key files not found. Some authentication plugins will not work."
#define ER_CONN_ATTR_TRUNCATED_MSG "Connection attributes of length %lu were truncated (%d bytes lost) for connection %llu, user %s@%s (as %s), auth: %s"
#define ER_X509_CIPHERS_MISMATCH_MSG "X.509 ciphers mismatch: should be \'%s\' but is \'%s\'"
#define ER_X509_ISSUER_MISMATCH_MSG "X.509 issuer mismatch: should be \'%s\' but is \'%s\'"
#define ER_X509_SUBJECT_MISMATCH_MSG "X.509 subject mismatch: should be \'%s\' but is \'%s\'"
#define ER_AUTH_CANT_ACTIVATE_ROLE_MSG "Failed to activate default role %s for %s"
#define ER_X509_NEEDS_RSA_PRIVKEY_MSG "Could not generate RSA private key required for X.509 certificate."
#define ER_X509_CANT_WRITE_KEY_MSG "Could not write key file: %s"
#define ER_X509_CANT_CHMOD_KEY_MSG "Could not set file permission for %s"
#define ER_X509_CANT_READ_CA_KEY_MSG "Could not read CA key file: %s"
#define ER_X509_CANT_READ_CA_CERT_MSG "Could not read CA certificate file: %s"
#define ER_X509_CANT_CREATE_CERT_MSG "Could not generate X.509 certificate."
#define ER_X509_CANT_WRITE_CERT_MSG "Could not write certificate file: %s"
#define ER_AUTH_CANT_CREATE_RSA_PAIR_MSG "Could not generate RSA Private/Public key pair"
#define ER_AUTH_CANT_WRITE_PRIVKEY_MSG "Could not write private key file: %s"
#define ER_AUTH_CANT_WRITE_PUBKEY_MSG "Could not write public key file: %s"
#define ER_AUTH_SSL_CONF_PREVENTS_CERT_GENERATION_MSG "Skipping generation of SSL certificates as options related to SSL are specified."
#define ER_AUTH_USING_EXISTING_CERTS_MSG "Skipping generation of SSL certificates as certificate files are present in data directory."
#define ER_AUTH_CERTS_SAVED_TO_DATADIR_MSG "Auto generated SSL certificates are placed in data directory."
#define ER_AUTH_CERT_GENERATION_DISABLED_MSG "Skipping generation of SSL certificates as --auto_generate_certs is set to OFF."
#define ER_AUTH_RSA_CONF_PREVENTS_KEY_GENERATION_MSG "Skipping generation of RSA key pair through %s as options related to RSA keys are specified."
#define ER_AUTH_KEY_GENERATION_SKIPPED_PAIR_PRESENT_MSG "Skipping generation of RSA key pair through %s as key files are present in data directory."
#define ER_AUTH_KEYS_SAVED_TO_DATADIR_MSG "Auto generated RSA key files through %s are placed in data directory."
#define ER_AUTH_KEY_GENERATION_DISABLED_MSG "Skipping generation of RSA key pair as %s is set to OFF."
#define ER_AUTHCACHE_PROXIES_PRIV_SKIPPED_NEEDS_RESOLVE_MSG "\'proxies_priv\' entry \'%s@%s %s@%s\' ignored in --skip-name-resolve mode."
#define ER_AUTHCACHE_PLUGIN_MISSING_MSG "The plugin \'%.*s\' used to authenticate user \'%s\'@\'%.*s\' is not loaded. Nobody can currently login using this account."
#define ER_AUTHCACHE_PLUGIN_CONFIG_MSG "The plugin \'%s\' is used to authenticate user \'%s\'@\'%.*s\', %s configured. Nobody can currently login using this account."
#define ER_AUTHCACHE_USER_SKIPPED_NEEDS_RESOLVE_MSG "\'user\' entry \'%s@%s\' ignored in --skip-name-resolve mode."
#define ER_AUTHCACHE_USER_TABLE_DODGY_MSG "Fatal error: Could not read the column \'authentication_string\' from table \'mysql.user\'. Please perform the MySQL upgrade procedure."
#define ER_AUTHCACHE_USER_IGNORED_DEPRECATED_PASSWORD_MSG "User entry \'%s\'@\'%s\' has a deprecated pre-4.1 password. The user will be ignored and no one can login with this user anymore."
#define ER_AUTHCACHE_USER_IGNORED_NEEDS_PLUGIN_MSG "User entry \'%s\'@\'%s\' has an empty plugin value. The user will be ignored and no one can login with this user anymore."
#define ER_AUTHCACHE_USER_IGNORED_INVALID_PASSWORD_MSG "Found invalid password for user: \'%s@%s\'; Ignoring user"
#define ER_AUTHCACHE_EXPIRED_PASSWORD_UNSUPPORTED_MSG "\'user\' entry \'%s@%s\' has the password ignore flag raised, but its authentication plugin doesn\'t support password expiration. The user id will be ignored."
#define ER_NO_SUPER_WITHOUT_USER_PLUGIN_MSG "Some of the user accounts with SUPER privileges were disabled because of empty mysql.user.plugin value. If you are upgrading from MySQL 5.6 to MySQL 5.7 it means that substitution for the empty plugin column was not possible. Probably because of pre 4.1 password hash. If your account is disabled you will need to perform the MySQL upgrade procedure. For complete instructions on how to upgrade MySQL to a new version please see the \'Upgrading MySQL\' section from the MySQL manual."
#define ER_AUTHCACHE_DB_IGNORED_EMPTY_NAME_MSG "Found an entry in the \'db\' table with empty database name; Skipped"
#define ER_AUTHCACHE_DB_SKIPPED_NEEDS_RESOLVE_MSG "\'db\' entry \'%s %s@%s\' ignored in --skip-name-resolve mode."
#define ER_AUTHCACHE_DB_ENTRY_LOWERCASED_REVOKE_WILL_FAIL_MSG "\'db\' entry \'%s %s@%s\' had database in mixed case that has been forced to lowercase because lower_case_table_names is set. It will not be possible to remove this privilege using REVOKE."
#define ER_AUTHCACHE_TABLE_PROXIES_PRIV_MISSING_MSG "The system table mysql.proxies_priv is missing. Please perform the MySQL upgrade procedure."
#define ER_AUTHCACHE_CANT_OPEN_AND_LOCK_PRIVILEGE_TABLES_MSG "Fatal error: Can\'t open and lock privilege tables: %s"
#define ER_AUTHCACHE_CANT_INIT_GRANT_SUBSYSTEM_MSG "Fatal: can\'t initialize grant subsystem - \'%s\'"
#define ER_AUTHCACHE_PROCS_PRIV_SKIPPED_NEEDS_RESOLVE_MSG "\'procs_priv\' entry \'%s %s@%s\' ignored in --skip-name-resolve mode."
#define ER_AUTHCACHE_PROCS_PRIV_ENTRY_IGNORED_BAD_ROUTINE_TYPE_MSG "\'procs_priv\' entry \'%s\' ignored, bad routine type"
#define ER_AUTHCACHE_TABLES_PRIV_SKIPPED_NEEDS_RESOLVE_MSG "\'tables_priv\' entry \'%s %s@%s\' ignored in --skip-name-resolve mode."
#define ER_USER_NOT_IN_EXTRA_USERS_BINLOG_POSSIBLY_INCOMPLETE_MSG "Failed to add %s in extra_users. Binary log entry may miss some of the users."
#define ER_DD_SCHEMA_NOT_FOUND_MSG "Unable to start server. The data dictionary schema \'%s\' does not exist."
#define ER_DD_TABLE_NOT_FOUND_MSG "Unable to start server. The data dictionary table \'%s\' does not exist."
#define ER_DD_SE_INIT_FAILED_MSG "Failed to initialize DD Storage Engine"
#define ER_DD_ABORTING_PARTIAL_UPGRADE_MSG "Found partially upgraded DD. Aborting upgrade and deleting all DD tables. Start the upgrade process again."
#define ER_DD_FRM_EXISTS_FOR_TABLE_MSG "Found .frm file with same name as one of the Dictionary Tables."
#define ER_DD_CREATED_FOR_UPGRADE_MSG "Created Data Dictionary for upgrade"
#define ER_ERRMSG_CANT_FIND_FILE_MSG "Can\'t find error-message file \'%s\'. Check error-message file location and \'lc-messages-dir\' configuration directive."
#define ER_ERRMSG_LOADING_55_STYLE_MSG "Using pre 5.5 semantics to load error messages from %s. If this is not intended, refer to the documentation for valid usage of --lc-messages-dir and --language parameters."
#define ER_ERRMSG_MISSING_IN_FILE_MSG "Error message file \'%s\' had only %d error messages, but it should contain at least %d error messages. Check that the above file is the right version for this program!"
#define ER_ERRMSG_OOM_MSG "Not enough memory for messagefile \'%s\'"
#define ER_ERRMSG_CANT_READ_MSG "Can\'t read from messagefile \'%s\'"
#define ER_TABLE_INCOMPATIBLE_DECIMAL_FIELD_MSG "Found incompatible DECIMAL field \'%s\' in %s; Please do \"ALTER TABLE `%s` FORCE\" to fix it!"
#define ER_TABLE_INCOMPATIBLE_YEAR_FIELD_MSG "Found incompatible YEAR(x) field \'%s\' in %s; Please do \"ALTER TABLE `%s` FORCE\" to fix it!"
#define ER_INVALID_CHARSET_AND_DEFAULT_IS_MB_MSG "\'%s\' had no or invalid character set, and default character set is multi-byte, so character column sizes may have changed"
#define ER_TABLE_WRONG_KEY_DEFINITION_MSG "Found wrong key definition in %s; Please do \"ALTER TABLE `%s` FORCE \" to fix it!"
#define ER_CANT_OPEN_FRM_FILE_MSG "Unable to open file %s"
#define ER_CANT_READ_FRM_FILE_MSG "Error in reading file %s"
#define ER_TABLE_CREATED_WITH_DIFFERENT_VERSION_MSG "Table \'%s\' was created with a different version of MySQL and cannot be read"
#define ER_VIEW_UNPARSABLE_MSG "Unable to read view %s"
#define ER_FILE_TYPE_UNKNOWN_MSG "File %s has unknown type in its header."
#define ER_INVALID_INFO_IN_FRM_MSG "Incorrect information in file %s"
#define ER_CANT_OPEN_AND_LOCK_PRIVILEGE_TABLES_MSG "Can\'t open and lock privilege tables: %s"
#define ER_AUDIT_PLUGIN_DOES_NOT_SUPPORT_AUDIT_AUTH_EVENTS_MSG "Plugin \'%s\' cannot subscribe to MYSQL_AUDIT_AUTHORIZATION events. Currently not supported."
#define ER_AUDIT_PLUGIN_HAS_INVALID_DATA_MSG "Plugin \'%s\' has invalid data."
#define ER_TZ_OOM_INITIALIZING_TIME_ZONES_MSG "Fatal error: OOM while initializing time zones"
#define ER_TZ_CANT_OPEN_AND_LOCK_TIME_ZONE_TABLE_MSG "Can\'t open and lock time zone table: %s trying to live without them"
#define ER_TZ_OOM_LOADING_LEAP_SECOND_TABLE_MSG "Fatal error: Out of memory while loading mysql.time_zone_leap_second table"
#define ER_TZ_TOO_MANY_LEAPS_IN_LEAP_SECOND_TABLE_MSG "Fatal error: While loading mysql.time_zone_leap_second table: too much leaps"
#define ER_TZ_ERROR_LOADING_LEAP_SECOND_TABLE_MSG "Fatal error: Error while loading mysql.time_zone_leap_second table"
#define ER_TZ_UNKNOWN_OR_ILLEGAL_DEFAULT_TIME_ZONE_MSG "Fatal error: Illegal or unknown default time zone \'%s\'"
#define ER_TZ_CANT_FIND_DESCRIPTION_FOR_TIME_ZONE_MSG "Can\'t find description of time zone \'%.*s\'"
#define ER_TZ_CANT_FIND_DESCRIPTION_FOR_TIME_ZONE_ID_MSG "Can\'t find description of time zone \'%u\'"
#define ER_TZ_TRANSITION_TYPE_TABLE_TYPE_TOO_LARGE_MSG "Error while loading time zone description from mysql.time_zone_transition_type table: too big transition type id"
#define ER_TZ_TRANSITION_TYPE_TABLE_ABBREVIATIONS_EXCEED_SPACE_MSG "Error while loading time zone description from mysql.time_zone_transition_type table: not enough room for abbreviations"
#define ER_TZ_TRANSITION_TYPE_TABLE_LOAD_ERROR_MSG "Error while loading time zone description from mysql.time_zone_transition_type table"
#define ER_TZ_TRANSITION_TABLE_TOO_MANY_TRANSITIONS_MSG "Error while loading time zone description from mysql.time_zone_transition table: too much transitions"
#define ER_TZ_TRANSITION_TABLE_BAD_TRANSITION_TYPE_MSG "Error while loading time zone description from mysql.time_zone_transition table: bad transition type id"
#define ER_TZ_TRANSITION_TABLE_LOAD_ERROR_MSG "Error while loading time zone description from mysql.time_zone_transition table"
#define ER_TZ_NO_TRANSITION_TYPES_IN_TIME_ZONE_MSG "loading time zone without transition types"
#define ER_TZ_OOM_LOADING_TIME_ZONE_DESCRIPTION_MSG "Out of memory while loading time zone description"
#define ER_TZ_CANT_BUILD_MKTIME_MAP_MSG "Unable to build mktime map for time zone"
#define ER_TZ_OOM_WHILE_LOADING_TIME_ZONE_MSG "Out of memory while loading time zone"
#define ER_TZ_OOM_WHILE_SETTING_TIME_ZONE_MSG "Fatal error: Out of memory while setting new time zone"
#define ER_SLAVE_SQL_THREAD_STOPPED_UNTIL_CONDITION_BAD_MSG "Slave SQL thread is stopped because UNTIL condition is bad(%s:%llu)."
#define ER_SLAVE_SQL_THREAD_STOPPED_UNTIL_POSITION_REACHED_MSG "Slave SQL thread stopped because it reached its UNTIL position %llu"
#define ER_SLAVE_SQL_THREAD_STOPPED_BEFORE_GTIDS_ALREADY_APPLIED_MSG "Slave SQL thread stopped because UNTIL SQL_BEFORE_GTIDS %s is already applied"
#define ER_SLAVE_SQL_THREAD_STOPPED_BEFORE_GTIDS_REACHED_MSG "Slave SQL thread stopped because it reached UNTIL SQL_BEFORE_GTIDS %s"
#define ER_SLAVE_SQL_THREAD_STOPPED_AFTER_GTIDS_REACHED_MSG "Slave SQL thread stopped because it reached UNTIL SQL_AFTER_GTIDS %s"
#define ER_SLAVE_SQL_THREAD_STOPPED_GAP_TRX_PROCESSED_MSG "Slave SQL thread stopped according to UNTIL SQL_AFTER_MTS_GAPS as it has processed all gap transactions left from the previous slave session."
#define ER_GROUP_REPLICATION_PLUGIN_NOT_INSTALLED_MSG "Group Replication plugin is not installed."
#define ER_GTID_ALREADY_ADDED_BY_USER_MSG "The transaction owned GTID is already in the %s table, which is caused by an explicit modifying from user client."
#define ER_FAILED_TO_DELETE_FROM_GTID_EXECUTED_TABLE_MSG "Failed to delete the row: \'%s\' from the gtid_executed table."
#define ER_FAILED_TO_COMPRESS_GTID_EXECUTED_TABLE_MSG "Failed to compress the gtid_executed table."
#define ER_FAILED_TO_COMPRESS_GTID_EXECUTED_TABLE_OOM_MSG "Failed to compress the gtid_executed table, because it is failed to allocate the THD."
#define ER_FAILED_TO_INIT_THREAD_ATTR_FOR_GTID_TABLE_COMPRESSION_MSG "Failed to initialize thread attribute when creating compression thread."
#define ER_FAILED_TO_CREATE_GTID_TABLE_COMPRESSION_THREAD_MSG "Can not create thread to compress gtid_executed table (errno= %d)"
#define ER_FAILED_TO_JOIN_GTID_TABLE_COMPRESSION_THREAD_MSG "Could not join gtid_executed table compression thread. error:%d"
#define ER_NPIPE_FAILED_TO_INIT_SECURITY_DESCRIPTOR_MSG "Can\'t start server : Initialize security descriptor: %s"
#define ER_NPIPE_FAILED_TO_SET_SECURITY_DESCRIPTOR_MSG "Can\'t start server : Set security descriptor: %s"
#define ER_NPIPE_PIPE_ALREADY_IN_USE_MSG "Can\'t start server : Named Pipe \"%s\" already in use."
#define ER_RPL_CANT_OPEN_INFO_TABLE_MSG "Info table is not ready to be used. Table \'%s.%s\' cannot be opened."
#define ER_RPL_CANT_SCAN_INFO_TABLE_MSG "Info table is not ready to be used. Table \'%s.%s\' cannot be scanned."
#define ER_RPL_CORRUPTED_INFO_TABLE_MSG "Corrupted table %s.%s. Check out table definition."
#define ER_RPL_CORRUPTED_KEYS_IN_INFO_TABLE_MSG "Info table has a problem with its key field(s). Table \'%s.%s\' expected field #%u to be \'%s\' but found \'%s\' instead."
#define ER_RPL_WORKER_ID_IS_MSG "Choosing worker id %lu, the following is going to be %lu"
#define ER_RPL_INCONSISTENT_TIMESTAMPS_IN_TRX_MSG "Transaction is tagged with inconsistent logical timestamps: sequence_number (%lld) <= last_committed (%lld)"
#define ER_RPL_INCONSISTENT_SEQUENCE_NO_IN_TRX_MSG "Transaction\'s sequence number is inconsistent with that of a preceding one: sequence_number (%lld) <= previous sequence_number (%lld)"
#define ER_RPL_CHANNELS_REQUIRE_TABLES_AS_INFO_REPOSITORIES_MSG "For the creation of replication channels the master info and relay log info repositories must be set to TABLE"
#define ER_RPL_CHANNELS_REQUIRE_NON_ZERO_SERVER_ID_MSG "For the creation of replication channels the server id must be different from 0"
#define ER_RPL_REPO_SHOULD_BE_TABLE_MSG "Slave: Wrong repository. Repository should be TABLE"
#define ER_RPL_ERROR_CREATING_MASTER_INFO_MSG "Error creating master info: %s."
#define ER_RPL_ERROR_CHANGING_MASTER_INFO_REPO_TYPE_MSG "Error changing the type of master info\'s repository: %s."
#define ER_RPL_CHANGING_RELAY_LOG_INFO_REPO_TYPE_FAILED_DUE_TO_GAPS_MSG "It is not possible to change the type of the relay log repository because there are workers repositories with possible execution gaps. The value of --relay_log_info_repository is altered to one of the found Worker repositories. The gaps have to be sorted out before resuming with the type change."
#define ER_RPL_ERROR_CREATING_RELAY_LOG_INFO_MSG "Error creating relay log info: %s."
#define ER_RPL_ERROR_CHANGING_RELAY_LOG_INFO_REPO_TYPE_MSG "Error changing the type of relay log info\'s repository: %s."
#define ER_RPL_FAILED_TO_DELETE_FROM_SLAVE_WORKERS_INFO_REPOSITORY_MSG "Could not delete from Slave Workers info repository."
#define ER_RPL_FAILED_TO_RESET_STATE_IN_SLAVE_INFO_REPOSITORY_MSG "Could not store the reset Slave Worker state into the slave info repository."
#define ER_RPL_ERROR_CHECKING_REPOSITORY_MSG "Error in checking %s repository info type of %s."
#define ER_RPL_SLAVE_GENERIC_MESSAGE_MSG "Slave: %s"
#define ER_RPL_SLAVE_COULD_NOT_CREATE_CHANNEL_LIST_MSG "Slave: Could not create channel list"
#define ER_RPL_MULTISOURCE_REQUIRES_TABLE_TYPE_REPOSITORIES_MSG "Slave: This slave was a multisourced slave previously which is supported only by both TABLE based master info and relay log info repositories. Found one or both of the info repos to be type FILE. Set both repos to type TABLE."
#define ER_RPL_SLAVE_FAILED_TO_INIT_A_MASTER_INFO_STRUCTURE_MSG "Slave: Failed to initialize the master info structure for channel \'%s\'; its record may still be present in \'mysql.slave_master_info\' table, consider deleting it."
#define ER_RPL_SLAVE_FAILED_TO_INIT_MASTER_INFO_STRUCTURE_MSG "Failed to initialize the master info structure%s"
#define ER_RPL_SLAVE_FAILED_TO_CREATE_CHANNEL_FROM_MASTER_INFO_MSG "Slave: Failed to create a channel from master info table repository."
#define ER_RPL_FAILED_TO_CREATE_NEW_INFO_FILE_MSG "Failed to create a new info file (file \'%s\', errno %d)"
#define ER_RPL_FAILED_TO_CREATE_CACHE_FOR_INFO_FILE_MSG "Failed to create a cache on info file (file \'%s\')"
#define ER_RPL_FAILED_TO_OPEN_INFO_FILE_MSG "Failed to open the existing info file (file \'%s\', errno %d)"
#define ER_RPL_GTID_MEMORY_FINALLY_AVAILABLE_MSG "Server overcomes the temporary \'out of memory\' in \'%d\' tries while allocating a new chunk of intervals for storing GTIDs."
#define ER_SERVER_COST_UNKNOWN_COST_CONSTANT_MSG "Unknown cost constant \"%s\" in mysql.server_cost table"
#define ER_SERVER_COST_INVALID_COST_CONSTANT_MSG "Invalid value for cost constant \"%s\" in mysql.server_cost table: %.1f"
#define ER_ENGINE_COST_UNKNOWN_COST_CONSTANT_MSG "Unknown cost constant \"%s\" in mysql.engine_cost table"
#define ER_ENGINE_COST_UNKNOWN_STORAGE_ENGINE_MSG "Unknown storage engine \"%s\" in mysql.engine_cost table"
#define ER_ENGINE_COST_INVALID_DEVICE_TYPE_FOR_SE_MSG "Invalid device type %d for \"%s\" storage engine for cost constant \"%s\" in mysql.engine_cost table"
#define ER_ENGINE_COST_INVALID_CONST_CONSTANT_FOR_SE_AND_DEVICE_MSG "Invalid value for cost constant \"%s\" for \"%s\" storage engine and device type %d in mysql.engine_cost table: %.1f"
#define ER_SERVER_COST_FAILED_TO_READ_MSG "Error while reading from mysql.server_cost table."
#define ER_ENGINE_COST_FAILED_TO_READ_MSG "Error while reading from mysql.engine_cost table."
#define ER_FAILED_TO_OPEN_COST_CONSTANT_TABLES_MSG "Failed to open optimizer cost constant tables"
#define ER_RPL_UNSUPPORTED_UNIGNORABLE_EVENT_IN_STREAM_MSG "Unsupported non-ignorable event fed into the event stream."
#define ER_RPL_GTID_LOG_EVENT_IN_STREAM_MSG "GTID_LOG_EVENT or ANONYMOUS_GTID_LOG_EVENT is not expected in an event stream %s."
#define ER_RPL_UNEXPECTED_BEGIN_IN_STREAM_MSG "QUERY(BEGIN) is not expected in an event stream in the middle of a %s."
#define ER_RPL_UNEXPECTED_COMMIT_ROLLBACK_OR_XID_LOG_EVENT_IN_STREAM_MSG "QUERY(COMMIT or ROLLBACK) or XID_LOG_EVENT is not expected in an event stream %s."
#define ER_RPL_UNEXPECTED_XA_ROLLBACK_IN_STREAM_MSG "QUERY(XA ROLLBACK) is not expected in an event stream %s."
#define ER_EVENT_EXECUTION_FAILED_CANT_AUTHENTICATE_USER_MSG "Event Scheduler: [%s].[%s.%s] execution failed, failed to authenticate the user."
#define ER_EVENT_EXECUTION_FAILED_USER_LOST_EVEN_PRIVILEGE_MSG "Event Scheduler: [%s].[%s.%s] execution failed, user no longer has EVENT privilege."
#define ER_EVENT_ERROR_DURING_COMPILATION_MSG "Event Scheduler: %serror during compilation of %s.%s"
#define ER_EVENT_DROPPING_MSG "Event Scheduler: Dropping %s.%s"
#define ER_RPL_INCOMPATIBLE_DECIMAL_IN_RBR_MSG "In RBR mode, Slave received incompatible DECIMAL field (old-style decimal field) from Master while creating conversion table. Please consider changing datatype on Master to new style decimal by executing ALTER command for column Name: %s.%s.%s."
#define ER_INIT_ROOT_WITHOUT_PASSWORD_MSG "root@localhost is created with an empty password ! Please consider switching off the --initialize-insecure option."
#define ER_INIT_GENERATING_TEMP_PASSWORD_FOR_ROOT_MSG "A temporary password is generated for root@localhost: %s"
#define ER_INIT_CANT_OPEN_BOOTSTRAP_FILE_MSG "Failed to open the bootstrap file %s"
#define ER_INIT_BOOTSTRAP_COMPLETE_MSG "Bootstrapping complete"
#define ER_INIT_DATADIR_NOT_EMPTY_WONT_INITIALIZE_MSG "--initialize specified but the data directory has files in it. Aborting."
#define ER_INIT_DATADIR_EXISTS_WONT_INITIALIZE_MSG "--initialize specified on an existing data directory."
#define ER_INIT_DATADIR_EXISTS_AND_PATH_TOO_LONG_WONT_INITIALIZE_MSG "--initialize specified but the data directory exists and the path is too long. Aborting."
#define ER_INIT_DATADIR_EXISTS_AND_NOT_WRITABLE_WONT_INITIALIZE_MSG "--initialize specified but the data directory exists and is not writable. Aborting."
#define ER_INIT_CREATING_DD_MSG "Creating the data directory %s"
#define ER_RPL_BINLOG_STARTING_DUMP_MSG "Start binlog_dump to master_thread_id(%u) slave_server(%u), pos(%s, %llu)"
#define ER_RPL_BINLOG_MASTER_SENDS_HEARTBEAT_MSG "master sends heartbeat message"
#define ER_RPL_BINLOG_SKIPPING_REMAINING_HEARTBEAT_INFO_MSG "the rest of heartbeat info skipped ..."
#define ER_RPL_BINLOG_MASTER_USES_CHECKSUM_AND_SLAVE_CANT_MSG "Master is configured to log replication events with checksum, but will not send such events to slaves that cannot process them"
#define ER_KILLING_THREAD_MSG "Killing thread %lu"
#define ER_DETACHING_SESSION_LEFT_BY_PLUGIN_MSG "Plugin %s is deinitializing a thread but left a session attached. Detaching it forcefully."
#define ER_CANT_DETACH_SESSION_LEFT_BY_PLUGIN_MSG "Failed to detach the session."
#define ER_DETACHED_SESSIONS_LEFT_BY_PLUGIN_MSG "Closed forcefully %u session%s left opened by plugin %s"
#define ER_FAILED_TO_DECREMENT_NUMBER_OF_THREADS_MSG "Failed to decrement the number of threads"
#define ER_PLUGIN_DID_NOT_DEINITIALIZE_THREADS_MSG "Plugin %s did not deinitialize %u threads"
#define ER_KILLED_THREADS_OF_PLUGIN_MSG "Killed %u threads of plugin %s"
#define ER_DBUG_CHECK_SHARES_OPEN_MSG "dbug_check_shares open:"
#define ER_DBUG_CHECK_SHARES_INFO_MSG "  %s.%s: state: %s(%u) use_count: %u"
#define ER_DBUG_CHECK_SHARES_DROPPED_MSG "dbug_check_shares dropped:"
#define ER_INVALID_OR_OLD_TABLE_OR_DB_NAME_MSG "Invalid (old?) table or database name \'%s\'"
#define ER_TC_RECOVERING_AFTER_CRASH_USING_MSG "Recovering after a crash using %s"
#define ER_TC_CANT_AUTO_RECOVER_WITH_TC_HEURISTIC_RECOVER_MSG "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
#define ER_TC_BAD_MAGIC_IN_TC_LOG_MSG "Bad magic header in tc log"
#define ER_TC_NEED_N_SE_SUPPORTING_2PC_FOR_RECOVERY_MSG "Recovery failed! You must enable exactly %d storage engines that support two-phase commit protocol"
#define ER_TC_RECOVERY_FAILED_THESE_ARE_YOUR_OPTIONS_MSG "Crash recovery failed. Either correct the problem (if it\'s, for example, out of memory error) and restart, or delete tc log and start mysqld with --tc-heuristic-recover={commit|rollback}"
#define ER_TC_HEURISTIC_RECOVERY_MODE_MSG "Heuristic crash recovery mode"
#define ER_TC_HEURISTIC_RECOVERY_FAILED_MSG "Heuristic crash recovery failed"
#define ER_TC_RESTART_WITHOUT_TC_HEURISTIC_RECOVER_MSG "Please restart mysqld without --tc-heuristic-recover"
#define ER_RPL_SLAVE_FAILED_TO_CREATE_OR_RECOVER_INFO_REPOSITORIES_MSG "Failed to create or recover replication info repositories."
#define ER_RPL_SLAVE_AUTO_POSITION_IS_1_AND_GTID_MODE_IS_OFF_MSG "Detected misconfiguration: replication channel \'%.192s\' was configured with AUTO_POSITION = 1, but the server was started with --gtid-mode=off. Either reconfigure replication using CHANGE MASTER TO MASTER_AUTO_POSITION = 0 FOR CHANNEL \'%.192s\', or change GTID_MODE to some value other than OFF, before starting the slave receiver thread."
#define ER_RPL_SLAVE_CANT_START_SLAVE_FOR_CHANNEL_MSG "Slave: Could not start slave for channel \'%s\'. operation discontinued"
#define ER_RPL_SLAVE_CANT_STOP_SLAVE_FOR_CHANNEL_MSG "Slave: Could not stop slave for channel \'%s\' operation discontinued"
#define ER_RPL_RECOVERY_NO_ROTATE_EVENT_FROM_MASTER_MSG "Error during --relay-log-recovery: Could not locate rotate event from the master."
#define ER_RPL_RECOVERY_ERROR_READ_RELAY_LOG_MSG "Error during --relay-log-recovery: Error reading events from relay log: %d"
#define ER_RPL_RECOVERY_SKIPPED_GROUP_REPLICATION_CHANNEL_MSG "Relay log recovery skipped for group replication channel."
#define ER_RPL_RECOVERY_ERROR_MSG "Error during --relay-log-recovery: %s"
#define ER_RPL_RECOVERY_IO_ERROR_READING_RELAY_LOG_INDEX_MSG "Error during --relay-log-recovery: Could not read relay log index file due to an IO error."
#define ER_RPL_RECOVERY_FILE_MASTER_POS_INFO_MSG "Recovery from master pos %ld and file %s%s. Previous relay log pos and relay log file had been set to %lld, %s respectively."
#define ER_RPL_RECOVERY_REPLICATE_SAME_SERVER_ID_REQUIRES_POSITION_MSG "Error during --relay-log-recovery: replicate_same_server_id is in use and sql thread\'s positions are not initialized, hence relay log recovery cannot happen."
#define ER_RPL_MTS_RECOVERY_STARTING_COORDINATOR_MSG "MTS recovery: starting coordinator thread to fill MTS gaps."
#define ER_RPL_MTS_RECOVERY_FAILED_TO_START_COORDINATOR_MSG "MTS recovery: failed to start the coordinator thread. Check the error log for additional details."
#define ER_RPL_MTS_AUTOMATIC_RECOVERY_FAILED_MSG "MTS recovery: automatic recovery failed. Either the slave server had stopped due to an error during an earlier session or relay logs are corrupted.Fix the cause of the slave side error and restart the slave server or consider using RESET SLAVE."
#define ER_RPL_MTS_RECOVERY_CANT_OPEN_RELAY_LOG_MSG "Failed to open the relay log \'%s\' (relay_log_pos %s)."
#define ER_RPL_MTS_RECOVERY_SUCCESSFUL_MSG "MTS recovery: completed successfully."
#define ER_RPL_SERVER_ID_MISSING_MSG "Server id not set, will not start slave%s"
#define ER_RPL_CANT_CREATE_SLAVE_THREAD_MSG "Can\'t create slave thread%s."
#define ER_RPL_SLAVE_IO_THREAD_WAS_KILLED_MSG "The slave IO thread%s was killed while executing initialization query \'%s\'"
#define ER_RPL_SLAVE_MASTER_UUID_HAS_CHANGED_MSG "The master\'s UUID has changed, although this should not happen unless you have changed it manually. The old UUID was %s."
#define ER_RPL_SLAVE_USES_CHECKSUM_AND_MASTER_PRE_50_MSG "Found a master with MySQL server version older than 5.0. With checksums enabled on the slave, replication might not work correctly. To ensure correct replication, restart the slave server with --replica_sql_verify_checksum=0."
#define ER_RPL_SLAVE_SECONDS_BEHIND_MASTER_DUBIOUS_MSG "\"SELECT UNIX_TIMESTAMP()\" failed on master, do not trust column Seconds_Behind_Master of SHOW SLAVE STATUS. Error: %s (%d)"
#define ER_RPL_SLAVE_CANT_FLUSH_MASTER_INFO_FILE_MSG "Failed to flush master info file."
#define ER_RPL_SLAVE_REPORT_HOST_TOO_LONG_MSG "The length of report_host is %zu. It is larger than the max length(%d), so this slave cannot be registered to the master%s."
#define ER_RPL_SLAVE_REPORT_USER_TOO_LONG_MSG "The length of report_user is %zu. It is larger than the max length(%d), so this slave cannot be registered to the master%s."
#define ER_RPL_SLAVE_REPORT_PASSWORD_TOO_LONG_MSG "The length of report_password is %zu. It is larger than the max length(%d), so this slave cannot be registered to the master%s."
#define ER_RPL_SLAVE_ERROR_RETRYING_MSG "Error on %s: %d  %s, will retry in %d secs"
#define ER_RPL_SLAVE_ERROR_READING_FROM_SERVER_MSG "Error reading packet from server%s: %s (server_errno=%d)"
#define ER_RPL_SLAVE_DUMP_THREAD_KILLED_BY_MASTER_MSG "Slave%s: received end packet from server due to dump thread being killed on master. Dump threads are killed for example during master shutdown, explicitly by a user, or when the master receives a binlog send request from a duplicate server UUID <%s> : Error %s"
#define ER_RPL_MTS_STATISTICS_MSG "Multi-threaded slave statistics%s: seconds elapsed = %lu; events assigned = %llu; worker queues filled over overrun level = %lu; waited due a Worker queue full = %lu; waited due the total size = %lu; waited at clock conflicts = %llu waited (count) when Workers occupied = %lu waited when Workers occupied = %llu"
#define ER_RPL_MTS_RECOVERY_COMPLETE_MSG "Slave%s: MTS Recovery has completed at relay log %s, position %llu master log %s, position %llu."
#define ER_RPL_SLAVE_CANT_INIT_RELAY_LOG_POSITION_MSG "Error initializing relay log position%s: %s"
#define ER_RPL_SLAVE_CONNECTED_TO_MASTER_REPLICATION_STARTED_MSG "Slave I/O thread%s: connected to master \'%s@%s:%d\',replication started in log \'%s\' at position %s"
#define ER_RPL_SLAVE_IO_THREAD_KILLED_MSG "Slave I/O thread%s killed while connecting to master"
#define ER_RPL_SLAVE_IO_THREAD_CANT_REGISTER_ON_MASTER_MSG "Slave I/O thread couldn\'t register on master"
#define ER_RPL_SLAVE_FORCING_TO_RECONNECT_IO_THREAD_MSG "Forcing to reconnect slave I/O thread%s"
#define ER_RPL_SLAVE_ERROR_REQUESTING_BINLOG_DUMP_MSG "Failed on request_dump()%s"
#define ER_RPL_LOG_ENTRY_EXCEEDS_REPLICA_MAX_ALLOWED_PACKET_MSG "Log entry on master is longer than replica_max_allowed_packet (%lu) on slave. If the entry is correct, restart the server with a higher value of replica_max_allowed_packet"
#define ER_RPL_SLAVE_STOPPING_AS_MASTER_OOM_MSG "Stopping slave I/O thread due to out-of-memory error from master"
#define ER_RPL_SLAVE_IO_THREAD_ABORTED_WAITING_FOR_RELAY_LOG_SPACE_MSG "Slave I/O thread aborted while waiting for relay log space"
#define ER_RPL_SLAVE_IO_THREAD_EXITING_MSG "Slave I/O thread exiting%s, read up to log \'%s\', position %s"
#define ER_RPL_SLAVE_CANT_INITIALIZE_SLAVE_WORKER_MSG "Failed during slave worker initialization%s"
#define ER_RPL_MTS_GROUP_RECOVERY_RELAY_LOG_INFO_FOR_WORKER_MSG "Slave: MTS group recovery relay log info based on Worker-Id %lu, group_relay_log_name %s, group_relay_log_pos %llu group_master_log_name %s, group_master_log_pos %llu"
#define ER_RPL_ERROR_LOOKING_FOR_LOG_MSG "Error looking for %s."
#define ER_RPL_MTS_GROUP_RECOVERY_RELAY_LOG_INFO_MSG "Slave: MTS group recovery relay log info group_master_log_name %s, event_master_log_pos %llu."
#define ER_RPL_CANT_FIND_FOLLOWUP_FILE_MSG "Error looking for file after %s."
#define ER_RPL_MTS_CHECKPOINT_PERIOD_DIFFERS_FROM_CNT_MSG "This an error cnt != mta_checkpoint_period"
#define ER_RPL_SLAVE_WORKER_THREAD_CREATION_FAILED_MSG "Failed during slave worker thread creation%s"
#define ER_RPL_SLAVE_WORKER_THREAD_CREATION_FAILED_WITH_ERRNO_MSG "Failed during slave worker thread creation%s (errno= %d)"
#define ER_RPL_SLAVE_FAILED_TO_INIT_PARTITIONS_HASH_MSG "Failed to init partitions hash"
#define ER_RPL_SLAVE_SQL_THREAD_STARTING_MSG "Slave SQL thread%s initialized, starting replication in log \'%s\' at position %s, relay log \'%s\' position: %s"
#define ER_RPL_SLAVE_SKIP_COUNTER_EXECUTED_MSG "\'SQL_REPLICA_SKIP_COUNTER=%ld\' executed at relay_log_file=\'%s\', relay_log_pos=\'%ld\', master_log_name=\'%s\', master_log_pos=\'%ld\' and new position at relay_log_file=\'%s\', relay_log_pos=\'%ld\', master_log_name=\'%s\', master_log_pos=\'%ld\' "
#define ER_RPL_SLAVE_ADDITIONAL_ERROR_INFO_FROM_DA_MSG "Slave (additional info): %s Error_code: MY-%06d"
#define ER_RPL_SLAVE_ERROR_INFO_FROM_DA_MSG "Slave: %s Error_code: MY-%06d"
#define ER_RPL_SLAVE_ERROR_LOADING_USER_DEFINED_LIBRARY_MSG "Error loading user-defined library, slave SQL thread aborted. Install the missing library, and restart the slave SQL thread with \"SLAVE START\". We stopped at log \'%s\' position %s"
#define ER_RPL_SLAVE_ERROR_RUNNING_QUERY_MSG "Error running query, slave SQL thread aborted. Fix the problem, and restart the slave SQL thread with \"SLAVE START\". We stopped at log \'%s\' position %s"
#define ER_RPL_SLAVE_SQL_THREAD_EXITING_MSG "Slave SQL thread%s exiting, replication stopped in log \'%s\' at position %s"
#define ER_RPL_SLAVE_READ_INVALID_EVENT_FROM_MASTER_MSG "Read invalid event from master: \'%s\', master could be corrupt but a more likely cause of this is a bug"
#define ER_RPL_SLAVE_QUEUE_EVENT_FAILED_INVALID_CONFIGURATION_MSG "The queue event failed for channel \'%s\' as its configuration is invalid."
#define ER_RPL_SLAVE_IO_THREAD_DETECTED_UNEXPECTED_EVENT_SEQUENCE_MSG "An unexpected event sequence was detected by the IO thread while queuing the event received from master \'%s\' binary log file, at position %llu."
#define ER_RPL_SLAVE_CANT_USE_CHARSET_MSG "\'%s\' can not be used as client character set. \'%s\' will be used as default client character set while connecting to master."
#define ER_RPL_SLAVE_CONNECTED_TO_MASTER_REPLICATION_RESUMED_MSG "Slave%s: connected to master \'%s@%s:%d\',replication resumed in log \'%s\' at position %s"
#define ER_RPL_SLAVE_NEXT_LOG_IS_ACTIVE_MSG "next log \'%s\' is active"
#define ER_RPL_SLAVE_NEXT_LOG_IS_INACTIVE_MSG "next log \'%s\' is not active"
#define ER_RPL_SLAVE_SQL_THREAD_IO_ERROR_READING_EVENT_MSG "Slave SQL thread%s: I/O error reading event (errno: %d  cur_log->error: %d)"
#define ER_RPL_SLAVE_ERROR_READING_RELAY_LOG_EVENTS_MSG "Error reading relay log event%s: %s"
#define ER_SLAVE_CHANGE_MASTER_TO_EXECUTED_MSG "\'CHANGE MASTER TO%s executed\'. Previous state master_host=\'%s\', master_port= %u, master_log_file=\'%s\', master_log_pos= %ld, master_bind=\'%s\'. New state master_host=\'%s\', master_port= %u, master_log_file=\'%s\', master_log_pos= %ld, master_bind=\'%s\'."
#define ER_RPL_SLAVE_NEW_MASTER_INFO_NEEDS_REPOS_TYPE_OTHER_THAN_FILE_MSG "Slave: Cannot create new master info structure when repositories are of type FILE. Convert slave repositories to TABLE to replicate from multiple sources."
#define ER_RPL_FAILED_TO_STAT_LOG_IN_INDEX_MSG "log %s listed in the index, but failed to stat."
#define ER_RPL_LOG_NOT_FOUND_WHILE_COUNTING_RELAY_LOG_SPACE_MSG "Could not find first log while counting relay log space."
#define ER_SLAVE_CANT_USE_TEMPDIR_MSG "Unable to use slave\'s temporary directory \'%s\'."
#define ER_RPL_RELAY_LOG_NEEDS_FILE_NOT_DIRECTORY_MSG "Path \'%s\' is a directory name, please specify a file name for --relay-log option."
#define ER_RPL_RELAY_LOG_INDEX_NEEDS_FILE_NOT_DIRECTORY_MSG "Path \'%s\' is a directory name, please specify a file name for --relay-log-index option."
#define ER_RPL_PLEASE_USE_OPTION_RELAY_LOG_MSG "Neither --relay-log nor --relay-log-index were used; so replication may break when this MySQL server acts as a slave and has his hostname changed!! Please use \'--relay-log=%s\' to avoid this problem."
#define ER_RPL_OPEN_INDEX_FILE_FAILED_MSG "Failed in open_index_file() called from Relay_log_info::rli_init_info()."
#define ER_RPL_CANT_INITIALIZE_GTID_SETS_IN_RLI_INIT_INFO_MSG "Failed in init_gtid_sets() called from Relay_log_info::rli_init_info()."
#define ER_RPL_CANT_OPEN_LOG_IN_RLI_INIT_INFO_MSG "Failed in open_log() called from Relay_log_info::rli_init_info()."
#define ER_RPL_ERROR_WRITING_RELAY_LOG_CONFIGURATION_MSG "Error writing relay log configuration."
#define ER_TREE_CORRUPT_PARENT_SHOULD_POINT_AT_PARENT_MSG "Wrong tree: Parent doesn\'t point at parent"
#define ER_TREE_CORRUPT_ROOT_SHOULD_BE_BLACK_MSG "Wrong tree: Root should be black"
#define ER_TREE_CORRUPT_2_CONSECUTIVE_REDS_MSG "Wrong tree: Found two red in a row"
#define ER_TREE_CORRUPT_RIGHT_IS_LEFT_MSG "Wrong tree: Found right == left"
#define ER_TREE_CORRUPT_INCORRECT_BLACK_COUNT_MSG "Wrong tree: Incorrect black-count: %d - %d"
#define ER_WRONG_COUNT_FOR_ORIGIN_MSG "Use_count: Wrong count %lu for origin %p"
#define ER_WRONG_COUNT_FOR_KEY_MSG "Use_count: Wrong count for key at %p, %lu should be %lu"
#define ER_WRONG_COUNT_OF_ELEMENTS_MSG "Wrong number of elements: %u (should be %u) for tree at %p"
#define ER_RPL_ERROR_READING_SLAVE_WORKER_CONFIGURATION_MSG "Error reading slave worker configuration"
#define ER_RPL_FAILED_TO_OPEN_RELAY_LOG_MSG "Failed to open relay log %s, error: %s"
#define ER_RPL_WORKER_CANT_READ_RELAY_LOG_MSG "Error when worker read relay log events,relay log name %s, position %llu"
#define ER_RPL_WORKER_CANT_FIND_NEXT_RELAY_LOG_MSG "Failed to find next relay log when retrying the transaction, current relay log is %s"
#define ER_RPL_MTS_SLAVE_COORDINATOR_HAS_WAITED_MSG "Multi-threaded slave: Coordinator has waited %lu times hitting replica_pending_jobs_size_max; current event size = %zu."
#define ER_BINLOG_FAILED_TO_WRITE_DROP_FOR_TEMP_TABLES_MSG "Failed to write the DROP statement for temporary tables to binary log"
#define ER_BINLOG_OOM_WRITING_DELETE_WHILE_OPENING_HEAP_TABLE_MSG "When opening HEAP table, could not allocate memory to write \'DELETE FROM `%s`.`%s`\' to the binary log"
#define ER_FAILED_TO_REPAIR_TABLE_MSG "Couldn\'t repair table: %s.%s"
#define ER_FAILED_TO_REMOVE_TEMP_TABLE_MSG "Could not remove temporary table: \'%s\', error: %d"
#define ER_SYSTEM_TABLE_NOT_TRANSACTIONAL_MSG "System table \'%.*s\' is expected to be transactional."
#define ER_RPL_ERROR_WRITING_MASTER_CONFIGURATION_MSG "Error writing master configuration."
#define ER_RPL_ERROR_READING_MASTER_CONFIGURATION_MSG "Error reading master configuration."
#define ER_RPL_SSL_INFO_IN_MASTER_INFO_IGNORED_MSG "SSL information in the master info file are ignored because this MySQL slave was compiled without SSL support."
#define ER_PLUGIN_FAILED_DEINITIALIZATION_MSG "Plugin \'%s\' of type %s failed deinitialization"
#define ER_PLUGIN_HAS_NONZERO_REFCOUNT_AFTER_DEINITIALIZATION_MSG "Plugin \'%s\' has ref_count=%d after deinitialization."
#define ER_PLUGIN_SHUTTING_DOWN_PLUGIN_MSG "Shutting down plugin \'%s\'"
#define ER_PLUGIN_REGISTRATION_FAILED_MSG "Plugin \'%s\' registration as a %s failed."
#define ER_PLUGIN_CANT_OPEN_PLUGIN_TABLE_MSG "Could not open the mysql.plugin table. Please perform the MySQL upgrade procedure."
#define ER_PLUGIN_CANT_LOAD_MSG "Couldn\'t load plugin named \'%s\' with soname \'%s\'."
#define ER_PLUGIN_LOAD_PARAMETER_TOO_LONG_MSG "plugin-load parameter too long"
#define ER_PLUGIN_FORCING_SHUTDOWN_MSG "Plugin \'%s\' will be forced to shutdown"
#define ER_PLUGIN_HAS_NONZERO_REFCOUNT_AFTER_SHUTDOWN_MSG "Plugin \'%s\' has ref_count=%d after shutdown."
#define ER_PLUGIN_UNKNOWN_VARIABLE_TYPE_MSG "Unknown variable type code 0x%x in plugin \'%s\'."
#define ER_PLUGIN_VARIABLE_SET_READ_ONLY_MSG "Server variable %s of plugin %s was forced to be read-only: string variable without update_func and PLUGIN_VAR_MEMALLOC flag"
#define ER_PLUGIN_VARIABLE_MISSING_NAME_MSG "Missing variable name in plugin \'%s\'."
#define ER_PLUGIN_VARIABLE_NOT_ALLOCATED_THREAD_LOCAL_MSG "Thread local variable \'%s\' not allocated in plugin \'%s\'."
#define ER_PLUGIN_OOM_MSG "Out of memory for plugin \'%s\'."
#define ER_PLUGIN_BAD_OPTIONS_MSG "Bad options for plugin \'%s\'."
#define ER_PLUGIN_PARSING_OPTIONS_FAILED_MSG "Parsing options for plugin \'%s\' failed."
#define ER_PLUGIN_DISABLED_MSG "Plugin \'%s\' is disabled."
#define ER_PLUGIN_HAS_CONFLICTING_SYSTEM_VARIABLES_MSG "Plugin \'%s\' has conflicting system variables"
#define ER_PLUGIN_CANT_SET_PERSISTENT_OPTIONS_MSG "Setting persistent options for plugin \'%s\' failed."
#define ER_MY_NET_WRITE_FAILED_FALLING_BACK_ON_STDERR_MSG "Failed on my_net_write, writing to stderr instead: %s"
#define ER_RETRYING_REPAIR_WITHOUT_QUICK_MSG "Retrying repair of: \'%s\' without quick"
#define ER_RETRYING_REPAIR_WITH_KEYCACHE_MSG "Retrying repair of: \'%s\' with keycache"
#define ER_FOUND_ROWS_WHILE_REPAIRING_MSG "Found %s of %s rows when repairing \'%s\'"
#define ER_ERROR_DURING_OPTIMIZE_TABLE_MSG "Warning: Optimize table got errno %d on %s.%s, retrying"
#define ER_ERROR_ENABLING_KEYS_MSG "Warning: Enabling keys got errno %d on %s.%s, retrying"
#define ER_CHECKING_TABLE_MSG "Checking table:   \'%s\'"
#define ER_RECOVERING_TABLE_MSG "Recovering table: \'%s\'"
#define ER_CANT_CREATE_TABLE_SHARE_FROM_FRM_MSG "Error in creating TABLE_SHARE from %s.frm file."
#define ER_CANT_LOCK_TABLE_MSG "Unable to acquire lock on %s.%s"
#define ER_CANT_ALLOC_TABLE_OBJECT_MSG "Error in allocation memory for TABLE object."
#define ER_CANT_CREATE_HANDLER_OBJECT_FOR_TABLE_MSG "Error in creating handler object for table %s.%s"
#define ER_CANT_SET_HANDLER_REFERENCE_FOR_TABLE_MSG "Error in setting handler reference for table %s.%s"
#define ER_CANT_LOCK_TABLESPACE_MSG "Unable to acquire lock on tablespace name %s"
#define ER_CANT_UPGRADE_GENERATED_COLUMNS_TO_DD_MSG "Error in processing generated columns for table %s.%s"
#define ER_DD_ERROR_CREATING_ENTRY_MSG "Error in Creating DD entry for %s.%s"
#define ER_DD_CANT_FETCH_TABLE_DATA_MSG "Error in fetching %s.%s table data from dictionary"
#define ER_DD_CANT_FIX_SE_DATA_MSG "Error in fixing SE data for %s.%s"
#define ER_DD_CANT_CREATE_SP_MSG "Error in creating stored program \'%s.%s\'"
#define ER_CANT_OPEN_DB_OPT_USING_DEFAULT_CHARSET_MSG "Unable to open db.opt file %s. Using default Character set."
#define ER_CANT_CREATE_CACHE_FOR_DB_OPT_MSG "Unable to intialize IO cache to open db.opt file %s. "
#define ER_CANT_IDENTIFY_CHARSET_USING_DEFAULT_MSG "Unable to identify the charset in %s. Using default character set."
#define ER_DB_OPT_NOT_FOUND_USING_DEFAULT_CHARSET_MSG "db.opt file not found for %s database. Using default Character set."
#define ER_EVENT_CANT_GET_TIMEZONE_FROM_FIELD_MSG "Event \'%s\'.\'%s\': invalid value in column mysql.event.time_zone."
#define ER_EVENT_CANT_FIND_TIMEZONE_MSG "Event \'%s\'.\'%s\': has invalid time zone value "
#define ER_EVENT_CANT_GET_CHARSET_MSG "Event \'%s\'.\'%s\': invalid value in column mysql.event.character_set_client."
#define ER_EVENT_CANT_GET_COLLATION_MSG "Event \'%s\'.\'%s\': invalid value in column mysql.event.collation_connection."
#define ER_EVENT_CANT_OPEN_TABLE_MYSQL_EVENT_MSG "Failed to open mysql.event Table."
#define ER_CANT_PARSE_STORED_ROUTINE_BODY_MSG "Parsing \'%s.%s\' routine body failed.%s"
#define ER_CANT_OPEN_TABLE_MYSQL_PROC_MSG "Failed to open mysql.proc Table."
#define ER_CANT_READ_TABLE_MYSQL_PROC_MSG "Failed to read mysql.proc table."
#define ER_FILE_EXISTS_DURING_UPGRADE_MSG "Found %s file in mysql schema. DD will create .ibd file with same name. Please rename table and start upgrade process again."
#define ER_CANT_OPEN_DATADIR_AFTER_UPGRADE_FAILURE_MSG "Unable to open the data directory %s during clean up after upgrade failed"
#define ER_CANT_SET_PATH_FOR_MSG "Failed to set path %s"
#define ER_CANT_OPEN_DIR_MSG "Failed to open dir %s"
#define ER_EVENT_ERROR_CREATING_QUERY_TO_WRITE_TO_BINLOG_MSG "Event Error: An error occurred while creating query string, before writing it into binary log."
#define ER_EVENT_SCHEDULER_ERROR_LOADING_FROM_DB_MSG "Event Scheduler: Error while loading from disk."
#define ER_EVENT_SCHEDULER_ERROR_GETTING_EVENT_OBJECT_MSG "Event Scheduler: Error getting event object."
#define ER_EVENT_SCHEDULER_GOT_BAD_DATA_FROM_TABLE_MSG "Event Scheduler: Error while loading events from mysql.events.The table probably contains bad data or is corrupted"
#define ER_EVENT_CANT_GET_LOCK_FOR_DROPPING_EVENT_MSG "Unable to obtain lock for dropping event %s from schema %s"
#define ER_EVENT_UNABLE_TO_DROP_EVENT_MSG "Unable to drop event %s from schema %s"
#define ER_BINLOG_CANT_RESIZE_CACHE_MSG "Unable to resize binlog IOCACHE auxiliary file"
#define ER_BINLOG_FILE_BEING_READ_NOT_PURGED_MSG "file %s was not purged because it was being read by thread number %u"
#define ER_BINLOG_IO_ERROR_READING_HEADER_MSG "I/O error reading the header from the binary log, errno=%d, io cache code=%d"
#define ER_BINLOG_FILE_EXTENSION_NUMBER_EXHAUSTED_MSG "Log filename extension number exhausted: %06lu. Please fix this by archiving old logs and updating the index files."
#define ER_BINLOG_FILE_NAME_TOO_LONG_MSG "Log filename too large: %s%s (%zu). Please fix this by archiving old logs and updating the index files."
#define ER_BINLOG_FILE_EXTENSION_NUMBER_RUNNING_LOW_MSG "Next log extension: %lu. Remaining log filename extensions: %lu. Please consider archiving some logs."
#define ER_BINLOG_CANT_OPEN_FOR_LOGGING_MSG "Could not open %s for logging (error %d). Turning logging off for the whole duration of the MySQL server process. To turn it on again: fix the cause, shutdown the MySQL server and restart it."
#define ER_BINLOG_FAILED_TO_SYNC_INDEX_FILE_MSG "MYSQL_BIN_LOG::open_index_file failed to sync the index file."
#define ER_BINLOG_ERROR_READING_GTIDS_FROM_RELAY_LOG_MSG "Error reading GTIDs from relaylog: %d"
#define ER_BINLOG_EVENTS_READ_FROM_RELAY_LOG_INFO_MSG "%lu events read in relaylog file \'%s\' for updating Retrieved_Gtid_Set and/or IO thread transaction parser state."
#define ER_BINLOG_ERROR_READING_GTIDS_FROM_BINARY_LOG_MSG "Error reading GTIDs from binary log: %d"
#define ER_BINLOG_EVENTS_READ_FROM_BINLOG_INFO_MSG "Read %lu events from binary log file \'%s\' to determine the GTIDs purged from binary logs."
#define ER_BINLOG_CANT_GENERATE_NEW_FILE_NAME_MSG "MYSQL_BIN_LOG::open failed to generate new file name."
#define ER_BINLOG_FAILED_TO_SYNC_INDEX_FILE_IN_OPEN_MSG "MYSQL_BIN_LOG::open failed to sync the index file."
#define ER_BINLOG_CANT_USE_FOR_LOGGING_MSG "Could not use %s for logging (error %d). Turning logging off for the whole duration of the MySQL server process. To turn it on again: fix the cause, shutdown the MySQL server and restart it."
#define ER_BINLOG_FAILED_TO_CLOSE_INDEX_FILE_WHILE_REBUILDING_MSG "While rebuilding index file %s: Failed to close the index file."
#define ER_BINLOG_FAILED_TO_DELETE_INDEX_FILE_WHILE_REBUILDING_MSG "While rebuilding index file %s: Failed to delete the existing index file. It could be that file is being used by some other process."
#define ER_BINLOG_FAILED_TO_RENAME_INDEX_FILE_WHILE_REBUILDING_MSG "While rebuilding index file %s: Failed to rename the new index file to the existing index file."
#define ER_BINLOG_FAILED_TO_OPEN_INDEX_FILE_AFTER_REBUILDING_MSG "After rebuilding the index file %s: Failed to open the index file."
#define ER_BINLOG_CANT_APPEND_LOG_TO_TMP_INDEX_MSG "MYSQL_BIN_LOG::add_log_to_index failed to append log file name: %s, to crash safe index file."
#define ER_BINLOG_CANT_LOCATE_OLD_BINLOG_OR_RELAY_LOG_FILES_MSG "Failed to locate old binlog or relay log files"
#define ER_BINLOG_CANT_DELETE_FILE_MSG "Failed to delete file \'%s\'"
#define ER_BINLOG_CANT_SET_TMP_INDEX_NAME_MSG "MYSQL_BIN_LOG::set_crash_safe_index_file_name failed to set file name."
#define ER_BINLOG_FAILED_TO_OPEN_TEMPORARY_INDEX_FILE_MSG "MYSQL_BIN_LOG::open_crash_safe_index_file failed to open temporary index file."
#define ER_BINLOG_CANT_OPEN_TMP_INDEX_MSG "%s failed to open the crash safe index file."
#define ER_BINLOG_CANT_COPY_INDEX_TO_TMP_MSG "%s failed to copy index file to crash safe index file."
#define ER_BINLOG_CANT_CLOSE_TMP_INDEX_MSG "%s failed to close the crash safe index file."
#define ER_BINLOG_CANT_MOVE_TMP_TO_INDEX_MSG "%s failed to move crash safe index file to index file."
#define ER_BINLOG_PURGE_LOGS_CALLED_WITH_FILE_NOT_IN_INDEX_MSG "MYSQL_BIN_LOG::purge_logs was called with file %s not listed in the index."
#define ER_BINLOG_PURGE_LOGS_CANT_SYNC_INDEX_FILE_MSG "MYSQL_BIN_LOG::purge_logs failed to sync the index file."
#define ER_BINLOG_PURGE_LOGS_CANT_COPY_TO_REGISTER_FILE_MSG "MYSQL_BIN_LOG::purge_logs failed to copy %s to register file."
#define ER_BINLOG_PURGE_LOGS_CANT_FLUSH_REGISTER_FILE_MSG "MYSQL_BIN_LOG::purge_logs failed to flush register file."
#define ER_BINLOG_PURGE_LOGS_CANT_UPDATE_INDEX_FILE_MSG "MYSQL_BIN_LOG::purge_logs failed to update the index file"
#define ER_BINLOG_PURGE_LOGS_FAILED_TO_PURGE_LOG_MSG "MYSQL_BIN_LOG::purge_logs failed to process registered files that would be purged."
#define ER_BINLOG_FAILED_TO_SET_PURGE_INDEX_FILE_NAME_MSG "MYSQL_BIN_LOG::set_purge_index_file_name failed to set file name."
#define ER_BINLOG_FAILED_TO_OPEN_REGISTER_FILE_MSG "MYSQL_BIN_LOG::open_purge_index_file failed to open register file."
#define ER_BINLOG_FAILED_TO_REINIT_REGISTER_FILE_MSG "MYSQL_BIN_LOG::purge_index_entry failed to reinit register file for read"
#define ER_BINLOG_FAILED_TO_READ_REGISTER_FILE_MSG "MYSQL_BIN_LOG::purge_index_entry error %d reading from register file."
#define ER_CANT_STAT_FILE_MSG "Failed to execute mysql_file_stat on file \'%s\'"
#define ER_BINLOG_CANT_DELETE_LOG_FILE_DOES_INDEX_MATCH_FILES_MSG "Failed to delete log file \'%s\'; consider examining correspondence of your binlog index file to the actual binlog files"
#define ER_BINLOG_CANT_DELETE_FILE_AND_READ_BINLOG_INDEX_MSG "Failed to delete file \'%s\' and read the binlog index file"
#define ER_BINLOG_FAILED_TO_DELETE_LOG_FILE_MSG "Failed to delete log file \'%s\'"
#define ER_BINLOG_LOGGING_INCIDENT_TO_STOP_SLAVES_MSG "%s An incident event has been written to the binary log which will stop the slaves."
#define ER_BINLOG_CANT_FIND_LOG_IN_INDEX_MSG "find_log_pos() failed (error: %d)"
#define ER_BINLOG_RECOVERING_AFTER_CRASH_USING_MSG "Recovering after a crash using %s"
#define ER_BINLOG_CANT_OPEN_CRASHED_BINLOG_MSG "Failed to open the crashed binlog file when master server is recovering it."
#define ER_BINLOG_CANT_TRIM_CRASHED_BINLOG_MSG "Failed to trim the crashed binlog file when master server is recovering it."
#define ER_BINLOG_CRASHED_BINLOG_TRIMMED_MSG "Crashed binlog file %s size is %llu, but recovered up to %llu. Binlog trimmed to %llu bytes."
#define ER_BINLOG_CANT_CLEAR_IN_USE_FLAG_FOR_CRASHED_BINLOG_MSG "Failed to clear LOG_EVENT_BINLOG_IN_USE_F for the crashed binlog file when master server is recovering it."
#define ER_BINLOG_FAILED_TO_RUN_AFTER_SYNC_HOOK_MSG "Failed to run \'after_sync\' hooks"
#define ER_TURNING_LOGGING_OFF_FOR_THE_DURATION_MSG "%s Hence turning logging off for the whole duration of the MySQL server process. To turn it on again: fix the cause, shutdown the MySQL server and restart it."
#define ER_BINLOG_FAILED_TO_RUN_AFTER_FLUSH_HOOK_MSG "Failed to run \'after_flush\' hooks"
#define ER_BINLOG_CRASH_RECOVERY_FAILED_MSG "Crash recovery failed. Either correct the problem (if it\'s, for example, out of memory error) and restart, or delete (or rename) binary log and start mysqld with --tc-heuristic-recover={commit|rollback}"
#define ER_BINLOG_WARNING_SUPPRESSED_MSG "The following warning was suppressed %d times during the last %d seconds in the error log"
#define ER_NDB_LOG_ENTRY_MSG "NDB: %s"
#define ER_NDB_LOG_ENTRY_WITH_PREFIX_MSG "NDB %s: %s"
#define ER_INNODB_UNKNOWN_COLLATION_MSG "Unknown collation #%lu."
#define ER_INNODB_INVALID_LOG_GROUP_HOME_DIR_MSG "syntax error in innodb_log_group_home_dir"
#define ER_INNODB_INVALID_INNODB_UNDO_DIRECTORY_MSG "syntax error in innodb_undo_directory"
#define ER_INNODB_ILLEGAL_COLON_IN_POOL_MSG "InnoDB: innodb_buffer_pool_filename cannot have colon (:) in the file name."
#define ER_INNODB_INVALID_PAGE_SIZE_MSG "InnoDB: Invalid page size=%lu."
#define ER_INNODB_DIRTY_WATER_MARK_NOT_LOW_MSG "InnoDB: innodb_max_dirty_pages_pct_lwm cannot be set higher than innodb_max_dirty_pages_pct. Setting innodb_max_dirty_pages_pct_lwm to %lf"
#define ER_INNODB_IO_CAPACITY_EXCEEDS_MAX_MSG "InnoDB: innodb_io_capacity cannot be set higher than innodb_io_capacity_max. Setting innodb_io_capacity to %lu"
#define ER_INNODB_FILES_SAME_MSG "%s and %s file names seem to be the same."
#define ER_INNODB_UNREGISTERED_TRX_ACTIVE_MSG "Transaction not registered for MySQL 2PC, but transaction is active"
#define ER_INNODB_CLOSING_CONNECTION_ROLLS_BACK_MSG "MySQL is closing a connection that has an active InnoDB transaction. %llu row modifications will roll back."
#define ER_INNODB_TRX_XLATION_TABLE_OOM_MSG "InnoDB: fail to allocate memory for index translation table. Number of Index:%lu, array size:%lu"
#define ER_INNODB_CANT_FIND_INDEX_IN_INNODB_DD_MSG "Cannot find index %s in InnoDB index dictionary."
#define ER_INNODB_INDEX_COLUMN_INFO_UNLIKE_MYSQLS_MSG "Found index %s whose column info does not match that of MySQL."
#define ER_INNODB_CANT_BUILD_INDEX_XLATION_TABLE_FOR_MSG "Build InnoDB index translation table for Table %s failed"
#define ER_INNODB_PK_NOT_IN_MYSQL_MSG "Table %s has a primary key in InnoDB data dictionary, but not in MySQL!"
#define ER_INNODB_PK_ONLY_IN_MYSQL_MSG "Table %s has no primary key in InnoDB data dictionary, but has one in MySQL! If you created the table with a MySQL version < 3.23.54 and did not define a primary key, but defined a unique key with all non-NULL columns, then MySQL internally treats that key as the primary key. You can fix this error by dump + DROP + CREATE + reimport of the table."
#define ER_INNODB_CLUSTERED_INDEX_PRIVATE_MSG "Table %s key_used_on_scan is %lu even though there is no primary key inside InnoDB."
#define ER_ERRMSG_REPLACEMENT_DODGY_MSG "Cannot replace error message (%s,%s,%s) \"%s\" with \"%s\"; wrong number or type of %% subsitutions."
#define ER_ERRMSG_REPLACEMENTS_FAILED_MSG "Table for error message replacements could not be found or read, or one or more replacements could not be applied."
#define ER_NPIPE_CANT_CREATE_MSG "%s: %s"
#define ER_PARTITION_MOVE_CREATED_DUPLICATE_ROW_PLEASE_FIX_MSG "Table \'%-192s\': Delete from part %d failed with error %d. But it was already inserted into part %d, when moving the misplaced row! Please manually fix the duplicate row: %s"
#define ER_AUDIT_CANT_ABORT_COMMAND_MSG "Command \'%s\' cannot be aborted. The trigger error was (%d) [%s]: %s"
#define ER_AUDIT_CANT_ABORT_EVENT_MSG "Event \'%s\' cannot be aborted. The trigger error was (%d) [%s]: %s"
#define ER_AUDIT_WARNING_MSG "%s. The trigger error was (%d) [%s]: %s"
#define ER_RPL_SLAVE_INSECURE_CHANGE_MASTER_MSG "Storing MySQL user name or password information in the master info repository is not secure and is therefore not recommended. Please consider using the USER and PASSWORD connection options for START SLAVE; see the \'START SLAVE Syntax\' in the MySQL Manual for more information."
#define ER_RPL_SLAVE_INCORRECT_CHANNEL_MSG "Slave channel \'%s\' does not exist."
#define ER_FAILED_TO_FIND_DL_ENTRY_MSG "Can\'t find symbol \'%-.128s\' in library."
#define ER_FAILED_TO_OPEN_SHARED_LIBRARY_MSG "Can\'t open shared library \'%-.192s\' (errno: %d %-.128s)."
#define ER_THREAD_PRIORITY_IGNORED_MSG "Thread priority attribute setting in Resource Group SQL shall be ignored due to unsupported platform or insufficient privilege."
#define ER_BINLOG_CACHE_SIZE_TOO_LARGE_MSG "Option binlog_cache_size (%lu) is greater than max_binlog_cache_size (%lu); setting binlog_cache_size equal to max_binlog_cache_size."
#define ER_BINLOG_STMT_CACHE_SIZE_TOO_LARGE_MSG "Option binlog_stmt_cache_size (%lu) is greater than max_binlog_stmt_cache_size (%lu); setting binlog_stmt_cache_size equal to max_binlog_stmt_cache_size."
#define ER_FAILED_TO_GENERATE_UNIQUE_LOGFILE_MSG "Can\'t generate a unique log-filename %-.200s.(1-999)."
#define ER_FAILED_TO_READ_FILE_MSG "Error reading file \'%-.200s\' (errno: %d - %s)"
#define ER_FAILED_TO_WRITE_TO_FILE_MSG "Error writing file \'%-.200s\' (errno: %d - %s)"
#define ER_BINLOG_UNSAFE_MESSAGE_AND_STATEMENT_MSG "%s Statement: %s"
#define ER_FORCE_CLOSE_THREAD_MSG "%s: Forcing close of thread %ld  user: \'%-.48s\'."
#define ER_SERVER_SHUTDOWN_COMPLETE_MSG "%s: Shutdown complete (mysqld %s)  %s."
#define ER_RPL_CANT_HAVE_SAME_BASENAME_MSG "Cannot have same base name \'%s\' for both binary and relay logs. Please check %s (default \'%s\' if --log-bin option is not used, default \'%s\' if --log-bin option is used without argument) and %s (default \'%s\') options to ensure they do not conflict."
#define ER_RPL_GTID_MODE_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON_MSG "GTID_MODE = ON requires ENFORCE_GTID_CONSISTENCY = ON."
#define ER_WARN_NO_SERVERID_SPECIFIED_MSG "You have not provided a mandatory server-id. Servers in a replication topology must have unique server-ids. Please refer to the proper server start-up parameters documentation."
#define ER_ABORTING_USER_CONNECTION_MSG "Aborted connection %u to db: \'%-.192s\' user: \'%-.48s\' host: \'%-.255s\' (%-.64s)."
#define ER_SQL_MODE_MERGED_WITH_STRICT_MODE_MSG "\'NO_ZERO_DATE\', \'NO_ZERO_IN_DATE\' and \'ERROR_FOR_DIVISION_BY_ZERO\' sql modes should be used with strict mode. They will be merged with strict mode in a future release."
#define ER_GTID_PURGED_WAS_UPDATED_MSG "@@GLOBAL.GTID_PURGED was changed from \'%s\' to \'%s\'."
#define ER_GTID_EXECUTED_WAS_UPDATED_MSG "@@GLOBAL.GTID_EXECUTED was changed from \'%s\' to \'%s\'."
#define ER_DEPRECATE_MSG_WITH_REPLACEMENT_MSG "\'%s\' is deprecated and will be removed in a future release. Please use %s instead."
#define ER_TRG_CREATION_CTX_NOT_SET_MSG "Triggers for table `%-.64s`.`%-.64s` have no creation context"
#define ER_FILE_HAS_OLD_FORMAT_MSG "\'%-.192s\' has an old format, you should re-create the \'%s\' object(s)"
#define ER_VIEW_CREATION_CTX_NOT_SET_MSG "View `%-.64s`.`%-.64s` has no creation context"
#define ER_TABLE_UPGRADE_REQUIRED_MSG "Table upgrade required. Please do \"REPAIR TABLE `%-.64s`\" or dump/reload to fix it!"
#define ER_GET_ERRNO_FROM_STORAGE_ENGINE_MSG "Got error %d - \'%-.192s\' from storage engine."
#define ER_ACCESS_DENIED_ERROR_WITHOUT_PASSWORD_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'"
#define ER_ACCESS_DENIED_ERROR_WITH_PASSWORD_MSG "Access denied for user \'%-.48s\'@\'%-.64s\' (using password: %s)"
#define ER_ACCESS_DENIED_FOR_USER_ACCOUNT_LOCKED_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'. Account is locked."
#define ER_MUST_CHANGE_EXPIRED_PASSWORD_MSG "Your password has expired. To log in you must change it using a client that supports expired passwords."
#define ER_SYSTEM_TABLES_NOT_SUPPORTED_BY_STORAGE_ENGINE_MSG "Storage engine \'%s\' does not support system tables. [%s.%s]."
#define ER_SERVER_STARTUP_MSG_MSG "%s: ready for connections. Version: \'%s\'  socket: \'%s\'  port: %d  %s."
#define ER_FAILED_TO_FIND_LOCALE_NAME_MSG "Unknown locale: \'%-.64s\'."
#define ER_FAILED_TO_FIND_COLLATION_NAME_MSG "Unknown collation: \'%-.64s\'."
#define ER_SERVER_OUT_OF_RESOURCES_MSG "Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use \'ulimit\' to allow mysqld to use more memory or you can add more swap space"
#define ER_SERVER_OUTOFMEMORY_MSG "Out of memory; restart server and try again (needed %d bytes)"
#define ER_INVALID_COLLATION_FOR_CHARSET_MSG "COLLATION \'%s\' is not valid for CHARACTER SET \'%s\'"
#define ER_CANT_START_ERROR_LOG_SERVICE_MSG "Failed to set %s at or around \"%s\" -- service is valid, but can not be initialized; please check its configuration and make sure it can read its input(s) and write to its output(s)."
#define ER_CREATING_NEW_UUID_FIRST_START_MSG "Generating a new UUID: %s."
#define ER_FAILED_TO_GET_ABSOLUTE_PATH_MSG "Failed to get absolute path of program executable %s"
#define ER_PERFSCHEMA_COMPONENTS_INFRASTRUCTURE_BOOTSTRAP_MSG "Failed to bootstrap performance schema components infrastructure."
#define ER_PERFSCHEMA_COMPONENTS_INFRASTRUCTURE_SHUTDOWN_MSG "Failed to deinit performance schema components infrastructure."
#define ER_DUP_FD_OPEN_FAILED_MSG "Could not open duplicate fd for %s: %s."
#define ER_SYSTEM_VIEW_INIT_FAILED_MSG "System views initialization failed."
#define ER_RESOURCE_GROUP_POST_INIT_FAILED_MSG "Resource group post initialization failed."
#define ER_RESOURCE_GROUP_SUBSYSTEM_INIT_FAILED_MSG "Resource Group subsystem initialization failed."
#define ER_FAILED_START_MYSQLD_DAEMON_MSG "Failed to start mysqld daemon. Check mysqld error log."
#define ER_CANNOT_CHANGE_TO_ROOT_DIR_MSG "Cannot change to root directory: %s."
#define ER_PERSISTENT_PRIVILEGES_BOOTSTRAP_MSG "Failed to bootstrap persistent privileges."
#define ER_BASEDIR_SET_TO_MSG "Basedir set to %s."
#define ER_RPL_FILTER_ADD_WILD_DO_TABLE_FAILED_MSG "Could not add wild do table rule \'%s\'!"
#define ER_RPL_FILTER_ADD_WILD_IGNORE_TABLE_FAILED_MSG "Could not add wild ignore table rule \'%s\'!"
#define ER_PRIVILEGE_SYSTEM_INIT_FAILED_MSG "The privilege system failed to initialize correctly. For complete instructions on how to upgrade MySQL to a new version please see the \'Upgrading MySQL\' section from the MySQL manual."
#define ER_CANNOT_SET_LOG_ERROR_SERVICES_MSG "Cannot set services \"%s\" requested in --log-error-services, using defaults."
#define ER_PERFSCHEMA_TABLES_INIT_FAILED_MSG "Performance schema tables initialization failed."
#define ER_TX_EXTRACTION_ALGORITHM_FOR_BINLOG_TX_DEPEDENCY_TRACKING_MSG "The transaction_write_set_extraction must be set to %s when binlog_transaction_dependency_tracking is %s."
#define ER_BINLOG_FILE_OPEN_FAILED_MSG "%s."
#define ER_BINLOG_EVENT_WRITE_TO_STMT_CACHE_FAILED_MSG "Failed to write an incident event into stmt_cache."
#define ER_SLAVE_RELAY_LOG_TRUNCATE_INFO_MSG "Relaylog file %s size was %llu, but was truncated at %llu."
#define ER_SLAVE_RELAY_LOG_PURGE_FAILED_MSG "Unable to purge relay log files. %s:%s."
#define ER_RPL_SLAVE_FILTER_CREATE_FAILED_MSG "Slave: failed in creating filter for channel \'%s\'."
#define ER_RPL_SLAVE_GLOBAL_FILTERS_COPY_FAILED_MSG "Slave: failed in copying the global filters to its own per-channel filters on configuration for channel \'%s\'."
#define ER_RPL_SLAVE_RESET_FILTER_OPTIONS_MSG "There are per-channel replication filter(s) configured for channel \'%.192s\' which does not exist. The filter(s) have been discarded."
#define ER_MISSING_GRANT_SYSTEM_TABLE_MSG "The system table mysql.global_grants is missing. Please perform the MySQL upgrade procedure."
#define ER_MISSING_ACL_SYSTEM_TABLE_MSG "ACL table mysql.%.*s missing. Some operations may fail."
#define ER_ANONYMOUS_AUTH_ID_NOT_ALLOWED_IN_MANDATORY_ROLES_MSG "Can\'t set mandatory_role %s@%s: Anonymous authorization IDs are not allowed as roles."
#define ER_UNKNOWN_AUTH_ID_IN_MANDATORY_ROLE_MSG "Can\'t set mandatory_role: There\'s no such authorization ID %s@%s."
#define ER_WRITE_ROW_TO_PARTITION_FAILED_MSG "Table \'%-192s\' failed to move/insert a row from part %d into part %d: %s."
#define ER_RESOURCE_GROUP_METADATA_UPDATE_SKIPPED_MSG "Skipped updating resource group metadata in InnoDB read only mode."
#define ER_FAILED_TO_PERSIST_RESOURCE_GROUP_METADATA_MSG "Failed to persist resource group %s to Data Dictionary."
#define ER_FAILED_TO_DESERIALIZE_RESOURCE_GROUP_MSG "Failed to deserialize resource group %s."
#define ER_FAILED_TO_UPDATE_RESOURCE_GROUP_MSG "Update of resource group %s failed."
#define ER_RESOURCE_GROUP_VALIDATION_FAILED_MSG "Validation of resource group %s failed. Resource group is disabled."
#define ER_FAILED_TO_ALLOCATE_MEMORY_FOR_RESOURCE_GROUP_MSG "Unable to allocate memory for Resource Group %s."
#define ER_FAILED_TO_ALLOCATE_MEMORY_FOR_RESOURCE_GROUP_HASH_MSG "Failed to allocate memory for resource group hash."
#define ER_FAILED_TO_ADD_RESOURCE_GROUP_TO_MAP_MSG "Failed to add resource group %s to resource group map."
#define ER_RESOURCE_GROUP_IS_DISABLED_MSG "Resource group feature is disabled. (Server is compiled with DISABLE_PSI_THREAD)."
#define ER_FAILED_TO_APPLY_RESOURCE_GROUP_CONTROLLER_MSG "Unable to apply resource group controller %s."
#define ER_FAILED_TO_ACQUIRE_LOCK_ON_RESOURCE_GROUP_MSG "Unable to acquire lock on the resource group %s. Hint to switch resource group shall be ignored."
#define ER_PFS_NOTIFICATION_FUNCTION_REGISTER_FAILED_MSG "PFS %s notification function registration failed."
#define ER_RES_GRP_SET_THR_AFFINITY_FAILED_MSG "Unable to bind thread id %llu to cpu id %u (error code %d - %-.192s)."
#define ER_RES_GRP_SET_THR_AFFINITY_TO_CPUS_FAILED_MSG "Unable to bind thread id %llu to cpu ids (error code %d - %-.192s)."
#define ER_RES_GRP_THD_UNBIND_FROM_CPU_FAILED_MSG "Unbind thread id %llu failed. (error code %d - %-.192s)."
#define ER_RES_GRP_SET_THREAD_PRIORITY_FAILED_MSG "Setting thread priority %d to thread id %llu failed. (error code %d - %-.192s)."
#define ER_RES_GRP_FAILED_TO_DETERMINE_NICE_CAPABILITY_MSG "Unable to determine CAP_SYS_NICE capability."
#define ER_RES_GRP_FAILED_TO_GET_THREAD_HANDLE_MSG "%s failed: Failed to get handle for thread %llu."
#define ER_RES_GRP_GET_THREAD_PRIO_NOT_SUPPORTED_MSG "Retrieval of thread priority unsupported on %s."
#define ER_RES_GRP_FAILED_DETERMINE_CPU_COUNT_MSG "Unable to determine the number of CPUs."
#define ER_RES_GRP_FEATURE_NOT_AVAILABLE_MSG "Resource group feature shall not be available. Incompatible thread handling option."
#define ER_RES_GRP_INVALID_THREAD_PRIORITY_MSG "Invalid thread priority %d for a %s resource group. Allowed range is [%d, %d]."
#define ER_RES_GRP_SOLARIS_PROCESSOR_BIND_TO_CPUID_FAILED_MSG "bind_to_cpu failed: processor_bind for cpuid %u failed (error code %d - %-.192s)."
#define ER_RES_GRP_SOLARIS_PROCESSOR_BIND_TO_THREAD_FAILED_MSG "bind_to_cpu failed: processor_bind for thread %%llx with cpu id %u (error code %d - %-.192s)."
#define ER_RES_GRP_SOLARIS_PROCESSOR_AFFINITY_FAILED_MSG "%s failed: processor_affinity failed (error code %d - %-.192s)."
#define ER_DD_UPGRADE_RENAME_IDX_STATS_FILE_FAILED_MSG "Error in renaming mysql_index_stats.ibd."
#define ER_DD_UPGRADE_DD_OPEN_FAILED_MSG "Error in opening data directory %s."
#define ER_DD_UPGRADE_FAILED_TO_FETCH_TABLESPACES_MSG "Error in fetching list of tablespaces."
#define ER_DD_UPGRADE_FAILED_TO_ACQUIRE_TABLESPACE_MSG "Error in acquiring Tablespace for SDI insertion %s."
#define ER_DD_UPGRADE_FAILED_TO_RESOLVE_TABLESPACE_ENGINE_MSG "Error in resolving Engine name for tablespace %s with engine %s."
#define ER_FAILED_TO_CREATE_SDI_FOR_TABLESPACE_MSG "Error in creating SDI for %s tablespace."
#define ER_FAILED_TO_STORE_SDI_FOR_TABLESPACE_MSG "Error in storing SDI for %s tablespace."
#define ER_DD_UPGRADE_FAILED_TO_FETCH_TABLES_MSG "Error in fetching list of tables."
#define ER_DD_UPGRADE_DD_POPULATED_MSG "Finished populating Data Dictionary tables with data."
#define ER_DD_UPGRADE_INFO_FILE_OPEN_FAILED_MSG "Could not open the upgrade info file \'%s\' in the MySQL servers datadir, errno: %d."
#define ER_DD_UPGRADE_INFO_FILE_CLOSE_FAILED_MSG "Could not close the upgrade info file \'%s\' in the MySQL servers datadir, errno: %d."
#define ER_DD_UPGRADE_TABLESPACE_MIGRATION_FAILED_MSG "Got error %d from SE while migrating tablespaces."
#define ER_DD_UPGRADE_FAILED_TO_CREATE_TABLE_STATS_MSG "Error in creating TABLE statistics entry. Fix statistics data by using ANALYZE command."
#define ER_DD_UPGRADE_TABLE_STATS_MIGRATE_COMPLETED_MSG "Finished migrating TABLE statistics data."
#define ER_DD_UPGRADE_FAILED_TO_CREATE_INDEX_STATS_MSG "Error in creating Index statistics entry. Fix statistics data by using ANALYZE command."
#define ER_DD_UPGRADE_INDEX_STATS_MIGRATE_COMPLETED_MSG "Finished migrating INDEX statistics data."
#define ER_DD_UPGRADE_FAILED_FIND_VALID_DATA_DIR_MSG "Failed to find valid data directory."
#define ER_DD_UPGRADE_START_MSG "Starting upgrade of data directory."
#define ER_DD_UPGRADE_FAILED_INIT_DD_SE_MSG "Failed to initialize DD Storage Engine."
#define ER_DD_UPGRADE_FOUND_PARTIALLY_UPGRADED_DD_ABORT_MSG "Found partially upgraded DD. Aborting upgrade and deleting all DD tables. Start the upgrade process again."
#define ER_DD_UPGRADE_FOUND_PARTIALLY_UPGRADED_DD_CONTINUE_MSG "Found partially upgraded DD. Upgrade will continue and start the server."
#define ER_DD_UPGRADE_SE_LOGS_FAILED_MSG "Error in upgrading engine logs."
#define ER_DD_UPGRADE_SDI_INFO_UPDATE_FAILED_MSG "Error in updating SDI information."
#define ER_SKIP_UPDATING_METADATA_IN_SE_RO_MODE_MSG "Skip updating %s metadata in InnoDB read-only mode."
#define ER_CREATED_SYSTEM_WITH_VERSION_MSG "Created system views with I_S version %d."
#define ER_UNKNOWN_ERROR_DETECTED_IN_SE_MSG "Unknown error detected %d in handler."
#define ER_READ_LOG_EVENT_FAILED_MSG "Error in Log_event::read_log_event(): \'%s\', data_len: %lu, event_type: %d."
#define ER_ROW_DATA_TOO_BIG_TO_WRITE_IN_BINLOG_MSG "The row data is greater than 4GB, which is too big to write to the binary log."
#define ER_FAILED_TO_CONSTRUCT_DROP_EVENT_QUERY_MSG "Unable to construct DROP EVENT SQL query string."
#define ER_FAILED_TO_BINLOG_DROP_EVENT_MSG "Unable to binlog drop event %s.%s."
#define ER_FAILED_TO_START_SLAVE_THREAD_MSG "Failed to start slave threads for channel \'%s\'."
#define ER_RPL_IO_THREAD_KILLED_MSG "%s%s."
#define ER_SLAVE_RECONNECT_FAILED_MSG "Failed registering on master, reconnecting to try again, log \'%s\' at position %s. %s."
#define ER_SLAVE_KILLED_AFTER_RECONNECT_MSG "Slave I/O thread killed during or after reconnect."
#define ER_SLAVE_NOT_STARTED_ON_SOME_CHANNELS_MSG "Some of the channels are not created/initialized properly. Check for additional messages above. You will not be able to start replication on those channels until the issue is resolved and the server restarted."
#define ER_FAILED_TO_ADD_RPL_FILTER_MSG "Failed to add a replication filter into filter map for channel \'%.192s\'."
#define ER_PER_CHANNEL_RPL_FILTER_CONF_FOR_GRP_RPL_MSG "There are per-channel replication filter(s) configured for group replication channel \'%.192s\' which is disallowed. The filter(s) have been discarded."
#define ER_RPL_FILTERS_NOT_ATTACHED_TO_CHANNEL_MSG "There are per-channel replication filter(s) configured for channel \'%.192s\' which does not exist. The filter(s) have been discarded."
#define ER_FAILED_TO_BUILD_DO_AND_IGNORE_TABLE_HASHES_MSG "An error occurred while building do_table and ignore_table rules to hashes for per-channel filter."
#define ER_CLONE_PLUGIN_NOT_LOADED_TRACE_MSG "Clone plugin cannot be loaded."
#define ER_CLONE_HANDLER_EXIST_TRACE_MSG "Clone Handler exists."
#define ER_CLONE_CREATE_HANDLER_FAIL_TRACE_MSG "Could not create Clone Handler."
#define ER_CYCLE_TIMER_IS_NOT_AVAILABLE_MSG "The CYCLE timer is not available. WAIT events in the performance_schema will not be timed."
#define ER_NANOSECOND_TIMER_IS_NOT_AVAILABLE_MSG "The NANOSECOND timer is not available. IDLE/STAGE/STATEMENT/TRANSACTION events in the performance_schema will not be timed."
#define ER_MICROSECOND_TIMER_IS_NOT_AVAILABLE_MSG "The MICROSECOND timer is not available. IDLE/STAGE/STATEMENT/TRANSACTION events in the performance_schema will not be timed."
#define ER_PFS_MALLOC_ARRAY_OVERFLOW_MSG "Failed to allocate memory for %zu chunks each of size %zu for buffer \'%s\' due to overflow."
#define ER_PFS_MALLOC_ARRAY_OOM_MSG "Failed to allocate %zu bytes for buffer \'%s\' due to out-of-memory."
#define ER_INNODB_FAILED_TO_FIND_IDX_WITH_KEY_NO_MSG "InnoDB could not find index %s key no %u for table %s through its index translation table."
#define ER_INNODB_FAILED_TO_FIND_IDX_MSG "Cannot find index %s in InnoDB index translation table."
#define ER_INNODB_FAILED_TO_FIND_IDX_FROM_DICT_CACHE_MSG "InnoDB could not find key no %u with name %s from dict cache for table %s."
#define ER_INNODB_ACTIVE_INDEX_CHANGE_FAILED_MSG "InnoDB: change_active_index(%u) failed."
#define ER_INNODB_DIFF_IN_REF_LEN_MSG "Stored ref len is %lu, but table ref len is %lu."
#define ER_WRONG_TYPE_FOR_COLUMN_PREFIX_IDX_FLD_MSG "MySQL is trying to create a column prefix index field, on an inappropriate data type. Table name %s, column name %s."
#define ER_INNODB_CANNOT_CREATE_TABLE_MSG "Cannot create table %s."
#define ER_INNODB_INTERNAL_INDEX_MSG "Found index %s in InnoDB index list but not its MySQL index number. It could be an InnoDB internal index."
#define ER_INNODB_IDX_CNT_MORE_THAN_DEFINED_IN_MYSQL_MSG "InnoDB: Table %s contains %lu indexes inside InnoDB, which is different from the number of indexes %u defined in MySQL."
#define ER_INNODB_IDX_CNT_FEWER_THAN_DEFINED_IN_MYSQL_MSG "Table %s contains fewer indexes inside InnoDB than are defined in the MySQL. Have you mixed up with data dictionary from different installation?"
#define ER_INNODB_IDX_COLUMN_CNT_DIFF_MSG "Index %s of %s has %lu columns unique inside InnoDB, but MySQL is asking statistics for %lu columns. Have you mixed data dictionary from different installation?"
#define ER_INNODB_USE_MONITOR_GROUP_NAME_MSG "Monitor counter \'%s\' cannot be turned on/off individually. Please use its module name to turn on/off the counters in the module as a group."
#define ER_INNODB_MONITOR_DEFAULT_VALUE_NOT_DEFINED_MSG "Default value is not defined for this set option. Please specify correct counter or module name."
#define ER_INNODB_MONITOR_IS_ENABLED_MSG "InnoDB: Monitor %s is already enabled."
#define ER_INNODB_INVALID_MONITOR_COUNTER_NAME_MSG "Invalid monitor counter : %s."
#define ER_WIN_LOAD_LIBRARY_FAILED_MSG "LoadLibrary(\"%s\") failed: GetLastError returns %lu."
#define ER_PARTITION_HANDLER_ADMIN_MSG_MSG "%s."
#define ER_RPL_RLI_INIT_INFO_MSG_MSG "%s."
#define ER_DD_UPGRADE_TABLE_INTACT_ERROR_MSG "%s."
#define ER_SERVER_INIT_COMPILED_IN_COMMANDS_MSG "%s."
#define ER_MYISAM_CHECK_METHOD_ERROR_MSG "%s."
#define ER_MYISAM_CRASHED_ERROR_MSG "%s."
#define ER_WAITPID_FAILED_MSG "Unable to wait for process %lld."
#define ER_FAILED_TO_FIND_MYSQLD_STATUS_MSG "Unable to determine if daemon is running: %s (rc=%d)."
#define ER_INNODB_ERROR_LOGGER_MSG_MSG "%s"
#define ER_INNODB_ERROR_LOGGER_FATAL_MSG_MSG "[FATAL] InnoDB: %s"
#define ER_DEPRECATED_SYNTAX_WITH_REPLACEMENT_MSG "The syntax \'%s\' is deprecated and will be removed in a future release. Please use %s instead."
#define ER_DEPRECATED_SYNTAX_NO_REPLACEMENT_MSG "The syntax \'%s\' is deprecated and will be removed in a future release."
#define ER_DEPRECATE_MSG_NO_REPLACEMENT_MSG "\'%s\' is deprecated and will be removed in a future release."
#define ER_LOG_PRINTF_MSG_MSG "%s"
#define ER_BINLOG_LOGGING_NOT_POSSIBLE_MSG "Binary logging not possible. Message: %s."
#define ER_FAILED_TO_SET_PERSISTED_OPTIONS_MSG "Failed to set persisted options."
#define ER_COMPONENTS_FAILED_TO_ACQUIRE_SERVICE_IMPLEMENTATION_MSG "Cannot acquire specified service implementation: \'%.192s\'."
#define ER_RES_GRP_INVALID_VCPU_RANGE_MSG "Invalid VCPU range %u-%u."
#define ER_RES_GRP_INVALID_VCPU_ID_MSG "Invalid cpu id %u."
#define ER_ERROR_DURING_FLUSH_LOG_COMMIT_PHASE_MSG "Got error %d during FLUSH_LOGS."
#define ER_DROP_DATABASE_FAILED_RMDIR_MANUALLY_MSG "Problem while dropping database. Can\'t remove database directory (%s). Please remove it manually."
#define ER_EXPIRE_LOGS_DAYS_IGNORED_MSG "The option expire_logs_days cannot be used together with option binlog_expire_logs_seconds. Therefore, value of expire_logs_days is ignored."
#define ER_BINLOG_MALFORMED_OR_OLD_RELAY_LOG_MSG "malformed or very old relay log which does not have FormatDescriptor."
#define ER_DD_UPGRADE_VIEW_COLUMN_NAME_TOO_LONG_MSG "Upgrade of view \'%s.%s\' failed. Re-create the view with the explicit column name lesser than 64 characters."
#define ER_TABLE_NEEDS_DUMP_UPGRADE_MSG "Table upgrade required for `%-.64s`.`%-.64s`. Please dump/reload table to fix it!"
#define ER_DD_UPGRADE_FAILED_TO_UPDATE_VER_NO_IN_TABLESPACE_MSG "Error in updating version number in %s tablespace."
#define ER_KEYRING_MIGRATION_FAILED_MSG "Keyring migration failed."
#define ER_KEYRING_MIGRATION_SUCCESSFUL_MSG "Keyring migration successful."
#define ER_RESTART_RECEIVED_INFO_MSG "Received RESTART from user %s.  Restarting mysqld (Version: %s)."
#define ER_LCTN_CHANGED_MSG "Different lower_case_table_names settings for server (\'%u\') and data dictionary (\'%u\')."
#define ER_DD_INITIALIZE_MSG "Data dictionary initializing version \'%u\'."
#define ER_DD_RESTART_MSG "Data dictionary restarting version \'%u\'."
#define ER_DD_UPGRADE_MSG "Data dictionary upgrading from version \'%u\' to \'%u\'."
#define ER_DD_UPGRADE_OFF_MSG "Data dictionary upgrade prohibited by the command line option \'--no_dd_upgrade\'."
#define ER_DD_UPGRADE_VERSION_NOT_SUPPORTED_MSG "Upgrading the data dictionary from dictionary version \'%u\' is not supported."
#define ER_DD_UPGRADE_SCHEMA_UNAVAILABLE_MSG "Upgrading the data dictionary failed, temporary schema name \'%-.192s\' not available."
#define ER_DD_MINOR_DOWNGRADE_MSG "Data dictionary minor downgrade from version \'%u\' to \'%u\'."
#define ER_DD_MINOR_DOWNGRADE_VERSION_NOT_SUPPORTED_MSG "Minor downgrade of the Data dictionary from dictionary version \'%u\' is not supported."
#define ER_DD_NO_VERSION_FOUND_MSG "No data dictionary version number found."
#define ER_THREAD_POOL_NOT_SUPPORTED_ON_PLATFORM_MSG "Thread pool not supported, requires a minimum of %s."
#define ER_THREAD_POOL_SIZE_TOO_LOW_MSG "thread_pool_size=0 means thread pool disabled, Allowed range of thread_pool_size is %d-%d."
#define ER_THREAD_POOL_SIZE_TOO_HIGH_MSG "thread_pool_size=%lu is too high, %d is maximum, thread pool is disabled. Allowed range of thread_pool_size is %d-%d."
#define ER_THREAD_POOL_ALGORITHM_INVALID_MSG "thread_pool_algorithm can be set to 0 and 1, 0 indicates the default low concurrency algorithm, 1 means a high concurrency algorithm."
#define ER_THREAD_POOL_INVALID_STALL_LIMIT_MSG "thread_pool_stall_limit can be %d at minimum and %d at maximum, smaller values would render the thread pool fairly useless and higher values could make it possible to have undetected deadlock issues in the MySQL Server."
#define ER_THREAD_POOL_INVALID_PRIO_KICKUP_TIMER_MSG "Invalid value of thread_pool_prio_kickup_timer specified. Value of thread_pool_prio_kickup_timer should be in range 0-4294967294."
#define ER_THREAD_POOL_MAX_UNUSED_THREADS_INVALID_MSG "thread_pool_max_unused_threads cannot be set higher than %d."
#define ER_THREAD_POOL_CON_HANDLER_INIT_FAILED_MSG "Failed to instantiate the connection handler object."
#define ER_THREAD_POOL_INIT_FAILED_MSG "Failed to initialize thread pool plugin."
#define ER_THREAD_POOL_PLUGIN_STARTED_MSG "Thread pool plugin started successfully with parameters: thread_pool_size = %lu, thread_pool_algorithm = %s, thread_pool_stall_limit = %u, thread_pool_prio_kickup_timer = %u, thread_pool_max_unused_threads = %u, thread_pool_high_priority_connection = %d."
#define ER_THREAD_POOL_CANNOT_SET_THREAD_SPECIFIC_DATA_MSG "Can\'t setup connection teardown thread-specific data."
#define ER_THREAD_POOL_FAILED_TO_CREATE_CONNECT_HANDLER_THD_MSG "Creation of connect handler thread failed."
#define ER_THREAD_POOL_FAILED_TO_CREATE_THD_AND_AUTH_CONN_MSG "Failed to create thd and authenticate connection."
#define ER_THREAD_POOL_FAILED_PROCESS_CONNECT_EVENT_MSG "Failed to process connection event."
#define ER_THREAD_POOL_FAILED_TO_CREATE_POOL_MSG "Can\'t create pool thread (error %d, errno: %d)."
#define ER_THREAD_POOL_RATE_LIMITED_ERROR_MSGS_MSG "%.*s."
#define ER_TRHEAD_POOL_LOW_LEVEL_INIT_FAILED_MSG "tp_group_low_level_init() failed."
#define ER_THREAD_POOL_LOW_LEVEL_REARM_FAILED_MSG "Rearm failed even after 30 seconds, can\'t continue without notify socket."
#define ER_THREAD_POOL_BUFFER_TOO_SMALL_MSG "%s: %s buffer is too small"
#define ER_MECAB_NOT_SUPPORTED_MSG "Mecab v%s is not supported, the lowest version supported is v%s."
#define ER_MECAB_NOT_VERIFIED_MSG "Mecab v%s is not verified, the highest version supported is v%s."
#define ER_MECAB_CREATING_MODEL_MSG "Mecab: Trying createModel(%s)."
#define ER_MECAB_FAILED_TO_CREATE_MODEL_MSG "Mecab: createModel() failed: %s."
#define ER_MECAB_FAILED_TO_CREATE_TRIGGER_MSG "Mecab: createTagger() failed: %s."
#define ER_MECAB_UNSUPPORTED_CHARSET_MSG "Mecab: Unsupported dictionary charset %s."
#define ER_MECAB_CHARSET_LOADED_MSG "Mecab: Loaded dictionary charset is %s."
#define ER_MECAB_PARSE_FAILED_MSG "Mecab: parse() failed: %s."
#define ER_MECAB_OOM_WHILE_PARSING_TEXT_MSG "Mecab: parse() failed: out of memory."
#define ER_MECAB_CREATE_LATTICE_FAILED_MSG "Mecab: createLattice() failed: %s."
#define ER_SEMISYNC_TRACE_ENTER_FUNC_MSG "---> %s enter."
#define ER_SEMISYNC_TRACE_EXIT_WITH_INT_EXIT_CODE_MSG "<--- %s exit (%d)."
#define ER_SEMISYNC_TRACE_EXIT_WITH_BOOL_EXIT_CODE_MSG "<--- %s exit (%s)."
#define ER_SEMISYNC_TRACE_EXIT_MSG "<--- %s exit."
#define ER_SEMISYNC_RPL_INIT_FOR_TRX_MSG "Semi-sync replication initialized for transactions."
#define ER_SEMISYNC_FAILED_TO_ALLOCATE_TRX_NODE_MSG "%s: transaction node allocation failed for: (%s, %lu)."
#define ER_SEMISYNC_BINLOG_WRITE_OUT_OF_ORDER_MSG "%s: binlog write out-of-order, tail (%s, %lu), new node (%s, %lu)."
#define ER_SEMISYNC_INSERT_LOG_INFO_IN_ENTRY_MSG "%s: insert (%s, %lu) in entry(%u)."
#define ER_SEMISYNC_PROBE_LOG_INFO_IN_ENTRY_MSG "%s: probe (%s, %lu) in entry(%u)."
#define ER_SEMISYNC_CLEARED_ALL_ACTIVE_TRANSACTION_NODES_MSG "%s: cleared all nodes."
#define ER_SEMISYNC_CLEARED_ACTIVE_TRANSACTION_TILL_POS_MSG "%s: cleared %d nodes back until pos (%s, %lu)."
#define ER_SEMISYNC_REPLY_MAGIC_NO_ERROR_MSG "Read semi-sync reply magic number error."
#define ER_SEMISYNC_REPLY_PKT_LENGTH_TOO_SMALL_MSG "Read semi-sync reply length error: packet is too small."
#define ER_SEMISYNC_REPLY_BINLOG_FILE_TOO_LARGE_MSG "Read semi-sync reply binlog file length too large."
#define ER_SEMISYNC_SERVER_REPLY_MSG "%s: Got reply(%s, %lu) from server %u."
#define ER_SEMISYNC_FUNCTION_CALLED_TWICE_MSG "%s called twice."
#define ER_SEMISYNC_RPL_ENABLED_ON_MASTER_MSG "Semi-sync replication enabled on the master."
#define ER_SEMISYNC_MASTER_OOM_MSG "Cannot allocate memory to enable semi-sync on the master."
#define ER_SEMISYNC_DISABLED_ON_MASTER_MSG "Semi-sync replication disabled on the master."
#define ER_SEMISYNC_FORCED_SHUTDOWN_MSG "SEMISYNC: Forced shutdown. Some updates might not be replicated."
#define ER_SEMISYNC_MASTER_GOT_REPLY_AT_POS_MSG "%s: Got reply at (%s, %lu)."
#define ER_SEMISYNC_MASTER_SIGNAL_ALL_WAITING_THREADS_MSG "%s: signal all waiting threads."
#define ER_SEMISYNC_MASTER_TRX_WAIT_POS_MSG "%s: wait pos (%s, %lu), repl(%d)."
#define ER_SEMISYNC_BINLOG_REPLY_IS_AHEAD_MSG "%s: Binlog reply is ahead (%s, %lu)."
#define ER_SEMISYNC_MOVE_BACK_WAIT_POS_MSG "%s: move back wait position (%s, %lu)."
#define ER_SEMISYNC_INIT_WAIT_POS_MSG "%s: init wait position (%s, %lu)."
#define ER_SEMISYNC_WAIT_TIME_FOR_BINLOG_SENT_MSG "%s: wait %lu ms for binlog sent (%s, %lu)."
#define ER_SEMISYNC_WAIT_FOR_BINLOG_TIMEDOUT_MSG "Timeout waiting for reply of binlog (file: %s, pos: %lu), semi-sync up to file %s, position %lu."
#define ER_SEMISYNC_WAIT_TIME_ASSESSMENT_FOR_COMMIT_TRX_FAILED_MSG "Assessment of waiting time for commitTrx failed at wait position (%s, %lu)."
#define ER_SEMISYNC_RPL_SWITCHED_OFF_MSG "Semi-sync replication switched OFF."
#define ER_SEMISYNC_RPL_SWITCHED_ON_MSG "Semi-sync replication switched ON at (%s, %lu)."
#define ER_SEMISYNC_NO_SPACE_IN_THE_PKT_MSG "No enough space in the packet for semi-sync extra header, semi-sync replication disabled."
#define ER_SEMISYNC_SYNC_HEADER_UPDATE_INFO_MSG "%s: server(%d), (%s, %lu) sync(%d), repl(%d)."
#define ER_SEMISYNC_FAILED_TO_INSERT_TRX_NODE_MSG "Semi-sync failed to insert tranx_node for binlog file: %s, position: %lu."
#define ER_SEMISYNC_TRX_SKIPPED_AT_POS_MSG "%s: Transaction skipped at (%s, %lu)."
#define ER_SEMISYNC_MASTER_FAILED_ON_NET_FLUSH_MSG "Semi-sync master failed on net_flush() before waiting for replica reply."
#define ER_SEMISYNC_RECEIVED_ACK_IS_SMALLER_MSG "The received ack is smaller than m_greatest_ack."
#define ER_SEMISYNC_ADD_ACK_TO_SLOT_MSG "Add the ack into slot %u."
#define ER_SEMISYNC_UPDATE_EXISTING_SLAVE_ACK_MSG "Update an exsiting ack in slot %u."
#define ER_SEMISYNC_FAILED_TO_START_ACK_RECEIVER_THD_MSG "Failed to start semi-sync ACK receiver thread,  could not create thread(errno:%d)."
#define ER_SEMISYNC_STARTING_ACK_RECEIVER_THD_MSG "Starting ack receiver thread."
#define ER_SEMISYNC_FAILED_TO_WAIT_ON_DUMP_SOCKET_MSG "Failed to wait on semi-sync dump sockets, error: errno=%d."
#define ER_SEMISYNC_STOPPING_ACK_RECEIVER_THREAD_MSG "Stopping ack receiver thread."
#define ER_SEMISYNC_FAILED_REGISTER_SLAVE_TO_RECEIVER_MSG "Failed to register slave to semi-sync ACK receiver thread."
#define ER_SEMISYNC_START_BINLOG_DUMP_TO_SLAVE_MSG "Start %s binlog_dump to slave (server_id: %d), pos(%s, %lu)."
#define ER_SEMISYNC_STOP_BINLOG_DUMP_TO_SLAVE_MSG "Stop %s binlog_dump to slave (server_id: %d)."
#define ER_SEMISYNC_UNREGISTER_TRX_OBSERVER_FAILED_MSG "unregister_trans_observer failed."
#define ER_SEMISYNC_UNREGISTER_BINLOG_STORAGE_OBSERVER_FAILED_MSG "unregister_binlog_storage_observer failed."
#define ER_SEMISYNC_UNREGISTER_BINLOG_TRANSMIT_OBSERVER_FAILED_MSG "unregister_binlog_transmit_observer failed."
#define ER_SEMISYNC_UNREGISTERED_REPLICATOR_MSG "unregister_replicator OK."
#define ER_SEMISYNC_SOCKET_FD_TOO_LARGE_MSG "Semisync slave socket fd is %u. select() cannot handle if the socket fd is bigger than %u (FD_SETSIZE)."
#define ER_SEMISYNC_SLAVE_REPLY_MSG "%s: reply - %d."
#define ER_SEMISYNC_MISSING_MAGIC_NO_FOR_SEMISYNC_PKT_MSG "Missing magic number for semi-sync packet, packet len: %lu."
#define ER_SEMISYNC_SLAVE_START_MSG "Slave I/O thread: Start %s replication to master \'%s@%s:%d\' in log \'%s\' at position %lu."
#define ER_SEMISYNC_SLAVE_REPLY_WITH_BINLOG_INFO_MSG "%s: reply (%s, %lu)."
#define ER_SEMISYNC_SLAVE_NET_FLUSH_REPLY_FAILED_MSG "Semi-sync slave net_flush() reply failed."
#define ER_SEMISYNC_SLAVE_SEND_REPLY_FAILED_MSG "Semi-sync slave send reply failed: %s (%d)."
#define ER_SEMISYNC_EXECUTION_FAILED_ON_MASTER_MSG "Execution failed on master: %s; error %d"
#define ER_SEMISYNC_NOT_SUPPORTED_BY_MASTER_MSG "Master server does not support semi-sync, fallback to asynchronous replication"
#define ER_SEMISYNC_SLAVE_SET_FAILED_MSG "Set \'rpl_semi_sync_replica=1\' on master failed"
#define ER_SEMISYNC_FAILED_TO_STOP_ACK_RECEIVER_THD_MSG "Failed to stop ack receiver thread on my_thread_join, errno(%d)."
#define ER_FIREWALL_FAILED_TO_READ_FIREWALL_TABLES_MSG "Failed to read the firewall tables"
#define ER_FIREWALL_FAILED_TO_REG_DYNAMIC_PRIVILEGES_MSG "Failed to register dynamic privileges"
#define ER_FIREWALL_RECORDING_STMT_WAS_TRUNCATED_MSG "Statement was truncated and not recorded: %s"
#define ER_FIREWALL_RECORDING_STMT_WITHOUT_TEXT_MSG "Statement with no text was not recorded"
#define ER_FIREWALL_SUSPICIOUS_STMT_MSG "SUSPICIOUS STATEMENT from \'%s\'. Reason: %s Statement: %s"
#define ER_FIREWALL_ACCESS_DENIED_MSG "ACCESS DENIED for \'%s\'. Reason: %s Statement: %s"
#define ER_FIREWALL_SKIPPED_UNKNOWN_USER_MODE_MSG "Skipped unknown user mode \'%s\'"
#define ER_FIREWALL_RELOADING_CACHE_MSG "Reloading cache from disk"
#define ER_FIREWALL_RESET_FOR_USER_MSG "FIREWALL RESET for \'%s\'"
#define ER_FIREWALL_STATUS_FLUSHED_MSG "Counters are reset to zero"
#define ER_KEYRING_LOGGER_ERROR_MSG_MSG "%s"
#define ER_AUDIT_LOG_FILTER_IS_NOT_INSTALLED_MSG "Audit Log plugin supports a filtering, which has not been installed yet. Audit Log plugin will run in the legacy mode, which will be disabled in the next release."
#define ER_AUDIT_LOG_SWITCHING_TO_INCLUDE_LIST_MSG "Previously exclude list is used, now we start using include list, exclude list is set to NULL."
#define ER_AUDIT_LOG_CANNOT_SET_LOG_POLICY_WITH_OTHER_POLICIES_MSG "Cannot set audit_log_policy simultaneously with either audit_log_connection_policy or  audit_log_statement_policy, setting audit_log_connection_policy and audit_log_statement_policy based on audit_log_policy."
#define ER_AUDIT_LOG_ONLY_INCLUDE_LIST_USED_MSG "Both include and exclude lists provided, include list is preferred, exclude list is set to NULL."
#define ER_AUDIT_LOG_INDEX_MAP_CANNOT_ACCESS_DIR_MSG "Could not access \'%s\' directory."
#define ER_AUDIT_LOG_WRITER_RENAME_FILE_FAILED_MSG "Could not rename file from \'%s\' to \'%s\'."
#define ER_AUDIT_LOG_WRITER_DEST_FILE_ALREADY_EXISTS_MSG "File \'%s\' should not exist. It may be incomplete. The server crashed."
#define ER_AUDIT_LOG_WRITER_RENAME_FILE_FAILED_REMOVE_FILE_MANUALLY_MSG "Could not rename file from \'%s\' to \'%s\'. Remove the file manually."
#define ER_AUDIT_LOG_WRITER_INCOMPLETE_FILE_RENAMED_MSG "Incomplete file renamed from \'%s\' to \'%s\'."
#define ER_AUDIT_LOG_WRITER_FAILED_TO_WRITE_TO_FILE_MSG "Error writing file \'%-.200s\' (errno: %d - %s)."
#define ER_AUDIT_LOG_EC_WRITER_FAILED_TO_INIT_ENCRYPTION_MSG "Could not initialize audit log file encryption."
#define ER_AUDIT_LOG_EC_WRITER_FAILED_TO_INIT_COMPRESSION_MSG "Could not initialize audit log file compression."
#define ER_AUDIT_LOG_EC_WRITER_FAILED_TO_CREATE_FILE_MSG "Could not create \'%s\' file for audit logging."
#define ER_AUDIT_LOG_RENAME_LOG_FILE_BEFORE_FLUSH_MSG "Audit log file (%s) must be manually renamed before audit_log_flush is set to true."
#define ER_AUDIT_LOG_FILTER_RESULT_MSG_MSG "%s"
#define ER_AUDIT_LOG_JSON_READER_FAILED_TO_PARSE_MSG "Error parsing JSON event. Event not accessible."
#define ER_AUDIT_LOG_JSON_READER_BUF_TOO_SMALL_MSG "Buffer is too small to hold JSON event. Number of events skipped: %zu."
#define ER_AUDIT_LOG_JSON_READER_FAILED_TO_OPEN_FILE_MSG "Could not open JSON file for reading. Reading next file if exists."
#define ER_AUDIT_LOG_JSON_READER_FILE_PARSING_ERROR_MSG "JSON file parsing error. Reading next file if exists"
#define ER_AUDIT_LOG_FILTER_FAILED_TO_STORE_TABLE_FLDS_MSG "Could not store field of the %s table."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_UPDATE_TABLE_MSG "Could not update %s table."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_INSERT_INTO_TABLE_MSG "Could not insert into %s table."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_DELETE_FROM_TABLE_MSG "Could not delete from %s table."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_INIT_TABLE_FOR_READ_MSG "Could not initialize %s table for reading."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_READ_TABLE_MSG "Could not read %s table."
#define ER_AUDIT_LOG_FILTER_FAILED_TO_CLOSE_TABLE_AFTER_READING_MSG "Could not close %s table reading."
#define ER_AUDIT_LOG_FILTER_USER_AND_HOST_CANNOT_BE_EMPTY_MSG "Both user and host columns of %s table cannot be empty."
#define ER_AUDIT_LOG_FILTER_FLD_FILTERNAME_CANNOT_BE_EMPTY_MSG "Filtername column of %s table cannot be empty."
#define ER_VALIDATE_PWD_DICT_FILE_NOT_SPECIFIED_MSG "Dictionary file not specified"
#define ER_VALIDATE_PWD_DICT_FILE_NOT_LOADED_MSG "Dictionary file not loaded"
#define ER_VALIDATE_PWD_DICT_FILE_TOO_BIG_MSG "Dictionary file size exceeded MAX_DICTIONARY_FILE_LENGTH, not loaded"
#define ER_VALIDATE_PWD_FAILED_TO_READ_DICT_FILE_MSG "Exception while reading the dictionary file"
#define ER_VALIDATE_PWD_FAILED_TO_GET_FLD_FROM_SECURITY_CTX_MSG "Can\'t retrieve the %s from the security context"
#define ER_VALIDATE_PWD_FAILED_TO_GET_SECURITY_CTX_MSG "Can\'t retrieve the security context"
#define ER_VALIDATE_PWD_LENGTH_CHANGED_MSG "Effective value of validate_password_length is changed. New value is %d"
#define ER_REWRITER_QUERY_ERROR_MSG_MSG "%s"
#define ER_REWRITER_QUERY_FAILED_MSG "Rewritten query failed to parse:%s"
#define ER_XPLUGIN_STARTUP_FAILED_MSG "Startup failed with error \"%s\""
#define ER_XPLUGIN_USING_SSL_CONF_FROM_SERVER_MSG "Using SSL configuration from MySQL Server"
#define ER_XPLUGIN_USING_SSL_CONF_FROM_MYSQLX_MSG "Using SSL configuration from Mysqlx Plugin"
#define ER_XPLUGIN_FAILED_TO_USE_SSL_CONF_MSG "Neither MySQL Server nor Mysqlx Plugin has valid SSL configuration"
#define ER_XPLUGIN_USING_SSL_FOR_TLS_CONNECTION_MSG "Using %s for TLS connections"
#define ER_XPLUGIN_REFERENCE_TO_SECURE_CONN_WITH_XPLUGIN_MSG "For more information, please see the Using Secure Connections with X Plugin section in the MySQL documentation"
#define ER_XPLUGIN_ERROR_MSG_MSG "%s"
#define ER_SHA_PWD_FAILED_TO_PARSE_AUTH_STRING_MSG "Failed to parse stored authentication string for %s. Please check if mysql.user table not corrupted"
#define ER_SHA_PWD_FAILED_TO_GENERATE_MULTI_ROUND_HASH_MSG "Error in generating multi-round hash for %s. Plugin can not perform authentication without it. This may be a transient problem"
#define ER_SHA_PWD_AUTH_REQUIRES_RSA_OR_SSL_MSG "Authentication requires either RSA keys or SSL encryption"
#define ER_SHA_PWD_RSA_KEY_TOO_LONG_MSG "RSA key cipher length of %u is too long. Max value is %u"
#define ER_PLUGIN_COMMON_FAILED_TO_OPEN_FILTER_TABLES_MSG "Failed to open the %s filter tables"
#define ER_PLUGIN_COMMON_FAILED_TO_OPEN_TABLE_MSG "Failed to open \'%s.%s\' %s table"
#define ER_AUTH_LDAP_ERROR_LOGGER_ERROR_MSG_MSG "%s"
#define ER_CONN_CONTROL_ERROR_MSG_MSG "%s"
#define ER_GRP_RPL_ERROR_MSG_MSG "%s"
#define ER_SHA_PWD_SALT_FOR_USER_CORRUPT_MSG "Password salt for user \'%s\' is corrupt"
#define ER_SYS_VAR_COMPONENT_OOM_MSG "Out of memory for component system variable \'%s\'."
#define ER_SYS_VAR_COMPONENT_VARIABLE_SET_READ_ONLY_MSG "variable %s of component %s was forced to be read-only: string variable without update_func and PLUGIN_VAR_MEMALLOC flag."
#define ER_SYS_VAR_COMPONENT_UNKNOWN_VARIABLE_TYPE_MSG "Unknown variable type code 0x%x in component \'%s\'."
#define ER_SYS_VAR_COMPONENT_FAILED_TO_PARSE_VARIABLE_OPTIONS_MSG "Parsing options for variable \'%s\' failed."
#define ER_SYS_VAR_COMPONENT_FAILED_TO_MAKE_VARIABLE_PERSISTENT_MSG "Setting persistent options for component variable \'%s\' failed."
#define ER_COMPONENT_FILTER_CONFUSED_MSG "The log-filter component \"%s\" got confused at \"%s\" (state: %s) ..."
#define ER_STOP_SLAVE_IO_THREAD_DISK_SPACE_MSG "Waiting until I/O thread for channel \'%s\' finish writing to disk before stopping. Free some disk space or use \'KILL\' to abort I/O thread operation. Notice that aborting the I/O thread while rotating the relay log might corrupt the relay logs, requiring a server restart to fix it."
#define ER_LOG_FILE_CANNOT_OPEN_MSG "Could not use %s for logging (error %d - %s). Turning logging off for the server process. To turn it on again: fix the cause, then%s restart the MySQL server."
#define ER_PERSIST_OPTION_STATUS_MSG "Configuring persisted options failed: \"%s\"."
#define ER_NOT_IMPLEMENTED_GET_TABLESPACE_STATISTICS_MSG "The storage engine \'%-.192s\' does not provide dynamic table statistics"
#define ER_SSL_FIPS_MODE_ERROR_MSG "SSL fips mode error: %s"
#define ER_CONN_INIT_CONNECT_IGNORED_MSG "init_connect variable is ignored for user: %s host: %s due to expired password."
#define ER_REWRITER_OOM_MSG "Out of memory."
#define ER_REWRITER_TABLE_MALFORMED_ERROR_MSG "Wrong column count or names when loading rules."
#define ER_REWRITER_LOAD_FAILED_MSG "Some rules failed to load."
#define ER_REWRITER_READ_FAILED_MSG "Got error from storage engine while refreshing rewrite rules."
#define ER_CONN_CONTROL_EVENT_COORDINATOR_INIT_FAILED_MSG "Failed to initialize Connection_event_coordinator"
#define ER_CONN_CONTROL_STAT_CONN_DELAY_TRIGGERED_UPDATE_FAILED_MSG "Failed to update connection delay triggered stats"
#define ER_CONN_CONTROL_STAT_CONN_DELAY_TRIGGERED_RESET_FAILED_MSG "Failed to reset connection delay triggered stats"
#define ER_CONN_CONTROL_INVALID_CONN_DELAY_TYPE_MSG "Unexpected option type for connection delay."
#define ER_CONN_CONTROL_DELAY_ACTION_INIT_FAILED_MSG "Failed to initialize Connection_delay_action"
#define ER_CONN_CONTROL_FAILED_TO_SET_CONN_DELAY_MSG "Could not set %s delay for connection delay."
#define ER_CONN_CONTROL_FAILED_TO_UPDATE_CONN_DELAY_HASH_MSG "Failed to update connection delay hash for account : %s"
#define ER_XPLUGIN_FORCE_STOP_CLIENT_MSG "%s: Force stopping client because exception occurred: %s"
#define ER_XPLUGIN_MAX_AUTH_ATTEMPTS_REACHED_MSG "%s.%u: Maximum number of authentication attempts reached, login failed."
#define ER_XPLUGIN_BUFFER_PAGE_ALLOC_FAILED_MSG "Error allocating Buffer_page: %s"
#define ER_XPLUGIN_DETECTED_HANGING_CLIENTS_MSG "Detected %u hanging client(s)"
#define ER_XPLUGIN_FAILED_TO_ACCEPT_CLIENT_MSG "Error accepting client"
#define ER_XPLUGIN_FAILED_TO_SCHEDULE_CLIENT_MSG "Internal error scheduling client for execution"
#define ER_XPLUGIN_FAILED_TO_PREPARE_IO_INTERFACES_MSG "Preparation of I/O interfaces failed, X Protocol won\'t be accessible"
#define ER_XPLUGIN_SRV_SESSION_INIT_THREAD_FAILED_MSG "srv_session_init_thread returned error"
#define ER_XPLUGIN_UNABLE_TO_USE_USER_SESSION_ACCOUNT_MSG "Unable to use user mysql.session account when connecting the server for internal plugin requests."
#define ER_XPLUGIN_REFERENCE_TO_USER_ACCOUNT_DOC_SECTION_MSG "For more information, please see the X Plugin User Account section in the MySQL documentation"
#define ER_XPLUGIN_UNEXPECTED_EXCEPTION_DISPATCHING_CMD_MSG "%s: Unexpected exception dispatching command: %s"
#define ER_XPLUGIN_EXCEPTION_IN_TASK_SCHEDULER_MSG "Exception in post: %s"
#define ER_XPLUGIN_TASK_SCHEDULING_FAILED_MSG "Internal error scheduling task"
#define ER_XPLUGIN_EXCEPTION_IN_EVENT_LOOP_MSG "Exception in event loop: \"%s\": %s"
#define ER_XPLUGIN_LISTENER_SETUP_FAILED_MSG "Setup of %s failed, %s"
#define ER_XPLUING_NET_STARTUP_FAILED_MSG "%s"
#define ER_XPLUGIN_FAILED_AT_SSL_CONF_MSG "Failed at SSL configuration: \"%s\""
#define ER_XPLUGIN_FAILED_TO_CREATE_SESSION_FOR_CONN_MSG "%s: Error creating session for connection from %s"
#define ER_XPLUGIN_FAILED_TO_INITIALIZE_SESSION_MSG "%s: Error initializing session for connection: %s"
#define ER_XPLUGIN_MESSAGE_TOO_LONG_MSG "%s: Message of size %u received, exceeding the limit of %i"
#define ER_XPLUGIN_UNINITIALIZED_MESSAGE_MSG "Message is not properly initialized: %s"
#define ER_XPLUGIN_FAILED_TO_SET_MIN_NUMBER_OF_WORKERS_MSG "Unable to set minimal number of workers to %u; actual value is %i"
#define ER_XPLUGIN_UNABLE_TO_ACCEPT_CONNECTION_MSG "Unable to accept connection, disconnecting client"
#define ER_XPLUGIN_ALL_IO_INTERFACES_DISABLED_MSG "All I/O interfaces are disabled, X Protocol won\'t be accessible"
#define ER_XPLUGIN_ERROR_READING_SOCKET_MSG "%s: Error reading from socket %s (%i)"
#define ER_XPLUGIN_PEER_DISCONNECTED_WHILE_READING_MSG_BODY_MSG "%s: peer disconnected while reading message body"
#define ER_XPLUGIN_READ_FAILED_CLOSING_CONNECTION_MSG "client_id:%s - %s while reading from socket, closing connection"
#define ER_XPLUGIN_LISTENER_SYS_VARIABLE_ERROR_MSG "Please see the MySQL documentation for \'%s\' system variables to fix the error"
#define ER_XPLUGIN_LISTENER_STATUS_MSG_MSG "X Plugin ready for connections. %s"
#define ER_XPLUGIN_RETRYING_BIND_ON_PORT_MSG "Retrying `bind()` on TCP/IP port %i"
#define ER_XPLUGIN_EXISTING_USER_ACCOUNT_WITH_INCOMPLETE_GRANTS_MSG "Using existing %s account for authentication. Incomplete grants will be fixed"
#define ER_XPLUGIN_IPv6_AVAILABLE_MSG "IPv6 is available"
#define ER_XPLUGIN_CLIENT_KILL_MSG_MSG "Kill client: %i %s"
#define ER_XPLUGIN_FAILED_TO_GET_SECURITY_CTX_MSG "Could not get security context for session"
#define ER_XPLUGIN_FAILED_TO_CLOSE_SQL_SESSION_MSG "Error closing SQL session"
#define ER_XPLUGIN_FAILED_TO_EXECUTE_ADMIN_CMD_MSG "Error executing admin command %s: %s"
#define ER_XPLUGIN_EMPTY_ADMIN_CMD_MSG "Error executing empty admin command"
#define ER_XPLUGIN_FAILED_TO_GET_SYS_VAR_MSG "Unable to retrieve system variable \'%s\'"
#define ER_XPLUGIN_FAILED_TO_GET_CREATION_STMT_MSG "Unable to get creation stmt for collection \'%s\'; query result size: %lu"
#define ER_XPLUGIN_FAILED_TO_GET_ENGINE_INFO_MSG "Unable to get engine info for collection \'%s\'; creation stmt: %s"
#define ER_XPLUGIN_FAILED_TO_SET_SO_REUSEADDR_FLAG_MSG "Failed to set SO_REUSEADDR flag (error: %d)."
#define ER_XPLUGIN_FAILED_TO_OPEN_INTERNAL_SESSION_MSG "Could not open internal MySQL session"
#define ER_XPLUGIN_FAILED_TO_SWITCH_CONTEXT_MSG "Unable to switch context to user %s"
#define ER_XPLUGIN_FAILED_TO_UNREGISTER_UDF_MSG "Can\'t unregister \'%s\' user defined function"
#define ER_XPLUGIN_FAILED_TO_RESET_IPV6_V6ONLY_FLAG_MSG "Failed to reset IPV6_V6ONLY flag (error: %d). The server will listen to IPv6 addresses only."
#define ER_KEYRING_INVALID_KEY_TYPE_MSG "Invalid key type"
#define ER_KEYRING_INVALID_KEY_LENGTH_MSG "Invalid key length for given block cipher"
#define ER_KEYRING_FAILED_TO_CREATE_KEYRING_DIR_MSG "Could not create keyring directory. The keyring_file will stay unusable until correct path to the keyring directory gets provided"
#define ER_KEYRING_FILE_INIT_FAILED_MSG "keyring_file initialization failure. Please check if the keyring_file_data points to readable keyring file or keyring file can be created in the specified location. The keyring_file will stay unusable until correct path to the keyring file gets provided"
#define ER_KEYRING_INTERNAL_EXCEPTION_FAILED_FILE_INIT_MSG "keyring_file initialization failure due to internal exception inside the plugin."
#define ER_KEYRING_FAILED_TO_GENERATE_KEY_MSG "Failed to generate a key due to internal exception inside keyring_file plugin"
#define ER_KEYRING_CHECK_KEY_FAILED_DUE_TO_INVALID_KEY_MSG "Error while %s key: invalid key_type"
#define ER_KEYRING_CHECK_KEY_FAILED_DUE_TO_EMPTY_KEY_ID_MSG "Error while %s key: key_id cannot be empty"
#define ER_KEYRING_OPERATION_FAILED_DUE_TO_INTERNAL_ERROR_MSG "Failed to %s due to internal exception inside %s plugin"
#define ER_KEYRING_INCORRECT_FILE_MSG "Incorrect Keyring file"
#define ER_KEYRING_FOUND_MALFORMED_BACKUP_FILE_MSG "Found malformed keyring backup file - removing it"
#define ER_KEYRING_FAILED_TO_RESTORE_FROM_BACKUP_FILE_MSG "Error while restoring keyring from backup file cannot overwrite keyring with backup"
#define ER_KEYRING_FAILED_TO_FLUSH_KEYRING_TO_FILE_MSG "Error while flushing in-memory keyring into keyring file"
#define ER_KEYRING_FAILED_TO_GET_FILE_STAT_MSG "Error while reading stat for %s.Please check if file %s was not removed. OS returned this error: %s"
#define ER_KEYRING_FAILED_TO_REMOVE_FILE_MSG "Could not remove file %s OS retuned this error: %s"
#define ER_KEYRING_FAILED_TO_TRUNCATE_FILE_MSG "Could not truncate file %s. OS retuned this error: %s"
#define ER_KEYRING_UNKNOWN_ERROR_MSG "Unknown error %d"
#define ER_KEYRING_FAILED_TO_SET_KEYRING_FILE_DATA_MSG "keyring_file_data cannot be set to new value as the keyring file cannot be created/accessed in the provided path"
#define ER_KEYRING_FILE_IO_ERROR_MSG "%s"
#define ER_KEYRING_FAILED_TO_LOAD_KEYRING_CONTENT_MSG "Error while loading keyring content. The keyring might be malformed"
#define ER_KEYRING_FAILED_TO_FLUSH_KEYS_TO_KEYRING_MSG "Could not flush keys to keyring"
#define ER_KEYRING_FAILED_TO_FLUSH_KEYS_TO_KEYRING_BACKUP_MSG "Could not flush keys to keyring\'s backup"
#define ER_KEYRING_KEY_FETCH_FAILED_DUE_TO_EMPTY_KEY_ID_MSG "Error while fetching key: key_id cannot be empty"
#define ER_KEYRING_FAILED_TO_REMOVE_KEY_DUE_TO_EMPTY_ID_MSG "Error while removing key: key_id cannot be empty"
#define ER_KEYRING_OKV_INCORRECT_KEY_VAULT_CONFIGURED_MSG "For keyring_okv to be initialized, please point keyring_okv_conf_dir variable to a directory with Oracle Key Vault configuration file and ssl materials"
#define ER_KEYRING_OKV_INIT_FAILED_DUE_TO_INCORRECT_CONF_MSG "keyring_okv initialization failure. Please check that the keyring_okv_conf_dir points to a readable directory and that the directory contains Oracle Key Vault configuration file and ssl materials. Please also check that Oracle Key Vault is up and running."
#define ER_KEYRING_OKV_INIT_FAILED_DUE_TO_INTERNAL_ERROR_MSG "keyring_okv initialization failure due to internal exception inside the plugin"
#define ER_KEYRING_OKV_INVALID_KEY_TYPE_MSG "Invalid key type"
#define ER_KEYRING_OKV_INVALID_KEY_LENGTH_FOR_CIPHER_MSG "Invalid key length for given block cipher"
#define ER_KEYRING_OKV_FAILED_TO_GENERATE_KEY_DUE_TO_INTERNAL_ERROR_MSG "Failed to generate a key due to internal exception inside keyring_okv plugin"
#define ER_KEYRING_OKV_FAILED_TO_FIND_SERVER_ENTRY_MSG "Could not find entry for server in configuration file %s"
#define ER_KEYRING_OKV_FAILED_TO_FIND_STANDBY_SERVER_ENTRY_MSG "Could not find entry for standby server in configuration file %s"
#define ER_KEYRING_OKV_FAILED_TO_PARSE_CONF_FILE_MSG "Could not parse the %s file provided"
#define ER_KEYRING_OKV_FAILED_TO_LOAD_KEY_UID_MSG "Could not load keys\' uids from the OKV server"
#define ER_KEYRING_OKV_FAILED_TO_INIT_SSL_LAYER_MSG "Could not initialize ssl layer"
#define ER_KEYRING_OKV_FAILED_TO_INIT_CLIENT_MSG "Could not initialize OKV client"
#define ER_KEYRING_OKV_CONNECTION_TO_SERVER_FAILED_MSG "Could not connect to the OKV server"
#define ER_KEYRING_OKV_FAILED_TO_REMOVE_KEY_MSG "Could not remove the key"
#define ER_KEYRING_OKV_FAILED_TO_ADD_ATTRIBUTE_MSG "Could not add attribute, attribute_name=%s attribute value=%s"
#define ER_KEYRING_OKV_FAILED_TO_GENERATE_KEY_MSG "Could not generate the key."
#define ER_KEYRING_OKV_FAILED_TO_STORE_KEY_MSG "Could not store the key."
#define ER_KEYRING_OKV_FAILED_TO_ACTIVATE_KEYS_MSG "Could not activate the key."
#define ER_KEYRING_OKV_FAILED_TO_FETCH_KEY_MSG "Could not fetch generated key"
#define ER_KEYRING_OKV_FAILED_TO_STORE_OR_GENERATE_KEY_MSG "Could not store/generate the key - failed to set key attribute x-key-ready"
#define ER_KEYRING_OKV_FAILED_TO_RETRIEVE_KEY_SIGNATURE_MSG "Could not retrieve key signature from custom attributes"
#define ER_KEYRING_OKV_FAILED_TO_RETRIEVE_KEY_MSG "Could not retrieve key from OKV"
#define ER_KEYRING_OKV_FAILED_TO_LOAD_SSL_TRUST_STORE_MSG "Error loading trust store"
#define ER_KEYRING_OKV_FAILED_TO_SET_CERTIFICATE_FILE_MSG "Error setting the certificate file."
#define ER_KEYRING_OKV_FAILED_TO_SET_KEY_FILE_MSG "Error setting the key file."
#define ER_KEYRING_OKV_KEY_MISMATCH_MSG "Private key does not match the certificate public key"
#define ER_KEYRING_ENCRYPTED_FILE_INCORRECT_KEYRING_FILE_MSG "Incorrect Keyring file"
#define ER_KEYRING_ENCRYPTED_FILE_DECRYPTION_FAILED_MSG "Keyring_encrypted_file decryption failed. Please verify --keyring-encrypted-file-password option value."
#define ER_KEYRING_ENCRYPTED_FILE_FOUND_MALFORMED_BACKUP_FILE_MSG "Found malformed keyring backup file - removing it"
#define ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_RESTORE_KEYRING_MSG "Error while restoring keyring from backup file cannot overwrite keyring with backup"
#define ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_FLUSH_KEYRING_MSG "Error while flushing in-memory keyring into keyring file"
#define ER_KEYRING_ENCRYPTED_FILE_ENCRYPTION_FAILED_MSG "Keyring_encrypted_file encryption failed. Please verify --keyring-encrypted-file-password option value."
#define ER_KEYRING_ENCRYPTED_FILE_INVALID_KEYRING_DIR_MSG "keyring_encrypted_file_data cannot be set to new value as the keyring file cannot be created/accessed in the provided path"
#define ER_KEYRING_ENCRYPTED_FILE_FAILED_TO_CREATE_KEYRING_DIR_MSG "Could not create keyring directory The keyring_encrypted_file will stay unusable until correct path to the keyring directory gets provided"
#define ER_KEYRING_ENCRYPTED_FILE_PASSWORD_IS_INVALID_MSG "The keyring_encrypted_file_password must be set to a valid value."
#define ER_KEYRING_ENCRYPTED_FILE_PASSWORD_IS_TOO_LONG_MSG "Too long keyring_encrypted_file_password value."
#define ER_KEYRING_ENCRYPTED_FILE_INIT_FAILURE_MSG "keyring_encrypted_file initialization failure. Please check if the keyring_encrypted_file_data points to readable keyring file or keyring file can be created in the specified location or password to decrypt keyring file is correct."
#define ER_KEYRING_ENCRYPTED_FILE_INIT_FAILED_DUE_TO_INTERNAL_ERROR_MSG "keyring_encrypted_file initialization failure due to internal exception inside the plugin"
#define ER_KEYRING_ENCRYPTED_FILE_GEN_KEY_FAILED_DUE_TO_INTERNAL_ERROR_MSG "Failed to generate a key due to internal exception inside keyring_encrypted_file plugin"
#define ER_KEYRING_AWS_FAILED_TO_SET_CMK_ID_MSG "keyring_aws_cmk_id cannot be set to the new value as AWS KMS seems to not understand the id provided. Please check that CMK id provided is correct."
#define ER_KEYRING_AWS_FAILED_TO_SET_REGION_MSG "keyring_aws_region cannot be set to the new value as AWS KMS seems to not understand the region provided. Please check that region provided is correct."
#define ER_KEYRING_AWS_FAILED_TO_OPEN_CONF_FILE_MSG "Could not open keyring_aws configuration file: %s. OS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_ACCESS_KEY_ID_FROM_CONF_FILE_MSG "Could not read AWS access key id from keyring_aws configuration file: %s. OS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_ACCESS_KEY_FROM_CONF_FILE_MSG "Could not read AWS access key from keyring_aws configuration file: %s. OS returned this error: %s"
#define ER_KEYRING_AWS_INVALID_CONF_FILE_PATH_MSG "Path to keyring aws configuration file cannot be empty"
#define ER_KEYRING_AWS_INVALID_DATA_FILE_PATH_MSG "Path to keyring_aws storage file cannot be empty."
#define ER_KEYRING_AWS_FAILED_TO_ACCESS_OR_CREATE_KEYRING_DIR_MSG "Unable to create/access keyring directory."
#define ER_KEYRING_AWS_FAILED_TO_ACCESS_OR_CREATE_KEYRING_DATA_FILE_MSG "Unable to create/access keyring_aws storage file. Please check if keyring_aws_data_file points to location where keyring file can be created/accessed. Please also make sure that MySQL server\'s user has high enough privileges to access this location."
#define ER_KEYRING_AWS_FAILED_TO_INIT_DUE_TO_INTERNAL_ERROR_MSG "keyring_aws initialization failed due to internal error when initializing synchronization primitive - %s. OS returned this error: %s:"
#define ER_KEYRING_AWS_FAILED_TO_ACCESS_DATA_FILE_MSG "Could not access keyring_aws storage file in the path provided. Please check if the keyring_aws directory can be accessed by MySQL Server"
#define ER_KEYRING_AWS_CMK_ID_NOT_SET_MSG "keyring_aws_cmk_id has to be set"
#define ER_KEYRING_AWS_FAILED_TO_GET_KMS_CREDENTIAL_FROM_CONF_FILE_MSG "Could not get AWS KMS credentials from the configuration file"
#define ER_KEYRING_AWS_INIT_FAILURE_MSG "keyring_aws initialization failure."
#define ER_KEYRING_AWS_FAILED_TO_INIT_DUE_TO_PLUGIN_INTERNAL_ERROR_MSG "keyring_aws initialization failure due to internal exception inside the plugin"
#define ER_KEYRING_AWS_INVALID_KEY_LENGTH_FOR_CIPHER_MSG "Invalid key length for given block cipher"
#define ER_KEYRING_AWS_FAILED_TO_GENERATE_KEY_DUE_TO_INTERNAL_ERROR_MSG "Failed to generate a key due to internal exception inside keyring_file plugin"
#define ER_KEYRING_AWS_INCORRECT_FILE_MSG "Incorrect Keyring file"
#define ER_KEYRING_AWS_FOUND_MALFORMED_BACKUP_FILE_MSG "Found malformed keyring backup file - removing it"
#define ER_KEYRING_AWS_FAILED_TO_RESTORE_FROM_BACKUP_FILE_MSG "Error while restoring keyring from backup file cannot overwrite keyring with backup"
#define ER_KEYRING_AWS_FAILED_TO_FLUSH_KEYRING_TO_FILE_MSG "Error while flushing in-memory keyring into keyring file"
#define ER_KEYRING_AWS_INCORRECT_REGION_MSG "Wrong region"
#define ER_KEYRING_AWS_FAILED_TO_CONNECT_KMS_MSG "Could not connect to AWS KMS with the credentials provided. Please make sure they are correct. AWS KMS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_GENERATE_NEW_KEY_MSG "Could not generate a new key. AWS KMS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_ENCRYPT_KEY_MSG "Could not encrypt key. AWS KMS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_RE_ENCRYPT_KEY_MSG "Could not re-encrypt key. AWS KMS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_DECRYPT_KEY_MSG "Could not decrypt key. AWS KMS returned this error: %s"
#define ER_KEYRING_AWS_FAILED_TO_ROTATE_CMK_MSG "Could not rotate the CMK. AWS KMS returned this error: %s"
#define ER_GRP_RPL_GTID_ALREADY_USED_MSG "The requested GTID \'%s:%lld\' was already used, the transaction will rollback."
#define ER_GRP_RPL_APPLIER_THD_KILLED_MSG "The group replication applier thread was killed."
#define ER_GRP_RPL_EVENT_HANDLING_ERROR_MSG "Error at event handling! Got error: %d."
#define ER_GRP_RPL_ERROR_GTID_EXECUTION_INFO_MSG "Error when extracting group GTID execution information, some recovery operations may face future issues."
#define ER_GRP_RPL_CERTIFICATE_SIZE_ERROR_MSG "An error occurred when trying to reduce the Certification information size for transmission."
#define ER_GRP_RPL_CREATE_APPLIER_CACHE_ERROR_MSG "Failed to create group replication pipeline applier cache!"
#define ER_GRP_RPL_UNBLOCK_WAITING_THD_MSG "Unblocking the group replication thread waiting for applier to start, as the start group replication was killed."
#define ER_GRP_RPL_APPLIER_PIPELINE_NOT_DISPOSED_MSG "The group replication applier pipeline was not properly disposed. Check the error log for further info."
#define ER_GRP_RPL_APPLIER_THD_EXECUTION_ABORTED_MSG "The applier thread execution was aborted. Unable to process more transactions, this member will now leave the group."
#define ER_GRP_RPL_APPLIER_EXECUTION_FATAL_ERROR_MSG "Fatal error during execution on the Applier process of Group Replication. The server will now leave the group."
#define ER_GRP_RPL_ERROR_STOPPING_CHANNELS_MSG "Error stopping all replication channels while server was leaving the group. %s"
#define ER_GRP_RPL_ERROR_SENDING_SINGLE_PRIMARY_MSSG_MSG "Error sending single primary message informing that primary did apply relay logs."
#define ER_GRP_RPL_UPDATE_TRANS_SNAPSHOT_VER_ERROR_MSG "Error updating transaction snapshot version after transaction being positively certified."
#define ER_GRP_RPL_SIDNO_FETCH_ERROR_MSG "Error fetching transaction sidno after transaction being positively certified."
#define ER_GRP_RPL_BROADCAST_COMMIT_TRANS_MSSG_FAILED_MSG "Broadcast of committed transactions message failed."
#define ER_GRP_RPL_GROUP_NAME_PARSE_ERROR_MSG "Unable to parse the group_replication_group_name during the Certification module initialization."
#define ER_GRP_RPL_ADD_GRPSID_TO_GRPGTIDSID_MAP_ERROR_MSG "Unable to add the group_sid in the group_gtid_sid_map during the Certification module initialization."
#define ER_GRP_RPL_UPDATE_GRPGTID_EXECUTED_ERROR_MSG "Error updating group_gtid_executed GITD set during the Certification module initialization."
#define ER_GRP_RPL_DONOR_TRANS_INFO_ERROR_MSG "Unable to handle the donor\'s transaction information when initializing the conflict detection component. Possible out of memory error."
#define ER_GRP_RPL_SERVER_CONN_ERROR_MSG "Error when establishing a server connection during the Certification module initialization."
#define ER_GRP_RPL_ERROR_FETCHING_GTID_EXECUTED_SET_MSG "Error when extracting this member GTID executed set. Certification module can\'t be properly initialized."
#define ER_GRP_RPL_ADD_GTID_TO_GRPGTID_EXECUTED_ERROR_MSG "Error while adding the server GTID EXECUTED set to the group_gtid_execute during the Certification module initialization."
#define ER_GRP_RPL_ERROR_FETCHING_GTID_SET_MSG "Error when extracting this member retrieved set for its applier. Certification module can\'t be properly initialized."
#define ER_GRP_RPL_ADD_RETRIEVED_SET_TO_GRP_GTID_EXECUTED_ERROR_MSG "Error while adding the member retrieved set to the group_gtid_executed during the Certification module initialization."
#define ER_GRP_RPL_CERTIFICATION_INITIALIZATION_FAILURE_MSG "Error during Certification module initialization."
#define ER_GRP_RPL_UPDATE_LAST_CONFLICT_FREE_TRANS_ERROR_MSG "Unable to update last conflict free transaction, this transaction will not be tracked on performance_schema.replication_group_member_stats.last_conflict_free_transaction."
#define ER_GRP_RPL_UPDATE_TRANS_SNAPSHOT_REF_VER_ERROR_MSG "Error updating transaction snapshot version reference for internal storage."
#define ER_GRP_RPL_FETCH_TRANS_SIDNO_ERROR_MSG "Error fetching transaction sidno while adding to the group_gtid_executed set."
#define ER_GRP_RPL_ERROR_VERIFYING_SIDNO_MSG "Error while ensuring the sidno be present in the group_gtid_executed."
#define ER_GRP_RPL_CANT_GENERATE_GTID_MSG "Impossible to generate Global Transaction Identifier: the integer component reached the maximal value. Restart the group with a new group_replication_group_name."
#define ER_GRP_RPL_INVALID_GTID_SET_MSG "Invalid stable transactions set."
#define ER_GRP_RPL_UPDATE_GTID_SET_ERROR_MSG "Error updating stable transactions set."
#define ER_GRP_RPL_RECEIVED_SET_MISSING_GTIDS_MSG "There was an error when filling the missing GTIDs on the applier channel received set. Despite not critical, on the long run this may cause performance issues."
#define ER_GRP_RPL_NULL_PACKET_MSG "Null packet on certifier\'s queue."
#define ER_GRP_RPL_CANT_READ_GTID_MSG "Error reading GTIDs from the message."
#define ER_GRP_RPL_PROCESS_GTID_SET_ERROR_MSG "Error processing stable transactions set."
#define ER_GRP_RPL_PROCESS_INTERSECTION_GTID_SET_ERROR_MSG "Error processing intersection of stable transactions set."
#define ER_GRP_RPL_SET_STABLE_TRANS_ERROR_MSG "Error setting stable transactions set."
#define ER_GRP_RPL_CANT_READ_GRP_GTID_EXTRACTED_MSG "Error reading group_gtid_extracted from the View_change_log_event."
#define ER_GRP_RPL_CANT_READ_WRITE_SET_ITEM_MSG "Error reading the write set item \'%s\' from the View_change_log_event."
#define ER_GRP_RPL_INIT_CERTIFICATION_INFO_FAILURE_MSG "Error during certification_info initialization."
#define ER_GRP_RPL_CONFLICT_DETECTION_DISABLED_MSG "Primary had applied all relay logs, disabled conflict detection."
#define ER_GRP_RPL_MSG_DISCARDED_MSG "Message received while the plugin is not ready, message discarded."
#define ER_GRP_RPL_MISSING_GRP_RPL_APPLIER_MSG "Message received without a proper group replication applier."
#define ER_GRP_RPL_CERTIFIER_MSSG_PROCESS_ERROR_MSG "Error processing message in Certifier."
#define ER_GRP_RPL_SRV_NOT_ONLINE_MSG "This server was not declared online since it is on status %s."
#define ER_GRP_RPL_SRV_ONLINE_MSG "This server was declared online within the replication group."
#define ER_GRP_RPL_DISABLE_SRV_READ_MODE_RESTRICTED_MSG "When declaring the plugin online it was not possible to disable the server read mode settings. Try to disable it manually."
#define ER_GRP_RPL_MEM_ONLINE_MSG "The member with address %s:%u was declared online within the replication group."
#define ER_GRP_RPL_MEM_UNREACHABLE_MSG "Member with address %s:%u has become unreachable."
#define ER_GRP_RPL_MEM_REACHABLE_MSG "Member with address %s:%u is reachable again."
#define ER_GRP_RPL_SRV_BLOCKED_MSG "This server is not able to reach a majority of members in the group. This server will now block all updates. The server will remain blocked until contact with the majority is restored. It is possible to use group_replication_force_members to force a new group membership."
#define ER_GRP_RPL_SRV_BLOCKED_FOR_SECS_MSG "This server is not able to reach a majority of members in the group. This server will now block all updates. The server will remain blocked for the next %lu seconds. Unless contact with the majority is restored, after this time the member will error out and leave the group. It is possible to use group_replication_force_members to force a new group membership."
#define ER_GRP_RPL_CHANGE_GRP_MEM_NOT_PROCESSED_MSG "A group membership change was received but the plugin is already leaving due to the configured timeout on group_replication_unreachable_majority_timeout option."
#define ER_GRP_RPL_MEMBER_CONTACT_RESTORED_MSG "The member has resumed contact with a majority of the members in the group. Regular operation is restored and transactions are unblocked."
#define ER_GRP_RPL_MEMBER_REMOVED_MSG "Members removed from the group: %s"
#define ER_GRP_RPL_PRIMARY_MEMBER_LEFT_GRP_MSG "Primary server with address %s left the group. Electing new Primary."
#define ER_GRP_RPL_MEMBER_ADDED_MSG "Members joined the group: %s"
#define ER_GRP_RPL_MEMBER_EXIT_PLUGIN_ERROR_MSG "There was a previous plugin error while the member joined the group. The member will now exit the group."
#define ER_GRP_RPL_MEMBER_CHANGE_MSG "Group membership changed to %s on view %s."
#define ER_GRP_RPL_MEMBER_LEFT_GRP_MSG "Group membership changed: This member has left the group."
#define ER_GRP_RPL_MEMBER_EXPELLED_MSG "Member was expelled from the group due to network failures, changing member status to ERROR."
#define ER_GRP_RPL_SESSION_OPEN_FAILED_MSG "Unable to open session to (re)set read only mode. Skipping."
#define ER_GRP_RPL_NEW_PRIMARY_ELECTED_MSG "A new primary with address %s:%u was elected. %s"
#define ER_GRP_RPL_DISABLE_READ_ONLY_FAILED_MSG "Unable to disable super read only flag. Try to disable it manually"
#define ER_GRP_RPL_ENABLE_READ_ONLY_FAILED_MSG "Unable to set super read only flag. Try to set it manually."
#define ER_GRP_RPL_SRV_PRIMARY_MEM_MSG "This server is working as primary member."
#define ER_GRP_RPL_SRV_SECONDARY_MEM_MSG "This server is working as secondary member with primary member address %s:%u."
#define ER_GRP_RPL_NO_SUITABLE_PRIMARY_MEM_MSG "Unable to set any member as primary. No suitable candidate."
#define ER_GRP_RPL_SUPER_READ_ONLY_ACTIVATE_ERROR_MSG "Error when activating super_read_only mode on start. The member will now exit the group."
#define ER_GRP_RPL_EXCEEDS_AUTO_INC_VALUE_MSG "Group contains %lu members which is greater than group_replication_auto_increment_increment value of %lu. This can lead to a higher transactional abort rate."
#define ER_GRP_RPL_DATA_NOT_PROVIDED_BY_MEM_MSG "Member with address \'%s:%u\' didn\'t provide any data during the last group change. Group information can be outdated and lead to errors on recovery."
#define ER_GRP_RPL_MEMBER_ALREADY_EXISTS_MSG "There is already a member with server_uuid %s. The member will now exit the group."
#define ER_GRP_RPL_GTID_EXECUTED_EXTRACT_ERROR_MSG "Error when extracting this member GTID executed set. Operations and checks made to group joiners may be incomplete."
#define ER_GRP_RPL_GTID_SET_EXTRACT_ERROR_MSG "Error when extracting this member retrieved set for its applier. Operations and checks made to group joiners may be incomplete."
#define ER_GRP_RPL_START_FAILED_MSG "The START GROUP_REPLICATION command failed since the group already has 9 members."
#define ER_GRP_RPL_MEMBER_VER_INCOMPATIBLE_MSG "Member version is incompatible with the group."
#define ER_GRP_RPL_TRANS_NOT_PRESENT_IN_GRP_MSG "The member contains transactions not present in the group. The member will now exit the group."
#define ER_GRP_RPL_TRANS_GREATER_THAN_GRP_MSG "It was not possible to assess if the member has more transactions than the group. The member will now exit the group."
#define ER_GRP_RPL_MEMBER_VERSION_LOWER_THAN_GRP_MSG "Member version is lower than some group member, but since option \'group_replication_allow_local_lower_version_join is enabled, member will be allowed to join."
#define ER_GRP_RPL_LOCAL_GTID_SETS_PROCESS_ERROR_MSG "Error processing local GTID sets when comparing this member transactions against the group."
#define ER_GRP_RPL_MEMBER_TRANS_GREATER_THAN_GRP_MSG "This member has more executed transactions than those present in the group. Local transactions: %s > Group transactions: %s"
#define ER_GRP_RPL_BLOCK_SIZE_DIFF_FROM_GRP_MSG "The member is configured with a group_replication_gtid_assignment_block_size option value \'%llu\' different from the group \'%llu\'. The member will now exit the group."
#define ER_GRP_RPL_TRANS_WRITE_SET_EXTRACT_DIFF_FROM_GRP_MSG "The member is configured with a transaction-write-set-extraction option value \'%s\' different from the group \'%s\'. The member will now exit the group."
#define ER_GRP_RPL_MEMBER_CFG_INCOMPATIBLE_WITH_GRP_CFG_MSG "The member configuration is not compatible with the group configuration. Variables such as group_replication_single_primary_mode or group_replication_enforce_update_everywhere_checks must have the same value on every server in the group. (member configuration option: [%s], group configuration option: [%s])."
#define ER_GRP_RPL_MEMBER_STOP_RPL_CHANNELS_ERROR_MSG "Error stopping all replication channels while server was leaving the group. %s"
#define ER_GRP_RPL_PURGE_APPLIER_LOGS_MSG "Detected previous RESET MASTER invocation or an issue exists in the group replication applier relay log. Purging existing applier logs."
#define ER_GRP_RPL_RESET_APPLIER_MODULE_LOGS_ERROR_MSG "Unknown error occurred while resetting applier\'s module logs."
#define ER_GRP_RPL_APPLIER_THD_SETUP_ERROR_MSG "Failed to setup the group replication applier thread."
#define ER_GRP_RPL_APPLIER_THD_START_ERROR_MSG "Error while starting the group replication applier thread"
#define ER_GRP_RPL_APPLIER_THD_STOP_ERROR_MSG "Failed to stop the group replication applier thread."
#define ER_GRP_RPL_FETCH_TRANS_DATA_FAILED_MSG "Failed to fetch transaction data containing required transaction info for applier"
#define ER_GRP_RPL_SLAVE_IO_THD_PRIMARY_UNKNOWN_MSG "Can\'t start slave IO THREAD of channel \'%s\' when group replication is running with single-primary mode and the primary member is not known."
#define ER_GRP_RPL_SALVE_IO_THD_ON_SECONDARY_MEMBER_MSG "Can\'t start slave IO THREAD of channel \'%s\' when group replication is running with single-primary mode on a secondary member."
#define ER_GRP_RPL_SLAVE_SQL_THD_PRIMARY_UNKNOWN_MSG "Can\'t start slave SQL THREAD of channel \'%s\' when group replication is running with single-primary mode and the primary member is not known."
#define ER_GRP_RPL_SLAVE_SQL_THD_ON_SECONDARY_MEMBER_MSG "Can\'t start slave SQL THREAD of channel \'%s\' when group replication is running with single-primary mode on a secondary member."
#define ER_GRP_RPL_NEEDS_INNODB_TABLE_MSG "Table %s does not use the InnoDB storage engine. This is not compatible with Group Replication."
#define ER_GRP_RPL_PRIMARY_KEY_NOT_DEFINED_MSG "Table %s does not have any PRIMARY KEY. This is not compatible with Group Replication."
#define ER_GRP_RPL_FK_WITH_CASCADE_UNSUPPORTED_MSG "Table %s has a foreign key with \'CASCADE\', \'SET NULL\' or \'SET DEFAULT\' clause. This is not compatible with Group Replication."
#define ER_GRP_RPL_AUTO_INC_RESET_MSG "group_replication_auto_increment_increment is reset to %lu"
#define ER_GRP_RPL_AUTO_INC_OFFSET_RESET_MSG "auto_increment_offset is reset to %lu"
#define ER_GRP_RPL_AUTO_INC_SET_MSG "group_replication_auto_increment_increment is set to %lu"
#define ER_GRP_RPL_AUTO_INC_OFFSET_SET_MSG "auto_increment_offset is set to %lu"
#define ER_GRP_RPL_FETCH_TRANS_CONTEXT_FAILED_MSG "Failed to fetch transaction context containing required transaction info for certification"
#define ER_GRP_RPL_FETCH_FORMAT_DESC_LOG_EVENT_FAILED_MSG "Failed to fetch Format_description_log_event containing required server info for applier"
#define ER_GRP_RPL_FETCH_TRANS_CONTEXT_LOG_EVENT_FAILED_MSG "Failed to fetch Transaction_context_log_event containing required transaction info for certification"
#define ER_GRP_RPL_FETCH_SNAPSHOT_VERSION_FAILED_MSG "Failed to read snapshot version from transaction context event required for certification"
#define ER_GRP_RPL_FETCH_GTID_LOG_EVENT_FAILED_MSG "Failed to fetch Gtid_log_event containing required transaction info for certification"
#define ER_GRP_RPL_UPDATE_SERV_CERTIFICATE_FAILED_MSG "Unable to update certification result on server side, thread_id: %lu"
#define ER_GRP_RPL_ADD_GTID_INFO_WITH_LOCAL_GTID_FAILED_MSG "Unable to add gtid information to the group_gtid_executed set when gtid was provided for local transactions"
#define ER_GRP_RPL_ADD_GTID_INFO_WITHOUT_LOCAL_GTID_FAILED_MSG "Unable to add gtid information to the group_gtid_executed set when no gtid was provided for local transactions"
#define ER_GRP_RPL_NOTIFY_CERTIFICATION_OUTCOME_FAILED_MSG "Failed to notify certification outcome"
#define ER_GRP_RPL_ADD_GTID_INFO_WITH_REMOTE_GTID_FAILED_MSG "Unable to add gtid information to the group_gtid_executed set when gtid was provided for remote transactions"
#define ER_GRP_RPL_ADD_GTID_INFO_WITHOUT_REMOTE_GTID_FAILED_MSG "Unable to add gtid information to the group_gtid_executed set when gtid was not provided for remote transactions"
#define ER_GRP_RPL_FETCH_VIEW_CHANGE_LOG_EVENT_FAILED_MSG "Failed to fetch View_change_log_event containing required info for certification"
#define ER_GRP_RPL_CONTACT_WITH_SRV_FAILED_MSG "Error when contacting the server to ensure the proper logging of a group change in the binlog"
#define ER_GRP_RPL_SRV_WAIT_TIME_OUT_MSG "Timeout when waiting for the server to execute local transactions in order assure the group change proper logging"
#define ER_GRP_RPL_FETCH_LOG_EVENT_FAILED_MSG "Failed to fetch Log_event containing required server info for applier"
#define ER_GRP_RPL_START_GRP_RPL_FAILED_MSG "Unable to start Group Replication. Replication applier infrastructure is not initialized since the server was started with --initialize, --initialize-insecure or --upgrade=MINIMAL on a server upgrade."
#define ER_GRP_RPL_CONN_INTERNAL_PLUGIN_FAIL_MSG "Failed to establish an internal server connection to execute plugin operations"
#define ER_GRP_RPL_SUPER_READ_ON_MSG "Setting super_read_only=ON."
#define ER_GRP_RPL_SUPER_READ_OFF_MSG "Setting super_read_only=OFF."
#define ER_GRP_RPL_KILLED_SESSION_ID_MSG "killed session id: %d status: %d"
#define ER_GRP_RPL_KILLED_FAILED_ID_MSG "killed failed id: %d failed: %d"
#define ER_GRP_RPL_INTERNAL_QUERY_MSG "Internal query: %s result in error. Error number: %ld"
#define ER_GRP_RPL_COPY_FROM_EMPTY_STRING_MSG "Error copying from empty string "
#define ER_GRP_RPL_QUERY_FAIL_MSG "Query execution resulted in failure. errno: %d"
#define ER_GRP_RPL_CREATE_SESSION_UNABLE_MSG "Unable to create a session for executing the queries on the server"
#define ER_GRP_RPL_MEMBER_NOT_FOUND_MSG "The member with address %s:%u has unexpectedly disappeared, killing the current group replication recovery connection"
#define ER_GRP_RPL_MAXIMUM_CONNECTION_RETRIES_REACHED_MSG "Maximum number of retries when trying to connect to a donor reached. Aborting group replication incremental recovery."
#define ER_GRP_RPL_ALL_DONORS_LEFT_ABORT_RECOVERY_MSG "All donors left. Aborting group replication incremental recovery."
#define ER_GRP_RPL_ESTABLISH_RECOVERY_WITH_DONOR_MSG "Establishing group recovery connection with a possible donor. Attempt %d/%d"
#define ER_GRP_RPL_ESTABLISH_RECOVERY_WITH_ANOTHER_DONOR_MSG "Retrying group recovery connection with another donor. Attempt %d/%d"
#define ER_GRP_RPL_NO_VALID_DONOR_MSG "No valid donors exist in the group, retrying"
#define ER_GRP_RPL_CONFIG_RECOVERY_MSG "Error when configuring the asynchronous recovery channel connection to the donor."
#define ER_GRP_RPL_ESTABLISHING_CONN_GRP_REC_DONOR_MSG "Establishing connection to a group replication recovery donor %s at %s port: %d."
#define ER_GRP_RPL_CREATE_GRP_RPL_REC_CHANNEL_MSG "Error while creating the group replication recovery channel with donor %s at %s port: %d."
#define ER_GRP_RPL_DONOR_SERVER_CONN_MSG "There was an error when connecting to the donor server. Please check that group_replication_recovery channel credentials and all MEMBER_HOST column values of performance_schema.replication_group_members table are correct and DNS resolvable."
#define ER_GRP_RPL_CHECK_STATUS_TABLE_MSG "For details please check performance_schema.replication_connection_status table and error log messages of Slave I/O for channel group_replication_recovery."
#define ER_GRP_RPL_STARTING_GRP_REC_MSG "Error while starting the group replication incremental recovery receiver/applier threads"
#define ER_GRP_RPL_DONOR_CONN_TERMINATION_MSG "Terminating existing group replication donor connection and purging the corresponding logs."
#define ER_GRP_RPL_STOPPING_GRP_REC_MSG "Error when stopping the group replication incremental recovery\'s donor connection"
#define ER_GRP_RPL_PURGE_REC_MSG "Error when purging the group replication recovery\'s relay logs"
#define ER_GRP_RPL_UNABLE_TO_KILL_CONN_REC_DONOR_APPLIER_MSG "Unable to kill the current group replication recovery donor connection after an applier error. Incremental recovery will shutdown."
#define ER_GRP_RPL_UNABLE_TO_KILL_CONN_REC_DONOR_FAILOVER_MSG "Unable to kill the current group replication recovery donor connection during failover. Incremental recovery will shutdown."
#define ER_GRP_RPL_FAILED_TO_NOTIFY_GRP_MEMBERSHIP_EVENT_MSG "Unexpected error when notifying an internal component named %s regarding a group membership event."
#define ER_GRP_RPL_FAILED_TO_BROADCAST_GRP_MEMBERSHIP_NOTIFICATION_MSG "An undefined error was found while broadcasting an internal group membership notification! This is likely to happen if your components or plugins are not properly loaded or are malfunctioning!"
#define ER_GRP_RPL_FAILED_TO_BROADCAST_MEMBER_STATUS_NOTIFICATION_MSG "An undefined error was found while broadcasting an internal group member status notification! This is likely to happen if your components or plugins are not properly loaded or are malfunctioning!"
#define ER_GRP_RPL_OOM_FAILED_TO_GENERATE_IDENTIFICATION_HASH_MSG "No memory to generate write identification hash"
#define ER_GRP_RPL_WRITE_IDENT_HASH_BASE64_ENCODING_FAILED_MSG "Base 64 encoding of the write identification hash failed"
#define ER_GRP_RPL_INVALID_BINLOG_FORMAT_MSG "Binlog format should be ROW for Group Replication"
#define ER_GRP_RPL_TRANS_WRITE_SET_EXTRACTION_NOT_SET_MSG "A transaction_write_set_extraction algorithm should be selected when running Group Replication"
#define ER_GRP_RPL_UNSUPPORTED_TRANS_ISOLATION_MSG "Transaction isolation level (tx_isolation) is set to SERIALIZABLE, which is not compatible with Group Replication"
#define ER_GRP_RPL_CANNOT_EXECUTE_TRANS_WHILE_STOPPING_MSG "Transaction cannot be executed while Group Replication is stopping."
#define ER_GRP_RPL_CANNOT_EXECUTE_TRANS_WHILE_RECOVERING_MSG "Transaction cannot be executed while Group Replication is recovering. Try again when the server is ONLINE."
#define ER_GRP_RPL_CANNOT_EXECUTE_TRANS_IN_ERROR_STATE_MSG "Transaction cannot be executed while Group Replication is on ERROR state. Check for errors and restart the plugin"
#define ER_GRP_RPL_CANNOT_EXECUTE_TRANS_IN_OFFLINE_MODE_MSG "Transaction cannot be executed while Group Replication is OFFLINE. Check for errors and restart the plugin"
#define ER_GRP_RPL_MULTIPLE_CACHE_TYPE_NOT_SUPPORTED_FOR_SESSION_MSG "We can only use one cache type at a time on session %u"
#define ER_GRP_RPL_FAILED_TO_REINIT_BINLOG_CACHE_FOR_READ_MSG "Failed to reinit binlog cache log for read on session %u"
#define ER_GRP_RPL_FAILED_TO_CREATE_TRANS_CONTEXT_MSG "Failed to create the context of the current transaction on session %u"
#define ER_GRP_RPL_FAILED_TO_EXTRACT_TRANS_WRITE_SET_MSG "Failed to extract the set of items written during the execution of the current transaction on session %u"
#define ER_GRP_RPL_FAILED_TO_GATHER_TRANS_WRITE_SET_MSG "Failed to gather the set of items written during the execution of the current transaction on session %u"
#define ER_GRP_RPL_TRANS_SIZE_EXCEEDS_LIMIT_MSG "Error on session %u. Transaction of size %llu exceeds specified limit %lu. To increase the limit please adjust group_replication_transaction_size_limit option."
#define ER_GRP_RPL_WRITE_TO_TRANSACTION_MESSAGE_FAILED_MSG "Error while writing to transaction message on session %u"
#define ER_GRP_RPL_FAILED_TO_REGISTER_TRANS_OUTCOME_NOTIFICTION_MSG "Unable to register for getting notifications regarding the outcome of the transaction on session %u"
#define ER_GRP_RPL_MSG_TOO_LONG_BROADCASTING_TRANS_FAILED_MSG "Error broadcasting transaction to the group on session %u. Message is too big."
#define ER_GRP_RPL_BROADCASTING_TRANS_TO_GRP_FAILED_MSG "Error while broadcasting the transaction to the group on session %u"
#define ER_GRP_RPL_ERROR_WHILE_WAITING_FOR_CONFLICT_DETECTION_MSG "Error while waiting for conflict detection procedure to finish on session %u"
#define ER_GRP_RPL_FATAL_REC_PROCESS_MSG "Fatal error during the incremental recovery process of Group Replication. The server will leave the group."
#define ER_GRP_RPL_UNABLE_TO_EVALUATE_APPLIER_STATUS_MSG "Unable to evaluate the group replication applier execution status. Group replication recovery will shutdown to avoid data corruption."
#define ER_GRP_RPL_ONLY_ONE_SERVER_ALIVE_MSG "Only one server alive. Declaring this server as online within the replication group"
#define ER_GRP_RPL_CERTIFICATION_REC_PROCESS_MSG "Error when processing certification information in the incremental recovery process"
#define ER_GRP_RPL_UNABLE_TO_ENSURE_EXECUTION_REC_MSG "Unable to ensure the execution of group transactions received during recovery."
#define ER_GRP_RPL_WHILE_SENDING_MSG_REC_MSG "Error while sending message in the group replication incremental recovery process."
#define ER_GRP_RPL_READ_UNABLE_FOR_SUPER_READ_ONLY_MSG "Unable to read the server value for the super_read_only variable."
#define ER_GRP_RPL_READ_UNABLE_FOR_READ_ONLY_SUPER_READ_ONLY_MSG "Unable to read the server values for the read_only and super_read_only variables."
#define ER_GRP_RPL_UNABLE_TO_RESET_SERVER_READ_MODE_MSG "Unable to reset the server read mode settings. Try to reset them manually."
#define ER_GRP_RPL_UNABLE_TO_CERTIFY_PLUGIN_TRANS_MSG "Due to a plugin error, some transactions were unable to be certified and will now rollback."
#define ER_GRP_RPL_UNBLOCK_CERTIFIED_TRANS_MSG "Error when trying to unblock non certified or consistent transactions. Check for consistency errors when restarting the service"
#define ER_GRP_RPL_FAILED_TO_START_WITH_INVALID_SERVER_ID_MSG "Unable to start Group Replication. Replication applier infrastructure is not initialized since the server was started with server_id=0. Please, restart the server with server_id larger than 0."
#define ER_GRP_RPL_FORCE_MEMBERS_MUST_BE_EMPTY_MSG "group_replication_force_members must be empty on group start. Current value: \'%s\'"
#define ER_GRP_RPL_PLUGIN_STRUCT_INIT_NOT_POSSIBLE_ON_SERVER_START_MSG "It was not possible to guarantee the initialization of plugin structures on server start"
#define ER_GRP_RPL_FAILED_TO_ENABLE_SUPER_READ_ONLY_MODE_MSG "Could not enable the server read only mode and guarantee a safe recovery execution"
#define ER_GRP_RPL_FAILED_TO_INIT_COMMUNICATION_ENGINE_MSG "Error on group communication engine initialization"
#define ER_GRP_RPL_FAILED_TO_START_ON_SECONDARY_WITH_ASYNC_CHANNELS_MSG "Can\'t start group replication on secondary member with single-primary mode while asynchronous replication channels are running."
#define ER_GRP_RPL_FAILED_TO_START_COMMUNICATION_ENGINE_MSG "Error on group communication engine start"
#define ER_GRP_RPL_TIMEOUT_ON_VIEW_AFTER_JOINING_GRP_MSG "Timeout on wait for view after joining group"
#define ER_GRP_RPL_FAILED_TO_CALL_GRP_COMMUNICATION_INTERFACE_MSG "Error calling group communication interfaces"
#define ER_GRP_RPL_MEMBER_SERVER_UUID_IS_INCOMPATIBLE_WITH_GRP_MSG "Member server_uuid is incompatible with the group. Server_uuid %s matches group_replication_group_name %s."
#define ER_GRP_RPL_MEMBER_CONF_INFO_MSG "Member configuration: member_id: %lu; member_uuid: \"%s\"; single-primary mode: \"%s\"; group_replication_auto_increment_increment: %lu; group_replication_view_change_uuid: \"%s\";"
#define ER_GRP_RPL_FAILED_TO_CONFIRM_IF_SERVER_LEFT_GRP_MSG "Unable to confirm whether the server has left the group or not. Check performance_schema.replication_group_members to check group membership information."
#define ER_GRP_RPL_SERVER_IS_ALREADY_LEAVING_MSG "Skipping leave operation: concurrent attempt to leave the group is on-going."
#define ER_GRP_RPL_SERVER_ALREADY_LEFT_MSG "Skipping leave operation: member already left the group."
#define ER_GRP_RPL_WAITING_FOR_VIEW_UPDATE_MSG "Going to wait for view modification"
#define ER_GRP_RPL_TIMEOUT_RECEIVING_VIEW_CHANGE_ON_SHUTDOWN_MSG "While leaving the group due to a stop, shutdown or failure there was a timeout receiving a view change. This can lead to a possible inconsistent state. Check the log for more details"
#define ER_GRP_RPL_REQUESTING_NON_MEMBER_SERVER_TO_LEAVE_MSG "Requesting to leave the group despite of not being a member"
#define ER_GRP_RPL_IS_STOPPING_MSG "Plugin \'group_replication\' is stopping."
#define ER_GRP_RPL_IS_STOPPED_MSG "Plugin \'group_replication\' has been stopped."
#define ER_GRP_RPL_FAILED_TO_ENABLE_READ_ONLY_MODE_ON_SHUTDOWN_MSG "On plugin shutdown it was not possible to enable the server read only mode. Local transactions will be accepted and committed."
#define ER_GRP_RPL_RECOVERY_MODULE_TERMINATION_TIMED_OUT_ON_SHUTDOWN_MSG "On shutdown there was a timeout on the Group Replication recovery module termination. Check the log for more details"
#define ER_GRP_RPL_APPLIER_TERMINATION_TIMED_OUT_ON_SHUTDOWN_MSG "On shutdown there was a timeout on the Group Replication applier termination."
#define ER_GRP_RPL_FAILED_TO_SHUTDOWN_REGISTRY_MODULE_MSG "Unexpected failure while shutting down registry module!"
#define ER_GRP_RPL_FAILED_TO_INIT_HANDLER_MSG "Failure during Group Replication handler initialization"
#define ER_GRP_RPL_FAILED_TO_REGISTER_SERVER_STATE_OBSERVER_MSG "Failure when registering the server state observers"
#define ER_GRP_RPL_FAILED_TO_REGISTER_TRANS_STATE_OBSERVER_MSG "Failure when registering the transactions state observers"
#define ER_GRP_RPL_FAILED_TO_REGISTER_BINLOG_STATE_OBSERVER_MSG "Failure when registering the binlog state observers"
#define ER_GRP_RPL_FAILED_TO_START_ON_BOOT_MSG "Unable to start Group Replication on boot"
#define ER_GRP_RPL_FAILED_TO_STOP_ON_PLUGIN_UNINSTALL_MSG "Failure when stopping Group Replication on plugin uninstall"
#define ER_GRP_RPL_FAILED_TO_UNREGISTER_SERVER_STATE_OBSERVER_MSG "Failure when unregistering the server state observers"
#define ER_GRP_RPL_FAILED_TO_UNREGISTER_TRANS_STATE_OBSERVER_MSG "Failure when unregistering the transactions state observers"
#define ER_GRP_RPL_FAILED_TO_UNREGISTER_BINLOG_STATE_OBSERVER_MSG "Failure when unregistering the binlog state observers"
#define ER_GRP_RPL_ALL_OBSERVERS_UNREGISTERED_MSG "All Group Replication server observers have been successfully unregistered"
#define ER_GRP_RPL_FAILED_TO_PARSE_THE_GRP_NAME_MSG "Unable to parse the group_replication_group_name."
#define ER_GRP_RPL_FAILED_TO_GENERATE_SIDNO_FOR_GRP_MSG "Unable to parse the group_replication_group_name."
#define ER_GRP_RPL_APPLIER_NOT_STARTED_DUE_TO_RUNNING_PREV_SHUTDOWN_MSG "Cannot start the Group Replication applier as a previous shutdown is still running: The thread will stop once its task is complete."
#define ER_GRP_RPL_FAILED_TO_INIT_APPLIER_MODULE_MSG "Unable to initialize the Group Replication applier module."
#define ER_GRP_RPL_APPLIER_INITIALIZED_MSG "Group Replication applier module successfully initialized!"
#define ER_GRP_RPL_COMMUNICATION_SSL_CONF_INFO_MSG "Group communication SSL configuration: group_replication_ssl_mode: \"%s\"; server_key_file: \"%s\"; server_cert_file: \"%s\"; client_key_file: \"%s\"; client_cert_file: \"%s\"; ca_file: \"%s\"; ca_path: \"%s\"; cipher: \"%s\"; tls_version: \"%s\"; tls_ciphersuites: \"%s\"; crl_file: \"%s\"; crl_path: \"%s\"; ssl_fips_mode: \"%s\""
#define ER_GRP_RPL_ABORTS_AS_SSL_NOT_SUPPORTED_BY_MYSQLD_MSG "MySQL server does not have SSL support and group_replication_ssl_mode is \"%s\", START GROUP_REPLICATION will abort"
#define ER_GRP_RPL_SSL_DISABLED_MSG "Group communication SSL configuration: group_replication_ssl_mode: \"%s\""
#define ER_GRP_RPL_UNABLE_TO_INIT_COMMUNICATION_ENGINE_MSG "Unable to initialize the group communication engine"
#define ER_GRP_RPL_BINLOG_DISABLED_MSG "Binlog must be enabled for Group Replication"
#define ER_GRP_RPL_GTID_MODE_OFF_MSG "Gtid mode should be ON for Group Replication"
#define ER_GRP_RPL_LOG_REPLICA_UPDATES_NOT_SET_MSG "LOG_REPLICA_UPDATES should be ON for Group Replication"
#define ER_GRP_RPL_INVALID_TRANS_WRITE_SET_EXTRACTION_VALUE_MSG "Extraction of transaction write sets requires an hash algorithm configuration. Please, double check that the parameter transaction-write-set-extraction is set to a valid algorithm."
#define ER_GRP_RPL_RELAY_LOG_INFO_REPO_MUST_BE_TABLE_MSG "Relay log info repository must be set to TABLE"
#define ER_GRP_RPL_MASTER_INFO_REPO_MUST_BE_TABLE_MSG "Master info repository must be set to TABLE."
#define ER_GRP_RPL_INCORRECT_TYPE_SET_FOR_PARALLEL_APPLIER_MSG "In order to use parallel applier on Group Replication, parameter replica-parallel-type must be set to \'LOGICAL_CLOCK\'."
#define ER_GRP_RPL_REPLICA_PRESERVE_COMMIT_ORDER_NOT_SET_MSG "Group Replication requires replica-preserve-commit-order to be set to ON when using more than 1 applier threads."
#define ER_GRP_RPL_SINGLE_PRIM_MODE_NOT_ALLOWED_WITH_UPDATE_EVERYWHERE_MSG "It is not allowed to run single primary mode with \'group_replication_enforce_update_everywhere_checks\' enabled."
#define ER_GRP_RPL_MODULE_TERMINATE_ERROR_MSG "error_message: %s"
#define ER_GRP_RPL_GRP_NAME_OPTION_MANDATORY_MSG "The group_replication_group_name option is mandatory"
#define ER_GRP_RPL_GRP_NAME_IS_TOO_LONG_MSG "The group_replication_group_name \'%s\' is not a valid UUID, its length is too big"
#define ER_GRP_RPL_GRP_NAME_IS_NOT_VALID_UUID_MSG "The group_replication_group_name \'%s\' is not a valid UUID"
#define ER_GRP_RPL_FLOW_CTRL_MIN_QUOTA_GREATER_THAN_MAX_QUOTA_MSG "group_replication_flow_control_min_quota cannot be larger than group_replication_flow_control_max_quota"
#define ER_GRP_RPL_FLOW_CTRL_MIN_RECOVERY_QUOTA_GREATER_THAN_MAX_QUOTA_MSG "group_replication_flow_control_min_recovery_quota cannot be larger than group_replication_flow_control_max_quota"
#define ER_GRP_RPL_FLOW_CTRL_MAX_QUOTA_SMALLER_THAN_MIN_QUOTAS_MSG "group_replication_flow_control_max_quota cannot be smaller than group_replication_flow_control_min_quota or group_replication_flow_control_min_recovery_quota"
#define ER_GRP_RPL_INVALID_SSL_RECOVERY_STRING_MSG "The given value for recovery ssl option \'group_replication_%s\' is invalid as its length is beyond the limit"
#define ER_GRP_RPL_SUPPORTS_ONLY_ONE_FORCE_MEMBERS_SET_MSG "There is one group_replication_force_members operation already ongoing"
#define ER_GRP_RPL_FORCE_MEMBERS_SET_UPDATE_NOT_ALLOWED_MSG "group_replication_force_members can only be updated when Group Replication is running and a majority of the members are unreachable"
#define ER_GRP_RPL_GRP_COMMUNICATION_INIT_WITH_CONF_MSG "Initialized group communication with configuration: group_replication_group_name: \'%s\'; group_replication_local_address: \'%s\'; group_replication_group_seeds: \'%s\'; group_replication_bootstrap_group: \'%s\'; group_replication_poll_spin_loops: %lu; group_replication_compression_threshold: %lu; group_replication_ip_allowlist: \'%s\'; group_replication_communication_debug_options: \'%s\'; group_replication_member_expel_timeout: \'%lu\'; group_replication_communication_max_message_size: %lu; group_replication_message_cache_size: \'%luu; group_replication_communication_stack: \'%lu\'"
#define ER_GRP_RPL_UNKNOWN_GRP_RPL_APPLIER_PIPELINE_REQUESTED_MSG "Unknown group replication applier pipeline requested"
#define ER_GRP_RPL_FAILED_TO_BOOTSTRAP_EVENT_HANDLING_INFRASTRUCTURE_MSG "Unable to bootstrap group replication event handling infrastructure. Unknown handler type: %d"
#define ER_GRP_RPL_APPLIER_HANDLER_NOT_INITIALIZED_MSG "One of the group replication applier handlers is null due to an initialization error"
#define ER_GRP_RPL_APPLIER_HANDLER_IS_IN_USE_MSG "A group replication applier handler, marked as unique, is already in use."
#define ER_GRP_RPL_APPLIER_HANDLER_ROLE_IS_IN_USE_MSG "A group replication applier handler role, that was marked as unique, is already in use."
#define ER_GRP_RPL_FAILED_TO_INIT_APPLIER_HANDLER_MSG "Error on group replication applier handler initialization"
#define ER_GRP_RPL_SQL_SERVICE_FAILED_TO_INIT_SESSION_THREAD_MSG "Error when initializing a session thread for internal server connection."
#define ER_GRP_RPL_SQL_SERVICE_COMM_SESSION_NOT_INITIALIZED_MSG "Error running internal SQL query: %s. The internal server communication session is not initialized"
#define ER_GRP_RPL_SQL_SERVICE_SERVER_SESSION_KILLED_MSG "Error running internal SQL query: %s. The internal server session was killed or server is shutting down."
#define ER_GRP_RPL_SQL_SERVICE_FAILED_TO_RUN_SQL_QUERY_MSG "Error running internal SQL query: %s. Got internal SQL error: %s(%d)"
#define ER_GRP_RPL_SQL_SERVICE_SERVER_INTERNAL_FAILURE_MSG "Error running internal SQL query: %s. Internal failure."
#define ER_GRP_RPL_SQL_SERVICE_RETRIES_EXCEEDED_ON_SESSION_STATE_MSG "Error, maximum number of retries exceeded when waiting for the internal server session state to be operating"
#define ER_GRP_RPL_SQL_SERVICE_FAILED_TO_FETCH_SECURITY_CTX_MSG "Error when trying to fetch security context when contacting the server for internal plugin requests."
#define ER_GRP_RPL_SQL_SERVICE_SERVER_ACCESS_DENIED_FOR_USER_MSG "There was an error when trying to access the server with user: %s. Make sure the user is present in the server and that the MySQL upgrade procedure was run correctly."
#define ER_GRP_RPL_SQL_SERVICE_MAX_CONN_ERROR_FROM_SERVER_MSG "Failed to establish an internal server connection to execute plugin operations since the server does not have available connections, please increase @@GLOBAL.MAX_CONNECTIONS. Server error: %i."
#define ER_GRP_RPL_SQL_SERVICE_SERVER_ERROR_ON_CONN_MSG "Failed to establish an internal server connection to execute plugin operations. Server error: %i. Server error message: %s"
#define ER_GRP_RPL_UNREACHABLE_MAJORITY_TIMEOUT_FOR_MEMBER_MSG "This member could not reach a majority of the members for more than %ld seconds. The member will now leave the group as instructed by the group_replication_unreachable_majority_timeout option."
#define ER_GRP_RPL_SERVER_SET_TO_READ_ONLY_DUE_TO_ERRORS_MSG "The server was automatically set into read only mode after an error was detected."
#define ER_GRP_RPL_GMS_LISTENER_FAILED_TO_LOG_NOTIFICATION_MSG "Unable to log notification to table (errno: %lu) (res: %d)! Message: %s"
#define ER_GRP_RPL_GRP_COMMUNICATION_ENG_INIT_FAILED_MSG "Failure in group communication engine \'%s\' initialization"
#define ER_GRP_RPL_SET_GRP_COMMUNICATION_ENG_LOGGER_FAILED_MSG "Unable to set the group communication engine logger"
#define ER_GRP_RPL_DEBUG_OPTIONS_MSG "Current debug options are: \'%s\'."
#define ER_GRP_RPL_INVALID_DEBUG_OPTIONS_MSG "Some debug options in \'%s\' are not valid."
#define ER_GRP_RPL_EXIT_GRP_GCS_ERROR_MSG "Error calling group communication interfaces while trying to leave the group"
#define ER_GRP_RPL_GRP_MEMBER_OFFLINE_MSG "Member is not ONLINE, it is not possible to force a new group membership"
#define ER_GRP_RPL_GCS_INTERFACE_ERROR_MSG "Error calling group communication interfaces"
#define ER_GRP_RPL_FORCE_MEMBER_VALUE_SET_ERROR_MSG "Error setting group_replication_force_members value \'%s\' on group communication interfaces"
#define ER_GRP_RPL_FORCE_MEMBER_VALUE_SET_MSG "The group_replication_force_members value \'%s\' was set in the group communication interfaces"
#define ER_GRP_RPL_FORCE_MEMBER_VALUE_TIME_OUT_MSG "Timeout on wait for view after setting group_replication_force_members value \'%s\' into group communication interfaces"
#define ER_GRP_RPL_BROADCAST_COMMIT_MSSG_TOO_BIG_MSG "Broadcast of committed transactions message failed. Message is too big."
#define ER_GRP_RPL_SEND_STATS_ERROR_MSG "Error while sending stats message"
#define ER_GRP_RPL_MEMBER_STATS_INFO_MSG "Flow control - update member stats: %s stats certifier_queue %d, applier_queue %d certified %ld (%ld), applied %ld (%ld), local %ld (%ld), quota %ld (%ld) mode=%d"
#define ER_GRP_RPL_FLOW_CONTROL_STATS_MSG "Flow control: throttling to %ld commits per %ld sec, with %d writing and %d non-recovering members, min capacity %lld, lim throttle %lld"
#define ER_GRP_RPL_UNABLE_TO_CONVERT_PACKET_TO_EVENT_MSG "Unable to convert a packet into an event on the applier. Error: %s"
#define ER_GRP_RPL_PIPELINE_CREATE_FAILED_MSG "Failed to create group replication pipeline cache."
#define ER_GRP_RPL_PIPELINE_REINIT_FAILED_WRITE_MSG "Failed to reinit group replication pipeline cache for write."
#define ER_GRP_RPL_UNABLE_TO_CONVERT_EVENT_TO_PACKET_MSG "Unable to convert the event into a packet on the applier. Error: %s"
#define ER_GRP_RPL_PIPELINE_FLUSH_FAIL_MSG "Failed to flush group replication pipeline cache."
#define ER_GRP_RPL_PIPELINE_REINIT_FAILED_READ_MSG "Failed to reinit group replication pipeline cache for read."
#define ER_GRP_RPL_GCS_GR_ERROR_MSG_MSG "%s"
#define ER_GRP_RPL_SLAVE_IO_THREAD_UNBLOCKED_MSG "The slave IO thread of channel \'%s\' is unblocked as the member is declared ONLINE now."
#define ER_GRP_RPL_SLAVE_IO_THREAD_ERROR_OUT_MSG "The slave IO thread of channel \'%s\' will error out as the member failed to come ONLINE."
#define ER_GRP_RPL_SLAVE_APPLIER_THREAD_UNBLOCKED_MSG "The slave applier thread of channel \'%s\' is unblocked as the member is declared ONLINE now."
#define ER_GRP_RPL_SLAVE_APPLIER_THREAD_ERROR_OUT_MSG "The slave applier thread of channel \'%s\' will error out as the member failed to come ONLINE."
#define ER_LDAP_AUTH_FAILED_TO_CREATE_OR_GET_CONNECTION_MSG "LDAP authentication initialize: failed to create/ get connection from the pool. "
#define ER_LDAP_AUTH_DEINIT_FAILED_MSG "LDAP authentication de_initialize Failed"
#define ER_LDAP_AUTH_SKIPPING_USER_GROUP_SEARCH_MSG "Skipping group search, No group attribute mentioned"
#define ER_LDAP_AUTH_POOL_DISABLE_MAX_SIZE_ZERO_MSG "Pool max size is 0, connection pool is disabled"
#define ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_OBJECT_CREATOR_MSG "Connection pool initialization, failed to create LDAP object creator"
#define ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_OBJECT_MSG "Connection pool initialization, failed to create LDAP object"
#define ER_LDAP_AUTH_TLS_CONF_MSG "LDAP TLS configuration"
#define ER_LDAP_AUTH_TLS_CONNECTION_MSG "LDAP TLS connection"
#define ER_LDAP_AUTH_CONN_POOL_NOT_CREATED_MSG "LDAP pool is not created."
#define ER_LDAP_AUTH_CONN_POOL_INITIALIZING_MSG "LDAP pool is initializing"
#define ER_LDAP_AUTH_CONN_POOL_DEINITIALIZING_MSG "LDAP pool is de-initializing"
#define ER_LDAP_AUTH_ZERO_MAX_POOL_SIZE_UNCHANGED_MSG "Pool max size old and new values are 0"
#define ER_LDAP_AUTH_POOL_REINITIALIZING_MSG "LDAP pool is re-initializing"
#define ER_LDAP_AUTH_FAILED_TO_WRITE_PACKET_MSG "Plug-in has failed to write the packet."
#define ER_LDAP_AUTH_SETTING_USERNAME_MSG "Setting LDAP user name as : %s"
#define ER_LDAP_AUTH_USER_AUTH_DATA_MSG "User authentication data: %s size: %lu"
#define ER_LDAP_AUTH_INFO_FOR_USER_MSG "User is authenticated as: %s external user: %s"
#define ER_LDAP_AUTH_USER_GROUP_SEARCH_INFO_MSG "Group search information base DN: %s scope: %d filter: %s attribute: %s"
#define ER_LDAP_AUTH_GRP_SEARCH_SPECIAL_HDL_MSG "Special handling for group search, {GA} found"
#define ER_LDAP_AUTH_GRP_IS_FULL_DN_MSG "Group search special handling, group full DN found. "
#define ER_LDAP_AUTH_USER_NOT_FOUND_IN_ANY_GRP_MSG "User %s is not member of any group."
#define ER_LDAP_AUTH_USER_FOUND_IN_MANY_GRPS_MSG "User %s is member of more than one group"
#define ER_LDAP_AUTH_USER_HAS_MULTIPLE_GRP_NAMES_MSG "For user %s has multiple user group names. Please check if group attribute name is correct"
#define ER_LDAP_AUTH_SEARCHED_USER_GRP_NAME_MSG "Searched group name: %s"
#define ER_LDAP_AUTH_OBJECT_CREATE_TIMESTAMP_MSG "LDAP authentication object creation time_stamp: %s dn: %s"
#define ER_LDAP_AUTH_CERTIFICATE_NAME_MSG "Certificate name: %s"
#define ER_LDAP_AUTH_FAILED_TO_POOL_DEINIT_MSG "Failed to pool de-initialized: pool is already reconstructing"
#define ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_RECONSTRUCTING_MSG "Pool initialization failed: pool is already initialized"
#define ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_INIT_STATE_MSG "Pool initialization failed: pool is initializing"
#define ER_LDAP_AUTH_FAILED_TO_INITIALIZE_POOL_IN_DEINIT_STATE_MSG "Pool initialization failed: pool is de-initializing"
#define ER_LDAP_AUTH_FAILED_TO_DEINITIALIZE_POOL_IN_RECONSTRUCT_STATE_MSG "Failed to pool deinitialized: pool is already reconstructing"
#define ER_LDAP_AUTH_FAILED_TO_DEINITIALIZE_NOT_READY_POOL_MSG "Failed to pool deinitialized : pool is not ready"
#define ER_LDAP_AUTH_FAILED_TO_GET_CONNECTION_AS_PLUGIN_NOT_READY_MSG "Ldap_connection_pool::get: Failed to return connection as plug-in is not ready/initializing/de-initializing"
#define ER_LDAP_AUTH_CONNECTION_POOL_INIT_FAILED_MSG "Connection pool has failed to initialized"
#define ER_LDAP_AUTH_MAX_ALLOWED_CONNECTION_LIMIT_HIT_MSG "Ldap_connetion_pool::get LDAP maximum connection allowed size is reached. Increase the maximum limit."
#define ER_LDAP_AUTH_MAX_POOL_SIZE_SET_FAILED_MSG "Set max pool size failed."
#define ER_LDAP_AUTH_PLUGIN_FAILED_TO_READ_PACKET_MSG "Plug-in has failed to read the packet from client"
#define ER_LDAP_AUTH_CREATING_LDAP_CONNECTION_MSG "Ldap_authentication::initialize: creating new LDAP connection. "
#define ER_LDAP_AUTH_GETTING_CONNECTION_FROM_POOL_MSG "Ldap_authentication::initialize: getting connection from pool. "
#define ER_LDAP_AUTH_RETURNING_CONNECTION_TO_POOL_MSG "Ldap_authentication::de_initialize putting back connection in the pool"
#define ER_LDAP_AUTH_SEARCH_USER_GROUP_ATTR_NOT_FOUND_MSG "Ldap_authentication::search_user_group no group attribute found"
#define ER_LDAP_AUTH_LDAP_INFO_NULL_MSG "Ldap_connetion_pool::put ldap info null"
#define ER_LDAP_AUTH_FREEING_CONNECTION_MSG "Ldap_connection_pool::put connection is freeing. "
#define ER_LDAP_AUTH_CONNECTION_PUSHED_TO_POOL_MSG "Ldap_connection_pool::put connection in pushed in the pool"
#define ER_LDAP_AUTH_CONNECTION_CREATOR_ENTER_MSG "Ldap_connection_creator::Ldap_connection_creator"
#define ER_LDAP_AUTH_STARTING_TLS_MSG "starting TLS"
#define ER_LDAP_AUTH_CONNECTION_GET_LDAP_INFO_NULL_MSG "Ldap_connection_pool::get: (ldap_info == NULL)|| (*ldap_info)"
#define ER_LDAP_AUTH_DELETING_CONNECTION_KEY_MSG "Ldap_connection_pool::deinit: deleting connection key %s"
#define ER_LDAP_AUTH_POOLED_CONNECTION_KEY_MSG " Ldap_connection_pool::get pooled connection key: %s"
#define ER_LDAP_AUTH_CREATE_CONNECTION_KEY_MSG "Ldap_connection_pool::get create connection key: %s"
#define ER_LDAP_AUTH_COMMUNICATION_HOST_INFO_MSG "LDAP communication host %s port %u"
#define ER_LDAP_AUTH_METHOD_TO_CLIENT_MSG "Sending authentication method to client : %s"
#define ER_LDAP_AUTH_SASL_REQUEST_FROM_CLIENT_MSG "SASL request received from mysql client: %s"
#define ER_LDAP_AUTH_SASL_PROCESS_SASL_MSG "Ldap_sasl_authentication::process_sasl rc: %s"
#define ER_LDAP_AUTH_SASL_BIND_SUCCESS_INFO_MSG "Ldap_sasl_authentication::process_sasl sasl bind succeed. dn: %s method: %s server credential: %s"
#define ER_LDAP_AUTH_STARTED_FOR_USER_MSG "LDAP authentication started for user name: %s"
#define ER_LDAP_AUTH_DISTINGUISHED_NAME_MSG "%s"
#define ER_LDAP_AUTH_INIT_FAILED_MSG "LDAP authentication initialize is failed with: %s"
#define ER_LDAP_AUTH_OR_GROUP_RETRIEVAL_FAILED_MSG "LDAP authentication failed or group retrieval failed: %s"
#define ER_LDAP_AUTH_USER_GROUP_SEARCH_FAILED_MSG "Search user group has failed: %s"
#define ER_LDAP_AUTH_USER_BIND_FAILED_MSG "LDAP user bind has failed: %s"
#define ER_LDAP_AUTH_POOL_GET_FAILED_TO_CREATE_CONNECTION_MSG "Connection pool get: Failed to create LDAP connection. %s"
#define ER_LDAP_AUTH_FAILED_TO_CREATE_LDAP_CONNECTION_MSG "Failed to create new LDAP connection:  %s"
#define ER_LDAP_AUTH_FAILED_TO_ESTABLISH_TLS_CONNECTION_MSG "Failed to establish TLS connection:  %s"
#define ER_LDAP_AUTH_FAILED_TO_SEARCH_DN_MSG "Failed to search user full dn: %s"
#define ER_LDAP_AUTH_CONNECTION_POOL_REINIT_ENTER_MSG "Ldap_connection_pool::reinit"
#define ER_SYSTEMD_NOTIFY_PATH_TOO_LONG_MSG "The path \'%s\', from the NOTIFY_SOCKET environment variable, is too long. At %u bytes it exceeds the limit of %u bytes for an AF_UNIX socket."
#define ER_SYSTEMD_NOTIFY_CONNECT_FAILED_MSG "Failed to connect to systemd notification socket named %s. Error: \'%s\'"
#define ER_SYSTEMD_NOTIFY_WRITE_FAILED_MSG "Failed to write \'%s\' to systemd notification. Error: \'%s\'"
#define ER_FOUND_MISSING_GTIDS_MSG "Cannot replicate to server with server_uuid=\'%.36s\' because the present server has purged required binary logs. The connecting server needs to replicate the missing transactions from elsewhere, or be replaced by a new server created from a more recent backup. To prevent this error in the future, consider increasing the binary log expiration period on the present server. %s."
#define ER_PID_FILE_PRIV_DIRECTORY_INSECURE_MSG "Insecure configuration for --pid-file: Location \'%s\' in the path is accessible to all OS users. Consider choosing a different directory."
#define ER_CANT_CHECK_PID_PATH_MSG "Can\'t start server: can\'t check PID filepath: %s"
#define ER_VALIDATE_PWD_STATUS_VAR_REGISTRATION_FAILED_MSG "validate_password status variables registration failed."
#define ER_VALIDATE_PWD_STATUS_VAR_UNREGISTRATION_FAILED_MSG "validate_password status variables unregistration failed."
#define ER_VALIDATE_PWD_DICT_FILE_OPEN_FAILED_MSG "Dictionary file open failed"
#define ER_VALIDATE_PWD_COULD_BE_NULL_MSG "given password string could be null"
#define ER_VALIDATE_PWD_STRING_CONV_TO_LOWERCASE_FAILED_MSG "failed to convert the password string to lower case"
#define ER_VALIDATE_PWD_STRING_CONV_TO_BUFFER_FAILED_MSG "failed to convert the password string into a buffer"
#define ER_VALIDATE_PWD_STRING_HANDLER_MEM_ALLOCATION_FAILED_MSG "memory allocation failed for string handler"
#define ER_VALIDATE_PWD_STRONG_POLICY_DICT_FILE_UNSPECIFIED_MSG "Since the validate_password_policy is mentioned as Strong, dictionary file must be specified"
#define ER_VALIDATE_PWD_CONVERT_TO_BUFFER_FAILED_MSG "convert_to_buffer service failed"
#define ER_VALIDATE_PWD_VARIABLE_REGISTRATION_FAILED_MSG "%s variable registration failed."
#define ER_VALIDATE_PWD_VARIABLE_UNREGISTRATION_FAILED_MSG "%s variable unregistration failed."
#define ER_KEYRING_MIGRATION_EXTRA_OPTIONS_MSG "Please specify options specific to keyring migration. Any additional options can be ignored. NOTE: Although some options are valid, migration tool can still report error example: plugin variables for which plugin is not loaded yet."
#define ER_IB_MSG_0_MSG "%s"
#define ER_IB_MSG_1_MSG "%s"
#define ER_IB_MSG_2_MSG "%s"
#define ER_IB_MSG_3_MSG "%s"
#define ER_IB_MSG_4_MSG "%s"
#define ER_IB_MSG_5_MSG "%s"
#define ER_IB_MSG_6_MSG "%s"
#define ER_IB_MSG_7_MSG "%s"
#define ER_IB_MSG_8_MSG "%s"
#define ER_IB_MSG_9_MSG "%s"
#define ER_IB_MSG_10_MSG "%s"
#define ER_IB_MSG_11_MSG "%s"
#define ER_IB_MSG_12_MSG "%s"
#define ER_IB_MSG_13_MSG "%s"
#define ER_IB_MSG_14_MSG "%s"
#define ER_IB_MSG_15_MSG "%s"
#define ER_IB_MSG_16_MSG "%s"
#define ER_IB_MSG_17_MSG "%s"
#define ER_IB_MSG_18_MSG "%s"
#define ER_IB_MSG_19_MSG "%s"
#define ER_IB_MSG_20_MSG "%s"
#define ER_IB_MSG_21_MSG "%s"
#define ER_IB_MSG_22_MSG "%s"
#define ER_IB_MSG_23_MSG "%s"
#define ER_IB_MSG_24_MSG "%s"
#define ER_IB_MSG_25_MSG "%s"
#define ER_IB_MSG_26_MSG "%s"
#define ER_IB_MSG_27_MSG "%s"
#define ER_IB_MSG_28_MSG "%s"
#define ER_IB_MSG_29_MSG "%s"
#define ER_IB_MSG_30_MSG "%s"
#define ER_IB_MSG_31_MSG "%s"
#define ER_IB_MSG_32_MSG "%s"
#define ER_IB_MSG_33_MSG "%s"
#define ER_IB_MSG_34_MSG "%s"
#define ER_IB_MSG_35_MSG "%s"
#define ER_IB_MSG_36_MSG "%s"
#define ER_IB_MSG_37_MSG "%s"
#define ER_IB_MSG_38_MSG "%s"
#define ER_IB_MSG_39_MSG "%s"
#define ER_IB_MSG_40_MSG "%s"
#define ER_IB_MSG_41_MSG "%s"
#define ER_IB_MSG_42_MSG "%s"
#define ER_IB_MSG_43_MSG "%s"
#define ER_IB_MSG_44_MSG "%s"
#define ER_IB_MSG_45_MSG "%s"
#define ER_IB_MSG_46_MSG "%s"
#define ER_IB_MSG_47_MSG "%s"
#define ER_IB_MSG_48_MSG "%s"
#define ER_IB_MSG_49_MSG "%s"
#define ER_IB_MSG_50_MSG "%s"
#define ER_IB_MSG_51_MSG "%s"
#define ER_IB_MSG_52_MSG "%s"
#define ER_IB_MSG_53_MSG "%s"
#define ER_IB_MSG_54_MSG "%s"
#define ER_IB_MSG_55_MSG "%s"
#define ER_IB_MSG_56_MSG "%s"
#define ER_IB_MSG_57_MSG "%s"
#define ER_IB_MSG_58_MSG "%s"
#define ER_IB_MSG_59_MSG "%s"
#define ER_IB_MSG_60_MSG "%s"
#define ER_IB_MSG_61_MSG "%s"
#define ER_IB_MSG_62_MSG "%s"
#define ER_IB_MSG_63_MSG "%s"
#define ER_IB_MSG_64_MSG "%s"
#define ER_IB_MSG_65_MSG "%s"
#define ER_IB_MSG_66_MSG "%s"
#define ER_IB_MSG_67_MSG "%s"
#define ER_IB_MSG_68_MSG "%s"
#define ER_IB_MSG_69_MSG "%s"
#define ER_IB_MSG_70_MSG "%s"
#define ER_IB_MSG_71_MSG "%s"
#define ER_IB_MSG_72_MSG "%s"
#define ER_IB_MSG_73_MSG "%s"
#define ER_IB_MSG_74_MSG "%s"
#define ER_IB_MSG_75_MSG "%s"
#define ER_IB_MSG_76_MSG "%s"
#define ER_IB_MSG_77_MSG "%s"
#define ER_IB_MSG_78_MSG "%s"
#define ER_IB_MSG_79_MSG "%s"
#define ER_IB_MSG_80_MSG "%s"
#define ER_IB_MSG_81_MSG "%s"
#define ER_IB_MSG_82_MSG "%s"
#define ER_IB_MSG_83_MSG "%s"
#define ER_IB_MSG_84_MSG "%s"
#define ER_IB_MSG_85_MSG "%s"
#define ER_IB_MSG_86_MSG "%s"
#define ER_IB_MSG_95_MSG "%s"
#define ER_IB_MSG_96_MSG "%s"
#define ER_IB_MSG_97_MSG "%s"
#define ER_IB_MSG_98_MSG "%s"
#define ER_IB_MSG_99_MSG "%s"
#define ER_IB_MSG_100_MSG "%s"
#define ER_IB_MSG_101_MSG "%s"
#define ER_IB_MSG_102_MSG "%s"
#define ER_IB_MSG_103_MSG "%s"
#define ER_IB_MSG_104_MSG "%s"
#define ER_IB_MSG_105_MSG "%s"
#define ER_IB_MSG_106_MSG "%s"
#define ER_IB_MSG_107_MSG "%s"
#define ER_IB_MSG_108_MSG "%s"
#define ER_IB_MSG_109_MSG "%s"
#define ER_IB_MSG_110_MSG "%s"
#define ER_IB_MSG_111_MSG "%s"
#define ER_IB_MSG_112_MSG "%s"
#define ER_IB_MSG_119_MSG "%s"
#define ER_IB_MSG_120_MSG "%s"
#define ER_IB_MSG_121_MSG "%s"
#define ER_IB_MSG_122_MSG "%s"
#define ER_IB_MSG_123_MSG "%s"
#define ER_IB_MSG_124_MSG "%s"
#define ER_IB_MSG_125_MSG "%s"
#define ER_IB_MSG_126_MSG "%s"
#define ER_IB_MSG_127_MSG "%s"
#define ER_IB_MSG_128_MSG "%s"
#define ER_IB_MSG_129_MSG "%s"
#define ER_IB_MSG_130_MSG "%s"
#define ER_IB_MSG_131_MSG "%s"
#define ER_IB_MSG_132_MSG "%s"
#define ER_IB_MSG_133_MSG "%s"
#define ER_IB_MSG_134_MSG "%s"
#define ER_IB_MSG_135_MSG "%s"
#define ER_IB_MSG_136_MSG "%s"
#define ER_IB_MSG_137_MSG "%s"
#define ER_IB_MSG_138_MSG "%s"
#define ER_IB_MSG_139_MSG "%s"
#define ER_IB_MSG_140_MSG "%s"
#define ER_IB_MSG_141_MSG "%s"
#define ER_IB_MSG_142_MSG "%s"
#define ER_IB_MSG_143_MSG "%s"
#define ER_IB_MSG_144_MSG "%s"
#define ER_IB_MSG_145_MSG "%s"
#define ER_IB_MSG_146_MSG "%s"
#define ER_IB_MSG_147_MSG "%s"
#define ER_IB_MSG_148_MSG "%s"
#define ER_IB_CLONE_INTERNAL_MSG "%s"
#define ER_IB_CLONE_TIMEOUT_MSG "%s"
#define ER_IB_CLONE_STATUS_FILE_MSG "%s"
#define ER_IB_CLONE_SQL_MSG "%s"
#define ER_IB_CLONE_VALIDATE_MSG "%s"
#define ER_IB_CLONE_PUNCH_HOLE_MSG "%s"
#define ER_IB_CLONE_GTID_PERSIST_MSG "%s"
#define ER_IB_MSG_156_MSG "%s"
#define ER_IB_MSG_157_MSG "%s"
#define ER_IB_MSG_158_MSG "%s"
#define ER_IB_MSG_159_MSG "%s"
#define ER_IB_MSG_160_MSG "%s"
#define ER_IB_MSG_161_MSG "%s"
#define ER_IB_MSG_162_MSG "%s"
#define ER_IB_MSG_163_MSG "%s"
#define ER_IB_MSG_164_MSG "%s"
#define ER_IB_MSG_165_MSG "%s"
#define ER_IB_MSG_166_MSG "%s"
#define ER_IB_MSG_167_MSG "%s"
#define ER_IB_MSG_168_MSG "%s"
#define ER_IB_MSG_169_MSG "%s"
#define ER_IB_MSG_170_MSG "%s"
#define ER_IB_MSG_171_MSG "%s"
#define ER_IB_MSG_172_MSG "%s"
#define ER_IB_MSG_173_MSG "%s"
#define ER_IB_MSG_174_MSG "%s"
#define ER_IB_MSG_175_MSG "%s"
#define ER_IB_MSG_176_MSG "%s"
#define ER_IB_MSG_177_MSG "%s"
#define ER_IB_MSG_178_MSG "%s"
#define ER_IB_MSG_179_MSG "%s"
#define ER_IB_MSG_180_MSG "%s"
#define ER_IB_MSG_181_MSG "%s"
#define ER_IB_MSG_182_MSG "%s"
#define ER_IB_MSG_183_MSG "%s"
#define ER_IB_MSG_184_MSG "%s"
#define ER_IB_MSG_185_MSG "%s"
#define ER_IB_MSG_186_MSG "%s"
#define ER_IB_MSG_187_MSG "%s"
#define ER_IB_MSG_188_MSG "%s"
#define ER_IB_MSG_189_MSG "%s"
#define ER_IB_MSG_190_MSG "%s"
#define ER_IB_MSG_191_MSG "%s"
#define ER_IB_MSG_192_MSG "%s"
#define ER_IB_MSG_193_MSG "%s"
#define ER_IB_MSG_194_MSG "%s"
#define ER_IB_MSG_195_MSG "%s"
#define ER_IB_MSG_196_MSG "%s"
#define ER_IB_MSG_197_MSG "%s"
#define ER_IB_MSG_198_MSG "%s"
#define ER_IB_MSG_199_MSG "%s"
#define ER_IB_MSG_200_MSG "%s"
#define ER_IB_MSG_201_MSG "%s"
#define ER_IB_MSG_202_MSG "%s"
#define ER_IB_MSG_203_MSG "%s"
#define ER_IB_MSG_204_MSG "%s"
#define ER_IB_MSG_205_MSG "%s"
#define ER_IB_MSG_206_MSG "%s"
#define ER_IB_MSG_207_MSG "%s"
#define ER_IB_MSG_208_MSG "%s"
#define ER_IB_MSG_209_MSG "%s"
#define ER_IB_MSG_210_MSG "%s"
#define ER_IB_MSG_211_MSG "%s"
#define ER_IB_MSG_212_MSG "%s"
#define ER_IB_MSG_213_MSG "%s"
#define ER_IB_MSG_214_MSG "%s"
#define ER_IB_MSG_215_MSG "%s"
#define ER_IB_MSG_216_MSG "%s"
#define ER_IB_MSG_217_MSG "%s"
#define ER_IB_MSG_218_MSG "%s"
#define ER_IB_MSG_219_MSG "%s"
#define ER_IB_MSG_220_MSG "%s"
#define ER_IB_MSG_221_MSG "%s"
#define ER_IB_MSG_222_MSG "%s"
#define ER_IB_MSG_223_MSG "%s"
#define ER_IB_MSG_224_MSG "%s"
#define ER_IB_MSG_225_MSG "%s"
#define ER_IB_MSG_226_MSG "%s"
#define ER_IB_MSG_227_MSG "%s"
#define ER_IB_MSG_228_MSG "%s"
#define ER_IB_MSG_229_MSG "%s"
#define ER_IB_MSG_230_MSG "%s"
#define ER_IB_MSG_231_MSG "%s"
#define ER_IB_MSG_232_MSG "%s"
#define ER_IB_MSG_233_MSG "%s"
#define ER_IB_MSG_234_MSG "%s"
#define ER_IB_MSG_235_MSG "%s"
#define ER_IB_MSG_236_MSG "%s"
#define ER_IB_MSG_237_MSG "%s"
#define ER_IB_MSG_238_MSG "%s"
#define ER_IB_MSG_239_MSG "%s"
#define ER_IB_MSG_240_MSG "%s"
#define ER_IB_MSG_241_MSG "%s"
#define ER_IB_MSG_242_MSG "%s"
#define ER_IB_MSG_243_MSG "%s"
#define ER_IB_MSG_244_MSG "%s"
#define ER_IB_MSG_245_MSG "%s"
#define ER_IB_MSG_246_MSG "%s"
#define ER_IB_MSG_247_MSG "%s"
#define ER_IB_MSG_248_MSG "%s"
#define ER_IB_MSG_249_MSG "%s"
#define ER_IB_MSG_250_MSG "%s"
#define ER_IB_MSG_251_MSG "%s"
#define ER_IB_MSG_252_MSG "%s"
#define ER_IB_MSG_253_MSG "%s"
#define ER_IB_MSG_254_MSG "%s"
#define ER_IB_MSG_255_MSG "%s"
#define ER_IB_MSG_256_MSG "%s"
#define ER_IB_MSG_257_MSG "%s"
#define ER_IB_MSG_258_MSG "%s"
#define ER_IB_MSG_259_MSG "%s"
#define ER_IB_MSG_260_MSG "%s"
#define ER_IB_MSG_261_MSG "%s"
#define ER_IB_MSG_262_MSG "%s"
#define ER_IB_MSG_263_MSG "%s"
#define ER_IB_MSG_264_MSG "%s"
#define ER_IB_MSG_265_MSG "%s"
#define ER_IB_MSG_266_MSG "%s"
#define ER_IB_MSG_267_MSG "%s"
#define ER_IB_MSG_268_MSG "%s"
#define ER_IB_MSG_269_MSG "%s"
#define ER_IB_MSG_270_MSG "%s"
#define ER_IB_MSG_271_MSG "%s"
#define ER_IB_MSG_272_MSG "Table flags are 0x%lx in the data dictionary but the flags in file %s  are 0x%llx!"
#define ER_IB_MSG_273_MSG "Can\'t read encryption key from file %s!"
#define ER_IB_MSG_274_MSG "Cannot close file %s, because n_pending_flushes %zu"
#define ER_IB_MSG_275_MSG "Cannot close file %s, because modification count %lld != flush count %lld"
#define ER_IB_MSG_276_MSG "Cannot close file %s, because it is in use"
#define ER_IB_MSG_277_MSG "Open file list len in shard %zu is %llu"
#define ER_IB_MSG_278_MSG "Tablespace %s, waiting for IO to stop for %lld seconds"
#define ER_IB_MSG_279_MSG "%s"
#define ER_IB_MSG_280_MSG "%s"
#define ER_IB_MSG_281_MSG "%s"
#define ER_IB_MSG_282_MSG "%s"
#define ER_IB_MSG_283_MSG "%s"
#define ER_IB_MSG_284_MSG "You must raise the value of innodb_open_files in my.cnf! Remember that InnoDB keeps all log files and all system tablespace files open for the whole time mysqld is running, and needs to open also some .ibd files if the file-per-table storage model is used. Current open files %zu, max allowed open files %zu."
#define ER_IB_MSG_285_MSG "Max tablespace id is too high, %lu"
#define ER_IB_MSG_286_MSG "Trying to access missing tablespace %lu"
#define ER_IB_MSG_287_MSG "Trying to close/delete tablespace \'%s\' but there are %lu pending operations on it."
#define ER_IB_MSG_288_MSG "Trying to delete/close tablespace \'%s\' but there are %lu flushes and %zu pending I/O\'s on it."
#define ER_IB_MSG_289_MSG "%s"
#define ER_IB_MSG_291_MSG "While deleting tablespace %lu in DISCARD TABLESPACE. File rename/delete failed: %s"
#define ER_IB_MSG_292_MSG "Cannot delete tablespace %lu in DISCARD TABLESPACE: %s"
#define ER_IB_MSG_293_MSG "Cannot rename \'%s\' to \'%s\' for space ID %lu because the source file does not exist."
#define ER_IB_MSG_294_MSG "Cannot rename \'%s\' to \'%s\' for space ID %lu because the target file exists. Remove the target file and try again."
#define ER_IB_MSG_295_MSG "Cannot rename file \'%s\' (space id %lu) retried %llu times. There are either pending IOs or flushes or the file is being extended."
#define ER_IB_MSG_296_MSG "Cannot find space id %lu in the tablespace memory cache, though the file \'%s\' in a rename operation should have that ID."
#define ER_IB_MSG_297_MSG "Rename waiting for IO to resume"
#define ER_IB_MSG_298_MSG "Cannot find tablespace for \'%s\' in the tablespace memory cache"
#define ER_IB_MSG_299_MSG "Cannot find tablespace for \'%s\' in the tablespace memory cache"
#define ER_IB_MSG_300_MSG "Tablespace \'%s\' is already in the tablespace memory cache"
#define ER_IB_MSG_301_MSG "Cannot create file \'%s\'"
#define ER_IB_MSG_UNEXPECTED_FILE_EXISTS_MSG "The file \'%s\' already exists though the corresponding table did not exist. Have you moved InnoDB .ibd files around without using the SQL commands DISCARD TABLESPACE and IMPORT TABLESPACE, or did mysqld crash in the middle of CREATE TABLE? You can resolve the problem by removing the file \'%s\' under the \'datadir\' of MySQL."
#define ER_IB_MSG_303_MSG "posix_fallocate(): Failed to preallocate data for file %s, desired size %llu Operating system error number %d - %s. Check that the disk is not full or a disk quota exceeded. Make sure the file system supports this function. Refer to your operating system documentation for operating system error code information."
#define ER_IB_MSG_304_MSG "Could not write the first page to tablespace \'%s\'"
#define ER_IB_MSG_305_MSG "File flush of tablespace \'%s\' failed"
#define ER_IB_MSG_306_MSG "Could not find a valid tablespace file for `%s`. %s"
#define ER_IB_MSG_307_MSG "Ignoring data file \'%s\' with space ID %lu. Another data file called \'%s\' exists with the same space ID"
#define ER_IB_MSG_308_MSG "%s"
#define ER_IB_MSG_309_MSG "%s"
#define ER_IB_MSG_310_MSG "%s"
#define ER_IB_MSG_311_MSG "%s"
#define ER_IB_MSG_312_MSG "Can\'t set encryption information for tablespace %s!"
#define ER_IB_MSG_313_MSG "%s"
#define ER_IB_MSG_314_MSG "%s"
#define ER_IB_MSG_315_MSG "%s"
#define ER_IB_MSG_316_MSG "%s"
#define ER_IB_MSG_317_MSG "%s"
#define ER_IB_MSG_318_MSG "%s"
#define ER_IB_MSG_319_MSG "%s"
#define ER_IB_MSG_320_MSG "%s"
#define ER_IB_MSG_321_MSG "%s"
#define ER_IB_MSG_322_MSG "%s"
#define ER_IB_MSG_323_MSG "%s"
#define ER_IB_MSG_324_MSG "%s"
#define ER_IB_MSG_325_MSG "%s"
#define ER_IB_MSG_326_MSG "%s"
#define ER_IB_MSG_327_MSG "%s"
#define ER_IB_MSG_328_MSG "%s"
#define ER_IB_MSG_329_MSG "%s"
#define ER_IB_MSG_330_MSG "%s"
#define ER_IB_MSG_331_MSG "%s"
#define ER_IB_MSG_332_MSG "%s"
#define ER_IB_MSG_333_MSG "%s"
#define ER_IB_MSG_334_MSG "%s"
#define ER_IB_MSG_335_MSG "%s"
#define ER_IB_MSG_336_MSG "%s"
#define ER_IB_MSG_337_MSG "%s"
#define ER_IB_MSG_338_MSG "%s"
#define ER_IB_MSG_339_MSG "%s"
#define ER_IB_MSG_340_MSG "%s"
#define ER_IB_MSG_341_MSG "%s"
#define ER_IB_MSG_342_MSG "%s"
#define ER_IB_MSG_343_MSG "%s"
#define ER_IB_MSG_344_MSG "%s"
#define ER_IB_MSG_345_MSG "%s"
#define ER_IB_MSG_346_MSG "%s"
#define ER_IB_MSG_347_MSG "%s"
#define ER_IB_MSG_348_MSG "%s"
#define ER_IB_MSG_349_MSG "%s"
#define ER_IB_MSG_350_MSG "%s"
#define ER_IB_MSG_UNPROTECTED_LOCATION_ALLOWED_MSG "The datafile \'%s\' for tablespace %s is in an unprotected location. This file cannot be recovered after a crash until this location is added to innodb_directories."
#define ER_IB_MSG_354_MSG "%s"
#define ER_IB_MSG_355_MSG "%s"
#define ER_IB_MSG_356_MSG "%s"
#define ER_IB_MSG_357_MSG "%s"
#define ER_IB_MSG_358_MSG "%s"
#define ER_IB_MSG_359_MSG "%s"
#define ER_IB_MSG_360_MSG "%s"
#define ER_IB_MSG_361_MSG "%s"
#define ER_IB_MSG_362_MSG "%s"
#define ER_IB_MSG_364_MSG "%s"
#define ER_IB_MSG_365_MSG "%s"
#define ER_IB_MSG_IGNORE_SCAN_PATH_MSG "Scan path \'%s\' is ignored because %s"
#define ER_IB_MSG_367_MSG "%s"
#define ER_IB_MSG_368_MSG "%s"
#define ER_IB_MSG_369_MSG "%s"
#define ER_IB_MSG_370_MSG "%s"
#define ER_IB_MSG_371_MSG "%s"
#define ER_IB_MSG_372_MSG "%s"
#define ER_IB_MSG_373_MSG "%s"
#define ER_IB_MSG_374_MSG "%s"
#define ER_IB_MSG_375_MSG "%s"
#define ER_IB_MSG_376_MSG "%s"
#define ER_IB_MSG_377_MSG "%s"
#define ER_IB_MSG_378_MSG "%s"
#define ER_IB_MSG_379_MSG "%s"
#define ER_IB_MSG_380_MSG "%s"
#define ER_IB_MSG_381_MSG "%s"
#define ER_IB_MSG_382_MSG "%s"
#define ER_IB_MSG_383_MSG "%s"
#define ER_IB_MSG_384_MSG "%s"
#define ER_IB_MSG_385_MSG "%s"
#define ER_IB_MSG_386_MSG "%s"
#define ER_IB_MSG_387_MSG "%s"
#define ER_IB_MSG_GENERAL_TABLESPACE_UNDER_DATADIR_MSG "A general tablespace cannot be located under the datadir. Cannot open file \'%s\'."
#define ER_IB_MSG_IMPLICIT_TABLESPACE_IN_DATADIR_MSG "A file-per-table tablespace cannot be located in the datadir. Cannot open file \'%s\'."
#define ER_IB_MSG_390_MSG "%s"
#define ER_IB_MSG_391_MSG "%s"
#define ER_IB_MSG_392_MSG "%s"
#define ER_IB_MSG_393_MSG "%s"
#define ER_IB_MSG_394_MSG "%s"
#define ER_IB_MSG_395_MSG "%s"
#define ER_IB_MSG_396_MSG "%s"
#define ER_IB_MSG_397_MSG "%s"
#define ER_IB_MSG_398_MSG "%s"
#define ER_IB_MSG_399_MSG "%s"
#define ER_IB_MSG_401_MSG "%s"
#define ER_IB_MSG_402_MSG "%s"
#define ER_IB_MSG_403_MSG "%s"
#define ER_IB_MSG_404_MSG "%s"
#define ER_IB_MSG_405_MSG "%s"
#define ER_IB_MSG_406_MSG "%s"
#define ER_IB_MSG_407_MSG "%s"
#define ER_IB_MSG_408_MSG "%s"
#define ER_IB_MSG_409_MSG "%s"
#define ER_IB_MSG_410_MSG "%s"
#define ER_IB_MSG_411_MSG "%s"
#define ER_IB_MSG_412_MSG "%s"
#define ER_IB_MSG_413_MSG "%s"
#define ER_IB_MSG_414_MSG "%s"
#define ER_IB_MSG_415_MSG "%s"
#define ER_IB_MSG_416_MSG "%s"
#define ER_IB_MSG_417_MSG "%s"
#define ER_IB_MSG_418_MSG "%s"
#define ER_IB_MSG_419_MSG "%s"
#define ER_IB_MSG_420_MSG "%s"
#define ER_IB_MSG_421_MSG "%s"
#define ER_IB_MSG_422_MSG "%s"
#define ER_IB_MSG_423_MSG "%s"
#define ER_IB_MSG_424_MSG "%s"
#define ER_IB_MSG_425_MSG "%s"
#define ER_IB_MSG_426_MSG "%s"
#define ER_IB_MSG_427_MSG "%s"
#define ER_IB_MSG_428_MSG "%s"
#define ER_IB_MSG_429_MSG "%s"
#define ER_IB_MSG_430_MSG "%s"
#define ER_IB_MSG_431_MSG "%s"
#define ER_IB_MSG_432_MSG "%s"
#define ER_IB_MSG_433_MSG "%s"
#define ER_IB_MSG_434_MSG "%s"
#define ER_IB_MSG_435_MSG "%s"
#define ER_IB_MSG_436_MSG "%s"
#define ER_IB_MSG_437_MSG "%s"
#define ER_IB_MSG_438_MSG "%s"
#define ER_IB_MSG_439_MSG "%s"
#define ER_IB_MSG_440_MSG "%s"
#define ER_IB_MSG_441_MSG "%s"
#define ER_IB_MSG_442_MSG "%s"
#define ER_IB_MSG_443_MSG "%s"
#define ER_IB_MSG_444_MSG "%s"
#define ER_IB_MSG_445_MSG "%s"
#define ER_IB_MSG_446_MSG "%s"
#define ER_IB_MSG_447_MSG "%s"
#define ER_IB_MSG_448_MSG "%s"
#define ER_IB_MSG_449_MSG "%s"
#define ER_IB_MSG_450_MSG "%s"
#define ER_IB_MSG_451_MSG "%s"
#define ER_IB_MSG_452_MSG "%s"
#define ER_IB_MSG_453_MSG "%s"
#define ER_IB_MSG_454_MSG "%s"
#define ER_IB_MSG_455_MSG "%s"
#define ER_IB_MSG_456_MSG "%s"
#define ER_IB_MSG_457_MSG "%s"
#define ER_IB_MSG_458_MSG "%s"
#define ER_IB_MSG_459_MSG "%s"
#define ER_IB_MSG_460_MSG "%s"
#define ER_IB_MSG_461_MSG "%s"
#define ER_IB_MSG_462_MSG "%s"
#define ER_IB_MSG_463_MSG "%s"
#define ER_IB_MSG_464_MSG "%s"
#define ER_IB_MSG_465_MSG "%s"
#define ER_IB_MSG_466_MSG "%s"
#define ER_IB_MSG_467_MSG "%s"
#define ER_IB_MSG_468_MSG "%s"
#define ER_IB_MSG_469_MSG "%s"
#define ER_IB_MSG_470_MSG "%s"
#define ER_IB_MSG_471_MSG "%s"
#define ER_IB_MSG_472_MSG "%s"
#define ER_IB_MSG_473_MSG "%s"
#define ER_IB_MSG_474_MSG "%s"
#define ER_IB_MSG_475_MSG "%s"
#define ER_IB_MSG_476_MSG "%s"
#define ER_IB_MSG_477_MSG "%s"
#define ER_IB_MSG_478_MSG "%s"
#define ER_IB_MSG_479_MSG "%s"
#define ER_IB_MSG_480_MSG "%s"
#define ER_IB_MSG_481_MSG "%s"
#define ER_IB_MSG_482_MSG "%s"
#define ER_IB_MSG_483_MSG "%s"
#define ER_IB_MSG_484_MSG "%s"
#define ER_IB_MSG_485_MSG "%s"
#define ER_IB_MSG_486_MSG "%s"
#define ER_IB_MSG_487_MSG "%s"
#define ER_IB_MSG_488_MSG "%s"
#define ER_IB_MSG_489_MSG "%s"
#define ER_IB_MSG_490_MSG "%s"
#define ER_IB_MSG_491_MSG "%s"
#define ER_IB_MSG_492_MSG "%s"
#define ER_IB_MSG_493_MSG "%s"
#define ER_IB_MSG_494_MSG "%s"
#define ER_IB_MSG_495_MSG "%s"
#define ER_IB_MSG_496_MSG "%s"
#define ER_IB_MSG_497_MSG "%s"
#define ER_IB_MSG_498_MSG "%s"
#define ER_IB_MSG_499_MSG "%s"
#define ER_IB_MSG_500_MSG "%s"
#define ER_IB_MSG_501_MSG "%s"
#define ER_IB_MSG_502_MSG "%s"
#define ER_IB_MSG_503_MSG "%s"
#define ER_IB_MSG_504_MSG "%s"
#define ER_IB_MSG_505_MSG "%s"
#define ER_IB_MSG_506_MSG "%s"
#define ER_IB_MSG_507_MSG "%s"
#define ER_IB_MSG_508_MSG "%s"
#define ER_IB_MSG_509_MSG "%s"
#define ER_IB_MSG_510_MSG "%s"
#define ER_IB_MSG_511_MSG "%s"
#define ER_IB_MSG_512_MSG "%s"
#define ER_IB_MSG_513_MSG "%s"
#define ER_IB_MSG_514_MSG "%s"
#define ER_IB_MSG_515_MSG "%s"
#define ER_IB_MSG_516_MSG "%s"
#define ER_IB_MSG_517_MSG "%s"
#define ER_IB_MSG_518_MSG "%s"
#define ER_IB_MSG_519_MSG "%s"
#define ER_IB_MSG_520_MSG "%s"
#define ER_IB_MSG_521_MSG "%s"
#define ER_IB_MSG_522_MSG "%s"
#define ER_IB_MSG_523_MSG "%s"
#define ER_IB_MSG_524_MSG "%s"
#define ER_IB_MSG_525_MSG "%s"
#define ER_IB_MSG_526_MSG "%s"
#define ER_IB_MSG_527_MSG "%s"
#define ER_IB_MSG_530_MSG "%s"
#define ER_IB_MSG_531_MSG "%s"
#define ER_IB_MSG_532_MSG "%s"
#define ER_IB_MSG_533_MSG "%s"
#define ER_IB_MSG_534_MSG "%s"
#define ER_IB_MSG_535_MSG "%s"
#define ER_IB_MSG_536_MSG "%s"
#define ER_IB_MSG_537_MSG "%s"
#define ER_IB_MSG_538_MSG "%s"
#define ER_IB_MSG_539_MSG "%s"
#define ER_IB_MSG_540_MSG "%s"
#define ER_IB_MSG_541_MSG "%s"
#define ER_IB_MSG_542_MSG "%s"
#define ER_IB_MSG_543_MSG "%s"
#define ER_IB_MSG_544_MSG "%s"
#define ER_IB_MSG_545_MSG "%s"
#define ER_IB_MSG_546_MSG "%s"
#define ER_IB_MSG_547_MSG "%s"
#define ER_IB_MSG_548_MSG "%s"
#define ER_IB_MSG_549_MSG "%s"
#define ER_IB_MSG_550_MSG "%s"
#define ER_IB_MSG_551_MSG "%s"
#define ER_IB_MSG_552_MSG "%s"
#define ER_IB_MSG_553_MSG "%s"
#define ER_IB_MSG_554_MSG "%s"
#define ER_IB_MSG_555_MSG "%s"
#define ER_IB_MSG_556_MSG "%s"
#define ER_IB_MSG_557_MSG "%s"
#define ER_IB_MSG_558_MSG "%s"
#define ER_IB_MSG_559_MSG "%s"
#define ER_IB_MSG_560_MSG "%s"
#define ER_IB_MSG_561_MSG "%s"
#define ER_IB_MSG_562_MSG "%s"
#define ER_IB_MSG_563_MSG "%s"
#define ER_IB_MSG_564_MSG "%s"
#define ER_IB_MSG_INVALID_LOCATION_FOR_TABLE_MSG "Cannot create a tablespace for table %s because the directory is not a valid location. %s"
#define ER_IB_MSG_566_MSG "%s"
#define ER_IB_MSG_567_MSG "%s"
#define ER_IB_MSG_568_MSG "%s"
#define ER_IB_MSG_569_MSG "%s"
#define ER_IB_MSG_570_MSG "%s"
#define ER_IB_MSG_571_MSG "%s"
#define ER_IB_MSG_573_MSG "%s"
#define ER_IB_MSG_574_MSG "%s"
#define ER_IB_MSG_578_MSG "%s"
#define ER_IB_MSG_579_MSG "%s"
#define ER_IB_MSG_580_MSG "%s"
#define ER_IB_MSG_581_MSG "%s"
#define ER_IB_MSG_582_MSG "%s"
#define ER_IB_MSG_583_MSG "%s"
#define ER_IB_MSG_584_MSG "%s"
#define ER_IB_MSG_585_MSG "%s"
#define ER_IB_MSG_586_MSG "%s"
#define ER_IB_MSG_587_MSG "%s"
#define ER_IB_MSG_588_MSG "%s"
#define ER_IB_MSG_589_MSG "%s"
#define ER_IB_MSG_590_MSG "%s"
#define ER_IB_MSG_591_MSG "%s"
#define ER_IB_MSG_592_MSG "%s"
#define ER_IB_MSG_593_MSG "%s"
#define ER_IB_MSG_594_MSG "%s"
#define ER_IB_MSG_595_MSG "%s"
#define ER_IB_MSG_596_MSG "%s"
#define ER_IB_MSG_597_MSG "%s"
#define ER_IB_MSG_598_MSG "%s"
#define ER_IB_MSG_599_MSG "%s"
#define ER_IB_MSG_600_MSG "%s"
#define ER_IB_MSG_601_MSG "%s"
#define ER_IB_MSG_602_MSG "%s"
#define ER_IB_MSG_603_MSG "%s"
#define ER_IB_MSG_604_MSG "%s"
#define ER_IB_MSG_605_MSG "%s"
#define ER_IB_MSG_606_MSG "%s"
#define ER_IB_MSG_607_MSG "%s"
#define ER_IB_MSG_608_MSG "%s"
#define ER_IB_MSG_609_MSG "%s"
#define ER_IB_MSG_610_MSG "%s"
#define ER_IB_MSG_611_MSG "%s"
#define ER_IB_MSG_612_MSG "%s"
#define ER_IB_MSG_613_MSG "%s"
#define ER_IB_MSG_614_MSG "%s"
#define ER_IB_MSG_615_MSG "%s"
#define ER_IB_MSG_616_MSG "%s"
#define ER_IB_MSG_617_MSG "%s"
#define ER_IB_MSG_618_MSG "%s"
#define ER_IB_MSG_619_MSG "%s"
#define ER_IB_MSG_620_MSG "%s"
#define ER_IB_MSG_621_MSG "%s"
#define ER_IB_MSG_622_MSG "%s"
#define ER_IB_MSG_623_MSG "%s"
#define ER_IB_MSG_624_MSG "%s"
#define ER_IB_MSG_625_MSG "%s"
#define ER_IB_MSG_626_MSG "%s"
#define ER_IB_MSG_627_MSG "%s"
#define ER_IB_MSG_628_MSG "%s"
#define ER_IB_MSG_629_MSG "%s"
#define ER_IB_MSG_630_MSG "%s"
#define ER_IB_MSG_631_MSG "%s"
#define ER_IB_MSG_632_MSG "%s"
#define ER_IB_MSG_633_MSG "%s"
#define ER_IB_MSG_634_MSG "%s"
#define ER_IB_MSG_635_MSG "%s"
#define ER_IB_MSG_636_MSG "%s"
#define ER_IB_MSG_637_MSG "%s"
#define ER_IB_MSG_638_MSG "%s"
#define ER_IB_MSG_639_MSG "%s"
#define ER_IB_MSG_642_MSG "%s"
#define ER_IB_MSG_643_MSG "%s"
#define ER_IB_MSG_644_MSG "%s"
#define ER_IB_MSG_645_MSG "%s"
#define ER_IB_MSG_646_MSG "%s"
#define ER_IB_MSG_647_MSG "%s"
#define ER_IB_MSG_648_MSG "%s"
#define ER_IB_MSG_649_MSG "%s"
#define ER_IB_MSG_650_MSG "%s"
#define ER_IB_MSG_651_MSG "%s"
#define ER_IB_MSG_652_MSG "%s"
#define ER_IB_MSG_DDL_LOG_DELETE_BY_ID_OK_MSG "%s"
#define ER_IB_MSG_654_MSG "%s"
#define ER_IB_MSG_655_MSG "%s"
#define ER_IB_MSG_656_MSG "%s"
#define ER_IB_MSG_657_MSG "%s"
#define ER_IB_MSG_658_MSG "%s"
#define ER_IB_MSG_659_MSG "%s"
#define ER_IB_MSG_660_MSG "%s"
#define ER_IB_MSG_661_MSG "%s"
#define ER_IB_MSG_662_MSG "%s"
#define ER_IB_MSG_663_MSG "%s"
#define ER_IB_MSG_694_MSG "############### CORRUPT LOG RECORD FOUND ###############"
#define ER_IB_MSG_695_MSG "Log record type %d, page %lu:%lu. Log parsing proceeded successfully up to %llu. Previous log record type %d, is multi %llu Recv offset %zd, prev %llu"
#define ER_IB_MSG_696_MSG "Hex dump starting %llu bytes before and ending %llu bytes after the corrupted record:"
#define ER_IB_MSG_697_MSG "Set innodb_force_recovery to ignore this error."
#define ER_IB_MSG_698_MSG "The log file may have been corrupt and it is possible that the log scan did not proceed far enough in recovery! Please run CHECK TABLE on your InnoDB tables to check that they are ok! If mysqld crashes after this recovery; %s"
#define ER_IB_MSG_699_MSG "%llu pages with log records were left unprocessed!"
#define ER_IB_MSG_700_MSG "%s"
#define ER_IB_MSG_701_MSG "%s"
#define ER_IB_MSG_704_MSG "Redo log format is v%lu. The redo log was created before MySQL 8.0.3."
#define ER_IB_MSG_705_MSG "Unknown redo log format (%lu). Please follow the instructions at %s upgrading-downgrading.html."
#define ER_IB_MSG_706_MSG "No valid checkpoint found (corrupted redo log). You can try --innodb-force-recovery=6 as a last resort."
#define ER_IB_MSG_707_MSG "Applying a batch of %llu redo log records ..."
#define ER_IB_MSG_708_MSG "%s"
#define ER_IB_MSG_709_MSG "%s"
#define ER_IB_MSG_710_MSG "Apply batch completed!"
#define ER_IB_MSG_711_MSG "%s"
#define ER_IB_MSG_712_MSG "%s"
#define ER_IB_MSG_713_MSG "%s"
#define ER_IB_MSG_714_MSG "%s"
#define ER_IB_MSG_715_MSG "%s"
#define ER_IB_MSG_716_MSG "%s"
#define ER_IB_MSG_717_MSG "An optimized(without redo logging) DDL operation has been performed. All modified pages may not have been flushed to the disk yet.\nThis offline backup may not be consistent"
#define ER_IB_MSG_718_MSG "Extending tablespace : %lu space name: %s to new size: %lu pages during recovery."
#define ER_IB_MSG_719_MSG "Could not extend tablespace: %lu space name: %s to new size: %lu pages during recovery."
#define ER_IB_MSG_720_MSG "Log block %llu at lsn %llu has valid header, but checksum field contains %lu, should be %lu."
#define ER_IB_MSG_721_MSG "Recovery skipped, --innodb-read-only set!"
#define ER_IB_MSG_722_MSG "Log scan progressed past the checkpoint LSN %llu."
#define ER_IB_MSG_723_MSG "Log parsing buffer overflow. Recovery may have failed! Please set log_buffer_size to a value higher than %lu."
#define ER_IB_MSG_724_MSG "Set innodb_force_recovery to ignore this error."
#define ER_IB_MSG_725_MSG "Doing recovery: scanned up to log sequence number %llu"
#define ER_IB_MSG_726_MSG "Database was not shutdown normally!"
#define ER_IB_MSG_727_MSG "Starting crash recovery."
#define ER_IB_MSG_728_MSG "The user has set SRV_FORCE_NO_LOG_REDO on, skipping log redo"
#define ER_IB_MSG_729_MSG "Cannot restore from mysqlbackup, InnoDB running in read-only mode!"
#define ER_IB_MSG_730_MSG "The log file was created by mysqlbackup --apply-log at %s. The following crash recovery is part of a normal restore."
#define ER_IB_MSG_731_MSG "Opening cloned database"
#define ER_IB_MSG_732_MSG "Redo log is from an earlier version, v%lu."
#define ER_IB_MSG_733_MSG "Redo log format v%lu not supported. Current supported format is v%lu."
#define ER_IB_MSG_734_MSG "Are you sure you are using the right ib_logfiles to start up the database? Log sequence number in the ib_logfiles is %llu, less than the log sequence number in the first system tablespace file header, %llu."
#define ER_IB_MSG_735_MSG "The log sequence number %llu in the system tablespace does not match the log sequence number %llu in the ib_logfiles!"
#define ER_IB_MSG_736_MSG "Can\'t initiate database recovery, running in read-only-mode."
#define ER_IB_MSG_737_MSG "We scanned the log up to %llu. A checkpoint was at %llu and the maximum LSN on a database page was %llu. It is possible that the database is now corrupt!"
#define ER_IB_MSG_738_MSG "Waiting for recv_writer to finish flushing of buffer pool"
#define ER_IB_MSG_739_MSG "Recovery parsing buffer extended to %zu."
#define ER_IB_MSG_740_MSG "Out of memory while resizing recovery parsing buffer."
#define ER_IB_MSG_741_MSG "%s"
#define ER_IB_MSG_742_MSG "%s"
#define ER_IB_MSG_743_MSG "%s"
#define ER_IB_MSG_744_MSG "%s"
#define ER_IB_MSG_745_MSG "%s"
#define ER_IB_MSG_746_MSG "%s"
#define ER_IB_MSG_747_MSG "%s"
#define ER_IB_MSG_748_MSG "%s"
#define ER_IB_MSG_749_MSG "%s"
#define ER_IB_MSG_750_MSG "%s"
#define ER_IB_MSG_751_MSG "%s"
#define ER_IB_MSG_752_MSG "%s"
#define ER_IB_MSG_753_MSG "%s"
#define ER_IB_MSG_754_MSG "%s"
#define ER_IB_MSG_755_MSG "%s"
#define ER_IB_MSG_756_MSG "%s"
#define ER_IB_MSG_757_MSG "%s"
#define ER_IB_MSG_758_MSG "%s"
#define ER_IB_MSG_759_MSG "%s"
#define ER_IB_MSG_760_MSG "%s"
#define ER_IB_MSG_761_MSG "%s"
#define ER_IB_MSG_762_MSG "%s"
#define ER_IB_MSG_763_MSG "%s"
#define ER_IB_MSG_764_MSG "%s"
#define ER_IB_MSG_765_MSG "%s"
#define ER_IB_MSG_766_MSG "%s"
#define ER_IB_MSG_767_MSG "%s"
#define ER_IB_MSG_768_MSG "%s"
#define ER_IB_MSG_769_MSG "%s"
#define ER_IB_MSG_770_MSG "%s"
#define ER_IB_MSG_771_MSG "%s"
#define ER_IB_MSG_772_MSG "%s"
#define ER_IB_MSG_773_MSG "%s"
#define ER_IB_MSG_774_MSG "%s"
#define ER_IB_MSG_775_MSG "%s"
#define ER_IB_MSG_776_MSG "%s"
#define ER_IB_MSG_777_MSG "%s"
#define ER_IB_MSG_778_MSG "%s"
#define ER_IB_MSG_779_MSG "%s"
#define ER_IB_MSG_780_MSG "%s"
#define ER_IB_MSG_781_MSG "%s"
#define ER_IB_MSG_782_MSG "%s"
#define ER_IB_MSG_783_MSG "%s"
#define ER_IB_MSG_784_MSG "%s"
#define ER_IB_MSG_785_MSG "%s"
#define ER_IB_MSG_786_MSG "%s"
#define ER_IB_MSG_787_MSG "%s"
#define ER_IB_MSG_788_MSG "%s"
#define ER_IB_MSG_789_MSG "%s"
#define ER_IB_MSG_790_MSG "%s"
#define ER_IB_MSG_791_MSG "%s"
#define ER_IB_MSG_792_MSG "%s"
#define ER_IB_MSG_793_MSG "%s"
#define ER_IB_MSG_794_MSG "%s"
#define ER_IB_MSG_795_MSG "%s"
#define ER_IB_MSG_796_MSG "%s"
#define ER_IB_MSG_797_MSG "%s"
#define ER_IB_MSG_798_MSG "%s"
#define ER_IB_MSG_799_MSG "%s"
#define ER_IB_MSG_800_MSG "%s"
#define ER_IB_MSG_801_MSG "%s"
#define ER_IB_MSG_802_MSG "%s"
#define ER_IB_MSG_803_MSG "%s"
#define ER_IB_MSG_804_MSG "%s"
#define ER_IB_MSG_805_MSG "%s"
#define ER_IB_MSG_806_MSG "%s"
#define ER_IB_MSG_807_MSG "%s"
#define ER_IB_MSG_808_MSG "%s"
#define ER_IB_MSG_809_MSG "%s"
#define ER_IB_MSG_810_MSG "%s"
#define ER_IB_MSG_811_MSG "%s"
#define ER_IB_MSG_812_MSG "%s"
#define ER_IB_MSG_813_MSG "%s"
#define ER_IB_MSG_814_MSG "%s"
#define ER_IB_MSG_815_MSG "%s"
#define ER_IB_MSG_816_MSG "%s"
#define ER_IB_MSG_817_MSG "%s"
#define ER_IB_MSG_818_MSG "%s"
#define ER_IB_MSG_819_MSG "%s"
#define ER_IB_MSG_820_MSG "%s"
#define ER_IB_MSG_821_MSG "%s"
#define ER_IB_MSG_822_MSG "%s"
#define ER_IB_MSG_823_MSG "%s"
#define ER_IB_MSG_824_MSG "%s"
#define ER_IB_MSG_825_MSG "%s"
#define ER_IB_MSG_826_MSG "%s"
#define ER_IB_MSG_827_MSG "%s"
#define ER_IB_MSG_828_MSG "%s"
#define ER_IB_MSG_829_MSG "%s"
#define ER_IB_MSG_830_MSG "%s"
#define ER_IB_MSG_831_MSG "%s"
#define ER_IB_MSG_832_MSG "%s"
#define ER_IB_MSG_833_MSG "%s"
#define ER_IB_MSG_834_MSG "%s"
#define ER_IB_MSG_835_MSG "%s"
#define ER_IB_MSG_836_MSG "%s"
#define ER_IB_MSG_837_MSG "%s"
#define ER_IB_MSG_838_MSG "%s"
#define ER_IB_MSG_839_MSG "%s"
#define ER_IB_MSG_840_MSG "%s"
#define ER_IB_MSG_841_MSG "%s"
#define ER_IB_MSG_842_MSG "%s"
#define ER_IB_MSG_843_MSG "%s"
#define ER_IB_MSG_844_MSG "%s"
#define ER_IB_MSG_845_MSG "%s"
#define ER_IB_MSG_846_MSG "%s"
#define ER_IB_MSG_847_MSG "%s"
#define ER_IB_MSG_848_MSG "%s"
#define ER_IB_MSG_849_MSG "%s"
#define ER_IB_MSG_850_MSG "%s"
#define ER_IB_MSG_851_MSG "%s"
#define ER_IB_MSG_852_MSG "%s"
#define ER_IB_MSG_853_MSG "%s"
#define ER_IB_MSG_854_MSG "%s"
#define ER_IB_MSG_855_MSG "%s"
#define ER_IB_MSG_856_MSG "%s"
#define ER_IB_MSG_857_MSG "%s"
#define ER_IB_MSG_858_MSG "%s"
#define ER_IB_MSG_859_MSG "%s"
#define ER_IB_MSG_860_MSG "%s"
#define ER_IB_MSG_861_MSG "%s"
#define ER_IB_MSG_862_MSG "%s"
#define ER_IB_MSG_863_MSG "%s"
#define ER_IB_MSG_864_MSG "%s"
#define ER_IB_MSG_865_MSG "%s"
#define ER_IB_MSG_866_MSG "%s"
#define ER_IB_MSG_867_MSG "%s"
#define ER_IB_MSG_868_MSG "%s"
#define ER_IB_MSG_869_MSG "%s"
#define ER_IB_MSG_870_MSG "%s"
#define ER_IB_MSG_871_MSG "%s"
#define ER_IB_MSG_872_MSG "%s"
#define ER_IB_MSG_873_MSG "%s"
#define ER_IB_MSG_874_MSG "%s"
#define ER_IB_MSG_875_MSG "%s"
#define ER_IB_MSG_876_MSG "%s"
#define ER_IB_MSG_877_MSG "%s"
#define ER_IB_MSG_878_MSG "%s"
#define ER_IB_MSG_879_MSG "%s"
#define ER_IB_MSG_880_MSG "%s"
#define ER_IB_MSG_881_MSG "%s"
#define ER_IB_MSG_882_MSG "%s"
#define ER_IB_MSG_883_MSG "%s"
#define ER_IB_MSG_884_MSG "%s"
#define ER_IB_MSG_885_MSG "%s"
#define ER_IB_MSG_886_MSG "%s"
#define ER_IB_MSG_887_MSG "%s"
#define ER_IB_MSG_888_MSG "%s"
#define ER_IB_MSG_889_MSG "%s"
#define ER_IB_MSG_890_MSG "%s"
#define ER_IB_MSG_891_MSG "%s"
#define ER_IB_MSG_892_MSG "%s"
#define ER_IB_MSG_893_MSG "%s"
#define ER_IB_MSG_894_MSG "%s"
#define ER_IB_MSG_895_MSG "%s"
#define ER_IB_MSG_896_MSG "%s"
#define ER_IB_MSG_897_MSG "%s"
#define ER_IB_MSG_898_MSG "%s"
#define ER_IB_MSG_899_MSG "%s"
#define ER_IB_MSG_900_MSG "%s"
#define ER_IB_MSG_901_MSG "%s"
#define ER_IB_MSG_902_MSG "%s"
#define ER_IB_MSG_903_MSG "%s"
#define ER_IB_MSG_904_MSG "%s"
#define ER_IB_MSG_905_MSG "%s"
#define ER_IB_MSG_906_MSG "%s"
#define ER_IB_MSG_907_MSG "%s"
#define ER_IB_MSG_908_MSG "%s"
#define ER_IB_MSG_909_MSG "%s"
#define ER_IB_MSG_910_MSG "%s"
#define ER_IB_MSG_911_MSG "%s"
#define ER_IB_MSG_912_MSG "%s"
#define ER_IB_MSG_913_MSG "%s"
#define ER_IB_MSG_914_MSG "%s"
#define ER_IB_MSG_915_MSG "%s"
#define ER_IB_MSG_916_MSG "%s"
#define ER_IB_MSG_917_MSG "%s"
#define ER_IB_MSG_918_MSG "%s"
#define ER_IB_MSG_919_MSG "%s"
#define ER_IB_MSG_920_MSG "%s"
#define ER_IB_MSG_921_MSG "%s"
#define ER_IB_MSG_922_MSG "%s"
#define ER_IB_MSG_923_MSG "%s"
#define ER_IB_MSG_924_MSG "%s"
#define ER_IB_MSG_925_MSG "%s"
#define ER_IB_MSG_926_MSG "%s"
#define ER_IB_MSG_927_MSG "%s"
#define ER_IB_MSG_928_MSG "%s"
#define ER_IB_MSG_929_MSG "%s"
#define ER_IB_MSG_930_MSG "%s"
#define ER_IB_MSG_931_MSG "%s"
#define ER_IB_MSG_932_MSG "%s"
#define ER_IB_MSG_933_MSG "%s"
#define ER_IB_MSG_934_MSG "%s"
#define ER_IB_MSG_935_MSG "%s"
#define ER_IB_MSG_936_MSG "%s"
#define ER_IB_MSG_937_MSG "%s"
#define ER_IB_MSG_938_MSG "%s"
#define ER_IB_MSG_939_MSG "%s"
#define ER_IB_MSG_940_MSG "%s"
#define ER_IB_MSG_941_MSG "%s"
#define ER_IB_MSG_942_MSG "%s"
#define ER_IB_MSG_943_MSG "%s"
#define ER_IB_MSG_944_MSG "%s"
#define ER_IB_MSG_945_MSG "%s"
#define ER_IB_MSG_946_MSG "%s"
#define ER_IB_MSG_947_MSG "%s"
#define ER_IB_MSG_948_MSG "%s"
#define ER_IB_MSG_949_MSG "%s"
#define ER_IB_MSG_950_MSG "%s"
#define ER_IB_MSG_951_MSG "%s"
#define ER_IB_MSG_952_MSG "%s"
#define ER_IB_MSG_953_MSG "%s"
#define ER_IB_MSG_954_MSG "%s"
#define ER_IB_MSG_955_MSG "%s"
#define ER_IB_MSG_956_MSG "%s"
#define ER_IB_MSG_957_MSG "%s"
#define ER_IB_MSG_958_MSG "%s"
#define ER_IB_MSG_959_MSG "%s"
#define ER_IB_MSG_960_MSG "%s"
#define ER_IB_MSG_961_MSG "%s"
#define ER_IB_MSG_962_MSG "%s"
#define ER_IB_MSG_963_MSG "%s"
#define ER_IB_MSG_964_MSG "%s"
#define ER_IB_MSG_965_MSG "%s"
#define ER_IB_MSG_966_MSG "%s"
#define ER_IB_MSG_967_MSG "%s"
#define ER_IB_MSG_968_MSG "%s"
#define ER_IB_MSG_969_MSG "%s"
#define ER_IB_MSG_970_MSG "%s"
#define ER_IB_MSG_971_MSG "%s"
#define ER_IB_MSG_972_MSG "%s"
#define ER_IB_MSG_973_MSG "%s"
#define ER_IB_MSG_974_MSG "%s"
#define ER_IB_MSG_975_MSG "%s"
#define ER_IB_MSG_976_MSG "%s"
#define ER_IB_MSG_977_MSG "%s"
#define ER_IB_MSG_978_MSG "%s"
#define ER_IB_MSG_979_MSG "%s"
#define ER_IB_MSG_980_MSG "%s"
#define ER_IB_MSG_981_MSG "%s"
#define ER_IB_MSG_982_MSG "%s"
#define ER_IB_MSG_983_MSG "%s"
#define ER_IB_MSG_984_MSG "%s"
#define ER_IB_MSG_985_MSG "%s"
#define ER_IB_MSG_986_MSG "%s"
#define ER_IB_MSG_987_MSG "%s"
#define ER_IB_MSG_988_MSG "%s"
#define ER_IB_MSG_989_MSG "%s"
#define ER_IB_MSG_990_MSG "%s"
#define ER_IB_MSG_991_MSG "%s"
#define ER_IB_MSG_992_MSG "%s"
#define ER_IB_MSG_993_MSG "%s"
#define ER_IB_MSG_994_MSG "%s"
#define ER_IB_MSG_995_MSG "%s"
#define ER_IB_MSG_996_MSG "%s"
#define ER_IB_MSG_997_MSG "%s"
#define ER_IB_MSG_998_MSG "%s"
#define ER_IB_MSG_999_MSG "%s"
#define ER_IB_MSG_1000_MSG "%s"
#define ER_IB_MSG_1001_MSG "%s"
#define ER_IB_MSG_1002_MSG "%s"
#define ER_IB_MSG_1003_MSG "%s"
#define ER_IB_MSG_1004_MSG "%s"
#define ER_IB_MSG_1005_MSG "%s"
#define ER_IB_MSG_1006_MSG "%s"
#define ER_IB_MSG_1007_MSG "%s"
#define ER_IB_MSG_1008_MSG "%s"
#define ER_IB_MSG_1009_MSG "%s"
#define ER_IB_MSG_1010_MSG "%s"
#define ER_IB_MSG_1011_MSG "%s"
#define ER_IB_MSG_1012_MSG "%s"
#define ER_IB_MSG_1013_MSG "%s"
#define ER_IB_MSG_1014_MSG "%s"
#define ER_IB_MSG_1015_MSG "%s"
#define ER_IB_MSG_1016_MSG "%s"
#define ER_IB_MSG_1017_MSG "%s"
#define ER_IB_MSG_1018_MSG "%s"
#define ER_IB_MSG_1019_MSG "%s"
#define ER_IB_MSG_1020_MSG "%s"
#define ER_IB_MSG_1021_MSG "%s"
#define ER_IB_MSG_1022_MSG "%s"
#define ER_IB_MSG_1023_MSG "%s"
#define ER_IB_MSG_1024_MSG "%s"
#define ER_IB_MSG_1025_MSG "%s"
#define ER_IB_MSG_1026_MSG "%s"
#define ER_IB_MSG_1027_MSG "%s"
#define ER_IB_MSG_1028_MSG "%s"
#define ER_IB_MSG_1029_MSG "%s"
#define ER_IB_MSG_1030_MSG "%s"
#define ER_IB_MSG_1031_MSG "%s"
#define ER_IB_MSG_1032_MSG "%s"
#define ER_IB_MSG_1033_MSG "%s"
#define ER_IB_MSG_1034_MSG "%s"
#define ER_IB_MSG_1035_MSG "%s"
#define ER_IB_MSG_1036_MSG "%s"
#define ER_IB_MSG_1037_MSG "%s"
#define ER_IB_MSG_1038_MSG "%s"
#define ER_IB_MSG_1039_MSG "%s"
#define ER_IB_MSG_1040_MSG "%s"
#define ER_IB_MSG_1041_MSG "%s"
#define ER_IB_MSG_1042_MSG "%s"
#define ER_IB_MSG_1043_MSG "%s"
#define ER_IB_MSG_1044_MSG "%s"
#define ER_IB_MSG_1045_MSG "%s"
#define ER_IB_MSG_1046_MSG "Old log sequence number %llu was greater than the new log sequence number %llu. Please submit a bug report to http://bugs.mysql.com"
#define ER_IB_MSG_1047_MSG "Semaphore wait has lasted > %llu seconds. We intentionally crash the server because it appears to be hung."
#define ER_IB_MSG_1048_MSG "Waiting for %llu table(s) to be dropped"
#define ER_IB_MSG_1049_MSG "Waiting for change buffer merge to complete number of bytes of change buffer just merged: %llu"
#define ER_IB_MSG_1051_MSG "Can\'t set undo tablespace(s) to be encrypted in read-only-mode."
#define ER_IB_MSG_1052_MSG "Can\'t set undo tablespace \'%s\' to be encrypted."
#define ER_IB_MSG_1053_MSG "Can\'t set undo tablespace \'%s\' to be encrypted. Failed to write header page."
#define ER_IB_MSG_1054_MSG "Can\'t set undo tablespace \'%s\' to be encrypted. Error %d - %s"
#define ER_IB_MSG_1055_MSG "Encryption is enabled for undo tablespace \'%s\'."
#define ER_IB_MSG_1056_MSG "Can\'t rotate encryption on undo tablespace \'%s\'."
#define ER_IB_MSG_1057_MSG "Encryption is enabled for undo tablespace \'%s\'."
#define ER_IB_MSG_1058_MSG "os_file_get_status() failed on \'%s\'. Can\'t determine file permissions."
#define ER_IB_MSG_1059_MSG "%s can\'t be opened in %s mode."
#define ER_IB_MSG_1060_MSG "\'%s\' not a regular file."
#define ER_IB_MSG_1061_MSG "Cannot create %s"
#define ER_IB_MSG_1062_MSG "Setting log file %s size to %llu MB. Progress : %u%%"
#define ER_IB_MSG_1063_MSG "Cannot set log file %s to size %llu MB"
#define ER_IB_MSG_1064_MSG "Cannot create log files in read-only mode"
#define ER_IB_MSG_1065_MSG "Redo log encryption is enabled, but the keyring is not loaded."
#define ER_IB_MSG_1066_MSG "Cannot create file for log file %s."
#define ER_IB_MSG_1067_MSG "Renaming log file %s to %s"
#define ER_IB_MSG_1068_MSG "New log files created, LSN=%llu"
#define ER_IB_MSG_1069_MSG "Unable to open \'%s\'."
#define ER_IB_MSG_1070_MSG "Cannot create construction log file \'%s\' for undo tablespace \'%s\'."
#define ER_IB_MSG_1071_MSG "Creating UNDO Tablespace %s"
#define ER_IB_MSG_1072_MSG "Setting file %s size to %llu MB"
#define ER_IB_MSG_1073_MSG "Physically writing the file full"
#define ER_IB_MSG_1074_MSG "Error in creating %s: probably out of disk space"
#define ER_IB_MSG_1075_MSG "Can\'t set encryption metadata for space %s"
#define ER_IB_MSG_1076_MSG "Cannot read first page of \'%s\' - %s"
#define ER_IB_MSG_1077_MSG "Undo tablespace number %lu was being truncated when mysqld quit."
#define ER_IB_MSG_1078_MSG "Cannot recover a truncated undo tablespace in read-only mode"
#define ER_IB_MSG_1079_MSG "Reconstructing undo tablespace number %lu."
#define ER_IB_MSG_1080_MSG "Cannot create %s because %s already uses Space ID=%lu! Did you change innodb_undo_directory?"
#define ER_IB_MSG_1081_MSG "UNDO tablespace %s must be %s"
#define ER_IB_MSG_1082_MSG "Error creating file for %s"
#define ER_IB_MSG_1083_MSG "Error reading encryption for %s"
#define ER_IB_MSG_CANNOT_OPEN_57_UNDO_MSG "Unable to open undo tablespace number %lu"
#define ER_IB_MSG_1085_MSG "Opened %llu existing undo tablespaces."
#define ER_IB_MSG_1086_MSG "Cannot create undo tablespaces since innodb_%s has been set. Using %llu existing undo tablespaces."
#define ER_IB_MSG_1087_MSG "Cannot continue InnoDB startup in %s mode because there are no existing undo tablespaces found."
#define ER_IB_MSG_1088_MSG "Could not create undo tablespace \'%s\'."
#define ER_IB_MSG_1089_MSG "Error %d - %s - opening newly created undo tablespace \'%s\'."
#define ER_IB_MSG_1090_MSG "Created %llu undo tablespaces."
#define ER_IB_MSG_1091_MSG "Unable to create encrypted undo tablespace number %lu. please check if the keyring is initialized correctly"
#define ER_IB_MSG_1092_MSG "Encryption is enabled for undo tablespace number %lu."
#define ER_IB_MSG_1093_MSG "Unable to initialize the header page in undo tablespace number %lu."
#define ER_IB_MSG_1094_MSG "Cannot delete old undo tablespaces because they contain undo logs for XA PREPARED transactions."
#define ER_IB_MSG_1095_MSG "Upgrading %zu existing undo tablespaces that were tracked in the system tablespace to %lu new independent undo tablespaces."
#define ER_IB_MSG_1096_MSG "Deleting %llu new independent undo tablespaces that we just created."
#define ER_IB_MSG_1097_MSG "Waiting for purge to start"
#define ER_IB_MSG_1098_MSG "Creating shared tablespace for temporary tables"
#define ER_IB_MSG_1099_MSG "The %s data file must be writable!"
#define ER_IB_MSG_1100_MSG "Could not create the shared %s."
#define ER_IB_MSG_1101_MSG "Unable to create the shared %s."
#define ER_IB_MSG_1102_MSG "The %s data file cannot be re-opened after check_file_spec() succeeded!"
#define ER_IB_MSG_1103_MSG "%d threads created by InnoDB had not exited at shutdown!"
#define ER_IB_MSG_1104_MSG "InnoDB Database creation was aborted %swith error %s. You may need to delete the ibdata1 file before trying to start up again."
#define ER_IB_MSG_1105_MSG "Plugin initialization aborted %swith error %s."
#define ER_IB_MSG_1106_MSG "Waiting for %llu buffer page I/Os to complete"
#define ER_IB_MSG_1107_MSG "PUNCH HOLE support available"
#define ER_IB_MSG_1108_MSG "PUNCH HOLE support not available"
#define ER_IB_MSG_1109_MSG "Size of InnoDB\'s ulint is %zu but size of void* is %zu. The sizes should be the same so that on a 64-bit platforms you can allocate more than 4 GB of memory."
#define ER_IB_MSG_1110_MSG "Database upgrade cannot be accomplished in read-only mode."
#define ER_IB_MSG_1111_MSG "Database upgrade cannot be accomplished with innodb_force_recovery > 0"
#define ER_IB_MSG_1112_MSG "%s"
#define ER_IB_MSG_1113_MSG "%s"
#define ER_IB_MSG_1114_MSG "%s"
#define ER_IB_MSG_1115_MSG "%s"
#define ER_IB_MSG_1116_MSG "%s"
#define ER_IB_MSG_1117_MSG "%s"
#define ER_IB_MSG_1119_MSG "%s"
#define ER_IB_MSG_1120_MSG "%s"
#define ER_IB_MSG_1121_MSG "%s"
#define ER_IB_MSG_1122_MSG "MySQL was built without a memory barrier capability on this architecture, which might allow a mutex/rw_lock violation under high thread concurrency. This may cause a hang."
#define ER_IB_MSG_1123_MSG "Compressed tables use zlib %s"
#define ER_IB_MSG_1124_MSG "%s"
#define ER_IB_MSG_1125_MSG "Startup called second time during the process lifetime. In the MySQL Embedded Server Library you cannot call server_init() more than once during the process lifetime."
#define ER_IB_MSG_1126_MSG "%s"
#define ER_IB_MSG_1127_MSG "Unable to create monitor file %s: %s"
#define ER_IB_MSG_1128_MSG "Disabling background log and ibuf IO write threads."
#define ER_IB_MSG_1129_MSG "Cannot initialize AIO sub-system"
#define ER_IB_MSG_1130_MSG "Initializing buffer pool, total size = %lf%c, instances = %lu, chunk size =%lf%c "
#define ER_IB_MSG_1131_MSG "Cannot allocate memory for the buffer pool"
#define ER_IB_MSG_1132_MSG "Completed initialization of buffer pool"
#define ER_IB_MSG_1133_MSG "Small buffer pool size (%lluM), the flst_validate() debug function can cause a deadlock if the buffer pool fills up."
#define ER_IB_MSG_1134_MSG "Could not open or create the system tablespace. If you tried to add new data files to the system tablespace, and it failed here, you should now edit innodb_data_file_path in my.cnf back to what it was, and remove the new ibdata files InnoDB created in this failed attempt. InnoDB only wrote those files full of zeros, but did not yet use them in any way. But be careful: do not remove old data files which contain your precious data!"
#define ER_IB_MSG_1135_MSG "Cannot create log files because data files are corrupt or the database was not shut down cleanly after creating the data files."
#define ER_IB_MSG_1136_MSG "Only one log file found"
#define ER_IB_MSG_1137_MSG "Log file %s size %llu is not a multiple of innodb_page_size"
#define ER_IB_MSG_1138_MSG "Log file %s is of different size %llu bytes than other log files %llu bytes!"
#define ER_IB_MSG_1139_MSG "Use --innodb-directories to find the tablespace files. If that fails then use --innodb-force-recovery=1 to ignore this and to permanently lose all changes to the missing tablespace(s)"
#define ER_IB_MSG_1140_MSG "The log file may have been corrupt and it is possible that the log scan or parsing did not proceed far enough in recovery. Please run CHECK TABLE on your InnoDB tables to check that they are ok! It may be safest to recover your InnoDB database from a backup!"
#define ER_IB_MSG_1141_MSG "Cannot resize log files in read-only mode."
#define ER_IB_MSG_1142_MSG "Cannot open DD tablespace."
#define ER_IB_MSG_1143_MSG "Starting to delete and rewrite log files."
#define ER_IB_MSG_1144_MSG "Undo from 5.7 found. It will be purged"
#define ER_IB_MSG_1145_MSG "%s"
#define ER_IB_MSG_1146_MSG "%s"
#define ER_IB_MSG_1147_MSG "Tablespace size stored in header is %lu pages, but the sum of data file sizes is %lu pages"
#define ER_IB_MSG_1148_MSG "Cannot start InnoDB. The tail of the system tablespace is missing. Have you edited innodb_data_file_path in my.cnf in an inappropriate way, removing ibdata files from there? You can set innodb_force_recovery=1 in my.cnf to force a startup if you are trying to recover a badly corrupt database."
#define ER_IB_MSG_1149_MSG "Tablespace size stored in header is %lu pages, but the sum of data file sizes is only %lu pages"
#define ER_IB_MSG_1150_MSG "Cannot start InnoDB. The tail of the system tablespace is missing. Have you edited innodb_data_file_path in my.cnf in an InnoDB: inappropriate way, removing ibdata files from there? You can set innodb_force_recovery=1 in my.cnf to force InnoDB: a startup if you are trying to recover a badly corrupt database."
#define ER_IB_MSG_1151_MSG "%s started; log sequence number %llu"
#define ER_IB_MSG_1152_MSG "Waiting for purge to complete"
#define ER_IB_MSG_1154_MSG "Query counter shows %lld queries still inside InnoDB at shutdown"
#define ER_IB_MSG_1155_MSG "Shutdown completed; log sequence number %llu"
#define ER_IB_MSG_1156_MSG "Cannot continue operation."
#define ER_IB_MSG_1157_MSG "%s"
#define ER_IB_MSG_1158_MSG "%s"
#define ER_IB_MSG_1159_MSG "%s"
#define ER_IB_MSG_1160_MSG "%s"
#define ER_IB_MSG_1161_MSG "%s"
#define ER_IB_MSG_1162_MSG "%s"
#define ER_IB_MSG_1163_MSG "%s"
#define ER_IB_MSG_1164_MSG "%s"
#define ER_IB_MSG_1165_MSG "%s"
#define ER_IB_MSG_UNDO_TRUNCATE_FAIL_TO_READ_LOG_FILE_MSG "Unable to read the existing undo truncate log file \'%s\'. The error is %s"
#define ER_IB_MSG_UNDO_MARKED_FOR_TRUNCATE_MSG "Undo tablespace %s is marked for truncate"
#define ER_IB_MSG_UNDO_TRUNCATE_START_MSG "Truncating UNDO tablespace %s"
#define ER_IB_MSG_UNDO_TRUNCATE_DELAY_BY_LOG_CREATE_MSG "Cannot create truncate log for undo tablespace \'%s\'."
#define ER_IB_MSG_UNDO_TRUNCATE_DELAY_BY_FAILURE_MSG "Failed to truncate undo tablespace \'%s\'."
#define ER_IB_MSG_UNDO_TRUNCATE_COMPLETE_MSG "Completed truncate of undo tablespace %s."
#define ER_IB_MSG_1177_MSG "%s"
#define ER_IB_MSG_1178_MSG "%s"
#define ER_IB_MSG_1179_MSG "%s"
#define ER_IB_MSG_1180_MSG "%s"
#define ER_IB_MSG_1181_MSG "%s"
#define ER_IB_MSG_1182_MSG "%s"
#define ER_IB_MSG_1183_MSG "%s"
#define ER_IB_MSG_1184_MSG "%s"
#define ER_IB_MSG_1185_MSG "%s"
#define ER_IB_MSG_1186_MSG "%s"
#define ER_IB_MSG_1187_MSG "%s"
#define ER_IB_MSG_1188_MSG "%s"
#define ER_IB_MSG_1189_MSG "%s"
#define ER_IB_MSG_TRX_RECOVERY_ROLLBACK_COMPLETED_MSG "Rollback of non-prepared transactions completed"
#define ER_IB_MSG_1191_MSG "%s"
#define ER_IB_MSG_1192_MSG "%s"
#define ER_IB_MSG_1193_MSG "%s"
#define ER_IB_MSG_1194_MSG "%s"
#define ER_IB_MSG_1195_MSG "%s"
#define ER_IB_MSG_1196_MSG "%s"
#define ER_IB_MSG_1197_MSG "%s"
#define ER_IB_MSG_1198_MSG "%s"
#define ER_IB_MSG_1199_MSG "%s"
#define ER_IB_MSG_1200_MSG "%s"
#define ER_IB_MSG_1201_MSG "%s"
#define ER_IB_MSG_1202_MSG "%s"
#define ER_IB_MSG_1203_MSG "%s"
#define ER_IB_MSG_1204_MSG "%s"
#define ER_IB_MSG_1205_MSG "%s"
#define ER_IB_MSG_1206_MSG "%s"
#define ER_IB_MSG_1207_MSG "%s"
#define ER_IB_MSG_1208_MSG "%s"
#define ER_IB_MSG_1209_MSG "%s"
#define ER_IB_MSG_1210_MSG "%s"
#define ER_IB_MSG_1211_MSG "%s"
#define ER_IB_MSG_1212_MSG "%s"
#define ER_IB_MSG_1213_MSG "gettimeofday() failed: %s"
#define ER_IB_MSG_1214_MSG "Can\'t create UNDO tablespace %s %s"
#define ER_IB_MSG_1215_MSG "%s"
#define ER_IB_MSG_1216_MSG "%s"
#define ER_IB_MSG_1217_MSG "%s"
#define ER_IB_MSG_1218_MSG "%s"
#define ER_IB_MSG_1219_MSG "%s"
#define ER_IB_MSG_1220_MSG "%s"
#define ER_IB_MSG_1221_MSG "%s"
#define ER_IB_MSG_1222_MSG "%s"
#define ER_IB_MSG_1223_MSG "%s"
#define ER_IB_MSG_1224_MSG "%s"
#define ER_IB_MSG_1225_MSG "%s"
#define ER_IB_MSG_1226_MSG "%s"
#define ER_IB_MSG_1227_MSG "%s"
#define ER_IB_MSG_1228_MSG "%s"
#define ER_IB_MSG_1229_MSG "%s"
#define ER_IB_MSG_1231_MSG "%s"
#define ER_IB_MSG_1232_MSG "%s"
#define ER_IB_MSG_1233_MSG "%s"
#define ER_IB_MSG_1234_MSG "%s"
#define ER_IB_MSG_1235_MSG "%s"
#define ER_IB_MSG_1236_MSG "%s"
#define ER_IB_MSG_1237_MSG "%s"
#define ER_IB_MSG_1238_MSG "%s"
#define ER_IB_MSG_1239_MSG "%s"
#define ER_IB_MSG_1240_MSG "%s"
#define ER_IB_MSG_1241_MSG "%s"
#define ER_IB_MSG_1242_MSG "Can\'t set redo log tablespace to be encrypted in read-only mode."
#define ER_IB_MSG_1243_MSG "Can\'t set redo log tablespace to be encrypted."
#define ER_IB_MSG_1244_MSG "Can\'t set redo log tablespace to be encrypted."
#define ER_IB_MSG_1245_MSG "Redo log encryption is enabled."
#define ER_IB_MSG_1246_MSG "Waiting for archiver to finish archiving page and log"
#define ER_IB_MSG_1247_MSG "Starting shutdown..."
#define ER_IB_MSG_1248_MSG "Waiting for %s to exit."
#define ER_IB_MSG_1249_MSG "Waiting for rollback of %zu recovered transactions, before shutdown."
#define ER_IB_MSG_1250_MSG "Waiting for master thread to be suspended."
#define ER_IB_MSG_1251_MSG "Waiting for page_cleaner to finish flushing of buffer pool."
#define ER_IB_MSG_1252_MSG "Waiting for %lu buffer page I/Os to complete."
#define ER_IB_MSG_1253_MSG "MySQL has requested a very fast shutdown without flushing the InnoDB buffer pool to data files. At the next mysqld startup InnoDB will do a crash recovery!"
#define ER_IB_MSG_1255_MSG "%s"
#define ER_IB_MSG_1256_MSG "%s"
#define ER_IB_MSG_1257_MSG "%s"
#define ER_IB_MSG_1258_MSG "%s"
#define ER_IB_MSG_1259_MSG "%s"
#define ER_IB_MSG_1260_MSG "%s"
#define ER_IB_MSG_1261_MSG "%s"
#define ER_IB_MSG_1262_MSG "%s"
#define ER_IB_MSG_1263_MSG "%s"
#define ER_IB_MSG_1264_MSG "%s"
#define ER_IB_MSG_1265_MSG "%s"
#define ER_IB_MSG_1266_MSG "%s"
#define ER_IB_MSG_1267_MSG "%s"
#define ER_IB_MSG_1268_MSG "%s"
#define ER_IB_MSG_1269_MSG "%s"
#define ER_IB_MSG_1270_MSG "%s"
#define ER_RPL_SLAVE_SQL_THREAD_STOP_CMD_EXEC_TIMEOUT_MSG "STOP SLAVE command execution is incomplete: Slave SQL thread got the stop signal, thread is busy, SQL thread will stop once the current task is complete."
#define ER_RPL_SLAVE_IO_THREAD_STOP_CMD_EXEC_TIMEOUT_MSG "STOP SLAVE command execution is incomplete: Slave IO thread got the stop signal, thread is busy, IO thread will stop once the current task is complete."
#define ER_RPL_GTID_UNSAFE_STMT_ON_NON_TRANS_TABLE_MSG "Statement violates GTID consistency: Updates to non-transactional tables can only be done in either autocommitted statements or single-statement transactions, and never in the same statement as updates to transactional tables."
#define ER_RPL_GTID_UNSAFE_STMT_CREATE_SELECT_MSG "Statement violates GTID consistency: CREATE TABLE ... SELECT."
#define ER_BINLOG_ROW_VALUE_OPTION_IGNORED_MSG "When %.192s, the option binlog_row_value_options=%.192s will be ignored and updates will be written in full format to binary log."
#define ER_BINLOG_USE_V1_ROW_EVENTS_IGNORED_MSG "When %.192s, the option log_bin_use_v1_row_events=1 will be ignored and row events will be written in new format to binary log."
#define ER_BINLOG_ROW_VALUE_OPTION_USED_ONLY_FOR_AFTER_IMAGES_MSG "When %.192s, the option binlog_row_value_options=%.192s will be used only for the after-image. Full values will be written in the before-image, so the saving in disk space due to binlog_row_value_options is limited to less than 50%%."
#define ER_CONNECTION_ABORTED_MSG "Aborted connection %u to db: \'%-.192s\' user: \'%-.48s\' host: \'%-.255s\' (%-.64s)."
#define ER_NORMAL_SERVER_SHUTDOWN_MSG "%s: Normal shutdown."
#define ER_KEYRING_MIGRATE_FAILED_MSG "Can not perform keyring migration : %s."
#define ER_GRP_RPL_LOWER_CASE_TABLE_NAMES_DIFF_FROM_GRP_MSG "The member is configured with a lower_case_table_names option value \'%u\' different from the group \'%u\'. The member will now exit the group. If there is existing data on member, it may be incompatible with group if it was created with a lower_case_table_names value different from the group."
#define ER_OOM_SAVE_GTIDS_MSG "An out-of-memory error occurred while saving the set of GTIDs from the last binary log into the mysql.gtid_executed table"
#define ER_LCTN_NOT_FOUND_MSG "The lower_case_table_names setting for the data dictionary was not found. Starting the server using lower_case_table_names = \'%u\'."
#define ER_COMPONENT_FILTER_WRONG_VALUE_MSG "Variable \'%-.64s\' can\'t be set to the value of \'%-.200s\'"
#define ER_XPLUGIN_FAILED_TO_STOP_SERVICES_MSG "Stopping services failed with error \"%s\""
#define ER_INCONSISTENT_ERROR_MSG "Query caused different errors on master and slave. Error on master: message (format)=\'%s\' error code=%d; Error on slave:actual message=\'%s\', error code=%d. Default database:\'%s\'. Query:\'%s\'"
#define ER_SERVER_MASTER_FATAL_ERROR_READING_BINLOG_MSG "Got fatal error %d from master when reading data from binary log: \'%-.512s\'"
#define ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE_MSG "Replication event checksum verification failed while reading from network."
#define ER_SLAVE_CREATE_EVENT_FAILURE_MSG "Failed to create %s"
#define ER_SLAVE_FATAL_ERROR_MSG "Fatal error: %s"
#define ER_SLAVE_HEARTBEAT_FAILURE_MSG "Unexpected master\'s heartbeat data: %s"
#define ER_SLAVE_INCIDENT_MSG "The incident %s occurred on the master. Message: %s"
#define ER_SLAVE_MASTER_COM_FAILURE_MSG "Master command %s failed: %s"
#define ER_SLAVE_RELAY_LOG_READ_FAILURE_MSG "Relay log read failure: %s"
#define ER_SLAVE_RELAY_LOG_WRITE_FAILURE_MSG "Relay log write failure: %s"
#define ER_SERVER_SLAVE_MI_INIT_REPOSITORY_MSG "Slave failed to initialize master info structure from the repository"
#define ER_SERVER_SLAVE_RLI_INIT_REPOSITORY_MSG "Slave failed to initialize relay log info structure from the repository"
#define ER_SERVER_NET_PACKET_TOO_LARGE_MSG "Got a packet bigger than \'max_allowed_packet\' bytes"
#define ER_SERVER_NO_SYSTEM_TABLE_ACCESS_MSG "Access to %.64s \'%.64s.%.64s\' is rejected."
#define ER_SERVER_UNKNOWN_ERROR_MSG "Unknown error"
#define ER_SERVER_UNKNOWN_SYSTEM_VARIABLE_MSG "Unknown system variable \'%-.64s\'"
#define ER_SERVER_NO_SESSION_TO_SEND_TO_MSG "A message intended for a client cannot be sent there as no client-session is attached. Therefore, we\'re sending the information to the error-log instead: MY-%06d - %s"
#define ER_SERVER_NEW_ABORTING_CONNECTION_MSG "Aborted connection %u to db: \'%-.192s\' user: \'%-.48s\' host: \'%-.255s\' (%-.64s; diagnostics area: MY-%06d - %-.64s)"
#define ER_SERVER_OUT_OF_SORTMEMORY_MSG "Out of sort memory, consider increasing server sort buffer size!"
#define ER_SERVER_RECORD_FILE_FULL_MSG "The table \'%-.192s\' is full!"
#define ER_SERVER_DISK_FULL_NOWAIT_MSG "Create table/tablespace \'%-.192s\' failed, as disk is full."
#define ER_SERVER_HANDLER_ERROR_MSG "Handler reported error %d - %s"
#define ER_SERVER_NOT_FORM_FILE_MSG "Incorrect information in file: \'%-.200s\'"
#define ER_SERVER_CANT_OPEN_FILE_MSG "Can\'t open file: \'%-.200s\' (OS errno: %d - %s)"
#define ER_SERVER_FILE_NOT_FOUND_MSG "Can\'t find file: \'%-.200s\' (OS errno: %d - %s)"
#define ER_SERVER_FILE_USED_MSG "\'%-.192s\' is locked against change (OS errno: %d - %s)"
#define ER_SERVER_CANNOT_LOAD_FROM_TABLE_V2_MSG "Cannot load from %s.%s. The table is probably corrupted!"
#define ER_ERROR_INFO_FROM_DA_MSG "Error in diagnostics area: MY-%06d - %s"
#define ER_SERVER_TABLE_CHECK_FAILED_MSG "Incorrect definition of table %s.%s: expected column \'%s\' at position %d, found \'%s\'."
#define ER_SERVER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2_MSG "The column count of %s.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please perform the MySQL upgrade procedure."
#define ER_SERVER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2_MSG "Column count of %s.%s is wrong. Expected %d, found %d. The table is probably corrupted"
#define ER_SERVER_ACL_TABLE_ERROR_MSG "\""
#define ER_SERVER_SLAVE_INIT_QUERY_FAILED_MSG "Slave SQL thread aborted. Can\'t execute init_replica query, MY-%06d - \'%s\'"
#define ER_SERVER_SLAVE_CONVERSION_FAILED_MSG "Column %d of table \'%-.192s.%-.192s\' cannot be converted from type \'%-.32s\' to type \'%-.32s\'"
#define ER_SERVER_SLAVE_IGNORED_TABLE_MSG "Slave SQL thread ignored the query because of replicate-*-table rules"
#define ER_CANT_REPLICATE_ANONYMOUS_WITH_AUTO_POSITION_MSG "Cannot replicate anonymous transaction when AUTO_POSITION = 1, at file %.400s, position %lld."
#define ER_CANT_REPLICATE_ANONYMOUS_WITH_GTID_MODE_ON_MSG "Cannot replicate anonymous transaction when @@GLOBAL.GTID_MODE = ON, at file %.400s, position %lld."
#define ER_CANT_REPLICATE_GTID_WITH_GTID_MODE_OFF_MSG "Cannot replicate GTID-transaction when @@GLOBAL.GTID_MODE = OFF, at file %.400s, position %lld."
#define ER_SERVER_TEST_MESSAGE_MSG "Simulated error"
#define ER_AUDIT_LOG_JSON_FILTER_PARSING_ERROR_MSG "%s"
#define ER_AUDIT_LOG_JSON_FILTERING_NOT_ENABLED_MSG "Audit Log filtering has not been installed."
#define ER_PLUGIN_FAILED_TO_OPEN_TABLES_MSG "Failed to open the %s filter tables."
#define ER_PLUGIN_FAILED_TO_OPEN_TABLE_MSG "Failed to open \'%s.%s\' %s table."
#define ER_AUDIT_LOG_JSON_FILTER_NAME_CANNOT_BE_EMPTY_MSG "Filter name cannot be empty."
#define ER_AUDIT_LOG_USER_NAME_INVALID_CHARACTER_MSG "Invalid character in the user name."
#define ER_AUDIT_LOG_UDF_INSUFFICIENT_PRIVILEGE_MSG "Request ignored for \'%s\'@\'%s\'. SUPER or AUDIT_ADMIN needed to perform operation"
#define ER_AUDIT_LOG_NO_KEYRING_PLUGIN_INSTALLED_MSG "No keyring installed."
#define ER_AUDIT_LOG_HOST_NAME_INVALID_CHARACTER_MSG "Invalid character in the host name."
#define ER_AUDIT_LOG_ENCRYPTION_PASSWORD_HAS_NOT_BEEN_SET_MSG "Audit log encryption password has not been set; it will be generated automatically. Use audit_log_encryption_password_get to obtain the password or audit_log_encryption_password_set to set a new one."
#define ER_AUDIT_LOG_COULD_NOT_CREATE_AES_KEY_MSG "Could not create AES key. OpenSSL\'s EVP_BytesToKey function failed."
#define ER_AUDIT_LOG_ENCRYPTION_PASSWORD_CANNOT_BE_FETCHED_MSG "Audit log encryption password cannot be fetched from the keyring. Password used so far is used for encryption."
#define ER_COULD_NOT_REINITIALIZE_AUDIT_LOG_FILTERS_MSG "Could not reinitialize audit log filters."
#define ER_AUDIT_LOG_JSON_USER_NAME_CANNOT_BE_EMPTY_MSG "User cannot be empty."
#define ER_AUDIT_LOG_USER_FIRST_CHARACTER_MUST_BE_ALPHANUMERIC_MSG "First character of the user name must be alphanumeric."
#define ER_AUDIT_LOG_JSON_FILTER_DOES_NOT_EXIST_MSG "Specified filter has not been found."
#define ER_IB_MSG_1271_MSG "Cannot upgrade server earlier than 5.7 to 8.0"
#define ER_STARTING_INIT_MSG "%s (mysqld %s) initializing of server in progress as process %lu"
#define ER_ENDING_INIT_MSG "%s (mysqld %s) initializing of server has completed"
#define ER_IB_MSG_1272_MSG "Cannot boot server version %lu on data directory built by version %llu. Downgrade is not supported"
#define ER_SERVER_SHUTDOWN_INFO_MSG "Received SHUTDOWN from user %s. Shutting down mysqld (Version: %s)."
#define ER_GRP_RPL_PLUGIN_ABORT_MSG "The plugin encountered a critical error and will abort: %s"
#define ER_AUDIT_LOG_TABLE_DEFINITION_NOT_UPDATED_MSG "\'%s.%s\' table definition has not been upgraded; Please perform the MySQL upgrade procedure."
#define ER_DD_INITIALIZE_SQL_ERROR_MSG "Execution of server-side SQL statement \'%s\' failed with error code = %d, error message = \'%s\'."
#define ER_NO_PATH_FOR_SHARED_LIBRARY_MSG "No paths allowed for shared library."
#define ER_UDF_ALREADY_EXISTS_MSG "Function \'%-.192s\' already exists."
#define ER_SET_EVENT_FAILED_MSG "Got Error: %ld from SetEvent."
#define ER_FAILED_TO_ALLOCATE_SSL_BIO_MSG "Error allocating SSL BIO."
#define ER_IB_MSG_1273_MSG "%s"
#define ER_PID_FILEPATH_LOCATIONS_INACCESSIBLE_MSG "One or several locations were inaccessible while checking PID filepath."
#define ER_UNKNOWN_VARIABLE_IN_PERSISTED_CONFIG_FILE_MSG "Currently unknown variable \'%s\' was read from the persisted config file."
#define ER_FAILED_TO_HANDLE_DEFAULTS_FILE_MSG "Fatal error in defaults handling. Program aborted!"
#define ER_DUPLICATE_SYS_VAR_MSG "Duplicate variable name \'%s\'."
#define ER_FAILED_TO_INIT_SYS_VAR_MSG "Failed to initialize system variables."
#define ER_SYS_VAR_NOT_FOUND_MSG "Variable name \'%s\' not found."
#define ER_IB_MSG_1274_MSG "Some (%d) threads are still active"
#define ER_IB_MSG_1275_MSG "%s"
#define ER_IB_MSG_WAIT_FOR_ENCRYPT_THREAD_MSG "Waiting for tablespace_alter_encrypt_thread to exit"
#define ER_IB_MSG_1277_MSG "%s"
#define ER_IB_MSG_NO_ENCRYPT_PROGRESS_FOUND_MSG "%s"
#define ER_IB_MSG_RESUME_OP_FOR_SPACE_MSG "%s"
#define ER_IB_MSG_1280_MSG "%s"
#define ER_IB_MSG_1281_MSG "%s"
#define ER_IB_MSG_1282_MSG "%s"
#define ER_IB_MSG_1283_MSG "%s"
#define ER_IB_MSG_1284_MSG "%s"
#define ER_CANT_SET_ERROR_SUPPRESSION_LIST_FROM_COMMAND_LINE_MSG "%s: Could not add suppression rule for code \"%s\". Rule-set may be full, or code may not correspond to an error-log message."
#define ER_INVALID_VALUE_OF_BIND_ADDRESSES_MSG "Invalid value for command line option bind-addresses: \'%s\'"
#define ER_RELAY_LOG_SPACE_LIMIT_DISABLED_MSG "Ignoring the @@global.relay_log_space_limit option because @@global.relay_log_purge is disabled."
#define ER_GRP_RPL_ERROR_GTID_SET_EXTRACTION_MSG "Error when extracting GTID execution information: %s"
#define ER_GRP_RPL_MISSING_GRP_RPL_ACTION_COORDINATOR_MSG "Message received without a proper group coordinator module."
#define ER_GRP_RPL_JOIN_WHEN_GROUP_ACTION_RUNNING_MSG "A member cannot join the group while a group configuration operation is running."
#define ER_GRP_RPL_JOINER_EXIT_WHEN_GROUP_ACTION_RUNNING_MSG "A member is joining the group while a group configuration operation is occurring. The member will now leave the group"
#define ER_GRP_RPL_CHANNEL_THREAD_WHEN_GROUP_ACTION_RUNNING_MSG "Can\'t start slave %s when group replication is running a group configuration operation."
#define ER_GRP_RPL_APPOINTED_PRIMARY_NOT_PRESENT_MSG "A primary election was invoked but the requested primary member is not in the group. Request ignored."
#define ER_GRP_RPL_ERROR_ON_MESSAGE_SENDING_MSG "Error while sending message. Context: %s"
#define ER_GRP_RPL_CONFIGURATION_ACTION_ERROR_MSG "Error while executing a group configuration operation: %s"
#define ER_GRP_RPL_CONFIGURATION_ACTION_LOCAL_TERMINATION_MSG "Configuration operation \'%s\' terminated. %s"
#define ER_GRP_RPL_CONFIGURATION_ACTION_START_MSG "Starting group operation local execution: %s"
#define ER_GRP_RPL_CONFIGURATION_ACTION_END_MSG "Termination of group operation local execution: %s"
#define ER_GRP_RPL_CONFIGURATION_ACTION_KILLED_ERROR_MSG "A configuration change was killed in this member. The member will now leave the group as its configuration may have diverged."
#define ER_GRP_RPL_PRIMARY_ELECTION_PROCESS_ERROR_MSG "There was an issue on the primary election process: %s The member will now leave the group."
#define ER_GRP_RPL_PRIMARY_ELECTION_STOP_ERROR_MSG "There was an issue when stopping a previous election process: %s"
#define ER_GRP_RPL_NO_STAGE_SERVICE_MSG "It was not possible to initialize stage logging for this task. The operation will still run without stage tracking."
#define ER_GRP_RPL_UDF_REGISTER_ERROR_MSG "Could not execute the installation of Group Replication UDF function: %s. Check if the function is already present, if so, try to remove it"
#define ER_GRP_RPL_UDF_UNREGISTER_ERROR_MSG "Could not uninstall Group Replication UDF functions. Try to remove them manually if present."
#define ER_GRP_RPL_UDF_REGISTER_SERVICE_ERROR_MSG "Could not execute the installation of Group Replication UDF functions. Check for other errors in the log and try to reinstall the plugin"
#define ER_GRP_RPL_SERVER_UDF_ERROR_MSG "The function \'%s\' failed. %s"
#define ER_SERVER_WRONG_VALUE_FOR_VAR_MSG "Variable \'%-.64s\' can\'t be set to the value of \'%-.200s\'"
#define ER_COULD_NOT_CREATE_WINDOWS_REGISTRY_KEY_MSG "%s was unable to create a new Windows registry key %s for %s; continuing to use the previous ident."
#define ER_SERVER_GTID_UNSAFE_CREATE_DROP_TEMP_TABLE_IN_TRX_IN_SBR_MSG "Statement violates GTID consistency: CREATE TEMPORARY TABLE and DROP TEMPORARY TABLE are not allowed inside a transaction or inside a procedure in a transactional context when @@session.binlog_format=STATEMENT."
#define ER_XPLUGIN_FAILED_TO_SWITCH_SECURITY_CTX_MSG "Unable to switch security context to user: %s"
#define ER_RPL_GTID_UNSAFE_ALTER_ADD_COL_WITH_DEFAULT_EXPRESSION_MSG "Statement violates GTID consistency: ALTER TABLE ... ADD COLUMN .. with expression as DEFAULT."
#define ER_UPGRADE_PARSE_ERROR_MSG "Error in parsing %s \'%s\'.\'%s\' during upgrade. %s"
#define ER_DATA_DIRECTORY_UNUSABLE_MSG "The designated data directory %s is unusable. You can remove all files that the server added to it."
#define ER_LDAP_AUTH_USER_GROUP_SEARCH_ROOT_BIND_MSG "Group search rebinding via root DN: %s "
#define ER_PLUGIN_INSTALL_ERROR_MSG "Error installing plugin \'%s\': %s"
#define ER_PLUGIN_UNINSTALL_ERROR_MSG "Error uninstalling plugin \'%s\': %s"
#define ER_SHARED_TABLESPACE_USED_BY_PARTITIONED_TABLE_MSG "Partitioned table \'%s\' is not allowed to use shared tablespace \'%s\'. Please move all partitions to file-per-table tablespaces before upgrade."
#define ER_UNKNOWN_TABLESPACE_TYPE_MSG "Cannot determine the type of the tablespace named \'%s\'."
#define ER_WARN_DEPRECATED_UTF8_ALIAS_OPTION_MSG "%s: \'utf8\' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous."
#define ER_WARN_DEPRECATED_UTF8MB3_CHARSET_OPTION_MSG "%s: The character set UTF8MB3 is deprecated and will be removed in a future release. Please consider using UTF8MB4 instead."
#define ER_WARN_DEPRECATED_UTF8MB3_COLLATION_OPTION_MSG "%s: \'%-.64s\' is a collation of the deprecated character set UTF8MB3. Please consider using UTF8MB4 with an appropriate collation instead."
#define ER_SSL_MEMORY_INSTRUMENTATION_INIT_FAILED_MSG "The SSL library function %s failed. This is typically caused by the SSL library already being used. As a result the SSL memory allocation will not be instrumented."
#define ER_IB_MSG_MADV_DONTDUMP_UNSUPPORTED_MSG "Disabling @@core_file because @@innodb_buffer_pool_in_core_file is disabled, yet MADV_DONTDUMP is not supported on this platform"
#define ER_IB_MSG_MADVISE_FAILED_MSG "Disabling @@core_file because @@innodb_buffer_pool_in_core_file is disabled, yet madvise(%p,%zu,%s) failed with %s"
#define ER_WARN_REMOVED_SQL_MODE_MSG "sql_mode=0x%08x has been removed and will be ignored"
#define ER_IB_MSG_FAILED_TO_ALLOCATE_WAIT_MSG "Failed to allocate memory for a pool of size %zu bytes. Will wait for %zu seconds for a thread to free a resource."
#define ER_IB_MSG_NUM_POOLS_MSG "Number of pools: %zu"
#define ER_IB_MSG_USING_UNDO_SPACE_MSG "Using undo tablespace \'%s\'."
#define ER_IB_MSG_FAIL_TO_SAVE_SPACE_STATE_MSG "%s Unable to save the current state of tablespace \'%s\' to the data dictionary"
#define ER_IB_MSG_MAX_UNDO_SPACES_REACHED_MSG "Cannot create undo tablespace %s at %s because %d undo tablespaces already exist."
#define ER_IB_MSG_ERROR_OPENING_NEW_UNDO_SPACE_MSG "Error %d opening newly created undo tablespace %s."
#define ER_IB_MSG_FAILED_SDI_Z_BUF_ERROR_MSG "SDI Compression failed, Z_BUF_ERROR"
#define ER_IB_MSG_FAILED_SDI_Z_MEM_ERROR_MSG "SDI Compression failed, Z_MEM_ERROR"
#define ER_IB_MSG_SDI_Z_STREAM_ERROR_MSG "SDI Compression failed, Z_STREAM_ERROR"
#define ER_IB_MSG_SDI_Z_UNKNOWN_ERROR_MSG "%s"
#define ER_IB_MSG_FOUND_WRONG_UNDO_SPACE_MSG "Expected to find undo tablespace \'%s\' for Space ID=%lu, but found \'%s\' instead!  Did you change innodb_undo_directory?"
#define ER_IB_MSG_NOT_END_WITH_IBU_MSG "Cannot use %s as an undo tablespace because it does not end with \'.ibu\'."
#define ER_IB_MSG_FAILED_TO_FINISH_TRUNCATE_MSG "%s Failed to finish truncating Undo Tablespace \'%s\'"
#define ER_IB_MSG_DEPRECATED_INNODB_UNDO_TABLESPACES_MSG "The setting INNODB_UNDO_TABLESPACES is deprecated and is no longer used.  InnoDB always creates 2 undo tablespaces to start with. If you need more, please use CREATE UNDO TABLESPACE."
#define ER_IB_MSG_WRONG_TABLESPACE_DIR_MSG "The directory for tablespace %s does not exist or is incorrect."
#define ER_IB_MSG_LOCK_FREE_HASH_USAGE_STATS_MSG "%s"
#define ER_CLONE_DONOR_TRACE_MSG "Clone donor reported : %.512s."
#define ER_CLONE_PROTOCOL_TRACE_MSG "Clone received unexpected response from donor : %.512s."
#define ER_CLONE_CLIENT_TRACE_MSG "Client: %.512s."
#define ER_CLONE_SERVER_TRACE_MSG "Server: %.512s."
#define ER_THREAD_POOL_PFS_TABLES_INIT_FAILED_MSG "Failed to initialize the performance schema tables service."
#define ER_THREAD_POOL_PFS_TABLES_ADD_FAILED_MSG "Failed to add thread pool performance schema tables."
#define ER_CANT_SET_DATA_DIR_MSG "Failed to set datadir to \'%-.200s\' (OS errno: %d - %s)"
#define ER_INNODB_INVALID_INNODB_UNDO_DIRECTORY_LOCATION_MSG "The innodb_undo_directory is not allowed to be an ancestor of the datadir."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_FETCH_KEY_MSG "Failed to fetch key from keyring, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_KEY_NOT_FOUND_MSG "Can\'t find key from keyring, please check in the server log if a keyring is loaded and initialized successfully."
#define ER_SERVER_RPL_ENCRYPTION_KEYRING_INVALID_KEY_MSG "Fetched an invalid key from keyring."
#define ER_SERVER_RPL_ENCRYPTION_HEADER_ERROR_MSG "Error reading a replication log encryption header: %s."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_ROTATE_LOGS_MSG "Failed to rotate some logs after changing binlog encryption settings. Please fix the problem and rotate the logs manually."
#define ER_SERVER_RPL_ENCRYPTION_KEY_EXISTS_UNEXPECTED_MSG "Key %s exists unexpected."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_GENERATE_KEY_MSG "Failed to generate key, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_STORE_KEY_MSG "Failed to store key, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_REMOVE_KEY_MSG "Failed to remove key, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_MASTER_KEY_RECOVERY_FAILED_MSG "Unable to recover binlog encryption master key, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_UNABLE_TO_INITIALIZE_MSG "Failed to initialize binlog encryption, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_UNABLE_TO_ROTATE_MASTER_KEY_AT_STARTUP_MSG "Failed to rotate binlog encryption master key at startup, please check if keyring is loaded."
#define ER_SERVER_RPL_ENCRYPTION_IGNORE_ROTATE_MASTER_KEY_AT_STARTUP_MSG "Ignoring binlog_rotate_encryption_master_key_at_startup because binlog_encryption option is disabled."
#define ER_INVALID_ADMIN_ADDRESS_MSG "Invalid value for command line option admin-address: \'%s\'"
#define ER_SERVER_STARTUP_ADMIN_INTERFACE_MSG "Admin interface ready for connections, address: \'%s\'  port: %d"
#define ER_CANT_CREATE_ADMIN_THREAD_MSG "Can\'t create thread to handle admin connections (errno= %d)"
#define ER_WARNING_RETAIN_CURRENT_PASSWORD_CLAUSE_VOID_MSG "RETAIN CURRENT PASSWORD ignored for user \'%s\'@\'%s\' as its authentication plugin %s does not support multiple passwords."
#define ER_WARNING_DISCARD_OLD_PASSWORD_CLAUSE_VOID_MSG "DISCARD OLD PASSWORD ignored for user \'%s\'@\'%s\' as its authentication plugin %s does not support multiple passwords."
#define ER_WARNING_AUTHCACHE_INVALID_USER_ATTRIBUTES_MSG "Can not read and process value of User_attributes column from mysql.user table for user: \'%s@%s\'; Ignoring user."
#define ER_MYSQL_NATIVE_PASSWORD_SECOND_PASSWORD_USED_INFORMATION_MSG "Second password was used for login by user: \'%s\'@\'%s\'."
#define ER_SHA256_PASSWORD_SECOND_PASSWORD_USED_INFORMATION_MSG "Second password was used for login by user: \'%s\'@\'%s\'."
#define ER_CACHING_SHA2_PASSWORD_SECOND_PASSWORD_USED_INFORMATION_MSG "Second password was used for login by user: \'%s\'@\'%s\'."
#define ER_GRP_RPL_SEND_TRX_PREPARED_MESSAGE_FAILED_MSG "Error sending transaction \'%d:%lld\' prepared message from session \'%u\'."
#define ER_GRP_RPL_RELEASE_COMMIT_AFTER_GROUP_PREPARE_FAILED_MSG "Error releasing transaction \'%d:%lld\' for commit on session \'%u\' after being prepared on all group members."
#define ER_GRP_RPL_TRX_ALREADY_EXISTS_ON_TCM_ON_AFTER_CERTIFICATION_MSG "Transaction \'%d:%lld\' already exists on Group Replication consistency manager while being registered after conflict detection."
#define ER_GRP_RPL_FAILED_TO_INSERT_TRX_ON_TCM_ON_AFTER_CERTIFICATION_MSG "Error registering transaction \'%d:%lld\' on Group Replication consistency manager after conflict detection."
#define ER_GRP_RPL_REGISTER_TRX_TO_WAIT_FOR_GROUP_PREPARE_FAILED_MSG "Error registering transaction \'%d:%lld\' from session \'%u\' to wait for being prepared on all group members."
#define ER_GRP_RPL_TRX_WAIT_FOR_GROUP_PREPARE_FAILED_MSG "Error on transaction \'%d:%lld\' from session \'%u\' while waiting for being prepared on all group members."
#define ER_GRP_RPL_TRX_DOES_NOT_EXIST_ON_TCM_ON_HANDLE_REMOTE_PREPARE_MSG "Transaction \'%d:%lld\' does not exist on Group Replication consistency manager while receiving remote transaction prepare."
#define ER_GRP_RPL_RELEASE_BEGIN_TRX_AFTER_DEPENDENCIES_COMMIT_FAILED_MSG "Error releasing transaction \'%d:%lld\' for execution on session \'%u\' after its dependencies did complete commit."
#define ER_GRP_RPL_REGISTER_TRX_TO_WAIT_FOR_DEPENDENCIES_FAILED_MSG "Error registering transaction from session \'%u\' to wait for its dependencies to complete commit."
#define ER_GRP_RPL_WAIT_FOR_DEPENDENCIES_FAILED_MSG "Error on session \'%u\' while waiting for its dependencies to complete commit."
#define ER_GRP_RPL_REGISTER_TRX_TO_WAIT_FOR_SYNC_BEFORE_EXECUTION_FAILED_MSG "Error registering transaction from session \'%u\' to wait for sync before execution."
#define ER_GRP_RPL_SEND_TRX_SYNC_BEFORE_EXECUTION_FAILED_MSG "Error sending sync before execution message from session \'%u\'."
#define ER_GRP_RPL_TRX_WAIT_FOR_SYNC_BEFORE_EXECUTION_FAILED_MSG "Error on transaction from session \'%u\' while waiting for sync before execution."
#define ER_GRP_RPL_RELEASE_BEGIN_TRX_AFTER_WAIT_FOR_SYNC_BEFORE_EXEC_MSG "Error releasing transaction for execution on session \'%u\' after wait for sync before execution."
#define ER_GRP_RPL_TRX_WAIT_FOR_GROUP_GTID_EXECUTED_MSG "Error waiting for group executed transactions commit on session \'%u\'."
#define ER_WARN_PROPERTY_STRING_PARSE_FAILED_MSG "Could not parse key-value pairs in property string \'%s\'"
#define ER_INVALID_PROPERTY_KEY_MSG "Property key \'%s\' is invalid."
#define ER_GRP_RPL_GTID_SET_EXTRACT_ERROR_DURING_RECOVERY_MSG "Error when extracting the group_replication_applier channel received transactions set. Unable to ensure the execution of group transactions received during recovery."
#define ER_SERVER_RPL_ENCRYPTION_FAILED_TO_ENCRYPT_MSG "Failed to encrypt content to write into binlog file: %s."
#define ER_CANNOT_GET_SERVER_VERSION_FROM_TABLESPACE_HEADER_MSG "Cannot get the server version number from the dictionary tablespace header."
#define ER_CANNOT_SET_SERVER_VERSION_IN_TABLESPACE_HEADER_MSG "Cannot set the server version number in the dictionary tablespace header."
#define ER_SERVER_UPGRADE_VERSION_NOT_SUPPORTED_MSG "Upgrading the server from server version \'%u\' is not supported."
#define ER_SERVER_UPGRADE_FROM_VERSION_MSG "MySQL server upgrading from version \'%u\' to \'%u\'."
#define ER_GRP_RPL_ERROR_ON_CERT_DB_INSTALL_MSG "The certification information could not be set in this server: \'%s\'"
#define ER_GRP_RPL_FORCE_MEMBERS_WHEN_LEAVING_MSG "A request to force a new group membership was issued when the member is leaving the group."
#define ER_TRG_WRONG_ORDER_MSG "Trigger %s.%s for table %s.%s is listed in wrong order. Please drop and recreate all triggers for the table."
#define ER_LDAP_AUTH_GRP_SEARCH_NOT_SPECIAL_HDL_MSG "Special handling for group search, {GA} not found"
#define ER_LDAP_AUTH_GRP_USER_OBJECT_HAS_GROUP_INFO_MSG "User group retrieval: User object has group information"
#define ER_LDAP_AUTH_GRP_INFO_FOUND_IN_MANY_OBJECTS_MSG "Group information found in multiple user objects. Search filter configuration is incorrect."
#define ER_LDAP_AUTH_GRP_INCORRECT_ATTRIBUTE_MSG "User group retrieval: no group attribute found. Incorrect group search attribute. "
#define ER_LDAP_AUTH_GRP_NULL_ATTRIBUTE_VALUE_MSG "User group retrieval: Group attribute values is NULL. "
#define ER_LDAP_AUTH_GRP_DN_PARSING_FAILED_MSG "User group retrieval: parsing DN failed. "
#define ER_LDAP_AUTH_GRP_OBJECT_HAS_USER_INFO_MSG "User group retrieval: Group object has user information"
#define ER_LDAP_AUTH_LDAPS_MSG "Reserved port for ldaps using ldaps"
#define ER_LDAP_MAPPING_GET_USER_PROXY_MSG "Get user proxy"
#define ER_LDAP_MAPPING_USER_DONT_BELONG_GROUP_MSG "Get user proxy: User doesn\'t belongs to any group, user name will be treated as authenticated user."
#define ER_LDAP_MAPPING_INFO_MSG "Get user proxy: configured mapping info: %s"
#define ER_LDAP_MAPPING_EMPTY_MAPPING_MSG "Get user proxy: User doesn\'t have group mapping information, First LDAP group will be treated as authenticated user."
#define ER_LDAP_MAPPING_PROCESS_MAPPING_MSG "Process group proxy mapping"
#define ER_LDAP_MAPPING_CHECK_DELIMI_QUOTE_MSG "Check delimiter after quote"
#define ER_LDAP_MAPPING_PROCESS_DELIMITER_MSG "Processing delimiter"
#define ER_LDAP_MAPPING_PROCESS_DELIMITER_EQUAL_NOT_FOUND_MSG "Processing delimiter, separator = not found, resetting position"
#define ER_LDAP_MAPPING_PROCESS_DELIMITER_TRY_COMMA_MSG "\"Processing delimiter, failed to get data for = separator try for separator ,.\""
#define ER_LDAP_MAPPING_PROCESS_DELIMITER_COMMA_NOT_FOUND_MSG "Processing delimiter, separator , not found, resetting position"
#define ER_LDAP_MAPPING_NO_SEPEARATOR_END_OF_GROUP_MSG "Processing delimiter: No mapping separator is found, end of group information"
#define ER_LDAP_MAPPING_GETTING_NEXT_MAPPING_MSG "Getting next mapping information"
#define ER_LDAP_MAPPING_PARSING_CURRENT_STATE_MSG "Parsing mapping, current state: %d  delimiter char: %c "
#define ER_LDAP_MAPPING_PARSING_MAPPING_INFO_MSG "Parsing mapping info, LDAP group: %s MySQL proxy: %s"
#define ER_LDAP_MAPPING_PARSING_ERROR_MSG "Mapping parsing error"
#define ER_LDAP_MAPPING_TRIMMING_SPACES_MSG "Trimming left spaces"
#define ER_LDAP_MAPPING_IS_QUOTE_MSG "Checking if current characters is quote"
#define ER_LDAP_MAPPING_NON_DESIRED_STATE_MSG "Not desired state or un-defined states."
#define ER_INVALID_NAMED_PIPE_FULL_ACCESS_GROUP_MSG "Invalid value for named_pipe_full_access_group."
#define ER_PREPARE_FOR_SECONDARY_ENGINE_MSG "Retry the statement using a secondary storage engine."
#define ER_SERVER_WARN_DEPRECATED_MSG "\'%s\' is deprecated and will be removed in a future release. Please use %s instead"
#define ER_AUTH_ID_WITH_SYSTEM_USER_PRIV_IN_MANDATORY_ROLES_MSG "Cannot set mandatory_roles: AuthId `%.64s`@`%.64s` has \'%s\' privilege."
#define ER_SERVER_BINLOG_MASTER_KEY_RECOVERY_OUT_OF_COMBINATION_MSG "Unable to recover binary log master key, the combination of new_master_key_seqno=%u, master_key_seqno=%u and old_master_key_seqno=%u are wrong."
#define ER_SERVER_BINLOG_MASTER_KEY_ROTATION_FAIL_TO_CLEANUP_AUX_KEY_MSG "Failed to remove auxiliary binary log encryption key from keyring, please check if keyring is loaded. The cleanup of the binary log master key rotation process did not finish as expected and the cleanup will take place upon server restart or next \'ALTER INSTANCE ROTATE BINLOG MASTER KEY\' execution."
#define ER_TURNING_ON_PARTIAL_REVOKES_MSG "At least one partial revoke exists on a database. Turning ON the system variable \'@@partial_revokes\'."
#define ER_WARN_PARTIAL_REVOKE_AND_DB_GRANT_MSG "For user \'%s\'@\'%s\', one or more privileges granted through mysql.db for database \'%s\', conflict with partial revoke. It could mean \'mysql\' schema is corrupted."
#define ER_WARN_INCORRECT_PRIVILEGE_FOR_DB_RESTRICTIONS_MSG "For user %s, ignored restrictions for privilege(s) \'%s\' for database \'%s\' as these are not valid database privileges."
#define ER_WARN_INVALID_DB_RESTRICTIONS_MSG "For user %s, ignored restrictions for privilege(s) \'%s\' for database \'%s\' as corresponding global privilege(s) are not granted."
#define ER_GRP_RPL_INVALID_COMMUNICATION_PROTOCOL_MSG "\'%s\' is an invalid value for group_replication_communication_protocol_join, please use a MySQL version between 5.7.14 and this server\'s version"
#define ER_GRP_RPL_STARTED_AUTO_REJOIN_MSG "Started auto-rejoin procedure attempt %lu of %lu"
#define ER_GRP_RPL_TIMEOUT_RECEIVED_VC_ON_REJOIN_MSG "Timeout while waiting for a view change event during the auto-rejoin procedure"
#define ER_GRP_RPL_FINISHED_AUTO_REJOIN_MSG "Auto-rejoin procedure attempt %lu of %lu finished. Member was%s able to join the group."
#define ER_GRP_RPL_DEFAULT_TABLE_ENCRYPTION_DIFF_FROM_GRP_MSG "The member is configured with a default_table_encryption option value \'%d\' different from the group \'%d\'. The member will now exit the group."
#define ER_SERVER_UPGRADE_OFF_MSG "Server shutting down because upgrade is required, yet prohibited by the command line option \'--upgrade=NONE\'."
#define ER_SERVER_UPGRADE_SKIP_MSG "Server upgrade is required, but skipped by command line option \'--upgrade=MINIMAL\'."
#define ER_SERVER_UPGRADE_PENDING_MSG "Server upgrade started with version %d, but server upgrade of version %d is still pending."
#define ER_SERVER_UPGRADE_FAILED_MSG "Failed to upgrade server."
#define ER_SERVER_UPGRADE_STATUS_MSG "Server upgrade from \'%d\' to \'%d\' %s."
#define ER_SERVER_UPGRADE_REPAIR_REQUIRED_MSG "Table \'%s\' requires repair."
#define ER_SERVER_UPGRADE_REPAIR_STATUS_MSG "Table \'%s\' repair %s."
#define ER_SERVER_UPGRADE_INFO_FILE_MSG "Could not open server upgrade info file \'%s\' for writing. Please make sure the file is writable."
#define ER_SERVER_UPGRADE_SYS_SCHEMA_MSG "Upgrading the sys schema."
#define ER_SERVER_UPGRADE_MYSQL_TABLES_MSG "Running queries to upgrade MySQL server."
#define ER_SERVER_UPGRADE_SYSTEM_TABLES_MSG "Upgrading system table data."
#define ER_SERVER_UPGRADE_EMPTY_SYS_MSG "Found empty sys database. Installing the sys schema."
#define ER_SERVER_UPGRADE_NO_SYS_VERSION_MSG "A sys schema exists with no sys.version view. If you have a user created sys schema, this must be renamed for the upgrade to succeed."
#define ER_SERVER_UPGRADE_SYS_VERSION_EMPTY_MSG "A sys schema exists with a sys.version view, but it returns no results."
#define ER_SERVER_UPGRADE_SYS_SCHEMA_OUTDATED_MSG "Found outdated sys schema version %s."
#define ER_SERVER_UPGRADE_SYS_SCHEMA_UP_TO_DATE_MSG "The sys schema is already up to date (version %s)."
#define ER_SERVER_UPGRADE_SYS_SCHEMA_OBJECT_COUNT_MSG "Found %d sys %s, but expected %d. Re-installing the sys schema."
#define ER_SERVER_UPGRADE_CHECKING_DB_MSG "Checking \'%s\' schema."
#define ER_IB_MSG_DDL_LOG_DELETE_BY_ID_TMCT_MSG "Too many concurrent transactions while clearing the DDL Log. Please increase the number of Rollback Segments."
#define ER_IB_MSG_POST_RECOVER_DDL_LOG_RECOVER_MSG "Error in DDL Log recovery during Post-Recovery processing."
#define ER_IB_MSG_POST_RECOVER_POST_TS_ENCRYPT_MSG "Error in Post-Tablespace-Encryption during Post-Recovery processing."
#define ER_IB_MSG_DDL_LOG_FAIL_POST_DDL_MSG "Error in DLL Log cleanup during Post-DDL processing."
#define ER_SERVER_BINLOG_UNSAFE_SYSTEM_FUNCTION_MSG "\'%s\' statement is unsafe because it uses a system function that may return a different value on the slave."
#define ER_SERVER_UPGRADE_HELP_TABLE_STATUS_MSG "Upgrade of help tables %s."
#define ER_GRP_RPL_SRV_GTID_WAIT_ERROR_MSG "Error when waiting for the server to execute local transactions in order assure the group change proper logging"
#define ER_GRP_DELAYED_VCLE_LOGGING_MSG "Unable to log the group change View log event in its exaction position in the log. This will not however affect the group replication recovery process or the overall plugin process."
#define ER_BINLOG_UNABLE_TO_ROTATE_GTID_TABLE_READONLY_MSG "Unable to create a new binlog file: Table `mysql.gtid_executed` couldn\'t be opened. %s"
#define ER_NETWORK_NAMESPACES_NOT_SUPPORTED_MSG "Network Namespaces is not supported on this platform"
#define ER_UNKNOWN_NETWORK_NAMESPACE_MSG "Unknown network namespace \'%s\'"
#define ER_NETWORK_NAMESPACE_NOT_ALLOWED_FOR_WILDCARD_ADDRESS_MSG "Network namespace not allowed for wildcard interface address"
#define ER_SETNS_FAILED_MSG "setns() failed with error \'%s\'"
#define ER_WILDCARD_NOT_ALLOWED_FOR_MULTIADDRESS_BIND_MSG "Wildcard address value not allowed for multivalued bind address"
#define ER_NETWORK_NAMESPACE_FILE_PATH_TOO_LONG_MSG "The path to a special network namespace file is too long. (got %u > max %u)"
#define ER_IB_MSG_TOO_LONG_PATH_MSG "Cannot create tablespace \'%s\'. The filepath is too long for this OS."
#define ER_IB_RECV_FIRST_REC_GROUP_INVALID_MSG "The last block of redo had corrupted first_rec_group and became fixed (%u -> %u)."
#define ER_DD_UPGRADE_COMPLETED_MSG "Data dictionary upgrade from version \'%u\' to \'%u\' completed."
#define ER_SSL_SERVER_CERT_VERIFY_FAILED_MSG "Server SSL certificate doesn\'t verify: %s"
#define ER_PERSIST_OPTION_USER_TRUNCATED_MSG "Truncated a user name for %s that was too long while reading the persisted variables file"
#define ER_PERSIST_OPTION_HOST_TRUNCATED_MSG "Truncated a host name for %s that was too long while reading the persisted variables file"
#define ER_NET_WAIT_ERROR_MSG "The wait_timeout period was exceeded, the idle time since last command was too long."
#define ER_IB_MSG_1285_MSG "\'%s\' found not encrypted while \'%s\' is ON. Trying to encrypt it now."
#define ER_IB_MSG_CLOCK_MONOTONIC_UNSUPPORTED_MSG "CLOCK_MONOTONIC is unsupported, so do not change the system time when MySQL is running !"
#define ER_IB_MSG_CLOCK_GETTIME_FAILED_MSG "clock_gettime() failed: %s"
#define ER_PLUGIN_NOT_EARLY_DUP_MSG "Plugin \'%s\' is not to be used as an \"early\" plugin. Don\'t add it to --early-plugin-load, keyring migration etc."
#define ER_PLUGIN_NO_INSTALL_DUP_MSG "Plugin \'%s\' is marked as not dynamically installable. You have to stop the server to install it."
#define ER_BINLOG_UNSAFE_DEFAULT_EXPRESSION_IN_SUBSTATEMENT_MSG "The statement is unsafe because it invokes a trigger or a stored function that modifies a table that has a column with a DEFAULT expression that may return a different value on the slave."
#define ER_GRP_RPL_MEMBER_VER_READ_COMPATIBLE_MSG "Member version is read compatible with the group."
#define ER_LOCK_ORDER_INIT_FAILED_MSG "Lock order disabled (reason: init failed)."
#define ER_AUDIT_LOG_KEYRING_ID_TIMESTAMP_VALUE_IS_INVALID_MSG "Keyring ID timestamp value is invalid: \'%s\'"
#define ER_AUDIT_LOG_FILE_NAME_TIMESTAMP_VALUE_IS_MISSING_OR_INVALID_MSG "Cannot process audit log file. File name timestamp value is missing or invalid: \'%s\'"
#define ER_AUDIT_LOG_FILE_NAME_DOES_NOT_HAVE_REQUIRED_FORMAT_MSG "Cannot process audit log file. File name does not have required format: \'%s\'"
#define ER_AUDIT_LOG_FILE_NAME_KEYRING_ID_VALUE_IS_MISSING_MSG "Cannot process audit log file. File name keyring ID value is missing: \'%s\'"
#define ER_AUDIT_LOG_FILE_HAS_BEEN_SUCCESSFULLY_PROCESSED_MSG "Audit log file has been successfully processed: \'%s\'"
#define ER_AUDIT_LOG_COULD_NOT_OPEN_FILE_FOR_READING_MSG "Could not open audit log file for reading: \'%s\'"
#define ER_AUDIT_LOG_INVALID_FILE_CONTENT_MSG "Invalid audit log file content: \'%s\'"
#define ER_AUDIT_LOG_CANNOT_READ_PASSWORD_MSG "Cannot read password: \'%.32s\'."
#define ER_AUDIT_LOG_CANNOT_STORE_PASSWORD_MSG "Cannot store password: \'%.32s\'."
#define ER_AUDIT_LOG_CANNOT_REMOVE_PASSWORD_MSG "Cannot remove password: \'%.32s\'."
#define ER_AUDIT_LOG_PASSWORD_HAS_BEEN_COPIED_MSG "\'audit_log\' password has been copied into \'%.32s\' and will be removed with first purged password."
#define ER_LDAP_EMPTY_USERDN_PASSWORD_MSG "Empty user dn or password is not allowed, not attempting LDAP bind."
#define ER_ACL_WRONG_OR_MISSING_ACL_TABLES_LOG_MSG "The current layout of the ACL tables does not conform to the server\'s expected layout. They\'re either altered, missing or not upgraded from a previous version. However a best effort attempt to read data from these tables will still be made."
#define ER_LOCK_ORDER_FAILED_WRITE_FILE_MSG "LOCK_ORDER: Failed to write to file <%s>."
#define ER_LOCK_ORDER_FAILED_READ_FILE_MSG "LOCK_ORDER: Failed to read from file <%s>."
#define ER_LOCK_ORDER_MESSAGE_MSG "LOCK_ORDER message: %s"
#define ER_LOCK_ORDER_DEPENDENCIES_SYNTAX_MSG "Lock order dependencies file <%s> (%d:%d) - (%d:%d) : %s"
#define ER_LOCK_ORDER_SCANNER_SYNTAX_MSG "Lock order scanner: (%d:%d) - (%d:%d) : %s"
#define ER_DATA_DIRECTORY_UNUSABLE_DELETABLE_MSG "The newly created data directory %s by --initialize is unusable. You can remove it."
#define ER_IB_MSG_BTREE_LEVEL_LIMIT_EXCEEDED_MSG "No. of B-tree level created for index %s has crossed the permissible limit. If debug option innodb_limit_optimistic_insert_debug is being used try tweaking it to include more records in a page."
#define ER_IB_CLONE_START_STOP_MSG "%s"
#define ER_IB_CLONE_OPERATION_MSG "%s"
#define ER_IB_CLONE_RESTART_MSG "%s"
#define ER_IB_CLONE_USER_DATA_MSG "Clone removing all user data for provisioning: %s"
#define ER_IB_CLONE_NON_INNODB_TABLE_MSG "Non innodb table: %s.%s is not cloned and is empty."
#define ER_CLONE_SHUTDOWN_TRACE_MSG "Clone shutting down server as RESTART failed. Please start server to complete clone operation."
#define ER_GRP_RPL_GTID_PURGED_EXTRACT_ERROR_MSG "Error when extracting this member GTID purged set. Operations and checks made to group joiners may be incomplete."
#define ER_GRP_RPL_CLONE_PROCESS_PREPARE_ERROR_MSG "There was an issue when configuring the remote cloning process: %s"
#define ER_GRP_RPL_CLONE_PROCESS_EXEC_ERROR_MSG "There was an issue when cloning from another server: %s"
#define ER_GRP_RPL_RECOVERY_EVAL_ERROR_MSG "There was an issue when trying to evaluate the best distributed recovery strategy while joining.%s"
#define ER_GRP_RPL_NO_POSSIBLE_RECOVERY_MSG "No valid or ONLINE members exist to get the missing data from the group. For cloning check if donors of the same version and with clone plugin installed exist. For incremental recovery check if you have donors where the required data was not purged from the binary logs."
#define ER_GRP_RPL_CANT_KILL_THREAD_MSG "The group replication plugin could not kill the plugin routine for %s. %s"
#define ER_GRP_RPL_RECOVERY_STRAT_CLONE_THRESHOLD_MSG "This member will start distributed recovery using clone. It is due to the number of missing transactions being higher than the configured threshold of %llu."
#define ER_GRP_RPL_RECOVERY_STRAT_CLONE_PURGED_MSG "This member will start distributed recovery using clone. It is due to no ONLINE member has the missing data for recovering in its binary logs."
#define ER_GRP_RPL_RECOVERY_STRAT_CHOICE_MSG "Distributed recovery will transfer data using: %s"
#define ER_GRP_RPL_RECOVERY_STRAT_FALLBACK_MSG "Due to some issue on the previous step distributed recovery is now executing: %s"
#define ER_GRP_RPL_RECOVERY_STRAT_NO_FALLBACK_MSG "Due to a critical cloning error or lack of donors, distributed recovery cannot be executed. The member will now leave the group."
#define ER_GRP_RPL_SLAVE_THREAD_ERROR_ON_CLONE_MSG "The \'%s\' thread of channel \'%s\' will error out as the server will attempt to clone another server"
#define ER_UNKNOWN_TABLE_IN_UPGRADE_MSG "Unknown table \'%-.129s\'"
#define ER_IDENT_CAUSES_TOO_LONG_PATH_IN_UPGRADE_MSG "Long database name and identifier for object resulted in path length exceeding %d characters. Path: \'%s\'."
#define ER_XA_CANT_CREATE_MDL_BACKUP_MSG "XA: Failed to take MDL Lock backup of PREPARED XA transaction during client disconnect."
#define ER_AUDIT_LOG_SUPER_PRIVILEGE_REQUIRED_MSG "SUPER privilege or AUDIT_ADMIN role required for \'%s\'@\'%s\' user."
#define ER_AUDIT_LOG_UDF_INVALID_ARGUMENT_TYPE_MSG "Invalid argument type"
#define ER_AUDIT_LOG_UDF_INVALID_ARGUMENT_COUNT_MSG "Invalid argument count"
#define ER_AUDIT_LOG_HAS_NOT_BEEN_INSTALLED_MSG "audit_log plugin has not been installed using INSTALL PLUGIN syntax."
#define ER_AUDIT_LOG_UDF_READ_INVALID_MAX_ARRAY_LENGTH_ARG_TYPE_MSG "Invalid \"max_array_length\" argument type."
#define ER_LOG_CANNOT_WRITE_EXTENDED_MSG "Failed to write to %s: %s (%s)"
#define ER_KEYRING_AWS_INCORRECT_PROXY_MSG "Incorrect environment variable %s, invalid port: %s"
#define ER_GRP_RPL_SERVER_SET_TO_OFFLINE_MODE_DUE_TO_ERRORS_MSG "The server was automatically set into offline mode after an error was detected."
#define ER_GRP_RPL_MESSAGE_SERVICE_FATAL_ERROR_MSG "A message sent through the Group Replication message deliver service was not delivered successfully. The server will now leave the group. Try to add the server back to the group and check if the problem persists, or check previous messages in the log for hints of what could be the problem."
#define ER_WARN_WRONG_COMPRESSION_ALGORITHM_LOG_MSG "Invalid MASTER_COMPRESSION_ALGORITHMS \'%.192s\' found in repository for channel \'%.192s\'. Resetting to \'uncompressed\' (no compression)."
#define ER_WARN_WRONG_COMPRESSION_LEVEL_LOG_MSG "Invalid MASTER_ZSTD_COMPRESSION_LEVEL found in repository for channel \'%.192s\'. Resetting to %u."
#define ER_PROTOCOL_COMPRESSION_RESET_LOG_MSG "Option --protocol-compression-algorithms is reset to default value."
#define ER_XPLUGIN_COMPRESSION_ERROR_MSG "Fatal error while compressing outgoing data - %s"
#define ER_MYSQLBACKUP_MSG_MSG "%s"
#define ER_WARN_UNKNOWN_KEYRING_AWS_REGION_MSG "Unknown keyring_aws_region \'%.192s\'. Connection to AWS KMS may fail."
#define ER_WARN_LOG_PRIVILEGE_CHECKS_USER_DOES_NOT_EXIST_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' was set to `%.64s`@`%.255s`, but this is not an existing user. Correct this before starting replication threads."
#define ER_WARN_LOG_PRIVILEGE_CHECKS_USER_CORRUPT_MSG "Invalid, corrupted PRIVILEGE_CHECKS_USER was found in the replication configuration repository for channel \'%.192s\'. Use CHANGE MASTER TO PRIVILEGE_CHECKS_USER to correct the configuration."
#define ER_WARN_LOG_PRIVILEGE_CHECKS_USER_NEEDS_RPL_APPLIER_PRIV_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' was set to `%.64s`@`%.255s`, but this user does not have REPLICATION_APPLIER privilege. Correct this before starting the replication threads."
#define ER_FILE_PRIVILEGE_FOR_REPLICATION_CHECKS_MSG "The PRIVILEGE_CHECKS_USER for channel \'%.192s\' would need FILE privilege to execute a LOAD DATA INFILE statement replicated in statement format. Consider using binlog_format=ROW on master. If the replicated events are trusted, recover from the failure by temporarily granting FILE to the PRIVILEGE_CHECKS_USER."
#define ER_RPL_SLAVE_SQL_THREAD_STARTING_WITH_PRIVILEGE_CHECKS_MSG "Slave SQL thread%s initialized, starting replication in log \'%s\' at position %s, relay log \'%s\' position: %s, user: \'%.64s\'@\'%.255s\', roles: %.512s"
#define ER_AUDIT_LOG_CANNOT_GENERATE_PASSWORD_MSG "Cannot generate password: \'%.32s\'"
#define ER_INIT_FAILED_TO_GENERATE_ROOT_PASSWORD_MSG "Failed to generate a random password for root. Probabably not enough enthropy."
#define ER_PLUGIN_LOAD_OPTIONS_IGNORED_MSG "Ignoring --plugin-load[_add] list as the server is running with --initialize(-insecure)."
#define ER_WARN_AUTH_ID_WITH_SYSTEM_USER_PRIV_IN_MANDATORY_ROLES_MSG "Cannot set mandatory_roles: AuthId `%.64s`@`%.64s` has \'%s\' privilege. AuthId(s) set in the mandatory_roles are ignored."
#define ER_IB_MSG_SKIP_HIDDEN_DIR_MSG "Directory \'%s\' will not be scanned because it is a hidden directory."
#define ER_WARN_RPL_RECOVERY_NO_ROTATE_EVENT_FROM_MASTER_EOF_MSG "Server was not able to find a rotate event from master server to initialize relay log recovery for channel \'%s\'. Skipping relay log recovery for the channel."
#define ER_IB_LOB_ROLLBACK_INDEX_LEN_MSG "Rolling back LOB for transaction %llu undo number %llu : current index length %llu. (iteration %llu)"
#define ER_CANT_PROCESS_EXPRESSION_FOR_GENERATED_COLUMN_TO_DD_MSG "Error in processing (possibly deprecated) expression or function \'%.128s\' for generated column %.64s.%.64s.%.64s"
#define ER_RPL_SLAVE_QUEUE_EVENT_FAILED_INVALID_NON_ROW_FORMAT_MSG "The queue event failed for channel \'%s\' as an invalid event according to REQUIRE_ROW_FORMAT was found."
#define ER_RPL_SLAVE_APPLY_LOG_EVENT_FAILED_INVALID_NON_ROW_FORMAT_MSG "The application of relay events failed for channel \'%s\' as an invalid event according to REQUIRE_ROW_FORMAT was found."
#define ER_LOG_PRIV_CHECKS_REQUIRE_ROW_FORMAT_NOT_SET_MSG "PRIVILEGE_CHECKS_USER for replication channel \'%.192s\' can\'t be set to `%.64s`@`%.255s` unless REQUIRE_ROW_FORMAT is also set to %d."
#define ER_RPL_SLAVE_SQL_THREAD_DETECTED_UNEXPECTED_EVENT_SEQUENCE_MSG "An unexpected event sequence was detected by the SQL thread while applying an event."
#define ER_IB_MSG_UPGRADE_PARTITION_FILE_MSG "Updating partition file name \'%s\' to \'%s\' and all other partition files during upgrade"
#define ER_IB_MSG_DOWNGRADE_PARTITION_FILE_MSG "Updating partition file name \'%s\' to \'%s\' and all other partition files during downgrade"
#define ER_IB_MSG_UPGRADE_PARTITION_FILE_IMPORT_MSG "Updating partition file name \'%s\' to \'%s\' for import"
#define ER_IB_WARN_OPEN_PARTITION_FILE_MSG "Unable to open partition file with new name \'%s\'. Please check if innodb_directories is set to include all external file paths"
#define ER_IB_MSG_FIL_STATE_MOVED_CORRECTED_MSG "%s DD ID: %llu - Partition tablespace %u, name \'%s\' is corrected to \'%s\'"
#define ER_IB_MSG_FIL_STATE_MOVED_CHANGED_PATH_MSG "%s DD ID: %llu - Tablespace %u, name \'%s\', \'%s\' is moved to \'%s\'"
#define ER_IB_MSG_FIL_STATE_MOVED_CHANGED_NAME_MSG "%s DD ID: %llu - Partition tablespace %u, name \'%s\', \'%s\' is updated to \'%s\'"
#define ER_IB_MSG_FIL_STATE_MOVED_TOO_MANY_MSG "%s Too many files have been moved, disabling logging of detailed messages"
#define ER_GR_ELECTED_PRIMARY_GTID_INFORMATION_MSG "Elected primary member %s: %s"
#define ER_SCHEMA_NAME_IN_UPPER_CASE_NOT_ALLOWED_MSG "Schema name \'%s\' containing upper case characters is not allowed with lower_case_table_names = 1."
#define ER_TABLE_NAME_IN_UPPER_CASE_NOT_ALLOWED_MSG "Table name \'%s.%s\' containing upper case characters is not allowed with lower_case_table_names = 1."
#define ER_SCHEMA_NAME_IN_UPPER_CASE_NOT_ALLOWED_FOR_FK_MSG "Schema name \'%s\' containing upper case characters, used by foreign key \'%s\' in table \'%s.%s\', is not allowed with lower_case_table_names = 1."
#define ER_TABLE_NAME_IN_UPPER_CASE_NOT_ALLOWED_FOR_FK_MSG "Table name \'%s.%s\' containing upper case characters, used by foreign key \'%s\' in table \'%s.%s\', is not allowed with lower_case_table_names = 1."
#define ER_IB_MSG_DICT_PARTITION_NOT_FOUND_MSG "Table Partition: %s is not found in InnoDB dictionary"
#define ER_ACCESS_DENIED_FOR_USER_ACCOUNT_BLOCKED_BY_PASSWORD_LOCK_MSG "Access denied for user \'%-.48s\'@\'%-.64s\'. Account is blocked for %s day(s) (%s day(s) remaining) due to %u consecutive failed logins. Use FLUSH PRIVILEGES or ALTER USER to reset."
#define ER_INNODB_OUT_OF_RESOURCES_MSG "%s"
#define ER_DD_UPGRADE_FOUND_PREPARED_XA_TRANSACTION_MSG "Upgrade cannot proceed due to an existing prepared XA transaction."
#define ER_MIGRATE_TABLE_TO_DD_OOM_MSG "Could not allocate memory for key_info when migrating table %s.%s"
#define ER_RPL_RELAY_LOG_RECOVERY_INFO_AFTER_CLONE_MSG "Relay log information for channel \'%s\' was found after a clone operation. Relay log recovery will be executed to adjust positions and file information for this new server. Should that automatic procedure fail please adjust the positions through \'CHANGE MASTER TO\'"
#define ER_IB_MSG_57_UNDO_SPACE_DELETE_FAIL_MSG "Failed to delete 5.7 undo tablespace: %s during upgrade"
#define ER_IB_MSG_DBLWR_1285_MSG "Empty doublewrite file: %s"
#define ER_IB_MSG_DBLWR_1286_MSG "Using \'%s\' for doublewrite"
#define ER_IB_MSG_DBLWR_1287_MSG "Error reading doublewrite buffer from the system tablespace"
#define ER_IB_MSG_DBLWR_1288_MSG "Cannot create doublewrite buffer: you must increase your buffer pool size. Cannot continue operation."
#define ER_IB_MSG_DBLWR_1290_MSG "The page in the doublewrite file is corrupt. Cannot continue operation. You can try to recover the database with innodb_force_recovery=6"
#define ER_IB_MSG_BAD_DBLWR_FILE_NAME_MSG "The doublewrite filename \'%s\' is incorrect."
#define ER_IB_MSG_DBLWR_1293_MSG "Doublewrite file create failed: %s"
#define ER_IB_MSG_DBLWR_1294_MSG "DBLWRThread: pthread_setaffinity() failed!"
#define ER_IB_MSG_DBLWR_1295_MSG "%s"
#define ER_IB_MSG_DBLWR_1296_MSG "%s"
#define ER_IB_MSG_DBLWR_1297_MSG "Doublewrite file read failed: %s"
#define ER_IB_MSG_DBLWR_1298_MSG "Dump of the data file page:"
#define ER_IB_MSG_DBLWR_1300_MSG "%s"
#define ER_IB_MSG_DBLWR_1301_MSG "%s"
#define ER_IB_MSG_DBLWR_1304_MSG "%s"
#define ER_IB_MSG_DBLWR_1305_MSG "%s"
#define ER_IB_MSG_DBLWR_1306_MSG "%s"
#define ER_IB_MSG_DBLWR_1307_MSG "%s"
#define ER_IB_MSG_DBLWR_1308_MSG "%s"
#define ER_IB_MSG_DBLWR_1309_MSG "%s"
#define ER_IB_MSG_DBLWR_1310_MSG "%s"
#define ER_IB_MSG_DBLWR_1311_MSG "%s"
#define ER_IB_MSG_DBLWR_1312_MSG "%s"
#define ER_IB_MSG_DBLWR_1313_MSG "%s"
#define ER_IB_MSG_DBLWR_1314_MSG "%s"
#define ER_IB_MSG_DBLWR_1315_MSG "%s"
#define ER_IB_MSG_DBLWR_1316_MSG "%s"
#define ER_IB_MSG_DBLWR_1317_MSG "%s"
#define ER_IB_MSG_DBLWR_1318_MSG "%s"
#define ER_IB_MSG_DBLWR_1319_MSG "Doublewrite load file %s size %lu is not a multiple of the configured page size %lu\""
#define ER_IB_MSG_DBLWR_1320_MSG "Doublewrite file %s truncate failed"
#define ER_IB_MSG_DBLWR_1321_MSG "Doublewrite file %s failed to writ zeros"
#define ER_IB_MSG_DBLWR_1322_MSG "Doublewrite create file %s size %lu is not a multiple of the configured page size %lu\""
#define ER_IB_MSG_DBLWR_1323_MSG "%s"
#define ER_IB_MSG_DBLWR_1324_MSG "%s"
#define ER_IB_MSG_DBLWR_1325_MSG "%s"
#define ER_IB_MSG_DBLWR_1326_MSG "%s"
#define ER_IB_MSG_DBLWR_1327_MSG "%s"
#define ER_IB_MSG_GTID_FLUSH_AT_SHUTDOWN_MSG "Could not flush all GTIDs during slow shutdown. Will recover GTIDs when server restarts."
#define ER_IB_MSG_57_STAT_SPACE_DELETE_FAIL_MSG "Failed to delete 5.7 stat tablespace: %s during upgrade"
#define ER_NDBINFO_UPGRADING_SCHEMA_MSG "Installing ndbinfo schema version %s"
#define ER_NDBINFO_NOT_UPGRADING_SCHEMA_MSG "Installed ndbinfo schema is current. Not upgrading."
#define ER_NDBINFO_UPGRADING_SCHEMA_FAIL_MSG "Failed to upgrade ndbinfo schema."
#define ER_IB_MSG_CREATE_LOG_FILE_MSG "Creating log file %s"
#define ER_IB_MSG_INNODB_START_INITIALIZE_MSG "InnoDB initialization has started."
#define ER_IB_MSG_INNODB_END_INITIALIZE_MSG "InnoDB initialization has ended."
#define ER_IB_MSG_PAGE_ARCH_NO_RESET_POINTS_MSG "Could not find appropriate reset points."
#define ER_IB_WRN_PAGE_ARCH_FLUSH_DATA_MSG "Unable to flush. Page archiving data may be corrupt in case of a crash."
#define ER_IB_ERR_PAGE_ARCH_INVALID_DOUBLE_WRITE_BUF_MSG "Page archiver\'s doublewrite buffer for %ld is not valid."
#define ER_IB_ERR_PAGE_ARCH_RECOVERY_FAILED_MSG "Page archiver system\'s recovery failed."
#define ER_IB_ERR_PAGE_ARCH_INVALID_FORMAT_MSG "Invalid archived file name format. The archived file is supposed to have the format %s + [0-9]*."
#define ER_INVALID_XPLUGIN_SOCKET_SAME_AS_SERVER_MSG "X Plugins UNIX socket must use different file than MySQL server. X Plugin won\'t be accessible through UNIX socket"
#define ER_INNODB_UNABLE_TO_ACQUIRE_DD_OBJECT_MSG "%s"
#define ER_WARN_LOG_DEPRECATED_PARTITION_PREFIX_KEY_MSG "Column \'%.64s.%.64s.%.64s\' having prefix key part \'%.64s(%u)\' is ignored by the partitioning function. Use of prefixed columns in the PARTITION BY KEY() clause is deprecated and will be removed in a future release."
#define ER_IB_MSG_UNDO_TRUNCATE_TOO_OFTEN_MSG "Undo Truncation is occurring too often. Consider increasing --innodb-max-undo-log-size."
#define ER_GRP_RPL_IS_STARTING_MSG "Plugin \'group_replication\' is starting."
#define ER_IB_MSG_INVALID_LOCATION_FOR_TABLESPACE_MSG "Cannot create tablespace %s because the directory is not a valid location. %s"
#define ER_IB_MSG_INVALID_LOCATION_WRONG_DB_MSG "Scanned file \'%s\' for tablespace %s cannot be opened because it is not in a sub-directory named for the schema."
#define ER_IB_MSG_CANNOT_FIND_DD_UNDO_SPACE_MSG "Cannot find undo tablespace %s with filename \'%s\' as indicated by the Data Dictionary. Did you move or delete this tablespace? Any undo logs in it cannot be used."
#define ER_GRP_RPL_RECOVERY_ENDPOINT_FORMAT_MSG "Invalid input value for recovery socket endpoints \'%s\'. Please, provide a valid, comma separated, list of endpoints (IP:port)"
#define ER_GRP_RPL_RECOVERY_ENDPOINT_INVALID_MSG "The server is not listening on endpoint \'%s\'. Only endpoints that the server is listening on are valid recovery endpoints."
#define ER_GRP_RPL_RECOVERY_ENDPOINT_INVALID_DONOR_ENDPOINT_MSG "Received invalid recovery endpoints configuration from donor. This member is not a valid donor for recovery, so it will be skipped."
#define ER_GRP_RPL_RECOVERY_ENDPOINT_INTERFACES_IPS_MSG "Failed to retrieve IP addresses from enabled host network interfaces."
#define ER_WARN_TLS_CHANNEL_INITIALIZATION_ERROR_MSG "Failed to initialize TLS for channel: %s. See below for the description of exact issue."
#define ER_XPLUGIN_FAILED_TO_VALIDATE_ADDRESS_MSG "Validation of value \'%s\' set to `Mysqlx_bind_address` failed: %s. Skipping this value."
#define ER_XPLUGIN_FAILED_TO_BIND_INTERFACE_ADDRESS_MSG "Value \'%s\' set to `Mysqlx_bind_address`, X Plugin can\'t bind to it. Skipping this value."
#define ER_IB_ERR_RECOVERY_REDO_DISABLED_MSG "Server was killed when InnoDB redo logging was disabled. Data files could be corrupt. You can try to restart the database with innodb_force_recovery=6"
#define ER_IB_WRN_FAST_SHUTDOWN_REDO_DISABLED_MSG "InnoDB cannot do cold shutdown \'innodb_fast_shutdown = 2\' and is forcing \'innodb_fast_shutdown = 1\' as redo logging is disabled. InnoDB would flush all dirty pages to ensure physical data consistency."
#define ER_IB_WRN_REDO_DISABLED_MSG "InnoDB redo logging is disabled. All data could be lost in case of a server crash."
#define ER_IB_WRN_REDO_ENABLED_MSG "InnoDB redo logging is enabled. Data is now safe and can be recovered in case of a server crash."
#define ER_TLS_CONFIGURED_FOR_CHANNEL_MSG "Channel %s configured to support TLS. Encrypted connections are now supported for this channel."
#define ER_TLS_CONFIGURATION_REUSED_MSG "No TLS configuration was given for channel %s; re-using TLS configuration of channel %s."
#define ER_IB_TABLESPACE_PATH_VALIDATION_SKIPPED_MSG "Skipping InnoDB tablespace path validation. Manually moved tablespace files will not be detected!"
#define ER_IB_CANNOT_UPGRADE_WITH_DISCARDED_TABLESPACES_MSG "Upgrade failed because database contains discarded tablespaces."
#define ER_USERNAME_TRUNKATED_MSG "The user name \'%s\' exceeds the maximum number of allowed characters %d and is trunkated."
#define ER_HOSTNAME_TRUNKATED_MSG "The host name \'%s\' exceeds the maximum number of allowed characters %d and is trunkated."
#define ER_IB_MSG_TRX_RECOVERY_ROLLBACK_NOT_COMPLETED_MSG "Rollback of non-prepared transactions not completed, due to fast shutdown"
#define ER_AUTHCACHE_ROLE_EDGES_IGNORED_EMPTY_NAME_MSG "Found an entry in the \'role_edges\' table with empty authorization ID; Skipped"
#define ER_AUTHCACHE_ROLE_EDGES_UNKNOWN_AUTHORIZATION_ID_MSG "Found an entry in the \'role_edges\' table with unknown authorization ID \'%s\'; Skipped"
#define ER_AUTHCACHE_DEFAULT_ROLES_IGNORED_EMPTY_NAME_MSG "Found an entry in the \'default_roles\' table with empty authorization ID; Skipped"
#define ER_AUTHCACHE_DEFAULT_ROLES_UNKNOWN_AUTHORIZATION_ID_MSG "Found an entry in the \'default_roles\' table with unknown authorization ID \'%s\'; Skipped"
#define ER_IB_ERR_DDL_LOG_INSERT_FAILURE_MSG "Couldn\'t insert entry in ddl log for ddl."
#define ER_IB_LOCK_VALIDATE_LATCH_ORDER_VIOLATION_MSG "%s"
#define ER_IB_RELOCK_LATCH_ORDER_VIOLATION_MSG "%s"
#define ER_IB_MSG_1357_MSG "%s"
#define ER_IB_MSG_1358_MSG "%s"
#define ER_IB_MSG_1359_MSG "%s"
#define ER_IB_FAILED_TO_DELETE_TABLESPACE_FILE_MSG "%s"
#define ER_IB_UNABLE_TO_EXPAND_TEMPORARY_TABLESPACE_POOL_MSG "%s"
#define ER_IB_TMP_TABLESPACE_CANNOT_CREATE_DIRECTORY_MSG "%s"
#define ER_IB_MSG_SCANNING_TEMP_TABLESPACE_DIR_MSG "%s"
#define ER_IB_ERR_TEMP_TABLESPACE_DIR_DOESNT_EXIST_MSG "%s"
#define ER_IB_ERR_TEMP_TABLESPACE_DIR_EMPTY_MSG "%s"
#define ER_IB_ERR_TEMP_TABLESPACE_DIR_CONTAINS_SEMICOLON_MSG "%s"
#define ER_IB_ERR_TEMP_TABLESPACE_DIR_SUBDIR_OF_DATADIR_MSG "%s"
#define ER_IB_ERR_SCHED_SETAFFNINITY_FAILED_MSG "%s"
#define ER_IB_ERR_UNKNOWN_PAGE_FETCH_MODE_MSG "%s"
#define ER_IB_ERR_LOG_PARSING_BUFFER_OVERFLOW_MSG "%s"
#define ER_IB_ERR_NOT_ENOUGH_MEMORY_FOR_PARSE_BUFFER_MSG "%s"
#define ER_IB_MSG_1372_MSG "%s"
#define ER_IB_MSG_1373_MSG "%s"
#define ER_IB_MSG_1374_MSG "%s"
#define ER_IB_MSG_1375_MSG "%s"
#define ER_IB_ERR_ZLIB_UNCOMPRESS_FAILED_MSG "%s"
#define ER_IB_ERR_ZLIB_BUF_ERROR_MSG "%s"
#define ER_IB_ERR_ZLIB_MEM_ERROR_MSG "%s"
#define ER_IB_ERR_ZLIB_DATA_ERROR_MSG "%s"
#define ER_IB_ERR_ZLIB_UNKNOWN_ERROR_MSG "%s"
#define ER_IB_MSG_1381_MSG "%s"
#define ER_IB_ERR_INDEX_RECORDS_WRONG_ORDER_MSG "%s"
#define ER_IB_ERR_INDEX_DUPLICATE_KEY_MSG "%s"
#define ER_IB_ERR_FOUND_N_DUPLICATE_KEYS_MSG "%s"
#define ER_IB_ERR_FOUND_N_RECORDS_WRONG_ORDER_MSG "%s"
#define ER_IB_ERR_PARALLEL_READ_OOM_MSG "%s"
#define ER_IB_MSG_UNDO_MARKED_ACTIVE_MSG "The state of undo tablespace %s is set to active implicitly."
#define ER_IB_MSG_UNDO_ALTERED_ACTIVE_MSG "The state of undo tablespace %s is set to \'active\' by ALTER TABLESPACE."
#define ER_IB_MSG_UNDO_ALTERED_INACTIVE_MSG "The state of undo tablespace %s is set to \'inactive\' by ALTER TABLESPACE."
#define ER_IB_MSG_UNDO_MARKED_EMPTY_MSG "The state of undo tablespace %s is set to \'empty\'."
#define ER_IB_MSG_UNDO_TRUNCATE_DELAY_BY_CLONE_MSG "Delaying truncate of undo tablespace %s due to clone activity."
#define ER_IB_MSG_UNDO_TRUNCATE_DELAY_BY_MDL_MSG "Delaying truncate of undo tablespace %s due to a metadata lock."
#define ER_IB_MSG_INJECT_CRASH_MSG "Injected debug crash point: %s"
#define ER_IB_MSG_INJECT_FAILURE_MSG "Injected debug failure point: %s"
#define ER_GRP_RPL_TIMEOUT_RECEIVED_VC_LEAVE_ON_REJOIN_MSG "Timeout while waiting for a view change event during the leave step before a auto-rejoin attempt."
#define ER_RPL_ASYNC_RECONNECT_FAIL_NO_SOURCE_MSG "Failed to automatically re-connect to a different source, for channel \'%s\', because %s. To fix this %s."
#define ER_UDF_REGISTER_SERVICE_ERROR_MSG "Could not execute the installation of UDF functions. Check for other errors in the log"
#define ER_UDF_REGISTER_ERROR_MSG "Could not execute the installation of UDF function: %s. Check if the function is already present, if so, try to remove it."
#define ER_UDF_UNREGISTER_ERROR_MSG "Could not uninstall UDF functions. Try to remove them manually if present."
#define ER_EMPTY_PRIVILEGE_NAME_IGNORED_MSG "An empty or illegal privilege identifier was ignored when global privileges were read from disk."
#define ER_IB_MSG_INCORRECT_SIZE_MSG "%s"
#define ER_TMPDIR_PATH_TOO_LONG_MSG "A tmpdir temporary path \"%s\" is too long (> %zu) for this OS. This would not leave enough space for a temporary filename of length %zu within it."
#define ER_ERROR_LOG_DESTINATION_NOT_A_FILE_MSG "Error-log destination \"%s\" is not a file. Can not restore error log messages from previous run."
#define ER_NO_ERROR_LOG_PARSER_CONFIGURED_MSG "None of the log-sinks selected with --log-error-services=... provides a log-parser. The server will not be able to make the previous runs\' error-logs available in performance_schema.error_log."
#define ER_UPGRADE_NONEXISTENT_SCHEMA_MSG "The schema \"%.64s\" referenced by %.16s \"%.128s\" does not exist. Please clean up any orphan %.16s before upgrading."
#define ER_IB_MSG_CREATED_UNDO_SPACE_MSG "Created undo tablespace \'%s\'."
#define ER_IB_MSG_DROPPED_UNDO_SPACE_MSG "Dropped undo tablespace \'%s\'."
#define ER_IB_MSG_MASTER_KEY_ROTATED_MSG "The InnoDB Encryption Master Key has been rotated in %d tablespaces."
#define ER_IB_DBLWR_DECOMPRESS_FAILED_MSG "Failed to decompress a DBLWR page (err=%d).  The original size is %d. Reporting the dblwr page as corrupted."
#define ER_IB_DBLWR_DECRYPT_FAILED_MSG "Decrypting a page in doublewrite file failed: %s."
#define ER_IB_DBLWR_KEY_MISSING_MSG "Encryption key missing: %s."
#define ER_INNODB_IO_WRITE_ERROR_RETRYING_MSG "I/O error while writing to file: %s. Retrying ..."
#define ER_INNODB_IO_WRITE_FAILED_MSG "Failed to write data to file: %s"
#define ER_LOG_COMPONENT_CANNOT_INIT_MSG "Log component %s failed to initialize."
#define ER_RPL_ASYNC_CHANNEL_CANT_CONNECT_MSG "The Monitor IO thread failed to connect to the source (host:%s port:%u network_namespace:%s) for channel \'%s\', thence it will try to connect to another source."
#define ER_RPL_ASYNC_SENDER_ADDED_MSG "The source (host:%s port:%u network_namespace:%s) for channel \'%s\' has joined the group (group_name: %s), and so added its entry into replication_asynchronous_connection_failover table."
#define ER_RPL_ASYNC_SENDER_REMOVED_MSG "The source (host:%s port:%u network_namespace:%s) for channel \'%s\' has left the group (group_name: %s), and so removed its entry from replication_asynchronous_connection_failover table."
#define ER_RPL_ASYNC_CHANNEL_STOPPED_QUORUM_LOST_MSG "The Monitor IO thread detected that the source (host:%s port:%u network_namespace:%s) does not belong to the group majority, thence the channel \'%s\' will try to connect to another source."
#define ER_RPL_ASYNC_CHANNEL_CANT_CONNECT_NO_QUORUM_MSG "The IO thread detected that the source (host:%s port:%u network_namespace:%s) does not belong to the group majority, thence the channel \'%s\' will try to connect to another source."
#define ER_RPL_ASYNC_EXECUTING_QUERY_MSG "%s on the source (host:%s port:%u network_namespace:%s) for channel \'%s\'."
#define ER_RPL_REPLICA_MONITOR_IO_THREAD_EXITING_MSG "Replica Monitor IO thread exiting."
#define ER_RPL_ASYNC_MANAGED_NAME_REMOVED_MSG "The group (group_name: %s) for the channel \'%s\' has been removed, and so removed its entry from replication_asynchronous_connection_failover_managed and all the group members from replication_asynchronous_connection_failover table."
#define ER_RPL_ASYNC_MANAGED_NAME_ADDED_MSG "The group (group_name: %s) for the channel \'%s\' has been added, and so added its entry in replication_asynchronous_connection_failover_managed and source to replication_asynchronous_connection_failover table."
#define ER_RPL_ASYNC_READ_FAILOVER_TABLE_MSG "Error reading failover sources for channel \'%s\' from replication_asynchronous_connection_failover table."
#define ER_RPL_REPLICA_MONITOR_IO_THREAD_RECONNECT_CHANNEL_MSG "Error %s the channel \'%s\', the operation will be automatically retried."
#define ER_SLAVE_ANONYMOUS_TO_GTID_IS_LOCAL_OR_UUID_AND_GTID_MODE_NOT_ON_MSG "Replication channel \'%.192s\' is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS=\'%s\', which is invalid when GTID_MODE <> ON. If you intend to use GTID_MODE = ON everywhere, change to ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = OFF and use the procedure for enabling GTIDs online (see the documentation). If you intend to use GTIDs on this replica and cannot enable GTIDs on the source, enable GTID_MODE = ON and leave ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS = LOCAL|<UUID>. If you intend to not use GTIDs at all in the replication topology, change to ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS=OFF and leave GTID_MODE = \'%s\'."
#define ER_REPLICA_ANONYMOUS_TO_GTID_UUID_SAME_AS_GROUP_NAME_MSG "Replication channel \'%.192s\' is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS=\'%s\' which is equal to group_replication_group_name. To fix this issue, either change the group_replication_group_name  or use a different value for ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS."
#define ER_GRP_RPL_GRP_NAME_IS_SAME_AS_ANONYMOUS_TO_GTID_UUID_MSG "The group_replication_group_name \'%s\' is the same as the UUID value for ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS in a server channel"
#define ER_WARN_GTID_THRESHOLD_BREACH_MSG "The integer component of the GTID number is high. Suggest restarting the server with a new server_uuid to prevent it from reaching the maximum number 2^63-1, which will make it impossible to write the binary log and invoke the behavior specified by binlog_error_action."
#define ER_HEALTH_INFO_MSG "%s"
#define ER_HEALTH_WARNING_MSG "%s"
#define ER_HEALTH_ERROR_MSG "%s"
#define ER_HEALTH_WARNING_DISK_USAGE_LEVEL_1_MSG "%s: Warning Level 1 (%llu MiB): mount point = \'%s\', available = %llu MiB, total = %llu MiB, used = %.2f%%, low limit = %llu MiB, critical level = %llu MiB"
#define ER_HEALTH_WARNING_DISK_USAGE_LEVEL_2_MSG "%s: Warning Level 2 (%llu MiB): mount point = \'%s\', available = %llu MiB, total = %llu MiB, used = %.2f%%, low limit = %llu MiB, critical level = %llu MiB"
#define ER_HEALTH_WARNING_DISK_USAGE_LEVEL_3_MSG "%s: Warning Level 3 (%llu MiB): mount point = \'%s\', available = %llu MiB, total = %llu MiB, used = %.2f%%, low limit = %llu MiB, critical level = %llu MiB"
#define ER_IB_INNODB_TBSP_OUT_OF_SPACE_MSG "InnoDB: Size of tablespace %s is more than the maximum size allowed."
#define ER_GRP_RPL_APPLIER_CHANNEL_STILL_RUNNING_MSG "The group_replication_applier channel is still running, most likely it is waiting for a database/table lock, which is preventing the channel from stopping. Please check database/table locks, including the ones created by backup tools."
#define ER_RPL_ASYNC_RECONNECT_GTID_MODE_OFF_CHANNEL_MSG "Detected misconfiguration: replication channel \'%.192s\' was configured with SOURCE_CONNECTION_AUTO_FAILOVER = 1, but the server was started with a value other then --gtid-mode = ON. Either reconfigure replication using CHANGE MASTER TO SOURCE_CONNECTION_AUTO_FAILOVER = 0 FOR CHANNEL \'%.192s\', or change GTID_MODE to value ON, before starting the replica receiver thread."
#define ER_FIREWALL_SERVICES_NOT_ACQUIRED_MSG "Could not acquire required component services."
#define ER_FIREWALL_UDF_REGISTER_FAILED_MSG "Automatic registration of function(s) failed."
#define ER_FIREWALL_PFS_TABLE_REGISTER_FAILED_MSG "Automatic registration of Performance schema table(s) failed."
#define ER_IB_MSG_STATS_SAMPLING_TOO_LARGE_MSG "%s"
#define ER_AUDIT_LOG_FILE_PRUNE_FAILED_MSG "Failed to auto-prune file \'%s\', Error (%d): %s"
#define ER_AUDIT_LOG_FILE_AUTO_PRUNED_MSG "File \'%s\' auto-pruned"
#define ER_COMPONENTS_INFRASTRUCTURE_MANIFEST_INIT_MSG "Received an error while processing components from manifest file: %s"
#define ER_COMPONENTS_INFRASTRUCTURE_MANIFEST_DEINIT_MSG "Received an error while unloading components read from manifest file: %s"
#define ER_WARN_COMPONENTS_INFRASTRUCTURE_MANIFEST_NOT_RO_MSG "Manifest file \'%s\' is not read-only. For better security, please make sure that the file is read-only."
#define ER_WARN_NO_KEYRING_COMPONENT_SERVICE_FOUND_MSG "No suitable \'%s\' service implementation found to fulfill the request."
#define ER_NOTE_KEYRING_COMPONENT_INITIALIZED_MSG "Keyring component initialized successfully."
#define ER_KEYRING_COMPONENT_NOT_INITIALIZED_MSG "The component is not initialized properly. Make sure that configuration is proper and use ALTER INSTANCE RELOAD KEYRING to reinitialize the component."
#define ER_KEYRING_COMPONENT_EXCEPTION_MSG "Keyring component encountered an exception while executing : \'%s\' API of service: \'%s\'"
#define ER_KEYRING_COMPONENT_MEMORY_ALLOCATION_ERROR_MSG "Failed to allocated memory for \'%s\' while executing: \'%s\' API of service: \'%s\'"
#define ER_NOTE_KEYRING_COMPONENT_AES_INVALID_MODE_BLOCK_SIZE_MSG "Empty or 0 values for AES encryption mode and/or block size are not permitted."
#define ER_NOTE_KEYRING_COMPONENT_AES_DATA_IDENTIFIER_EMPTY_MSG "A valid data identifier is required in order to fetch the key required for the AES operation."
#define ER_NOTE_KEYRING_COMPONENT_AES_INVALID_KEY_MSG "Key identified by Data ID: \'%s\' and Auth ID: \'%s\' is not of type AES."
#define ER_NOTE_KEYRING_COMPONENT_AES_OPERATION_ERROR_MSG "Encountered error: \'%s\' while executing \'%s\' API of keyring_aes service. Key details are Data ID: \'%s\' and Auth ID: \'%s\'."
#define ER_NOTE_KEYRING_COMPONENT_READ_DATA_NOT_FOUND_MSG "Could not find the data corresponding to Data ID: \'%s\', Auth ID: \'%s\'."
#define ER_NOTE_KEYRING_COMPONENT_WRITE_MAXIMUM_DATA_LENGTH_MSG "Maximum permissible size of data is \'%zu\' bits"
#define ER_NOTE_KEYRING_COMPONENT_STORE_FAILED_MSG "Error writing data for Data ID: \'%s\', Auth ID: \'%s\'. Either data already exists with same identifier or keyring backend encountered an error."
#define ER_NOTE_KEYRING_COMPONENT_REMOVE_FAILED_MSG "Error removing data for Data ID: \'%s\', Auth ID: \'%s\'. Either data already exists with same identifier or keyring backend encountered an error."
#define ER_NOTE_KEYRING_COMPONENT_GENERATE_FAILED_MSG "Error generating data for Data ID: \'%s\', Auth ID: \'%s\'. Either data already exists with same identifier or keyring backend encountered an error."
#define ER_NOTE_KEYRING_COMPONENT_KEYS_METADATA_ITERATOR_FETCH_FAILED_MSG "Failed to get metadata from current keys metadata iterator position."
#define ER_NOTE_KEYRING_COMPONENT_METADATA_ITERATOR_INVALID_OUT_PARAM_MSG "Key and value length parameters must not be null."
#define ER_IB_WRN_FAILED_TO_ACQUIRE_SERVICE_MSG "Innodb could not acquire service : %s"
#define ER_IB_WRN_OLD_GEOMETRY_TYPE_MSG "Column %s of type GEOMETRY is in old (5.6) format which could be deprecated in the future. To change the format to latest, please consider rebuilding the table after the upgrade."
#define ER_NET_WAIT_ERROR2_MSG "\'wait_timeout\' period of %s seconds was exceeded for %s. The idle time since last command was too long."
#define ER_GRP_RPL_MEMBER_ACTION_TRIGGERED_MSG "The member action \"%s\" for event \"%s\" with priority \"%u\" will be run."
#define ER_GRP_RPL_MEMBER_ACTION_FAILURE_IGNORE_MSG "The member action \"%s\" for event \"%s\" with priority \"%u\" failed, this error is ignored as instructed. Please check previous messages in the error log for hints about what could have caused this failure."
#define ER_GRP_RPL_MEMBER_ACTION_FAILURE_MSG "The member action \"%s\" for event \"%s\" with priority \"%u\" failed. Please check previous messages in the error log for hints about what could have caused this failure."
#define ER_GRP_RPL_MEMBER_ACTION_PARSE_ON_RECEIVE_MSG "Unable to parse the member actions configuration sent by the primary."
#define ER_GRP_RPL_MEMBER_ACTION_UPDATE_ACTIONS_MSG "Unable to update the member actions configuration with the one sent by the primary. Please check the tables \'mysql.replication_group_member_actions\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_MEMBER_ACTION_GET_EXCHANGEABLE_DATA_MSG "Unable to read the member actions configuration during group membership change. Please check the tables \'mysql.replication_group_member_actions\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_MEMBER_ACTION_DEFAULT_CONFIGURATION_MSG "This member joined a group on which all members do not support member actions, as such it did reset its member configuration to the default one."
#define ER_GRP_RPL_MEMBER_ACTION_UNABLE_TO_SET_DEFAULT_CONFIGURATION_MSG "Unable to reset to member actions default configuration on member join. Please check the tables \'mysql.replication_group_member_actions\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_MEMBER_ACTION_PARSE_ON_MEMBER_JOIN_MSG "Unable to parse the member actions configuration sent by the group on member join."
#define ER_GRP_RPL_MEMBER_ACTION_UPDATE_ACTIONS_ON_MEMBER_JOIN_MSG "Unable to update the member actions configuration on member join. Please check the tables \'mysql.replication_group_member_actions\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_MEMBER_ACTION_INVALID_ACTIONS_ON_MEMBER_JOIN_MSG "The group members were unable to send their member actions configuration. Please check the tables \'mysql.replication_group_member_actions\' and \'mysql.replication_group_configuration_version\' on all members."
#define ER_GRP_RPL_MEMBER_ACTION_ENABLED_MSG "Member action enabled: \"%s\", type: \"%s\", event: \"%s\", priority: \"%u\", error_handling: \"%s\"."
#define ER_GRP_RPL_MEMBER_ACTION_DISABLED_MSG "Member action disabled: \"%s\", type: \"%s\", event: \"%s\", priority: \"%u\", error_handling: \"%s\"."
#define ER_GRP_RPL_MEMBER_ACTIONS_RESET_MSG "Member actions configuration was reset."
#define ER_DEPRECATED_TLS_VERSION_SESSION_MSG "Accepted a connection with deprecated protocol \'%s\' for account `%s`@`%s` from host `%s`. Client supplied username `%s`"
#define ER_WARN_DEPRECATED_TLS_VERSION_FOR_CHANNEL_MSG "A deprecated TLS version %s is enabled for channel %s"
#define ER_FIREWALL_DEPRECATED_USER_PROFILE_MSG "User profile \'%s\' loaded. Firewall user profiles are deprecated, consider migrating to group profiles."
#define ER_GRP_RPL_VIEW_CHANGE_UUID_INVALID_MSG "Invalid input value for group_replication_view_change_uuid \'%s\'. Please, provide a valid UUID."
#define ER_GRP_RPL_VIEW_CHANGE_UUID_SAME_AS_GROUP_NAME_MSG "Variable \'group_replication_view_change_uuid\' cannot be set to the value of \'%s\'. If you want to use the UUID of \'group_replication_group_name\' for the UUID of View_change_log_events, please set \'group_replication_view_change_uuid\' to AUTOMATIC."
#define ER_GRP_RPL_GROUP_NAME_SAME_AS_VIEW_CHANGE_UUID_MSG "group_replication_group_name \'%s\', which is the same as group_replication_view_change_uuid. Please change group_replication_view_change_uuid to AUTOMATIC"
#define ER_GRP_RPL_VIEW_CHANGE_UUID_IS_SAME_AS_ANONYMOUS_TO_GTID_UUID_MSG "The group_replication_view_change_uuid \'%s\' is the same as the UUID value for ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS in a server channel"
#define ER_GRP_RPL_GRP_VIEW_CHANGE_UUID_IS_INCOMPATIBLE_WITH_SERVER_UUID_MSG "group_replication_view_change_uuid is incompatible with group. group_replication_view_change_uuid %s matches server_uuid %s."
#define ER_GRP_RPL_VIEW_CHANGE_UUID_DIFF_FROM_GRP_MSG "The member is configured with a group_replication_view_change_uuid option value \'%s\' different from the group \'%s\'. The member will now exit the group."
#define ER_WARN_REPLICA_ANONYMOUS_TO_GTID_UUID_SAME_AS_VIEW_CHANGE_UUID_MSG "Replication channel \'%.192s\' is configured with ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS=\'%s\' which is equal to group_replication_view_change_uuid. To fix this issue, either change the group_replication_view_change_uuid or use a different value for ASSIGN_GTIDS_TO_ANONYMOUS_TRANSACTIONS."
#define ER_GRP_RPL_FAILED_TO_PARSE_THE_VIEW_CHANGE_UUID_MSG "Unable to parse the group_replication_view_change_uuid."
#define ER_GRP_RPL_FAILED_TO_GENERATE_SIDNO_FOR_VIEW_CHANGE_UUID_MSG "Unable to generate sidno for group_replication_view_change_uuid."
#define ER_GRP_RPL_VIEW_CHANGE_UUID_PARSE_ERROR_MSG "Unable to parse the group_replication_view_change_uuid during the Certification module initialization."
#define ER_GRP_RPL_UPDATE_GRPGTID_VIEW_CHANGE_UUID_EXECUTED_ERROR_MSG "Error updating group_gtid_executed GTID set with view change uuid during the Certification module initialization."
#define ER_GRP_RPL_ADD_VIEW_CHANGE_UUID_TO_GRP_SID_MAP_ERROR_MSG "Unable to add the group_replication_view_change_uuid sidno in the group_gtid_sid_map during the Certification module initialization."
#define ER_GRP_RPL_DONOR_VIEW_CHANGE_UUID_TRANS_INFO_ERROR_MSG "Unable to handle the donor\'s view change uuid transaction information when initializing the conflict detection component. Possible out of memory error."
#define ER_WARN_GRP_RPL_VIEW_CHANGE_UUID_FAIL_GET_VARIABLE_MSG "Unable to retrieve group_replication_view_change_uuid during server checks on replication operations."
#define ER_WARN_ADUIT_LOG_MAX_SIZE_AND_PRUNE_SECONDS_LOG_MSG "Both audit_log_max_size and audit_log_prune_seconds are set to non-zero. audit_log_max_size takes precedence and audit_log_prune_seconds is ignored"
#define ER_WARN_ADUIT_LOG_MAX_SIZE_CLOSE_TO_ROTATE_ON_SIZE_LOG_MSG "audit_log_rotate_on_size is not granular enough for the value of audit_log_max_size supplied. Should be at least %d times smaller."
#define ER_PLUGIN_INVALID_TABLE_DEFINITION_MSG "Invalid table definition for \'%s.%s\'."
#define ER_AUTH_KERBEROS_LOGGER_GENERIC_MSG_MSG "%s"
#define ER_INSTALL_PLUGIN_CONFLICT_LOG_MSG "Cannot install the %.192s plugin when the %.192s plugin is installed."
#define ER_DEPRECATED_PERSISTED_VARIABLE_WITH_ALIAS_MSG "The variable %s has been renamed to %s, and the old name deprecated. Only the old name was found in the persisted variable file. Next time the file is saved, both names will be stored. Issue any SET PERSIST command to save the file, get rid of this warning, and prepare the persisted configuration for when the variable is removed in a future version."
#define ER_LOG_COMPONENT_FLUSH_FAILED_MSG "%d error logging component(s) failed to flush. For file-based logs this can happen when the path or permissions of the log-file have changed. Failure to flush filed-based logs may affect log-rotation."
#define ER_IB_MSG_REENCRYPTED_TABLESPACE_KEY_MSG "Tablespace key for %s has been re-encrypted using the latest InnoDB master key. However, we recommend that you rebuild the table for better security."
#define ER_IB_MSG_REENCRYPTED_GENERAL_TABLESPACE_KEY_MSG "Tablespace key for %s has been re-encrypted using the latest InnoDB master key. However, we recommend that you reencrypt the tablespace for better security."
#define ER_IB_ERR_PAGE_ARCH_DBLWR_INIT_FAILED_MSG "Page Archiver\'s doublewrite buffer initialisation failed. Page tracking is at risk of losing tracked information."
#define ER_IB_MSG_RECOVERY_NO_SPACE_IN_REDO_LOG__SKIP_IBUF_MERGES_MSG "There is not enough free space in the redo log during recovery to perform pending ibuf merges. Please retry starting MySQL with --innodb-force-recovery=4."
#define ER_IB_MSG_RECOVERY_NO_SPACE_IN_REDO_LOG__UNEXPECTED_MSG "There is not enough free space in the redo log during recovery, restore from backup (or retry with --innodb-force-recovery=6)."
#define ER_WARN_AUDIT_LOG_FORMAT_UNIX_TIMESTAMP_ONLY_WHEN_JSON_LOG_MSG "audit_log_format_unix_timestamp is applicable only when audit_log_format = JSON."
#define ER_PREPARE_FOR_PRIMARY_ENGINE_MSG "Retry the statement using the primary storage engine."
#define ER_IB_MSG_PAR_RSEG_INIT_COMPLETE_MSG_MSG "Parallel initialization of rseg complete"
#define ER_IB_MSG_PAR_RSEG_INIT_TIME_MSG_MSG "Time taken to initialize rseg using %u thread: %u ms."
#define ER_DDL_MSG_1_MSG "DDL failed to create a thread to load an index, fall back to single thread"
#define ER_MTR_MSG_1_MSG "Debug_check_no_latching failed, slot->type=%d"
#define ER_GRP_RPL_MYSQL_NETWORK_PROVIDER_CLIENT_ERROR_CONN_ERR_MSG "Failed to establish MySQL client connection in Group Replication. Error establishing connection. Please refer to the manual to make sure that you configured Group Replication properly to work with MySQL Protocol connections."
#define ER_GRP_RPL_MYSQL_NETWORK_PROVIDER_CLIENT_ERROR_COMMAND_ERR_MSG "Failed to establish MySQL client connection in Group Replication. Error sending connection delegation command. Please refer to the manual to make sure that you configured Group Replication properly to work with MySQL Protocol connections."
#define ER_GRP_RPL_FAILOVER_CONF_GET_EXCHANGEABLE_DATA_MSG "Unable to read the replication failover channels configuration during group membership change. Please check the tables \'mysql.replication_asynchronous_connection_failover\', \'mysql.replication_asynchronous_connection_failover_managed\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_FAILOVER_CONF_DEFAULT_CONFIGURATION_MSG "This member joined a group on which all members do not support replication failover channels integration on Group Replication, as such it did reset its replication failover channels configuration to the default one."
#define ER_GRP_RPL_FAILOVER_CONF_UNABLE_TO_SET_DEFAULT_CONFIGURATION_MSG "Unable to reset to replication failover channels default configuration on member join. Please check the tables \'mysql.replication_asynchronous_connection_failover\', \'mysql.replication_asynchronous_connection_failover_managed\' and \'mysql.replication_group_configuration_version\'."
#define ER_GRP_RPL_FAILOVER_CONF_PARSE_ON_MEMBER_JOIN_MSG "Unable to parse the replication failover channels configuration sent by the group on member join."
#define ER_GRP_RPL_FAILOVER_CONF_CHANNEL_DOES_NOT_EXIST_MSG "Unable to set SOURCE_CONNECTION_AUTO_FAILOVER on a non-existent or misconfigured replication channel \'%s\', please create the channel and rejoin the server to the group."
#define ER_GRP_RPL_FAILOVER_REGISTER_MESSAGE_LISTENER_SERVICE_MSG "Unable to register the listener \'replication_asynchronous_connection_failover_configuration\' to the service \'group_replication_message_service_recv\'."
#define ER_GRP_RPL_FAILOVER_PRIMARY_WITHOUT_MAJORITY_MSG "This server is not able to reach a majority of members in the group. This server will skip the replication failover channels handling until this server is back to the group majority."
#define ER_GRP_RPL_FAILOVER_PRIMARY_BACK_TO_MAJORITY_MSG "This server is back to the group majority. Replication failover channels handling is resumed."
#define ER_RPL_INCREMENTING_MEMBER_ACTION_VERSION_MSG "Error incrementing member action configuration version for %s.%s table."
#define ER_GRP_RPL_SLAVE_THREAD_ERROR_ON_SECONDARY_MEMBER_MSG "The \'%s\' thread of channel \'%s\' will error out as this server is a group secondary."
#define ER_IB_MSG_CLONE_DDL_NTFN_MSG "Clone DDL Notification: %s"
#define ER_IB_MSG_CLONE_DDL_APPLY_MSG "Clone DDL APPLY: %s"
#define ER_IB_MSG_CLONE_DDL_INVALIDATE_MSG "Clone DDL Invalidate : %s"
#define ER_IB_MSG_UNDO_ENCRYPTION_INFO_LOADED_MSG "Encryption key is loaded for undo tablespace \'%s\'."
#define ER_IB_WRN_ENCRYPTION_INFO_SIZE_MISMATCH_MSG "Ignoring encryption INFO size in redo log: %zu, expected: %zu"
#define ER_INVALID_AUTHENTICATION_POLICY_MSG "Option --authentication-policy is set to an invalid value. Please check if the specified authentication plugins are valid."
#define ER_AUTHENTICATION_PLUGIN_REGISTRATION_FAILED_MSG "Signature verification failed during registration."
#define ER_AUTHENTICATION_PLUGIN_REGISTRATION_INSUFFICIENT_BUFFER_MSG "Buffer too small to hold registration challenge response."
#define ER_AUTHENTICATION_PLUGIN_AUTH_DATA_CORRUPT_MSG "FIDO device authenticator data corrupt."
#define ER_AUTHENTICATION_PLUGIN_SIGNATURE_CORRUPT_MSG "FIDO device signature corrupt."
#define ER_AUTHENTICATION_PLUGIN_VERIFY_SIGNATURE_FAILED_MSG "Signature verification failed during authentication."
#define ER_AUTHENTICATION_PLUGIN_OOM_MSG "Out of memory."
#define ER_AUTHENTICATION_PLUGIN_LOG_MSG "Can\'t initialize logging service"
#define ER_WARN_REPLICA_GTID_ONLY_AND_GTID_MODE_NOT_ON_MSG "Replication channel \'%.192s\' is configured with GTID_ONLY=1, which is invalid when GTID_MODE <> ON. If you intend to disable GTIDs in the replication topology, change GTID_ONLY to 0."
#define ER_WARN_L_DISABLE_GTID_ONLY_WITH_SOURCE_AUTO_POS_INVALID_POS_MSG "The replication positions relative to the source may be out-of-date on channel \'%.192s\', due to the use of GTID_ONLY=1. The out-of-date positions can still be used in some cases so, in order to update them, we suggest that you start the replication to receive and apply at least one transaction, which will set the positions to valid values."
#define ER_RPL_CANNOT_OPEN_RELAY_LOG_MSG "Could not open relay log: %s"
#define ER_AUTHENTICATION_OCI_PLUGIN_NOT_INITIALIZED_MSG "Authentication plugin not initialized."
#define ER_AUTHENTICATION_OCI_PRIVATE_KEY_ERROR_MSG "Cannot use the generated private key file."
#define ER_AUTHENTICATION_OCI_DOWNLOAD_PUBLIC_KEY_MSG "Unavailable public key with fingerprint %s for user %s in tenancy %s ."
#define ER_AUTHENTICATION_OCI_IMDS_MSG "Cannot obtain the OCI configuration from the IMDS service."
#define ER_AUTHENTICATION_OCI_IAM_MSG "Cannot initialize the IAM service."
#define ER_AUTHENTICATION_OCI_INVALID_AUTHENTICATION_STRING_MSG "Invalid authentication string details for user: `%s`@`%s`."
#define ER_AUTHENTICATION_OCI_NO_MATCHING_GROUPS_MSG "None of the groups returned by IAM matches any of the entries from authentication string."
#define ER_AUTHENTICATION_OCI_NO_GROUPS_FOUND_MSG "User is not part of any groups. However, account is configured to use group mapping."
#define ER_AUTHENTICATION_OCI_NONCE_MSG "Public/private key mismatch (fingerprint %s) while authenticating user %s in tenancy %s ."
#define ER_HEALTH_WARNING_MEMORY_USAGE_LEVEL_1_MSG "%s: Warning Level 1 (%llu MiB): available=%llu MiB, total=%llu MiB, used=%.2f%%, mysqld=%llu MiB"
#define ER_HEALTH_WARNING_MEMORY_USAGE_LEVEL_2_MSG "%s: Warning Level 2 (%llu MiB): available=%llu MiB, total=%llu MiB, used=%.2f%%, mysqld=%llu MiB"
#define ER_HEALTH_WARNING_MEMORY_USAGE_LEVEL_3_MSG "%s: Warning Level 3 (%llu MiB): available=%llu MiB, total=%llu MiB, used=%.2f%%, mysqld=%llu MiB"
#define ER_GRP_RPL_SET_SINGLE_CONSENSUS_LEADER_MSG "The member %s:%u, with UUID: %s, was set as the single preferred consensus leader."
#define ER_GRP_RPL_ERROR_SET_SINGLE_CONSENSUS_LEADER_MSG "Something went wrong trying to set the member %s:%u, with UUID: %s, as the single preferred consensus leader. Please query the performance_schema.replication_group_communication_information table to see whether the operation took effect, i.e. whether the preferred consensus leader matches the current primary. If not, consider electing a different primary to try again. Please check the error log and GCS_DEBUG_TRACE for more information that may help understanding what went wrong."
#define ER_GRP_RPL_SET_MULTI_CONSENSUS_LEADER_MSG "All members were set as consensus leaders."
#define ER_GRP_RPL_ERROR_SET_MULTI_CONSENSUS_LEADER_MSG "Something went wrong trying to set all members as consensus leaders. Please query the performance_schema.replication_group_communication_information table to see whether the operation took effect, i.e. whether the consensus leaders match all members. If not, consider resetting the group communication protocol to a version < 8.0.22, or switch to single-primary mode and back again to multi-primary mode, to try again. Please check the error log and GCS_DEBUG_TRACE for more information that may help understanding what went wrong."
#define ER_GRP_RPL_PAXOS_SINGLE_LEADER_DIFF_FROM_GRP_MSG "This member is configured with a group_replication_paxos_single_leader option value of \'%d\' that is different from the group\'s value (\'%d\'). This member will now exit the group."
#define ER_MFA_USER_ATTRIBUTES_CORRUPT_MSG "Invalid and/or corrupted multi factor authentication methods in User_attributes column in mysql.user table. \"%s\"."
#define ER_MFA_PLUGIN_NOT_LOADED_MSG "Plugin \'%-.192s\' is not loaded; Ignoring user"
#endif
